# antiSMASH 
Summary of BGCs detected in each genome for: `[{{ project().name }}]`

## Description
> antiSMASH allows the rapid genome-wide identification, annotation and analysis of secondary metabolite biosynthesis gene clusters in bacterial and fungal genomes.

## Result Summary


AntiSMASH detected **4** BGCs from **4** genomes with the median of **1**. Out of these, **100.00%** are deemed as complete.


> Note: Here the incomplete BGCs are denoted by those that were identified to be on the contig edge by antiSMASH and thus are likely to be incomplete.





<div id="altair-viz-28643e0b3e0641928745cf2bab63e841"></div>
<script type="text/javascript">
  var VEGA_DEBUG = (typeof VEGA_DEBUG == "undefined") ? {} : VEGA_DEBUG;
  (function(spec, embedOpt){
    let outputDiv = document.currentScript.previousElementSibling;
    if (outputDiv.id !== "altair-viz-28643e0b3e0641928745cf2bab63e841") {
      outputDiv = document.getElementById("altair-viz-28643e0b3e0641928745cf2bab63e841");
    }
    const paths = {
      "vega": "https://cdn.jsdelivr.net/npm//vega@5?noext",
      "vega-lib": "https://cdn.jsdelivr.net/npm//vega-lib?noext",
      "vega-lite": "https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext",
      "vega-embed": "https://cdn.jsdelivr.net/npm//vega-embed@6?noext",
    };

    function maybeLoadScript(lib, version) {
      var key = `${lib.replace("-", "")}_version`;
      return (VEGA_DEBUG[key] == version) ?
        Promise.resolve(paths[lib]) :
        new Promise(function(resolve, reject) {
          var s = document.createElement('script');
          document.getElementsByTagName("head")[0].appendChild(s);
          s.async = true;
          s.onload = () => {
            VEGA_DEBUG[key] = version;
            return resolve(paths[lib]);
          };
          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);
          s.src = paths[lib];
        });
    }

    function showError(err) {
      outputDiv.innerHTML = `<div class="error" style="color:red;">${err}</div>`;
      throw err;
    }

    function displayChart(vegaEmbed) {
      vegaEmbed(outputDiv, spec, embedOpt)
        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));
    }

    if(typeof define === "function" && define.amd) {
      requirejs.config({paths});
      require(["vega-embed"], displayChart, err => showError(`Error loading script: ${err.message}`));
    } else {
      maybeLoadScript("vega", "5")
        .then(() => maybeLoadScript("vega-lite", "4.17.0"))
        .then(() => maybeLoadScript("vega-embed", "6"))
        .catch(showError)
        .then(() => displayChart(vegaEmbed));
    }
  })({"config": {"view": {"continuousWidth": 400, "continuousHeight": 300}}, "data": {"name": "data-ff81e52829ea49d33ef94a8e47437d89"}, "mark": "bar", "encoding": {"color": {"field": "GTDB genus", "type": "nominal"}, "tooltip": [{"field": "Genome ID", "type": "nominal"}, {"field": "GTDB species", "type": "nominal"}, {"field": "BGCs", "type": "quantitative"}, {"field": "Incomplete BGCs", "type": "quantitative"}], "x": {"axis": {"title": "BGCs"}, "bin": true, "field": "BGCs", "type": "quantitative"}, "y": {"aggregate": "count", "axis": {"title": "Genomes"}, "type": "quantitative"}}, "selection": {"selector001": {"type": "interval", "bind": "scales", "encodings": ["x", "y"]}}, "$schema": "https://vega.github.io/schema/vega-lite/v4.17.0.json", "datasets": {"data-ff81e52829ea49d33ef94a8e47437d89": [{"Genome ID": "GCA_000056065.1", "GTDB genus": "Lactobacillus", "GTDB species": "Lactobacillus delbrueckii", "Strain": null, "BGCs": 2.0, "Incomplete BGCs": 0.0}, {"Genome ID": "GCA_000182835.1", "GTDB genus": "Lactobacillus", "GTDB species": "Lactobacillus delbrueckii", "Strain": null, "BGCs": null, "Incomplete BGCs": null}, {"Genome ID": "GCA_000191165.1", "GTDB genus": "Lactobacillus", "GTDB species": "Lactobacillus delbrueckii", "Strain": null, "BGCs": 1.0, "Incomplete BGCs": 0.0}, {"Genome ID": "GCA_000014405.1", "GTDB genus": "Lactobacillus", "GTDB species": "Lactobacillus delbrueckii", "Strain": null, "BGCs": 1.0, "Incomplete BGCs": 0.0}]}}, {"mode": "vega-lite"});
</script>



## Summary Table
Click on the genome ids to get the antiSMASH result.

[Download Table]({{ project().file_server() }}/tables/df_antismash_6.1.1_summary.csv){:target="_blank" .md-button}


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="12b6ac55-8880-4081-ab5b-c58ef27483d4" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">

      <th>Genome ID</th>
      <th>GTDB genus</th>
      <th>GTDB species</th>
      <th>Strain</th>
      <th>BGCs</th>
      <th>Incomplete BGCs</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000056065.1/index.html' target='_blank''>GCA_000056065.1</a>", "Lactobacillus", "Lactobacillus delbrueckii", NaN, 2.0, 0.0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000182835.1/index.html' target='_blank''>GCA_000182835.1</a>", "Lactobacillus", "Lactobacillus delbrueckii", NaN, NaN, NaN], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000191165.1/index.html' target='_blank''>GCA_000191165.1</a>", "Lactobacillus", "Lactobacillus delbrueckii", NaN, 1.0, 0.0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000014405.1/index.html' target='_blank''>GCA_000014405.1</a>", "Lactobacillus", "Lactobacillus delbrueckii", NaN, 1.0, 0.0]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all"}], "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "dom": "t"};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#12b6ac55-8880-4081-ab5b-c58ef27483d4').DataTable(dt_args);
    });
</script>
</div>



## References
<font size="2">
{% for i in project().rule_used['antismash']['references'] %}
- {{ i }} 
{% endfor %}
</font>
