# BiG-SCAPE
Summary of GCFs found in each genome from project `[{{ project().name }}]` using [BiG-SCAPE](https://github.com/medema-group/BiG-SCAPE)

[BiG-SCAPE result]({{ project().file_server() }}/bigscape/result_as6.1.1){:target="_blank" .md-button}

## BGC Distribution
[BiG-SCAPE](https://github.com/medema-group/BiG-SCAPE) constructs sequence similarity networks of Biosynthetic Gene Clusters (BGCs) and groups them into Gene Cluster Families (GCFs). BiG-SCAPE does this by rapidly calculating a distance matrix between gene clusters based on a comparison of their protein domain content, order, copy number and sequence identity.

## Result Summary


BiG-SCAPE detected **3** GCFs of the **4** BGCs



- Number of known GCFs: 0



- Number of unknown GCFs: **3**



- Number of unique GCFs: **2**






<div id="altair-viz-c414858e39ab40a7865e3f738ff98f73"></div>
<script type="text/javascript">
  var VEGA_DEBUG = (typeof VEGA_DEBUG == "undefined") ? {} : VEGA_DEBUG;
  (function(spec, embedOpt){
    let outputDiv = document.currentScript.previousElementSibling;
    if (outputDiv.id !== "altair-viz-c414858e39ab40a7865e3f738ff98f73") {
      outputDiv = document.getElementById("altair-viz-c414858e39ab40a7865e3f738ff98f73");
    }
    const paths = {
      "vega": "https://cdn.jsdelivr.net/npm//vega@5?noext",
      "vega-lib": "https://cdn.jsdelivr.net/npm//vega-lib?noext",
      "vega-lite": "https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext",
      "vega-embed": "https://cdn.jsdelivr.net/npm//vega-embed@6?noext",
    };

    function maybeLoadScript(lib, version) {
      var key = `${lib.replace("-", "")}_version`;
      return (VEGA_DEBUG[key] == version) ?
        Promise.resolve(paths[lib]) :
        new Promise(function(resolve, reject) {
          var s = document.createElement('script');
          document.getElementsByTagName("head")[0].appendChild(s);
          s.async = true;
          s.onload = () => {
            VEGA_DEBUG[key] = version;
            return resolve(paths[lib]);
          };
          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);
          s.src = paths[lib];
        });
    }

    function showError(err) {
      outputDiv.innerHTML = `<div class="error" style="color:red;">${err}</div>`;
      throw err;
    }

    function displayChart(vegaEmbed) {
      vegaEmbed(outputDiv, spec, embedOpt)
        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));
    }

    if(typeof define === "function" && define.amd) {
      requirejs.config({paths});
      require(["vega-embed"], displayChart, err => showError(`Error loading script: ${err.message}`));
    } else {
      maybeLoadScript("vega", "5")
        .then(() => maybeLoadScript("vega-lite", "4.17.0"))
        .then(() => maybeLoadScript("vega-embed", "6"))
        .catch(showError)
        .then(() => displayChart(vegaEmbed));
    }
  })({"config": {"view": {"continuousWidth": 400, "continuousHeight": 300}, "axisY": {"labelFontSize": 8}, "title": {"anchor": "middle", "fontSize": 10, "offset": 10, "orient": "top"}}, "hconcat": [{"mark": "bar", "encoding": {"color": {"field": "bigscape_class", "type": "nominal"}, "tooltip": [{"field": "genome_id", "type": "nominal"}, {"field": "bigscape_class", "type": "nominal"}, {"aggregate": "count", "field": "bigscape_class", "type": "nominal"}, {"field": "product", "type": "nominal"}, {"field": "Organism", "type": "nominal"}], "x": {"aggregate": "count", "axis": {"title": "Number of BGCs"}, "field": "product", "type": "nominal"}, "y": {"axis": {"title": "Genome ID"}, "field": "genome_id", "sort": {"field": "Genus", "op": "count", "order": "descending"}, "type": "nominal"}}, "height": 600, "selection": {"selector001": {"type": "interval", "bind": "scales", "encodings": ["x", "y"]}}, "title": "BGCs count overview", "width": 250}, {"mark": "bar", "encoding": {"color": {"field": "fam_type", "type": "nominal"}, "tooltip": [{"field": "genome_id", "type": "nominal"}, {"field": "fam_type", "type": "nominal"}, {"aggregate": "count", "field": "fam_type", "type": "nominal"}, {"field": "product", "type": "nominal"}, {"field": "Organism", "type": "nominal"}], "x": {"aggregate": "count", "axis": {"title": "Number of BGCs"}, "field": "product", "type": "nominal"}, "y": {"axis": {"labels": false, "title": ""}, "field": "genome_id", "sort": {"field": "Genus", "op": "count", "order": "descending"}, "type": "nominal"}}, "height": 600, "selection": {"selector002": {"type": "interval", "bind": "scales", "encodings": ["x", "y"]}}, "title": "Known BGCs count", "width": 250}], "data": {"name": "data-726dbc3d0662b286b64353ec5f5a8267"}, "$schema": "https://vega.github.io/schema/vega-lite/v4.17.0.json", "datasets": {"data-726dbc3d0662b286b64353ec5f5a8267": [{"product": "lanthipeptide-class-iii", "bigscape_class": "RiPPs", "genome_id": "GCA_000056065.1", "accn_id": "CR954253.1", "gcf_0.30": 1913, "gcf_0.40": 1912, "gcf_0.50": 1912, "fam_id_0.30": 2, "fam_type_0.30": "unknown_family", "fam_known_compounds_0.30": "u_RiPPs_2", "Genus": "Lactobacillus", "Organism": "Lactobacillus delbrueckii", "fam_type": "unknown_family"}, {"product": "lanthipeptide-class-iv", "bigscape_class": "RiPPs", "genome_id": "GCA_000056065.1", "accn_id": "CR954253.1", "gcf_0.30": 1914, "gcf_0.40": 1914, "gcf_0.50": 1914, "fam_id_0.30": 1, "fam_type_0.30": "unknown_family", "fam_known_compounds_0.30": "u_RiPPs_1", "Genus": "Lactobacillus", "Organism": "Lactobacillus delbrueckii", "fam_type": "unknown_family"}, {"product": "lanthipeptide-class-iv", "bigscape_class": "RiPPs", "genome_id": "GCA_000191165.1", "accn_id": "CP000156.1", "gcf_0.30": 1914, "gcf_0.40": 1914, "gcf_0.50": 1914, "fam_id_0.30": 1, "fam_type_0.30": "unknown_family", "fam_known_compounds_0.30": "u_RiPPs_1", "Genus": "Lactobacillus", "Organism": "Lactobacillus delbrueckii", "fam_type": "unknown_family"}, {"product": "lanthipeptide-class-iii", "bigscape_class": "RiPPs", "genome_id": "GCA_000014405.1", "accn_id": "CP000412.1", "gcf_0.30": 1912, "gcf_0.40": 1912, "gcf_0.50": 1912, "fam_id_0.30": 3, "fam_type_0.30": "unknown_family", "fam_known_compounds_0.30": "u_RiPPs_3", "Genus": "Lactobacillus", "Organism": "Lactobacillus delbrueckii", "fam_type": "unknown_family"}]}}, {"mode": "vega-lite"});
</script>



## Summary Tables

### Genome overview
Number of BGCs of various types (known, unknown, unique) present in each genome. Additionally, number of BGCs of each of the BiG-SCAPE defined biosynthetic classes are also listed.


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="e8daf263-3bc5-499b-8a7e-1ec41a56f13c" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">

      <th>Genome ID</th>
      <th>GTDB species</th>
      <th>BGCs</th>
      <th>Unique BGCs</th>
      <th>RiPPs</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000056065.1/index.html' target='_blank''>GCA_000056065.1</a>", "Lactobacillus delbrueckii", 2.0, 1.0, 2.0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000182835.1/index.html' target='_blank''>GCA_000182835.1</a>", "Lactobacillus delbrueckii", 0.0, 0.0, 0.0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000191165.1/index.html' target='_blank''>GCA_000191165.1</a>", "Lactobacillus delbrueckii", 1.0, 0.0, 1.0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000014405.1/index.html' target='_blank''>GCA_000014405.1</a>", "Lactobacillus delbrueckii", 1.0, 1.0, 1.0]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all", "searchable": true}], "scrollX": true, "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "dom": "t"};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#e8daf263-3bc5-499b-8a7e-1ec41a56f13c').DataTable(dt_args);
    });
</script>
</div>



### BGC overview
BGCs table with assignment of the GCFs based on the BiG-SCAPE.


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="9bebc612-a93e-4d67-bae0-05d8af6f1db8" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">
      <th></th>
      <th>product</th>
      <th>bigscape_class</th>
      <th>genome_id</th>
      <th>accn_id</th>
      <th>gcf_0.30</th>
      <th>gcf_0.40</th>
      <th>gcf_0.50</th>
      <th>fam_id_0.30</th>
      <th>fam_type_0.30</th>
      <th>fam_known_compounds_0.30</th>
    </tr>
    <tr>
      <th>BGC ID</th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000056065.1/index.html#rCR954253.1c001' target='_blank''>CR954253.1.region001</a>", "lanthipeptide-class-iii", "RiPPs", "GCA_000056065.1", "CR954253.1", 1913, 1912, 1912, 2, "unknown_family", "u_RiPPs_2"], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000056065.1/index.html#rCR954253.1c002' target='_blank''>CR954253.1.region002</a>", "lanthipeptide-class-iv", "RiPPs", "GCA_000056065.1", "CR954253.1", 1914, 1914, 1914, 1, "unknown_family", "u_RiPPs_1"], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000191165.1/index.html#rCP000156.1c001' target='_blank''>CP000156.1.region001</a>", "lanthipeptide-class-iv", "RiPPs", "GCA_000191165.1", "CP000156.1", 1914, 1914, 1914, 1, "unknown_family", "u_RiPPs_1"], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000014405.1/index.html#rCP000412.1c001' target='_blank''>CP000412.1.region001</a>", "lanthipeptide-class-iii", "RiPPs", "GCA_000014405.1", "CP000412.1", 1912, 1912, 1912, 3, "unknown_family", "u_RiPPs_3"]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all", "searchable": true}], "scrollX": true, "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "dom": "t"};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#9bebc612-a93e-4d67-bae0-05d8af6f1db8').DataTable(dt_args);
    });
</script>
</div>



### GCF overview
GCFs table with metadata and statistics.


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="7ce73753-62d4-4d8f-8d29-65d1af7f4a09" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">
      <th></th>
      <th>fam_type</th>
      <th>fam_name</th>
      <th>clusters_in_fam</th>
      <th>mibig_ids</th>
    </tr>
    <tr>
      <th>fam_id_0.30</th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [[1, "unknown_family", "u_RiPPs_1", 2, NaN], [2, "unknown_family", "u_RiPPs_2", 1, NaN], [3, "unknown_family", "u_RiPPs_3", 1, NaN]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all", "searchable": true}], "scrollX": true, "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "dom": "t"};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#7ce73753-62d4-4d8f-8d29-65d1af7f4a09').DataTable(dt_args);
    });
</script>
</div>



### GCF-presence matrix
GCF presence absence matrix across all the genomes. Note that the columns are represented by the GCF IDs that can be found in GCF overview table above.



<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="ada5f8c2-ec0a-4d37-8879-5f157e7e2caa" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">

      <th>Genome ID</th>
      <th>1</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000056065.1/index.html' target='_blank''>GCA_000056065.1</a>", 1], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000182835.1/index.html' target='_blank''>GCA_000182835.1</a>", 0], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000191165.1/index.html' target='_blank''>GCA_000191165.1</a>", 1], ["<a href='{{ project().file_server() }}/antismash/6.1.1/GCA_000014405.1/index.html' target='_blank''>GCA_000014405.1</a>", 0]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all", "searchable": true}], "scrollX": true, "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "dom": "t"};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#ada5f8c2-ec0a-4d37-8879-5f157e7e2caa').DataTable(dt_args);
    });
</script>
</div>



### MIBIG overview
Information on the known clusters from MIBIG database detected in the genomes using BiG-SCAPE.


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="12b4b132-e3b9-4d9b-8c5a-99f0f3fd1c8c" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">

      <th>MIBIG ID</th>
      <th>BGC type</th>
      <th>Compounds</th>
      <th>Activity</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000001/' target='_blank''>BGC0000001.1</a>", "T1PKS", "abyssomicin C;atrop-abyssomicin C", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000002/' target='_blank''>BGC0000002.1</a>", "T1PKS.oligosaccharide", "aculeximycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000003/' target='_blank''>BGC0000003.1</a>", "T1PKS", "AF-toxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000004/' target='_blank''>BGC0000004.1</a>", "T1PKS", "aflatoxin G1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000005/' target='_blank''>BGC0000005.1</a>", "NaN", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000006/' target='_blank''>BGC0000006.1</a>", "T1PKS", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000007/' target='_blank''>BGC0000007.1</a>", "T1PKS", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000008/' target='_blank''>BGC0000008.1</a>", "T1PKS", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000009/' target='_blank''>BGC0000009.1</a>", "T1PKS", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000010/' target='_blank''>BGC0000010.1</a>", "NaN", "aflatoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000011/' target='_blank''>BGC0000011.1</a>", "T1PKS", "sterigmatocystin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000012/' target='_blank''>BGC0000012.1</a>", "T1PKS", "alternapyrone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000013/' target='_blank''>BGC0000013.1</a>", "T1PKS", "alternariol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000014/' target='_blank''>BGC0000014.1</a>", "T1PKS.NRPS-like", "ambruticin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000016/' target='_blank''>BGC0000016.1</a>", "NaN", "amphotericin B", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000017/' target='_blank''>BGC0000017.1</a>", "T1PKS", "anatoxin-a;homoanatoxin-a", "Neurotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000018/' target='_blank''>BGC0000018.1</a>", "T1PKS", "angolamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000019/' target='_blank''>BGC0000019.1</a>", "NaN", "angolamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000020/' target='_blank''>BGC0000020.1</a>", "T1PKS.NRPS-like", "maytansine;ansamitocin P-3", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000021/' target='_blank''>BGC0000021.1</a>", "T1PKS", "apoptolidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000022/' target='_blank''>BGC0000022.1</a>", "T1PKS", "asperfuranone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000023/' target='_blank''>BGC0000023.1</a>", "T1PKS", "aurafuron A", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000024/' target='_blank''>BGC0000024.1</a>", "T1PKS", "aureothin", "Antibacterial;Antifungal;Cytotoxic;insecticide"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000025/' target='_blank''>BGC0000025.1</a>", "NaN", "avermectin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000026/' target='_blank''>BGC0000026.1</a>", "T1PKS.oligosaccharide.PKS-like", "avilamycin A;avilamycin C", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000027/' target='_blank''>BGC0000027.1</a>", "T1PKS", "ankaflavin;monascin;rubropunctatine;monascorubrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000028/' target='_blank''>BGC0000028.1</a>", "T1PKS", "bafilomycin B1", "Antibacterial;Antifungal;antineoplastic, immunosuppressive"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000029/' target='_blank''>BGC0000029.1</a>", "T1PKS", "BE-14106", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000030/' target='_blank''>BGC0000030.1</a>", "T1PKS", "bikaverin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000031/' target='_blank''>BGC0000031.1</a>", "T1PKS", "borrelidin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000032/' target='_blank''>BGC0000032.1</a>", "T1PKS", "A23187", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000033/' target='_blank''>BGC0000033.1</a>", "T1PKS.oligosaccharide.PKS-like", "calicheamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000034/' target='_blank''>BGC0000034.1</a>", "T1PKS.NRPS-like", "candicidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000035/' target='_blank''>BGC0000035.1</a>", "T1PKS", "chalcomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000036/' target='_blank''>BGC0000036.1</a>", "T1PKS.PKS-like", "chlorothricin;deschlorothricin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000037/' target='_blank''>BGC0000037.1</a>", "T1PKS", "cichorine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000038/' target='_blank''>BGC0000038.1</a>", "T1PKS.butyrolactone", "coelimycin P1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000039/' target='_blank''>BGC0000039.1</a>", "T1PKS", "compactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000040/' target='_blank''>BGC0000040.1</a>", "T1PKS", "concanamycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000041/' target='_blank''>BGC0000041.1</a>", "T1PKS", "oronofacic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000042/' target='_blank''>BGC0000042.1</a>", "T1PKS", "cremimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000043/' target='_blank''>BGC0000043.1</a>", "T1PKS", "curacin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000044/' target='_blank''>BGC0000044.1</a>", "T1PKS", "dawenol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000045/' target='_blank''>BGC0000045.1</a>", "T1PKS", "dehydrocurvularin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000046/' target='_blank''>BGC0000046.1</a>", "T1PKS", "depudecin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000047/' target='_blank''>BGC0000047.1</a>", "T1PKS", "10,11-dihydro-8-deoxy-12,13-deepoxy-12,13-dihydrochalcomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000048/' target='_blank''>BGC0000048.1</a>", "T1PKS", "dothistromin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000050/' target='_blank''>BGC0000050.1</a>", "T1PKS", "E-837", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000051/' target='_blank''>BGC0000051.1</a>", "T1PKS", "ebelactone A;ebelactone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000052/' target='_blank''>BGC0000052.1</a>", "T1PKS", "ECO-02301", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000053/' target='_blank''>BGC0000053.1</a>", "T1PKS", "elaiophylin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000054/' target='_blank''>BGC0000054.1</a>", "T1PKS", "erythromycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000055/' target='_blank''>BGC0000055.1</a>", "T1PKS", "erythromycin A;erythromycin B;erythromycin C;erythromycin D", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000056/' target='_blank''>BGC0000056.1</a>", "T1PKS", "esperamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000057/' target='_blank''>BGC0000057.1</a>", "T1PKS", "F9775A;F9775B;orsellinic acid", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000058/' target='_blank''>BGC0000058.1</a>", "T1PKS", "FD-891", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000059/' target='_blank''>BGC0000059.1</a>", "T1PKS", "filipin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000060/' target='_blank''>BGC0000060.1</a>", "T1PKS", "fostriecin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000061/' target='_blank''>BGC0000061.1</a>", "T1PKS.NRPS-like", "levorin A3;C06690;FR-008-III;candicidin A;UNII-AP5PEF5W7U", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000062/' target='_blank''>BGC0000062.1</a>", "T1PKS.NRPS", "fumonisin B1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000063/' target='_blank''>BGC0000063.1</a>", "T1PKS.NRPS", "fumonisin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000064/' target='_blank''>BGC0000064.1</a>", "T1PKS.NRPS", "fusarin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000065/' target='_blank''>BGC0000065.1</a>", "PKS-like", "rustmicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000066/' target='_blank''>BGC0000066.1</a>", "T1PKS.NRPS-like", "geldanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000067/' target='_blank''>BGC0000067.1</a>", "T1PKS.NRPS-like", "geldanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000068/' target='_blank''>BGC0000068.1</a>", "T1PKS", "geldanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000069/' target='_blank''>BGC0000069.1</a>", "T1PKS", "gephyronic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000070/' target='_blank''>BGC0000070.1</a>", "T1PKS", "griseofulvin;epidechlorogriseofulvin;norlichexanthone;dehydrogriseofulvin;4-desmethylgriseofulvin;griseoxanthone B", "Antifungal;Cytotoxic;antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000072/' target='_blank''>BGC0000072.1</a>", "T1PKS", "gulmirecin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000073/' target='_blank''>BGC0000073.1</a>", "T1PKS", "halstoctacosanolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000074/' target='_blank''>BGC0000074.1</a>", "T1PKS.NRPS-like", "herbimycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000075/' target='_blank''>BGC0000075.1</a>", "T1PKS.NRPS-like", "hygrocin A;hygrocin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000076/' target='_blank''>BGC0000076.1</a>", "T1PKS", "hypothemycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000077/' target='_blank''>BGC0000077.1</a>", "T1PKS", "hypothemycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000078/' target='_blank''>BGC0000078.1</a>", "T1PKS.oligosaccharide", "incednine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000079/' target='_blank''>BGC0000079.1</a>", "T1PKS", "X-14547", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000080/' target='_blank''>BGC0000080.1</a>", "T1PKS", "jerangolid A;jerangolid D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000081/' target='_blank''>BGC0000081.1</a>", "T1PKS.NRPS.arylpolyene", "kedarcidin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000082/' target='_blank''>BGC0000082.1</a>", "T1PKS.oligosaccharide", "kijanimicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000083/' target='_blank''>BGC0000083.1</a>", "transAT-PKS", "lactimidomycin;8,9-dihydrolactimidomycin;8-hydroxy-8,9-dihydrolactidomycin;17-hydroxy-8-desmethoxy-isomigrastatin", "Antifungal;Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000084/' target='_blank''>BGC0000084.1</a>", "T1PKS", "laidlomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000085/' target='_blank''>BGC0000085.1</a>", "T1PKS", "lankamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000086/' target='_blank''>BGC0000086.1</a>", "T1PKS", "lasalocid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000087/' target='_blank''>BGC0000087.1</a>", "T1PKS", "lasalocid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000088/' target='_blank''>BGC0000088.1</a>", "T1PKS", "monacolin K", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000090/' target='_blank''>BGC0000090.1</a>", "T1PKS.NRPS-like", "macbecin;macbecin II", "Cytotoxic;Anticancer agent"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000091/' target='_blank''>BGC0000091.1</a>", "T1PKS.NRPS-like", "marineosin A;marineosin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000092/' target='_blank''>BGC0000092.1</a>", "T1PKS", "megalomicin A;megalomicin B;megalomicin C1;megalomicin C2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000093/' target='_blank''>BGC0000093.1</a>", "T1PKS", "meilingmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000094/' target='_blank''>BGC0000094.1</a>", "T1PKS", "methymycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000096/' target='_blank''>BGC0000096.1</a>", "T1PKS", "midecamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000097/' target='_blank''>BGC0000097.1</a>", "T1PKS", "ML-449", "Antibacterial;Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000098/' target='_blank''>BGC0000098.1</a>", "T1PKS", "monacolin K", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000099/' target='_blank''>BGC0000099.1</a>", "T1PKS", "monascorubrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000100/' target='_blank''>BGC0000100.1</a>", "T1PKS", "monensin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000101/' target='_blank''>BGC0000101.1</a>", "NaN", "emodin;monodictyphenone;shamixanthone", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000102/' target='_blank''>BGC0000102.1</a>", "T1PKS", "mycinamicin II", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000103/' target='_blank''>BGC0000103.1</a>", "T1PKS", "mycolactone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000104/' target='_blank''>BGC0000104.1</a>", "T1PKS", "mycophenolic acid", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000105/' target='_blank''>BGC0000105.1</a>", "T1PKS", "nanchangmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000106/' target='_blank''>BGC0000106.1</a>", "T1PKS.NRPS-like", "naphthomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000107/' target='_blank''>BGC0000107.1</a>", "T1PKS", "naphthopyrone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000108/' target='_blank''>BGC0000108.1</a>", "T1PKS.NRPS-like", "natamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000109/' target='_blank''>BGC0000109.1</a>", "T1PKS", "LL-F28249\u03b1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000110/' target='_blank''>BGC0000110.1</a>", "T1PKS", "spectinabilin;orinocin;SNF4435C;SNF4435D", "immunosuppressive"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000111/' target='_blank''>BGC0000111.1</a>", "T1PKS", "neocarzilin A;neocarzilin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000112/' target='_blank''>BGC0000112.1</a>", "T1PKS.butyrolactone", "neocarzinostatin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000113/' target='_blank''>BGC0000113.1</a>", "T1PKS", "niddamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000114/' target='_blank''>BGC0000114.1</a>", "T1PKS", "nigericin", " veterinary medicine, animal husbandry,antimalaria"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000115/' target='_blank''>BGC0000115.1</a>", "T1PKS", "nystatin A1", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000116/' target='_blank''>BGC0000116.1</a>", "T1PKS", "nystatin-like Pseudonocardia polyene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000117/' target='_blank''>BGC0000117.1</a>", "T1PKS", "oligomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000118/' target='_blank''>BGC0000118.1</a>", "arylpolyene.PKS-like.T1PKS", "pactamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000119/' target='_blank''>BGC0000119.1</a>", "arylpolyene.PKS-like.T1PKS", "7-deoxypactamycin", "Antibacterial;Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000120/' target='_blank''>BGC0000120.1</a>", "T1PKS", "patulin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000121/' target='_blank''>BGC0000121.1</a>", "T1PKS", "RES-1214-2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000122/' target='_blank''>BGC0000122.1</a>", "T1PKS.NRPS-like", "phenylnannolone A;phenylnannolone B;phenylnannolone C", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000123/' target='_blank''>BGC0000123.1</a>", "T1PKS", "phoslactomycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000124/' target='_blank''>BGC0000124.1</a>", "T1PKS", "piericidin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000125/' target='_blank''>BGC0000125.1</a>", "T1PKS.NRPS-like", "pimaricin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000126/' target='_blank''>BGC0000126.1</a>", "T1PKS", "pladienolide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000127/' target='_blank''>BGC0000127.1</a>", "T1PKS", "pyoluteorin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000128/' target='_blank''>BGC0000128.1</a>", "T1PKS", "pyoluteorin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000129/' target='_blank''>BGC0000129.1</a>", "T1PKS", "pyripyropene A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000130/' target='_blank''>BGC0000130.1</a>", "T1PKS", "pyrrolomycin A;pyrrolomycin B;pyrrolomycin C;pyrrolomycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000131/' target='_blank''>BGC0000131.1</a>", "NaN", "pyrrolomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000132/' target='_blank''>BGC0000132.1</a>", "T1PKS", "pyrrolomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000133/' target='_blank''>BGC0000133.1</a>", "T1PKS", "quartromicin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000134/' target='_blank''>BGC0000134.1</a>", "T1PKS", "radicicol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000135/' target='_blank''>BGC0000135.1</a>", "T1PKS", "reveromycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000136/' target='_blank''>BGC0000136.1</a>", "T1PKS.NRPS-like", "rifamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000137/' target='_blank''>BGC0000137.1</a>", "T1PKS.NRPS-like", "rifamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000138/' target='_blank''>BGC0000138.1</a>", "T1PKS.NRPS-like", "rimocidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000140/' target='_blank''>BGC0000140.1</a>", "T1PKS", "4-hexadecanoyl-3-hydroxy-2-(hydroxymethyl)-2H-furan-5-one", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000141/' target='_blank''>BGC0000141.1</a>", "T1PKS.NRPS-like.NRPS.aminocoumarin", "rubradirin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000142/' target='_blank''>BGC0000142.1</a>", "T1PKS", "salinilactam", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000143/' target='_blank''>BGC0000143.1</a>", "T1PKS", "salinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000144/' target='_blank''>BGC0000144.1</a>", "T1PKS.NRPS.butyrolactone", "salinomycin", "anticoccidial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000145/' target='_blank''>BGC0000145.1</a>", "T1PKS.NRPS", "salinosporamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000146/' target='_blank''>BGC0000146.1</a>", "T1PKS", "solanapyrone D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000147/' target='_blank''>BGC0000147.1</a>", "T1PKS", "soraphen A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000148/' target='_blank''>BGC0000148.1</a>", "T1PKS", "A83543A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000149/' target='_blank''>BGC0000149.1</a>", "T1PKS", "spirangien O", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000150/' target='_blank''>BGC0000150.1</a>", "T1PKS.NRPS", "sporolide A;sporolide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000151/' target='_blank''>BGC0000151.1</a>", "T1PKS", "stambomycin A;stambomycin B;stambomycin C;stambomycin D", "Antibacterial;antiproliferative"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000152/' target='_blank''>BGC0000152.1</a>", "T1PKS", "sterigmatocystin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000153/' target='_blank''>BGC0000153.1</a>", "T1PKS", "stigmatellin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000154/' target='_blank''>BGC0000154.1</a>", "T1PKS", "stipitatic acid", "Antiplasmodial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000156/' target='_blank''>BGC0000156.1</a>", "T1PKS", "TAN-1612;1-(2,3,5,10-tetrahydroxy-7-methoxy-4-oxo-1,2,3,4-tetrahydroanthracen-2-yl)pentane-2,4-dione;desmethyl TAN-1612", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000157/' target='_blank''>BGC0000157.1</a>", "T1PKS", "tautomycetin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000158/' target='_blank''>BGC0000158.1</a>", "T1PKS", "tautomycetin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000159/' target='_blank''>BGC0000159.1</a>", "T1PKS", "tautomycin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000160/' target='_blank''>BGC0000160.1</a>", "T1PKS", "terreic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000161/' target='_blank''>BGC0000161.1</a>", "T1PKS", "isoterrein", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000162/' target='_blank''>BGC0000162.1</a>", "T1PKS", "tetrocarcin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000163/' target='_blank''>BGC0000163.1</a>", "T1PKS", "tetronasin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000164/' target='_blank''>BGC0000164.1</a>", "T1PKS", "tetronomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000165/' target='_blank''>BGC0000165.1</a>", "T1PKS.PKS-like", "tiacumicin B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000166/' target='_blank''>BGC0000166.1</a>", "T1PKS", "tylactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000167/' target='_blank''>BGC0000167.1</a>", "T1PKS", "vicenistatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000168/' target='_blank''>BGC0000168.1</a>", "T1PKS.indole", "viridicatumtoxin;previridicatumtoxin;5-hydroxyanthrotainin;8-O-desmethylanthrotainin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000170/' target='_blank''>BGC0000170.1</a>", "T1PKS", "yanuthone D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000171/' target='_blank''>BGC0000171.1</a>", "transAT-PKS", "9-methylstreptimidone", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000172/' target='_blank''>BGC0000172.1</a>", "transAT-PKS", "basiliskamide A;basiliskamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000173/' target='_blank''>BGC0000173.1</a>", "T3PKS.PKS-like.transAT-PKS", "isobongkrekic acid;bongkrekic acid", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000174/' target='_blank''>BGC0000174.1</a>", "transAT-PKS-like", "bryostatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000175/' target='_blank''>BGC0000175.1</a>", "NRPS-like.lanthipeptide.transAT-PKS", "cycloheximide", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000176/' target='_blank''>BGC0000176.1</a>", "transAT-PKS-like.transAT-PKS", "difficidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000177/' target='_blank''>BGC0000177.1</a>", "transAT-PKS", "iso-migrastatin;migrastatin;dorrigocin A;dorrigocin B;13-epi-dorrigocin A", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000178/' target='_blank''>BGC0000178.1</a>", "NRPS-like.transAT-PKS-like.transAT-PKS.T3PKS.PKS-like", "elansolid A1", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000179/' target='_blank''>BGC0000179.1</a>", "transAT-PKS", "etnangien", "antiviral"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000180/' target='_blank''>BGC0000180.1</a>", "NRPS-like.transAT-PKS-like", "legioliulin", "fluorescence"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000181/' target='_blank''>BGC0000181.1</a>", "transAT-PKS", "macrolactin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000182/' target='_blank''>BGC0000182.1</a>", "hserlactone.PKS-like.transAT-PKS", "pseudomonic acid A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000184/' target='_blank''>BGC0000184.1</a>", "transAT-PKS-like.transAT-PKS", "sorangicin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000185/' target='_blank''>BGC0000185.1</a>", "transAT-PKS", "tartrolon", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000186/' target='_blank''>BGC0000186.1</a>", "NRPS.transAT-PKS-like.PKS-like.transAT-PKS", "thailandamide;thailandamide lactone", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000187/' target='_blank''>BGC0000187.1</a>", "furan", "asukamycin", "Antibacterial;Cytotoxic;Pigment"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000188/' target='_blank''>BGC0000188.1</a>", "NaN", "saxitoxin;neosaxitoxin;decarbamoylsaxitoxin;gonyautoxin 3;gonyautoxin 2", "Neurotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000189/' target='_blank''>BGC0000189.1</a>", "NaN", "3-(2'-hydroxy-3'-oxo-4'-methylpentyl)-indole;3-(2'-hydroxy-3'-oxo-4'-methylhexyl)-indole;3-(2'-acetoxy-3'-oxo-4'-methylpentyl)-indole;3-(2'-acetoxy-3'-oxo-4'-methylhexyl)-indole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000190/' target='_blank''>BGC0000190.1</a>", "T2PKS", "A-74528", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000191/' target='_blank''>BGC0000191.1</a>", "T2PKS.PKS-like", "aclacinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000192/' target='_blank''>BGC0000192.1</a>", "T2PKS.PKS-like", "aclacinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000193/' target='_blank''>BGC0000193.1</a>", "NaN", "aclacinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000194/' target='_blank''>BGC0000194.1</a>", "T2PKS", "actinorhodin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000195/' target='_blank''>BGC0000195.1</a>", "T2PKS", "alnumycin A;alnumycin B;alnumycin C;alnumycin P;prealnumycin;thalnumycin A;thalnumycin B;K1115A;1,6-dihydro-8-propylanthraquinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000196/' target='_blank''>BGC0000196.1</a>", "NaN", "AQ-256;AQ-270a;AQ-284a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000197/' target='_blank''>BGC0000197.1</a>", "T2PKS", "aranciamycin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000198/' target='_blank''>BGC0000198.1</a>", "T2PKS", "arenimycin A", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000199/' target='_blank''>BGC0000199.1</a>", "T2PKS.oligosaccharide", "arimetamycin B;arimetamycin C;arimetamycin A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000200/' target='_blank''>BGC0000200.1</a>", "T2PKS", "arixanthomycin A;arixanthomycin B;arixanthomycin C", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000201/' target='_blank''>BGC0000201.1</a>", "T2PKS", "auricin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000202/' target='_blank''>BGC0000202.1</a>", "T2PKS", "azicemicin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000203/' target='_blank''>BGC0000203.1</a>", "T2PKS", "BE-7585A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000204/' target='_blank''>BGC0000204.1</a>", "T2PKS", "benastatin A;benastatin B;BE-43767;TAN1532B", "Antibacterial;Inhibitor;Induciton of apoptosis;Induction of apoptosis;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000205/' target='_blank''>BGC0000205.1</a>", "PKS-like.T3PKS", "bryostatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000207/' target='_blank''>BGC0000207.1</a>", "NaN", "chartreusin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000208/' target='_blank''>BGC0000208.1</a>", "T2PKS", "chelocardin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000209/' target='_blank''>BGC0000209.1</a>", "T2PKS", "chlortetracycline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000210/' target='_blank''>BGC0000210.1</a>", "T2PKS.oligosaccharide", "chromomycin A3", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000211/' target='_blank''>BGC0000211.1</a>", "T2PKS", "chrysomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000212/' target='_blank''>BGC0000212.1</a>", "T2PKS.PKS-like", "cinerubin B", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000213/' target='_blank''>BGC0000213.1</a>", "ladderane.furan", "colabomycin E", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000214/' target='_blank''>BGC0000214.1</a>", "T2PKS.PKS-like", "cosmomycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000215/' target='_blank''>BGC0000215.1</a>", "T2PKS", "curamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000216/' target='_blank''>BGC0000216.1</a>", "T2PKS", "dactylocycline A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000217/' target='_blank''>BGC0000217.1</a>", "T2PKS.PKS-like", "daunorubicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000218/' target='_blank''>BGC0000218.1</a>", "T2PKS.PKS-like", "doxorubicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000219/' target='_blank''>BGC0000219.1</a>", "T2PKS", "elloramycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000220/' target='_blank''>BGC0000220.1</a>", "T2PKS", "enterocin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000221/' target='_blank''>BGC0000221.1</a>", "T2PKS", "erdacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000222/' target='_blank''>BGC0000222.1</a>", "T2PKS", "FD-594", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000223/' target='_blank''>BGC0000223.1</a>", "T2PKS", "rabelomycin;dehydrorabelomycin;fluostatin F;fluostatin G;fluostatin H", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000224/' target='_blank''>BGC0000224.1</a>", "T2PKS", "fredericamycin A", "Antibacterial;Antifungal;Cytotoxic;Inhibitor;antitumor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000225/' target='_blank''>BGC0000225.1</a>", "T2PKS", "frenolicin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000226/' target='_blank''>BGC0000226.1</a>", "T2PKS", "gilvocarcin V", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000227/' target='_blank''>BGC0000227.1</a>", "T2PKS", "granaticin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000228/' target='_blank''>BGC0000228.1</a>", "T2PKS", "granaticin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000229/' target='_blank''>BGC0000229.1</a>", "T2PKS.oligosaccharide", "grincamycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000230/' target='_blank''>BGC0000230.1</a>", "T2PKS", "griseorhodin A", "Antibacterial;Cytotoxic;Inhibitor;anti-viral"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000231/' target='_blank''>BGC0000231.1</a>", "T2PKS", "griseusin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000232/' target='_blank''>BGC0000232.1</a>", "T2PKS", "hatomarubigin A;hatomarubigin B;hatomarubigin C;hatomarubigin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000233/' target='_blank''>BGC0000233.1</a>", "T1PKS.T2PKS.PKS-like", "hedamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000234/' target='_blank''>BGC0000234.1</a>", "T2PKS", "jadomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000235/' target='_blank''>BGC0000235.1</a>", "T2PKS", "kiamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000236/' target='_blank''>BGC0000236.1</a>", "T2PKS", "kinamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000237/' target='_blank''>BGC0000237.1</a>", "T2PKS", "lactonamycin Z", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000238/' target='_blank''>BGC0000238.1</a>", "T2PKS.butyrolactone", "lactonamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000239/' target='_blank''>BGC0000239.1</a>", "T2PKS.oligosaccharide", "landomycin A", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000240/' target='_blank''>BGC0000240.1</a>", "T2PKS", "lomaiviticin A;lomaiviticin C;lomaiviticin D;lomaiviticin E", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000241/' target='_blank''>BGC0000241.1</a>", "T2PKS", "lomaiviticin A;lomaiviticin C;lomaiviticin D;lomaiviticin E", "Antibacterial;Cytotoxic;DNA-interfering"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000242/' target='_blank''>BGC0000242.1</a>", "T2PKS", "lysolipin I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000243/' target='_blank''>BGC0000243.1</a>", "NaN", "macrotetrolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000244/' target='_blank''>BGC0000244.1</a>", "NaN", "macrotetrolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000245/' target='_blank''>BGC0000245.1</a>", "T2PKS", "medermycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000246/' target='_blank''>BGC0000246.1</a>", "T2PKS", "mithramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000247/' target='_blank''>BGC0000247.1</a>", "T2PKS.oligosaccharide", "mithramycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000248/' target='_blank''>BGC0000248.1</a>", "T2PKS", "naphtocyclinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000249/' target='_blank''>BGC0000249.1</a>", "NaN", "nogalamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000252/' target='_blank''>BGC0000252.1</a>", "NaN", "nonactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000253/' target='_blank''>BGC0000253.1</a>", "T2PKS", "oviedomycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000254/' target='_blank''>BGC0000254.1</a>", "T2PKS", "oxytetracycline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000255/' target='_blank''>BGC0000255.1</a>", "PKS-like.T3PKS", "pederin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000256/' target='_blank''>BGC0000256.1</a>", "T2PKS", "pradimicin-A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000257/' target='_blank''>BGC0000257.1</a>", "T1PKS.NRPS-like", "prodigiosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000258/' target='_blank''>BGC0000258.1</a>", "NaN", "prodigiosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000259/' target='_blank''>BGC0000259.1</a>", "NaN", "prodigiosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000260/' target='_blank''>BGC0000260.1</a>", "NaN", "prodigiosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000261/' target='_blank''>BGC0000261.1</a>", "T2PKS", "R1128", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000262/' target='_blank''>BGC0000262.1</a>", "T2PKS.oligosaccharide.butyrolactone", "prejadomycin;rabelomycin;gaudimycin C;gaudimycin D;UWM6;gaudimycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000263/' target='_blank''>BGC0000263.1</a>", "T2PKS", "ravidomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000264/' target='_blank''>BGC0000264.1</a>", "T2PKS", "resistomycin;resistoflavine", "Antibacterial;Inhibitor;A modulator of apoptosis"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000265/' target='_blank''>BGC0000265.1</a>", "NaN", "rhodomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000266/' target='_blank''>BGC0000266.1</a>", "T2PKS", "collinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000267/' target='_blank''>BGC0000267.1</a>", "T2PKS.oligosaccharide", "saquayamycin Z", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000268/' target='_blank''>BGC0000268.1</a>", "T2PKS.oligosaccharide", "Sch-47554;Sch-47555", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000269/' target='_blank''>BGC0000269.1</a>", "T2PKS.PKS-like", "SF2575", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000270/' target='_blank''>BGC0000270.1</a>", "T2PKS.aminocoumarin", "simocyclinone D8", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000271/' target='_blank''>BGC0000271.1</a>", "T2PKS", "spore pigment", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000272/' target='_blank''>BGC0000272.1</a>", "T2PKS", "spore pigment", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000273/' target='_blank''>BGC0000273.1</a>", "T2PKS", "steffimycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000274/' target='_blank''>BGC0000274.1</a>", "T2PKS.phenazine", "tetarimycin A;tetarimycin B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000275/' target='_blank''>BGC0000275.1</a>", "T2PKS", "tetracenomycin C", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000277/' target='_blank''>BGC0000277.1</a>", "oligosaccharide", "urdamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000278/' target='_blank''>BGC0000278.1</a>", "NaN", "urdamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000279/' target='_blank''>BGC0000279.1</a>", "T2PKS", "xantholipin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000280/' target='_blank''>BGC0000280.1</a>", "T3PKS", "2,4-diacetylphloroglucinol", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000281/' target='_blank''>BGC0000281.1</a>", "T3PKS", "2,4-diacetylphloroglucinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000282/' target='_blank''>BGC0000282.1</a>", "T3PKS", "alkylresorcinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000283/' target='_blank''>BGC0000283.1</a>", "ladderane.nucleoside.amglyccycl", "cetoniacytone A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000284/' target='_blank''>BGC0000284.1</a>", "hglE-KS.T3PKS", "phenolic lipids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000285/' target='_blank''>BGC0000285.1</a>", "T3PKS", "flaviolin rhamnoside;3,3'-diflaviolin;flaviolin", "Potential UV protection"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000286/' target='_blank''>BGC0000286.1</a>", "T3PKS", "viguiepinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000287/' target='_blank''>BGC0000287.1</a>", "NRPS", "L-2-amino-4-methoxy-trans-3-butenoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000288/' target='_blank''>BGC0000288.1</a>", "blactam.NRPS", "A-503083 A;A-503083 B;A-503083 E;A-503083 F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000289/' target='_blank''>BGC0000289.1</a>", "NRPS.T3PKS", "A40926", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000290/' target='_blank''>BGC0000290.1</a>", "NRPS.T3PKS", "A-47934", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000291/' target='_blank''>BGC0000291.1</a>", "NRPS", "A54145", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000292/' target='_blank''>BGC0000292.1</a>", "NRPS", "acetylaranotin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000293/' target='_blank''>BGC0000293.1</a>", "NRPS.indole", "acetylaszonalenin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000294/' target='_blank''>BGC0000294.1</a>", "NRPS", "acinetobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000295/' target='_blank''>BGC0000295.1</a>", "siderophore", "acinetoferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000296/' target='_blank''>BGC0000296.1</a>", "NRPS", "actinomycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000297/' target='_blank''>BGC0000297.1</a>", "NRPS", "aeruginoside 126B;aeruginoside 126A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000298/' target='_blank''>BGC0000298.1</a>", "NRPS", "aeruginosin 98-A;aeruginosin 98-B;aeruginosin 98-C", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000299/' target='_blank''>BGC0000299.1</a>", "ladderane.NRPS", "alterochromide A;bromoalterochromide A;dibromoalterochromide A;alterochromide B;bromoalterochromide B;dibromoalterochromide B;alterochromide A';bromoalterochromide A';dibromoalterochromide A';alterochromide B';bromoalterochromide B';dibromoalterochromide B';alterochromide A'';bromoalterochromide A'';alterochromide B'';bromoalterochromide B''", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000300/' target='_blank''>BGC0000300.1</a>", "NRPS", "amychelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000301/' target='_blank''>BGC0000301.1</a>", "NRPS", "anabaenopeptin 908;anabaenopeptin 915", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000302/' target='_blank''>BGC0000302.1</a>", "betalactone.NRPS", "anabaenopeptin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000303/' target='_blank''>BGC0000303.1</a>", "NRPS", "anthramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000304/' target='_blank''>BGC0000304.1</a>", "NRPS", "apicidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000305/' target='_blank''>BGC0000305.1</a>", "NRPS", "arthrofactin A", "Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000306/' target='_blank''>BGC0000306.1</a>", "NRPS", "arylomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000307/' target='_blank''>BGC0000307.1</a>", "NRPS", "AbT1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000308/' target='_blank''>BGC0000308.1</a>", "NRPS", "aureusimine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000309/' target='_blank''>BGC0000309.1</a>", "NRPS", "bacillibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000310/' target='_blank''>BGC0000310.1</a>", "NRPS", "bacitracin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000311/' target='_blank''>BGC0000311.1</a>", "NRPS.T3PKS", "balhimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000312/' target='_blank''>BGC0000312.1</a>", "NRPS", "bassianolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000313/' target='_blank''>BGC0000313.1</a>", "NRPS", "beauvericin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000314/' target='_blank''>BGC0000314.1</a>", "ladderane.NRPS", "bromoalterochromide A", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000315/' target='_blank''>BGC0000315.1</a>", "NRPS", "CDA1b;CDA2a;CDA2b;CDA3a;CDA3b;CDA4a;CDA4b", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000316/' target='_blank''>BGC0000316.1</a>", "NRPS", "capreomycin IA;capreomycin IB;capreomycin IIA;capreomycin IIB", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000317/' target='_blank''>BGC0000317.1</a>", "NRPS", "cephalosporin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000319/' target='_blank''>BGC0000319.1</a>", "NRPS", "cephamycin C", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000320/' target='_blank''>BGC0000320.1</a>", "NRPS", "cereulide", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000321/' target='_blank''>BGC0000321.1</a>", "NRPS", "chaetocin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000323/' target='_blank''>BGC0000323.1</a>", "NRPS", "cichofactin A;cichofactin B", "Antibacterial;Antifungal;Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000324/' target='_blank''>BGC0000324.1</a>", "NRPS", "coelibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000325/' target='_blank''>BGC0000325.1</a>", "NRPS", "coelichelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000326/' target='_blank''>BGC0000326.1</a>", "NRPS", "isocomplestatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000327/' target='_blank''>BGC0000327.1</a>", "NRPS", "netropsin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000328/' target='_blank''>BGC0000328.1</a>", "NRPS-like", "coronatine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000329/' target='_blank''>BGC0000329.1</a>", "hserlactone.NRPS", "corpeptin A;corpeptin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000330/' target='_blank''>BGC0000330.1</a>", "NRPS", "cupriachelin", "Antibacterial;Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000331/' target='_blank''>BGC0000331.1</a>", "NRPS", "cyanopeptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000332/' target='_blank''>BGC0000332.1</a>", "NRPS", "cyanopeptolin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000333/' target='_blank''>BGC0000333.1</a>", "betalactone.indole.NRPS", "cyclomarin D", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000334/' target='_blank''>BGC0000334.1</a>", "NRPS", "cyclosporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000335/' target='_blank''>BGC0000335.1</a>", "T1PKS.NRPS", "cystomanamide A;cystomanamide B;cystomanamide C;cystomanamide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000336/' target='_blank''>BGC0000336.1</a>", "NRPS", "daptomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000337/' target='_blank''>BGC0000337.1</a>", "NRPS", "destruxin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000339/' target='_blank''>BGC0000339.1</a>", "NRPS", "echinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000340/' target='_blank''>BGC0000340.1</a>", "NRPS-like", "echoside A;echoside B;echoside C;echoside D;echoside E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000341/' target='_blank''>BGC0000341.1</a>", "NRPS", "enduracidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000342/' target='_blank''>BGC0000342.1</a>", "NRPS", "enniatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000343/' target='_blank''>BGC0000343.1</a>", "NRPS", "enterobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000344/' target='_blank''>BGC0000344.1</a>", "NRPS", "entolysin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000345/' target='_blank''>BGC0000345.1</a>", "T1PKS.NRPS", "eponemycin", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000346/' target='_blank''>BGC0000346.1</a>", "T1PKS.NRPS", "epoxomicin", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000347/' target='_blank''>BGC0000347.1</a>", "NRPS", "equibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000348/' target='_blank''>BGC0000348.1</a>", "NRPS", "ergovaline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000349/' target='_blank''>BGC0000349.1</a>", "NRPS", "erythrochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000350/' target='_blank''>BGC0000350.1</a>", "NRPS", "ET-743", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000351/' target='_blank''>BGC0000351.1</a>", "NRPS", "exochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000352/' target='_blank''>BGC0000352.1</a>", "NRPS", "fimsbactin A", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000353/' target='_blank''>BGC0000353.1</a>", "T1PKS.NRPS", "tacrolimus", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000354/' target='_blank''>BGC0000354.1</a>", "NRPS", "friulimicin A;friulimicin B;friulimicin C;friulimicin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000355/' target='_blank''>BGC0000355.1</a>", "NRPS", "fumiquinazoline A;fumiquinazoline C;fumiquinazoline D", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000356/' target='_blank''>BGC0000356.1</a>", "indole.NRPS", "verruculogen;fumitremorgin B;fumitremorgin c;tryprostatin A;tryprostatin B;demethoxyfumitremorgin C;brevianamide F", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000357/' target='_blank''>BGC0000357.1</a>", "NRPS", "cyclo-(D-Phe-L-Phe-D-Val-L-Val);cyclo-(D-Tyr-L-Phe-D-Val-L-Val);cyclo-(D-Tyr-L-Trp-D-Val-L-Val);cyclo-(D-Phe-L-Trp-D-Val-L-Val);cyclo-(D-Phe-L-Phe-D-Val-L-Ile);cyclo-(D-Phe-L-Phe-D-Ile-L-Val);cyclo-(D-Tyr-L-Trp-D-Val-L-Ile);cyclo-(D-Tyr-L-Trp-D-Ile-L-Val);cyclo-(D-Tyr-L-Phe-D-Val-L-Ile);cyclo-(D-Tyr-L-Phe-D-Ile-L-Val)", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000359/' target='_blank''>BGC0000359.1</a>", "NRPS", "fuscachelin A;fuscachelin B;fuscachelin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000360/' target='_blank''>BGC0000360.1</a>", "NRPS", "GE81112", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000361/' target='_blank''>BGC0000361.1</a>", "NRPS", "gliotoxin;bisdethiobis(methylthio)gliotoxin", "Antibacterial;Antifungal;Antioxidant;Cytotoxic;Inhibitor;Formation attenuates gliotoxin biosynthesis"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000362/' target='_blank''>BGC0000362.1</a>", "NRPS", "glycopeptidolipid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000363/' target='_blank''>BGC0000363.1</a>", "NRPS", "glycopeptidolipid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000364/' target='_blank''>BGC0000364.1</a>", "NRPS", "glycopeptidolipid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000365/' target='_blank''>BGC0000365.1</a>", "T1PKS.NRPS", "glycopeptidolipid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000366/' target='_blank''>BGC0000366.1</a>", "NRPS", "gobichelin A;gobichelin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000367/' target='_blank''>BGC0000367.1</a>", "NRPS", "gramicidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000368/' target='_blank''>BGC0000368.1</a>", "NRPS", "streptobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000369/' target='_blank''>BGC0000369.1</a>", "NRPS", "hassallidin C", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000371/' target='_blank''>BGC0000371.1</a>", "NRPS", "heterobactin A;heterobactin S2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000372/' target='_blank''>BGC0000372.1</a>", "indole.NRPS", "hexadehydroastechrome;terezine-D;astechrome", "Cytotoxic;iron chelator, coordinates Fe3+"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000373/' target='_blank''>BGC0000373.1</a>", "NRPS", "holomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000374/' target='_blank''>BGC0000374.1</a>", "NRPS", "hormaomycin;hormaomycin A1;hormaomycin A2;hormaomycin A3;hormaomycin A4;hormaomycin A5;hormaomycin A6", "Antibacterial;Signalling;active in vitro against lamaria parasite Plasmodium falciparum"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000375/' target='_blank''>BGC0000375.1</a>", "NRPS-like", "indigoidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000376/' target='_blank''>BGC0000376.1</a>", "NRPS", "JBIR-34;JBIR-35", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000377/' target='_blank''>BGC0000377.1</a>", "NRPS", "koranimine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000378/' target='_blank''>BGC0000378.1</a>", "NRPS", "kutzneride 2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000379/' target='_blank''>BGC0000379.1</a>", "NRPS", "glycinocin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000380/' target='_blank''>BGC0000380.1</a>", "T1PKS.NRPS", "leupyrrin", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000381/' target='_blank''>BGC0000381.1</a>", "NRPS", "lichenysin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000382/' target='_blank''>BGC0000382.1</a>", "NRPS-like", "lipstatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000383/' target='_blank''>BGC0000383.1</a>", "T1PKS.NRPS", "luminmycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000384/' target='_blank''>BGC0000384.1</a>", "indole.NRPS", "lyngbyatoxin", "Cytotoxic;Tumor promoter, irritant, vesicant "], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000385/' target='_blank''>BGC0000385.1</a>", "transAT-PKS-like.lanthipeptide.NRPS", "lysobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000386/' target='_blank''>BGC0000386.1</a>", "NaN", "malleobactin A;malleobactin B;malleobactin C;malleobactin D", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000387/' target='_blank''>BGC0000387.1</a>", "NaN", "mangotoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000388/' target='_blank''>BGC0000388.1</a>", "NRPS", "mannopeptimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000389/' target='_blank''>BGC0000389.1</a>", "NRPS", "massetolide A", "Antifungal;Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000391/' target='_blank''>BGC0000391.1</a>", "indole.NRPS", "methylpendolmycin;pendolmycin", "Cytotoxic;Signalling;Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000392/' target='_blank''>BGC0000392.1</a>", "NRPS", "mirubactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000393/' target='_blank''>BGC0000393.1</a>", "T1PKS.NRPS", "myxoprincomide-c506", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000394/' target='_blank''>BGC0000394.1</a>", "PKS-like.NRPS", "naphthyridinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000395/' target='_blank''>BGC0000395.1</a>", "NRPS", "nocardicin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000396/' target='_blank''>BGC0000396.1</a>", "NRPS", "nodularin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000397/' target='_blank''>BGC0000397.1</a>", "NRPS", "nostocyclopeptide A2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000398/' target='_blank''>BGC0000398.1</a>", "NRPS", "orfamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000399/' target='_blank''>BGC0000399.1</a>", "NRPS", "orfamide A;orfamide C", "Antifungal;Surfactant;anti-algal: lyses zoospores of Phytophthora sp."], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000400/' target='_blank''>BGC0000400.1</a>", "NRPS", "paenibacterin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000401/' target='_blank''>BGC0000401.1</a>", "NRPS", "paenibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000402/' target='_blank''>BGC0000402.1</a>", "NRPS.transAT-PKS", "paenilarvins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000403/' target='_blank''>BGC0000403.1</a>", "NRPS", "pelgipeptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000404/' target='_blank''>BGC0000404.1</a>", "NRPS", "penicillin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000405/' target='_blank''>BGC0000405.1</a>", "NRPS", "\u03b4-(L-\u03b1-aminoadipyl)-L-cysteine-D-valine;isopenicillin N;benzylpenicillin;phenoxymethylpenicillin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000406/' target='_blank''>BGC0000406.1</a>", "betalactone.NRPS", "phosphinothricintripeptide", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000407/' target='_blank''>BGC0000407.1</a>", "NRPS", "plipastatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000408/' target='_blank''>BGC0000408.1</a>", "NRPS", "polymyxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000409/' target='_blank''>BGC0000409.1</a>", "NRPS", "porothramycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000410/' target='_blank''>BGC0000410.1</a>", "NRPS", "pseudomonine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000411/' target='_blank''>BGC0000411.1</a>", "NRPS", "putisolvin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000412/' target='_blank''>BGC0000412.1</a>", "NRPS", "pyochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000413/' target='_blank''>BGC0000413.1</a>", "NRPS", "pyoverdin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000414/' target='_blank''>BGC0000414.1</a>", "NRPS", "quinocarcin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000415/' target='_blank''>BGC0000415.1</a>", "NRPS", "quinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000416/' target='_blank''>BGC0000416.1</a>", "NRPS", "rhabdopeptide 1;rhabdopeptide 2;rhabdopeptide 3;rhabdopeptide 4", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000417/' target='_blank''>BGC0000417.1</a>", "NRPS", "rhodochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000418/' target='_blank''>BGC0000418.1</a>", "NRPS.T3PKS", "ristocetin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000419/' target='_blank''>BGC0000419.1</a>", "NRPS.T3PKS", "ristomycin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000420/' target='_blank''>BGC0000420.1</a>", "indole.NRPS", "histidyltryptophanyldiketopiperazine;dehydrohistidyltryptophanyldiketopiperazine;roquefortine D;roquefortine C;glandicoline A;glandicoline B;meleagrine", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000421/' target='_blank''>BGC0000421.1</a>", "NRPS", "safracin A;safracin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000422/' target='_blank''>BGC0000422.1</a>", "NRPS.melanin", "saframycin A;saframycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000423/' target='_blank''>BGC0000423.1</a>", "NRPS", "scabichelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000424/' target='_blank''>BGC0000424.1</a>", "NRPS", "serobactin C;serobactin B;serobactin A", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000425/' target='_blank''>BGC0000425.1</a>", "NRPS", "sessilin A", "Antifungal;Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000426/' target='_blank''>BGC0000426.1</a>", "NRPS", "sevadicin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000427/' target='_blank''>BGC0000427.1</a>", "NRPS-like", "shinorine;4-deoxygadusol;mycosporine glycine", "sunscreen;Antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000428/' target='_blank''>BGC0000428.1</a>", "NRPS", "sibiromycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000429/' target='_blank''>BGC0000429.1</a>", "arylpolyene.ladderane.NRPS", "RP-1776", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000430/' target='_blank''>BGC0000430.1</a>", "NRPS", "spumigin E", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000431/' target='_blank''>BGC0000431.1</a>", "NRPS", "stenothricin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000432/' target='_blank''>BGC0000432.1</a>", "NRPS", "streptothricin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000433/' target='_blank''>BGC0000433.1</a>", "NRPS", "surfactin", "Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000434/' target='_blank''>BGC0000434.1</a>", "NRPS", "SW-163C;UK-63598;SW-163E;SW-163F;SW-163G", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000435/' target='_blank''>BGC0000435.1</a>", "NRPS", "syringafactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000436/' target='_blank''>BGC0000436.1</a>", "T1PKS.NRPS", "syringolin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000437/' target='_blank''>BGC0000437.1</a>", "NRPS", "syringomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000438/' target='_blank''>BGC0000438.1</a>", "NRPS", "syringopeptin 25A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000439/' target='_blank''>BGC0000439.1</a>", "NRPS", "taromycin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000440/' target='_blank''>BGC0000440.1</a>", "NRPS.T3PKS", "teicoplanin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000441/' target='_blank''>BGC0000441.1</a>", "NRPS.T3PKS", "teicoplanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000442/' target='_blank''>BGC0000442.1</a>", "NRPS-like.indole", "terrequinone A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000443/' target='_blank''>BGC0000443.1</a>", "NRPS", "thanamycin", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000444/' target='_blank''>BGC0000444.1</a>", "NRPS", "thaxtomin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000445/' target='_blank''>BGC0000445.1</a>", "NRPS", "thiocoraline", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000446/' target='_blank''>BGC0000446.1</a>", "NRPS", "tilivalline;9-deoxy tilivalline;dihydroxy tilivalline;dehydro tilivalline;dihydroxy-dehydro tilivalline", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000447/' target='_blank''>BGC0000447.1</a>", "NRPS", "tolaasin I;tolaasin F", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000448/' target='_blank''>BGC0000448.1</a>", "NRPS", "tomaymycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000449/' target='_blank''>BGC0000449.1</a>", "NRPS", "tridecaptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000450/' target='_blank''>BGC0000450.1</a>", "NRPS", "triostin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000451/' target='_blank''>BGC0000451.1</a>", "NaN", "turnerbactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000452/' target='_blank''>BGC0000452.1</a>", "NRPS", "tyrocidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000453/' target='_blank''>BGC0000453.1</a>", "NRPS", "valinomycin", "Antibacterial;Antifungal;Cytotoxic;Antiviral"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000454/' target='_blank''>BGC0000454.1</a>", "NRPS", "vanchrobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000455/' target='_blank''>BGC0000455.1</a>", "NRPS.T3PKS", "vancomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000457/' target='_blank''>BGC0000457.1</a>", "NRPS", "vicibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000458/' target='_blank''>BGC0000458.1</a>", "NRPS", "viomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000459/' target='_blank''>BGC0000459.1</a>", "NRPS.butyrolactone", "griseoviridin;fijimycin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000460/' target='_blank''>BGC0000460.1</a>", "NRPS", "vulnibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000461/' target='_blank''>BGC0000461.1</a>", "NRPS", "WAP-8294A2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000463/' target='_blank''>BGC0000463.1</a>", "NRPS", "xantholysin A;xantholysin B;xantholysin C", "Antibacterial;Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000464/' target='_blank''>BGC0000464.1</a>", "NRPS", "xenoamicin A;xenoamicin B", "antiparasitic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000465/' target='_blank''>BGC0000465.1</a>", "NRPS", "xenortide A;xenortide B;xenortide C;xenortide D", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000466/' target='_blank''>BGC0000466.1</a>", "NaN", "yatakemycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000467/' target='_blank''>BGC0000467.1</a>", "T1PKS.NRPS", "yersiniabactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000510/' target='_blank''>BGC0000510.1</a>", "NaN", "epilancin K7", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000513/' target='_blank''>BGC0000513.1</a>", "NaN", "Ery-9;Ery-6;Ery-8;Ery-7;Ery-5;Ery-4;Ery-3", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000520/' target='_blank''>BGC0000520.1</a>", "NaN", "lacticin 3147 A1;lacticin 3147 A2", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000548/' target='_blank''>BGC0000548.1</a>", "NaN", "salivaricin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000550/' target='_blank''>BGC0000550.1</a>", "NaN", "salivaricin G32", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000553/' target='_blank''>BGC0000553.1</a>", "NaN", "SRO15-2212", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000562/' target='_blank''>BGC0000562.1</a>", "NaN", "variacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000584/' target='_blank''>BGC0000584.1</a>", "NaN", "colicin V", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000585/' target='_blank''>BGC0000585.1</a>", "NaN", "microcin C7", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000586/' target='_blank''>BGC0000586.1</a>", "NaN", "microcin E492", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000587/' target='_blank''>BGC0000587.1</a>", "NaN", "microcin H47", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000588/' target='_blank''>BGC0000588.1</a>", "NaN", "microcin L", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000589/' target='_blank''>BGC0000589.1</a>", "NaN", "microcin M", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000590/' target='_blank''>BGC0000590.1</a>", "NaN", "microcin N", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000595/' target='_blank''>BGC0000595.1</a>", "NaN", "SCO-2138", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000596/' target='_blank''>BGC0000596.1</a>", "NaN", "SLI-2138", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000597/' target='_blank''>BGC0000597.1</a>", "NaN", "SWA-2138", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000611/' target='_blank''>BGC0000611.1</a>", "thiopeptide.terpene.LAP", "siomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000621/' target='_blank''>BGC0000621.1</a>", "NaN", "linaclotide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000622/' target='_blank''>BGC0000622.1</a>", "NaN", "megacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000623/' target='_blank''>BGC0000623.1</a>", "NaN", "plantaricin W \u03b1;plantaricin W \u03b2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000630/' target='_blank''>BGC0000630.1</a>", "terpene", "(2R,3S,3'S)-2-hydroxyastaxanthin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000631/' target='_blank''>BGC0000631.1</a>", "terpene", "botrydial", "phytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000632/' target='_blank''>BGC0000632.1</a>", "terpene", "brasilicardin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000633/' target='_blank''>BGC0000633.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000634/' target='_blank''>BGC0000634.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000635/' target='_blank''>BGC0000635.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000636/' target='_blank''>BGC0000636.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000637/' target='_blank''>BGC0000637.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000638/' target='_blank''>BGC0000638.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000639/' target='_blank''>BGC0000639.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000640/' target='_blank''>BGC0000640.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000641/' target='_blank''>BGC0000641.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000642/' target='_blank''>BGC0000642.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000643/' target='_blank''>BGC0000643.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000644/' target='_blank''>BGC0000644.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000645/' target='_blank''>BGC0000645.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000646/' target='_blank''>BGC0000646.1</a>", "terpene", "\u03b2-carotein", "Antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000647/' target='_blank''>BGC0000647.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000648/' target='_blank''>BGC0000648.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000649/' target='_blank''>BGC0000649.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000650/' target='_blank''>BGC0000650.1</a>", "terpene", "carotenoid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000651/' target='_blank''>BGC0000651.1</a>", "terpene", "KS-505a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000652/' target='_blank''>BGC0000652.1</a>", "T3PKS.terpene", "napyradiomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000653/' target='_blank''>BGC0000653.1</a>", "terpene", "pentalenolactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000654/' target='_blank''>BGC0000654.1</a>", "PKS-like.terpene", "phenalinolactone A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000655/' target='_blank''>BGC0000655.1</a>", "thiopeptide.terpene.LAP", "siomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000656/' target='_blank''>BGC0000656.1</a>", "terpene", "zeaxanthin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000657/' target='_blank''>BGC0000657.1</a>", "terpene", "2-methylisoborneol", "Odorous metabolite"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000658/' target='_blank''>BGC0000658.1</a>", "terpene", "2-methylisoborneol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000659/' target='_blank''>BGC0000659.1</a>", "terpene", "2-methylisoborneol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000660/' target='_blank''>BGC0000660.1</a>", "terpene", "albaflavenone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000661/' target='_blank''>BGC0000661.1</a>", "terpene", "geosmin", "Odorous metabolite"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000662/' target='_blank''>BGC0000662.1</a>", "melanin", "grixazone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000663/' target='_blank''>BGC0000663.1</a>", "terpene", "hopene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000664/' target='_blank''>BGC0000664.1</a>", "terpene", "isorenieratene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000665/' target='_blank''>BGC0000665.1</a>", "NaN", "xiamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000666/' target='_blank''>BGC0000666.1</a>", "NaN", "xiamycin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000667/' target='_blank''>BGC0000667.1</a>", "terpene", "PR-toxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000668/' target='_blank''>BGC0000668.1</a>", "other", "12-epi-hapalindole C isonitrile;12-epi-hapalindole E;12-epi-fischerindole U isonitrile;fischerindole L;12-epi-fischerindole I isonitrile;welwitindolinone A isonitrile;welwitindolinone B isothiocyanate;welwitindolinone C isothiocyanate;N-methylwelwitindolinone C isothiocyanate;N-methylwelwitinsolinone C isonitrile;3-epi-welwitindolinone B isothiocyanate;3-(Z-2'-isocyanoethenyl)-indole", "Antifungal;Cytotoxic;Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000669/' target='_blank''>BGC0000669.1</a>", "terpene", "marneral", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000670/' target='_blank''>BGC0000670.1</a>", "NaN", "thalianol;thaliandiol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000671/' target='_blank''>BGC0000671.1</a>", "terpene", "momilactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000672/' target='_blank''>BGC0000672.1</a>", "terpene", "phytocassane;oryzalides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000673/' target='_blank''>BGC0000673.1</a>", "NaN", "pimara-8(14),15-diene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000674/' target='_blank''>BGC0000674.1</a>", "terpene", "(-)-\u03b4-cadinene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000675/' target='_blank''>BGC0000675.1</a>", "terpene", "(+)-T-muurolol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000676/' target='_blank''>BGC0000676.1</a>", "terpene", "aphidicolin;aphidicolan-16\u03b2-ol;3-deoxyaphidicolin;17-deoxyaphidicolin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000677/' target='_blank''>BGC0000677.1</a>", "NaN", "cyclooctatin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000678/' target='_blank''>BGC0000678.1</a>", "terpene", "pentalenolactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000679/' target='_blank''>BGC0000679.1</a>", "T3PKS", "diazepinomicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000682/' target='_blank''>BGC0000682.1</a>", "T1PKS", "terretonin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000684/' target='_blank''>BGC0000684.1</a>", "T1PKS", "asperthecin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000685/' target='_blank''>BGC0000685.1</a>", "terpene", "brassicicene C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000686/' target='_blank''>BGC0000686.1</a>", "NaN", "helvolic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000687/' target='_blank''>BGC0000687.1</a>", "NaN", "phyllocladan-16\u03b1-ol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000688/' target='_blank''>BGC0000688.1</a>", "terpene", "copalyl diphosphate", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000689/' target='_blank''>BGC0000689.1</a>", "amglyccycl", "2-deoxystreptamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000690/' target='_blank''>BGC0000690.1</a>", "amglyccycl", "hydroxystreptomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000691/' target='_blank''>BGC0000691.1</a>", "amglyccycl", "acarbose", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000692/' target='_blank''>BGC0000692.1</a>", "amglyccycl", "apramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000693/' target='_blank''>BGC0000693.1</a>", "amglyccycl", "butirosin A;butirosin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000694/' target='_blank''>BGC0000694.1</a>", "amglyccycl", "butirosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000695/' target='_blank''>BGC0000695.1</a>", "indole", "fortimicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000696/' target='_blank''>BGC0000696.1</a>", "amglyccycl", "gentamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000698/' target='_blank''>BGC0000698.1</a>", "NaN", "hygromycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000699/' target='_blank''>BGC0000699.1</a>", "amglyccycl", "hygromycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000700/' target='_blank''>BGC0000700.1</a>", "melanin.amglyccycl", "istamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000701/' target='_blank''>BGC0000701.1</a>", "amglyccycl", "jinggangmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000702/' target='_blank''>BGC0000702.1</a>", "amglyccycl", "kanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000703/' target='_blank''>BGC0000703.1</a>", "NaN", "kanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000704/' target='_blank''>BGC0000704.1</a>", "amglyccycl", "kanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000705/' target='_blank''>BGC0000705.1</a>", "amglyccycl", "kanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000706/' target='_blank''>BGC0000706.1</a>", "NaN", "kanamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000707/' target='_blank''>BGC0000707.1</a>", "NaN", "kasugamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000708/' target='_blank''>BGC0000708.1</a>", "amglyccycl", "lividomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000709/' target='_blank''>BGC0000709.1</a>", "amglyccycl", "neomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000711/' target='_blank''>BGC0000711.1</a>", "amglyccycl", "neomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000712/' target='_blank''>BGC0000712.1</a>", "NRPS-like.amglyccycl", "paromomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000713/' target='_blank''>BGC0000713.1</a>", "amglyccycl", "ribostamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000714/' target='_blank''>BGC0000714.1</a>", "amglyccycl", "sisomicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000715/' target='_blank''>BGC0000715.1</a>", "amglyccycl", "actinospectacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000716/' target='_blank''>BGC0000716.1</a>", "amglyccycl", "spectinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000719/' target='_blank''>BGC0000719.1</a>", "amglyccycl", "tobramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000720/' target='_blank''>BGC0000720.1</a>", "amglyccycl", "tobramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000721/' target='_blank''>BGC0000721.1</a>", "amglyccycl", "tobramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000722/' target='_blank''>BGC0000722.1</a>", "amglyccycl", "validamycin A", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000723/' target='_blank''>BGC0000723.1</a>", "amglyccycl", "\u03b2-D-galactosylvalidoxylamine-A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000724/' target='_blank''>BGC0000724.1</a>", "amglyccycl", "streptomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000725/' target='_blank''>BGC0000725.1</a>", "NaN", "alginate", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000727/' target='_blank''>BGC0000727.1</a>", "NRPS-like", "indigoidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000728/' target='_blank''>BGC0000728.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000729/' target='_blank''>BGC0000729.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000730/' target='_blank''>BGC0000730.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000731/' target='_blank''>BGC0000731.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000732/' target='_blank''>BGC0000732.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000733/' target='_blank''>BGC0000733.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000734/' target='_blank''>BGC0000734.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000735/' target='_blank''>BGC0000735.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000736/' target='_blank''>BGC0000736.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000737/' target='_blank''>BGC0000737.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000738/' target='_blank''>BGC0000738.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000739/' target='_blank''>BGC0000739.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000740/' target='_blank''>BGC0000740.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000741/' target='_blank''>BGC0000741.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000742/' target='_blank''>BGC0000742.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000743/' target='_blank''>BGC0000743.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000744/' target='_blank''>BGC0000744.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000745/' target='_blank''>BGC0000745.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000746/' target='_blank''>BGC0000746.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000747/' target='_blank''>BGC0000747.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000748/' target='_blank''>BGC0000748.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000749/' target='_blank''>BGC0000749.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000751/' target='_blank''>BGC0000751.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000752/' target='_blank''>BGC0000752.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000753/' target='_blank''>BGC0000753.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000754/' target='_blank''>BGC0000754.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000755/' target='_blank''>BGC0000755.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000756/' target='_blank''>BGC0000756.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000757/' target='_blank''>BGC0000757.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000758/' target='_blank''>BGC0000758.1</a>", "NaN", "capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000759/' target='_blank''>BGC0000759.1</a>", "NaN", "diutan polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000760/' target='_blank''>BGC0000760.1</a>", "NaN", "emulsan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000761/' target='_blank''>BGC0000761.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000762/' target='_blank''>BGC0000762.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000763/' target='_blank''>BGC0000763.1</a>", "NaN", "stewartan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000764/' target='_blank''>BGC0000764.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000765/' target='_blank''>BGC0000765.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000766/' target='_blank''>BGC0000766.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000767/' target='_blank''>BGC0000767.1</a>", "NaN", "exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000768/' target='_blank''>BGC0000768.1</a>", "NaN", "gellan polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000769/' target='_blank''>BGC0000769.1</a>", "NaN", "glycopeptidolipid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000770/' target='_blank''>BGC0000770.1</a>", "NaN", "lipo-oligosaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000772/' target='_blank''>BGC0000772.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000773/' target='_blank''>BGC0000773.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000774/' target='_blank''>BGC0000774.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000775/' target='_blank''>BGC0000775.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000776/' target='_blank''>BGC0000776.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000777/' target='_blank''>BGC0000777.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000778/' target='_blank''>BGC0000778.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000779/' target='_blank''>BGC0000779.1</a>", "NaN", "lipopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000780/' target='_blank''>BGC0000780.1</a>", "NaN", "O&K-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000781/' target='_blank''>BGC0000781.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000782/' target='_blank''>BGC0000782.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000783/' target='_blank''>BGC0000783.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000784/' target='_blank''>BGC0000784.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000785/' target='_blank''>BGC0000785.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000786/' target='_blank''>BGC0000786.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000787/' target='_blank''>BGC0000787.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000788/' target='_blank''>BGC0000788.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000789/' target='_blank''>BGC0000789.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000790/' target='_blank''>BGC0000790.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000791/' target='_blank''>BGC0000791.1</a>", "NaN", "O-antigen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000792/' target='_blank''>BGC0000792.1</a>", "NaN", "polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000793/' target='_blank''>BGC0000793.1</a>", "NaN", "lipopolysaccharide oligosaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000794/' target='_blank''>BGC0000794.1</a>", "NaN", "S-layer glycan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000795/' target='_blank''>BGC0000795.1</a>", "NaN", "S-layer glycan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000797/' target='_blank''>BGC0000797.1</a>", "NaN", "sphingan polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000798/' target='_blank''>BGC0000798.1</a>", "NaN", "dhurrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000799/' target='_blank''>BGC0000799.1</a>", "NaN", "colanic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000800/' target='_blank''>BGC0000800.1</a>", "NaN", "xanthan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000801/' target='_blank''>BGC0000801.1</a>", "NaN", "galactoglucan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000802/' target='_blank''>BGC0000802.1</a>", "NaN", "succinoglycan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000803/' target='_blank''>BGC0000803.1</a>", "NaN", "GG exopolysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000804/' target='_blank''>BGC0000804.1</a>", "NaN", "acarviostatin I03;acarviostatin II03;acarviostatin III03;acarviostatin IV03", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000805/' target='_blank''>BGC0000805.1</a>", "NaN", "moenomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000806/' target='_blank''>BGC0000806.1</a>", "other", "phosphonoglycans", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000807/' target='_blank''>BGC0000807.1</a>", "other", "phosphonoglycans", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000809/' target='_blank''>BGC0000809.1</a>", "indole.thiopeptide.LAP", "AT2433-A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000810/' target='_blank''>BGC0000810.1</a>", "NaN", "benzoxazinone DIMBOA", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000811/' target='_blank''>BGC0000811.1</a>", "indole", "fumigaclavine C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000812/' target='_blank''>BGC0000812.1</a>", "NaN", "huperzine A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000813/' target='_blank''>BGC0000813.1</a>", "indole", "K-252a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000814/' target='_blank''>BGC0000814.1</a>", "indole", "K-252a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000815/' target='_blank''>BGC0000815.1</a>", "NaN", "loline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000816/' target='_blank''>BGC0000816.1</a>", "indole.NRPS", "malbrancheamide A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000817/' target='_blank''>BGC0000817.1</a>", "indole", "methylarcyriarubin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000818/' target='_blank''>BGC0000818.1</a>", "indole.NRPS", "notoamide A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000819/' target='_blank''>BGC0000819.1</a>", "indole.NRPS", "paraherquamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000820/' target='_blank''>BGC0000820.1</a>", "NaN", "physostigmine", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000821/' target='_blank''>BGC0000821.1</a>", "indole", "rebeccamycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000822/' target='_blank''>BGC0000822.1</a>", "indole", "rebeccamycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000823/' target='_blank''>BGC0000823.1</a>", "indole", "rebeccamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000825/' target='_blank''>BGC0000825.1</a>", "indole", "staurosporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000826/' target='_blank''>BGC0000826.1</a>", "indole", "staurosporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000827/' target='_blank''>BGC0000827.1</a>", "indole", "staurosporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000829/' target='_blank''>BGC0000829.1</a>", "indole", "violacein", "Antibacterial;Cytotoxic;Signalling;antitumor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000830/' target='_blank''>BGC0000830.1</a>", "indole", "violacein", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000831/' target='_blank''>BGC0000831.1</a>", "indole", "violacein", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000832/' target='_blank''>BGC0000832.1</a>", "PKS-like.aminocoumarin", "clorobiocin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000833/' target='_blank''>BGC0000833.1</a>", "PKS-like.aminocoumarin", "coumermycin A1", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000834/' target='_blank''>BGC0000834.1</a>", "aminocoumarin", "cathomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000835/' target='_blank''>BGC0000835.1</a>", "aminocoumarin", "simocyclinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000836/' target='_blank''>BGC0000836.1</a>", "arylpolyene", "APE Ec", "Antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000837/' target='_blank''>BGC0000837.1</a>", "arylpolyene", "APE Vf", "Antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000838/' target='_blank''>BGC0000838.1</a>", "arylpolyene.resorcinol", "flexirubin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000839/' target='_blank''>BGC0000839.1</a>", "arylpolyene", "flexirubin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000840/' target='_blank''>BGC0000840.1</a>", "NaN", "xanthomonadin I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000841/' target='_blank''>BGC0000841.1</a>", "blactam", "alanylclavam;2-hydroxymethylclavam;2-formyloxymethylclavam;clavam-2-carboxylate;clavulanic acid", "Antifungal;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000842/' target='_blank''>BGC0000842.1</a>", "blactam", "carbapenem MM4550", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000843/' target='_blank''>BGC0000843.1</a>", "blactam", "alanylclavam;2-hydroxymethylclavam;2-formyloxymethylclavam;clavam-2-carboxylate", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000844/' target='_blank''>BGC0000844.1</a>", "NaN", "clavulanic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000845/' target='_blank''>BGC0000845.1</a>", "blactam", "clavulanic acid", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000846/' target='_blank''>BGC0000846.1</a>", "blactam", "tabtoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000847/' target='_blank''>BGC0000847.1</a>", "blactam", "thienamycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000848/' target='_blank''>BGC0000848.1</a>", "butyrolactone", "A-factor", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000849/' target='_blank''>BGC0000849.1</a>", "butyrolactone", "SCB1;SCB2;SCB3", "Signalling"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000850/' target='_blank''>BGC0000850.1</a>", "butyrolactone", "\u03b3-butyrolactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000851/' target='_blank''>BGC0000851.1</a>", "CDPS", "albonoursin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000852/' target='_blank''>BGC0000852.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000853/' target='_blank''>BGC0000853.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000854/' target='_blank''>BGC0000854.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000855/' target='_blank''>BGC0000855.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000856/' target='_blank''>BGC0000856.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000857/' target='_blank''>BGC0000857.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000858/' target='_blank''>BGC0000858.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000859/' target='_blank''>BGC0000859.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000860/' target='_blank''>BGC0000860.1</a>", "ectoine", "ectoine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000861/' target='_blank''>BGC0000861.1</a>", "PUFA.hglE-KS", "eicosapentaenoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000862/' target='_blank''>BGC0000862.1</a>", "PUFA.hglE-KS", "eicosapentaenoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000863/' target='_blank''>BGC0000863.1</a>", "PUFA.hglE-KS", "eicosapentaenoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000864/' target='_blank''>BGC0000864.1</a>", "T1PKS.PUFA.hglE-KS", "eicosapentaenoic acid-like compound", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000865/' target='_blank''>BGC0000865.1</a>", "PUFA.hglE-KS", "eicoseicosapentaenoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000866/' target='_blank''>BGC0000866.1</a>", "NaN", "polyhydroxyalkanoate", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000867/' target='_blank''>BGC0000867.1</a>", "NaN", "polyhydroxyalkanoic acids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000868/' target='_blank''>BGC0000868.1</a>", "NaN", "teichuronic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000869/' target='_blank''>BGC0000869.1</a>", "T1PKS.hglE-KS", "heterocyst glycolipids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000870/' target='_blank''>BGC0000870.1</a>", "NaN", "mycolic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000871/' target='_blank''>BGC0000871.1</a>", "NRPS-like", "VEPE;AEPE;TG-1", "Signalling"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000872/' target='_blank''>BGC0000872.1</a>", "nucleoside.T3PKS", "A-90289 A;A-90289 B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000873/' target='_blank''>BGC0000873.1</a>", "arylpolyene.nucleoside", "A-201A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000876/' target='_blank''>BGC0000876.1</a>", "NRPS-like", "neopolyoxin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000877/' target='_blank''>BGC0000877.1</a>", "nucleoside", "polyoxin A;polyoxin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000878/' target='_blank''>BGC0000878.1</a>", "nucleoside", "puromycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000879/' target='_blank''>BGC0000879.1</a>", "nucleoside", "toyocamycin;sangivamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000880/' target='_blank''>BGC0000880.1</a>", "nucleoside", "tunicamycin B1", "Antibacterial;Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000881/' target='_blank''>BGC0000881.1</a>", "nucleoside", "toyocamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000882/' target='_blank''>BGC0000882.1</a>", "NaN", "mildiomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000883/' target='_blank''>BGC0000883.1</a>", "NaN", "arginomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000884/' target='_blank''>BGC0000884.1</a>", "NaN", "3-methylarginine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000885/' target='_blank''>BGC0000885.1</a>", "melanin", "4-hydroxy-3-nitrosobenzamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000886/' target='_blank''>BGC0000886.1</a>", "NaN", "allylmalonyl-CoA", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000887/' target='_blank''>BGC0000887.1</a>", "NaN", "saxitoxin;gonyautoxin 2;gonyautoxin 3;toxin C2;toxin C3;gonyautoxin 5;decarbamoylsaxitoxin;decarbamoylgonyautoxin 2;decarbamoylgonyautoxin 3", "Neurotoxic;neurotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000888/' target='_blank''>BGC0000888.1</a>", "other", "bacilysin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000889/' target='_blank''>BGC0000889.1</a>", "melanin", "bagremycin A;bagremycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000890/' target='_blank''>BGC0000890.1</a>", "PBDE", "pentabromopseudilin", "Antibacterial;Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000891/' target='_blank''>BGC0000891.1</a>", "PBDE", "pentabromopseudilin", "Antibacterial;Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000892/' target='_blank''>BGC0000892.1</a>", "NaN", "caryoynencin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000893/' target='_blank''>BGC0000893.1</a>", "NRPS-like", "chloramphenicol", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000894/' target='_blank''>BGC0000894.1</a>", "NaN", "citrinin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000895/' target='_blank''>BGC0000895.1</a>", "NaN", "citrulline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000896/' target='_blank''>BGC0000896.1</a>", "NaN", "cycloserine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000897/' target='_blank''>BGC0000897.1</a>", "phosphonate", "dehydrophos", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000898/' target='_blank''>BGC0000898.1</a>", "NaN", "desosamine", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000899/' target='_blank''>BGC0000899.1</a>", "NaN", "desosamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000900/' target='_blank''>BGC0000900.1</a>", "NRPS", "ferrichrome", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000901/' target='_blank''>BGC0000901.1</a>", "NRPS", "ferrichrome", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000902/' target='_blank''>BGC0000902.1</a>", "T3PKS", "flaviolin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000903/' target='_blank''>BGC0000903.1</a>", "NaN", "fluorometabolite", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000904/' target='_blank''>BGC0000904.1</a>", "phosphonate", "FR-900098", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000905/' target='_blank''>BGC0000905.1</a>", "NaN", "heme D1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000906/' target='_blank''>BGC0000906.1</a>", "NaN", "heme D1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000907/' target='_blank''>BGC0000907.1</a>", "other", "lincomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000908/' target='_blank''>BGC0000908.1</a>", "melanin", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000909/' target='_blank''>BGC0000909.1</a>", "melanin", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000910/' target='_blank''>BGC0000910.1</a>", "melanin", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000911/' target='_blank''>BGC0000911.1</a>", "melanin", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000912/' target='_blank''>BGC0000912.1</a>", "melanin", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000913/' target='_blank''>BGC0000913.1</a>", "NaN", "MK-8", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000914/' target='_blank''>BGC0000914.1</a>", "furan.butyrolactone", "methylenomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000915/' target='_blank''>BGC0000915.1</a>", "other", "mitomycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000916/' target='_blank''>BGC0000916.1</a>", "NaN", "molybdenum cofactor", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000917/' target='_blank''>BGC0000917.1</a>", "NaN", "molybdenum cofactor", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000918/' target='_blank''>BGC0000918.1</a>", "NaN", "ochronotic pigment", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000919/' target='_blank''>BGC0000919.1</a>", "NaN", "phaseolotoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000920/' target='_blank''>BGC0000920.1</a>", "NaN", "polyhydroxyalkanoates", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000921/' target='_blank''>BGC0000921.1</a>", "NRPS-like", "promysalin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000922/' target='_blank''>BGC0000922.1</a>", "NaN", "pseudomonas quinolone signal (PQS)", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000923/' target='_blank''>BGC0000923.1</a>", "NaN", "paerucumarin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000924/' target='_blank''>BGC0000924.1</a>", "other", "pyrrolnitrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000925/' target='_blank''>BGC0000925.1</a>", "NaN", "quinolobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000926/' target='_blank''>BGC0000926.1</a>", "phosphonate", "rhizocticin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000928/' target='_blank''>BGC0000928.1</a>", "NaN", "T3 toxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000929/' target='_blank''>BGC0000929.1</a>", "NaN", "xanthothricin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000930/' target='_blank''>BGC0000930.1</a>", "terpene", "deoxynivalenol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000932/' target='_blank''>BGC0000932.1</a>", "tropodithietic-acid", "tropodithietic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000933/' target='_blank''>BGC0000933.1</a>", "NaN", "xiamenmycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000934/' target='_blank''>BGC0000934.1</a>", "T3PKS.phenazine", "5-acetyl-5,10-dihydrophenazine-1-carboxylic acid;5-(2-hydroxyacetyl)-5,10-dihydrophenazine-1-carboxylic acid;endophenazine A1;endophenazine F;endophenazine G", "Antibacterial;Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000935/' target='_blank''>BGC0000935.1</a>", "T1PKS.PKS-like.phenazine", "esmeraldin", "Pigment"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000936/' target='_blank''>BGC0000936.1</a>", "phenazine", "pyocyanine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000937/' target='_blank''>BGC0000937.1</a>", "phosphonate", "fosfazinomycin A", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000938/' target='_blank''>BGC0000938.1</a>", "other", "fosfomycin", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000939/' target='_blank''>BGC0000939.1</a>", "siderophore", "aerobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000940/' target='_blank''>BGC0000940.1</a>", "siderophore", "desferrioxamin B;desferrioxamine E", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000941/' target='_blank''>BGC0000941.1</a>", "siderophore", "desferrioxamin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000942/' target='_blank''>BGC0000942.1</a>", "siderophore", "petrobactin", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000943/' target='_blank''>BGC0000943.1</a>", "siderophore", "staphylobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000944/' target='_blank''>BGC0000944.1</a>", "siderophore", "staphyloferrin A", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000946/' target='_blank''>BGC0000946.1</a>", "siderophore", "vibrioferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000947/' target='_blank''>BGC0000947.1</a>", "siderophore", "vibrioferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000948/' target='_blank''>BGC0000948.1</a>", "NaN", "\u03b1-galactosylceramide", "agonist of CD1d-restricted natural killer T (iNKT) cells"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000949/' target='_blank''>BGC0000949.1</a>", "blactam.NRPS", "A-500359 A;A-500359 B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000950/' target='_blank''>BGC0000950.1</a>", "NRPS", "napsamycin A;napsamycin B;napsamycin C;napsamycin D;mureidomycin A;mureidomycin B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000951/' target='_blank''>BGC0000951.1</a>", "NRPS", "pacidamycin 1;pacidamycin 2;pacidamycin 3;pacidamycin 4;pacidamycin 5;pacidamycin 6;pacidamycin 7;pacidamycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000953/' target='_blank''>BGC0000953.1</a>", "NRPS-like", "amicetin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000954/' target='_blank''>BGC0000954.1</a>", "T1PKS.NRPS", "ajudazol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000955/' target='_blank''>BGC0000955.1</a>", "T1PKS.NRPS", "althiomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000956/' target='_blank''>BGC0000956.1</a>", "arylpolyene.NRPS", "andrimid", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000957/' target='_blank''>BGC0000957.1</a>", "T1PKS.NRPS-like", "mycotrienin I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000958/' target='_blank''>BGC0000958.1</a>", "T1PKS.NRPS", "antimycin", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000959/' target='_blank''>BGC0000959.1</a>", "T1PKS.NRPS", "aspyridone A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000960/' target='_blank''>BGC0000960.1</a>", "T1PKS.NRPS", "azinomycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000961/' target='_blank''>BGC0000961.1</a>", "T1PKS.hserlactone.NRPS", "bactobolin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000962/' target='_blank''>BGC0000962.1</a>", "T1PKS.NRPS", "barbamide", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000963/' target='_blank''>BGC0000963.1</a>", "T1PKS.NRPS", "bleomycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000964/' target='_blank''>BGC0000964.1</a>", "NRPS", "burkholdac A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000965/' target='_blank''>BGC0000965.1</a>", "T1PKS.NRPS", "C-1027", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000966/' target='_blank''>BGC0000966.1</a>", "T1PKS.NRPS", "caerulomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000967/' target='_blank''>BGC0000967.1</a>", "NRPS.transAT-PKS-like.PKS-like.transAT-PKS", "calyculin A;phosphocalyculin A;calyculinamide A;dephosphonocalyculin A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000968/' target='_blank''>BGC0000968.1</a>", "T1PKS.NRPS", "chaetoglobosins", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000969/' target='_blank''>BGC0000969.1</a>", "T1PKS.NRPS", "chondramide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000970/' target='_blank''>BGC0000970.1</a>", "T1PKS.NRPS-like.NRPS", "chondrochloren A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000971/' target='_blank''>BGC0000971.1</a>", "T1PKS.transAT-PKS-like.NRPS", "cinnabaramide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000972/' target='_blank''>BGC0000972.1</a>", "T1PKS.NRPS", "N-myristoyl-D-asparagine;cis-7-tetradecenoyl-D-asparagine;(R)-N1-((S)-5-oxohexan-2-yl)-2-tetradecanamidosuccinamide", "Antibacterial;moderate antagonist of dopamine 5 and 5-hydroxytryptamine 7 receptors "], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000973/' target='_blank''>BGC0000973.1</a>", "T1PKS.NRPS", "collismycin A", "Neuroprotectant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000974/' target='_blank''>BGC0000974.1</a>", "T1PKS.NRPS", "crocacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000975/' target='_blank''>BGC0000975.1</a>", "T1PKS.NRPS", "cryptophycin-327", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000976/' target='_blank''>BGC0000976.1</a>", "T1PKS.NRPS.T3PKS.PKS-like", "curacin A", "anti-tubulin"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000977/' target='_blank''>BGC0000977.1</a>", "T1PKS.indole.NRPS", "cyclopiazonic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000978/' target='_blank''>BGC0000978.1</a>", "T1PKS.NRPS-like", "cylindrospermopsin", "Cytotoxic;Neurotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000979/' target='_blank''>BGC0000979.1</a>", "T1PKS.NRPS-like", "cylindrospermopsin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000980/' target='_blank''>BGC0000980.1</a>", "T1PKS.NRPS-like", "cylindrospermopsin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000981/' target='_blank''>BGC0000981.1</a>", "T1PKS.NRPS-like", "cylindrospermopsin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000982/' target='_blank''>BGC0000982.1</a>", "T1PKS.NRPS", "cystothiazole A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000983/' target='_blank''>BGC0000983.1</a>", "T1PKS.NRPS", "cytochalasin E;cytochalasin K", "Inhibitor;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000984/' target='_blank''>BGC0000984.1</a>", "T1PKS.NRPS", "delftibactin A;delftibactin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000985/' target='_blank''>BGC0000985.1</a>", "NRPS", "didemnin B;nordidemnin B;didemnin X;didemnin Y", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000986/' target='_blank''>BGC0000986.1</a>", "T1PKS.bacteriocin.NRPS", "dkxanthene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000988/' target='_blank''>BGC0000988.1</a>", "T1PKS.NRPS", "epothilone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000989/' target='_blank''>BGC0000989.1</a>", "T1PKS.NRPS", "epothilone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000990/' target='_blank''>BGC0000990.1</a>", "T1PKS.NRPS", "epothilone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000991/' target='_blank''>BGC0000991.1</a>", "T1PKS.NRPS", "epothilone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000992/' target='_blank''>BGC0000992.1</a>", "T1PKS.indole.NRPS", "fusaridione A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000993/' target='_blank''>BGC0000993.1</a>", "NRPS", "FR901228", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000994/' target='_blank''>BGC0000994.1</a>", "T1PKS.NRPS", "FR-900520", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000995/' target='_blank''>BGC0000995.1</a>", "PKS-like.NRPS.transAT-PKS", "FR901464", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000996/' target='_blank''>BGC0000996.1</a>", "T1PKS.NRPS", "frontalamide B", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000997/' target='_blank''>BGC0000997.1</a>", "T1PKS.NRPS", "glidobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000998/' target='_blank''>BGC0000998.1</a>", "T1PKS.NRPS", "guadinomine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0000999/' target='_blank''>BGC0000999.1</a>", "T1PKS.NRPS", "heat-stable antifungal factor", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001000/' target='_blank''>BGC0001000.1</a>", "T1PKS.NRPS", "hectochlorin", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001001/' target='_blank''>BGC0001001.1</a>", "T1PKS.NRPS.PKS-like.T3PKS", "jamaicamide A;jamaicamide B;jamaicamide C", "Sodium channel blocking"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001002/' target='_blank''>BGC0001002.1</a>", "T1PKS.NRPS", "jawsamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001003/' target='_blank''>BGC0001003.1</a>", "T1PKS.NRPS", "\u03b1-lipomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001004/' target='_blank''>BGC0001004.1</a>", "T1PKS.oligosaccharide", "lobophorin B", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001005/' target='_blank''>BGC0001005.1</a>", "transAT-PKS-like.NRPS", "locillomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001006/' target='_blank''>BGC0001006.1</a>", "T1PKS.NRPS-like", "lymphostin;neolymphostinol B;lymphostinol;neolymphostin B", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001007/' target='_blank''>BGC0001007.1</a>", "T1PKS.NRPS-like", "lymphostin;neolymphostinol B;lymphostinol;neolymphostin b", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001008/' target='_blank''>BGC0001008.1</a>", "T1PKS.NRPS", "maduropeptin", "Antibacterial;Antioxidant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001009/' target='_blank''>BGC0001009.1</a>", "T1PKS.NRPS", "melithiazol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001010/' target='_blank''>BGC0001010.1</a>", "T1PKS.NRPS", "melithiazol A", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001011/' target='_blank''>BGC0001011.1</a>", "T1PKS.NRPS", "meridamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001012/' target='_blank''>BGC0001012.1</a>", "T1PKS.NRPS", "meridamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001013/' target='_blank''>BGC0001013.1</a>", "T1PKS.NRPS", "meridamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001014/' target='_blank''>BGC0001014.1</a>", "T1PKS.NRPS", "micacocidin", "Antibacterial;Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001015/' target='_blank''>BGC0001015.1</a>", "T1PKS.NRPS", "microcystin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001016/' target='_blank''>BGC0001016.1</a>", "T1PKS.NRPS", "microcystin", "Hepatotoxin"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001017/' target='_blank''>BGC0001017.1</a>", "T1PKS.NRPS", "microcystin LR", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001018/' target='_blank''>BGC0001018.1</a>", "NRPS", "micropeptin K139", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001019/' target='_blank''>BGC0001019.1</a>", "T1PKS.NRPS", "microsclerodermin M", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001020/' target='_blank''>BGC0001020.1</a>", "nucleoside.NRPS.thiopeptide.LAP", "muraymycin C1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001021/' target='_blank''>BGC0001021.1</a>", "NRPS", "mycobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001022/' target='_blank''>BGC0001022.1</a>", "T1PKS.NRPS", "myxalamid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001023/' target='_blank''>BGC0001023.1</a>", "T1PKS.NRPS", "myxochromide S1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001024/' target='_blank''>BGC0001024.1</a>", "T1PKS.NRPS", "myxothiazol", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001025/' target='_blank''>BGC0001025.1</a>", "PKS-like.transAT-PKS-like.NRPS.transAT-PKS", "myxovirescin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001026/' target='_blank''>BGC0001026.1</a>", "T1PKS.NRPS", "NG-391", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001027/' target='_blank''>BGC0001027.1</a>", "NRPS", "nocobactin NA", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001028/' target='_blank''>BGC0001028.1</a>", "T1PKS.NRPS", "nostopeptolide A2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001029/' target='_blank''>BGC0001029.1</a>", "T1PKS.NRPS", "nostophycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001030/' target='_blank''>BGC0001030.1</a>", "T1PKS.NRPS", "ochratoxin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001031/' target='_blank''>BGC0001031.1</a>", "T3PKS.transAT-PKS-like.PKS-like.transAT-PKS", "oocydin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001032/' target='_blank''>BGC0001032.1</a>", "T3PKS.transAT-PKS-like.PKS-like.transAT-PKS", "oocydin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001033/' target='_blank''>BGC0001033.1</a>", "T1PKS.NRPS", "paenilamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001034/' target='_blank''>BGC0001034.1</a>", "T1PKS.NRPS", "pellasoren", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001035/' target='_blank''>BGC0001035.1</a>", "T1PKS.betalactone.NRPS", "pneumocandin B0;pneumocandin A0", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001036/' target='_blank''>BGC0001036.1</a>", "T1PKS.NRPS", "polyoxypeptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001037/' target='_blank''>BGC0001037.1</a>", "T1PKS.NRPS", "pseurotin;azaspirene", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001038/' target='_blank''>BGC0001038.1</a>", "T1PKS.amglyccycl", "pyralomicin 1a", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001039/' target='_blank''>BGC0001039.1</a>", "T1PKS.NRPS", "pyridomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001040/' target='_blank''>BGC0001040.1</a>", "T1PKS.NRPS", "rapamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001041/' target='_blank''>BGC0001041.1</a>", "T1PKS.NRPS", "salinosporamide A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001042/' target='_blank''>BGC0001042.1</a>", "T1PKS.NRPS.hglE-KS.PKS-like", "sanglifehrin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001043/' target='_blank''>BGC0001043.1</a>", "T1PKS.NRPS", "SGR PTMs", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001044/' target='_blank''>BGC0001044.1</a>", "indole.NRPS", "sirodesmin PL", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001045/' target='_blank''>BGC0001045.1</a>", "NRPS", "spiruchostatin A", "Antifungal;Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001046/' target='_blank''>BGC0001046.1</a>", "T1PKS.NRPS.terpene", "streptolydigin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001047/' target='_blank''>BGC0001047.1</a>", "T1PKS.NRPS", "syringolin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001048/' target='_blank''>BGC0001048.1</a>", "T1PKS.NRPS", "tallysomycin A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001049/' target='_blank''>BGC0001049.1</a>", "T1PKS.NRPS", "tenellin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001050/' target='_blank''>BGC0001050.1</a>", "NRPS", "thalassospiramide A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001051/' target='_blank''>BGC0001051.1</a>", "T1PKS.NRPS", "thuggacin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001052/' target='_blank''>BGC0001052.1</a>", "T1PKS.NRPS", "tirandamycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001053/' target='_blank''>BGC0001053.1</a>", "T1PKS.NRPS", "tubulysin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001054/' target='_blank''>BGC0001054.1</a>", "T1PKS.NRPS", "xenocoumacin 1;xenocoumacin II", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001055/' target='_blank''>BGC0001055.1</a>", "T1PKS.NRPS", "yersiniabactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001056/' target='_blank''>BGC0001056.1</a>", "T1PKS.PUFA.NRPS.hglE-KS", "zeamine;zeamine I;zeamine II;prezeamine;prezeamine I", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001057/' target='_blank''>BGC0001057.1</a>", "T1PKS.NRPS", "zearalenone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001058/' target='_blank''>BGC0001058.1</a>", "NRPS", "zorbamycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001059/' target='_blank''>BGC0001059.1</a>", "T1PKS.NRPS", "zwittermicin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001060/' target='_blank''>BGC0001060.1</a>", "T1PKS", "dynemicin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001061/' target='_blank''>BGC0001061.1</a>", "T1PKS.T2PKS.PKS-like", "polyketomycin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001062/' target='_blank''>BGC0001062.1</a>", "T1PKS.T2PKS.PKS-like", "TLN-05220", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001063/' target='_blank''>BGC0001063.1</a>", "T1PKS.NRPS-like", "undecylprodigiosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001064/' target='_blank''>BGC0001064.1</a>", "T1PKS.PKS-like.T3PKS", "cylindrocyclophane D;cylindrocyclophane E;cylindrocyclophane F", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001065/' target='_blank''>BGC0001065.1</a>", "T1PKS.nucleoside.T3PKS", "herboxidiene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001066/' target='_blank''>BGC0001066.1</a>", "T1PKS.NRPS-like.T3PKS", "kendomycin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001067/' target='_blank''>BGC0001067.1</a>", "T1PKS", "fumagillin;\u03b2-trans-bergamotene;fumagillol", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001068/' target='_blank''>BGC0001068.1</a>", "T1PKS", "pyripyropene A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001069/' target='_blank''>BGC0001069.1</a>", "T1PKS.transAT-PKS-like.NRPS.transAT-PKS", "chivosazol", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001070/' target='_blank''>BGC0001070.1</a>", "T1PKS.NRPS.transAT-PKS", "kirromycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001071/' target='_blank''>BGC0001071.1</a>", "transAT-PKS.NRPS.T3PKS.T1PKS.PKS-like", "nosperin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001072/' target='_blank''>BGC0001072.1</a>", "T1PKS.ladderane.T2PKS.aminocoumarin", "simocyclinone D8", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001073/' target='_blank''>BGC0001073.1</a>", "T2PKS.ectoine", "kosinostatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001074/' target='_blank''>BGC0001074.1</a>", "T2PKS.oligosaccharide.PKS-like", "cosmomycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001075/' target='_blank''>BGC0001075.1</a>", "arylpolyene", "aurachin RE", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001076/' target='_blank''>BGC0001076.1</a>", "nucleoside.T3PKS", "liposidomycin B;liposidomycin A;liposidomycin C;liposidomycin Z;liposidomycin H;liposidomycin G;liposidomycin L;liposidomycin M;liposidomycin K;liposidomycin N", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001077/' target='_blank''>BGC0001077.1</a>", "T3PKS", "alkyl-O-dihydrogeranyl-methoxyhydroquinones", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001078/' target='_blank''>BGC0001078.1</a>", "T3PKS.terpene", "furaquinocin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001079/' target='_blank''>BGC0001079.1</a>", "T3PKS.terpene", "napyradiomycin A80915C", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001080/' target='_blank''>BGC0001080.1</a>", "T3PKS.phenazine", "endophenazine A;endophenazine B", "Antibacterial;Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001082/' target='_blank''>BGC0001082.1</a>", "indole.terpene", "paxilline;paspaline;13-dehydroxypaxilline;paspaline B", "Inhibitor;Antiviral"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001083/' target='_blank''>BGC0001083.1</a>", "T3PKS.NRPS.butyrolactone.terpene", "merochlorin A;merochlorin B;deschloro-merochlorin A;deschloro-merochlorin B;isochloro-merochlorin B;dichloro-merochlorin B;merochlorin D;merochlorin C", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001084/' target='_blank''>BGC0001084.1</a>", "indole.NRPS", "notoamide A", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001085/' target='_blank''>BGC0001085.1</a>", "NRPS.indole", "teleocidin B1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001088/' target='_blank''>BGC0001088.1</a>", "transAT-PKS-like.NRPS", "albicidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001089/' target='_blank''>BGC0001089.1</a>", "T3PKS.NRPS.transAT-PKS", "bacillaene", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001090/' target='_blank''>BGC0001090.1</a>", "NRPS.transAT-PKS", "bacillomycin D", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001091/' target='_blank''>BGC0001091.1</a>", "NRPS-like.PKS-like.transAT-PKS", "corallopyronin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001093/' target='_blank''>BGC0001093.1</a>", "NRPS.transAT-PKS", "disorazol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001094/' target='_blank''>BGC0001094.1</a>", "T1PKS.transAT-PKS-like", "enacyloxin IIa", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001095/' target='_blank''>BGC0001095.1</a>", "betalactone.NRPS", "fengycin", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001096/' target='_blank''>BGC0001096.1</a>", "PKS-like.NRPS.transAT-PKS", "FR901464", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001098/' target='_blank''>BGC0001098.1</a>", "NRPS.transAT-PKS", "iturin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001099/' target='_blank''>BGC0001099.1</a>", "PKS-like.T3PKS.NRPS.transAT-PKS", "kalimantacin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001100/' target='_blank''>BGC0001100.1</a>", "NRPS", "lankacidin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001101/' target='_blank''>BGC0001101.1</a>", "NRPS.transAT-PKS", "leinamycin", "Antibacterial;Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001102/' target='_blank''>BGC0001102.1</a>", "T1PKS.NRPS.transAT-PKS", "malleilactone", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001103/' target='_blank''>BGC0001103.1</a>", "NRPS.transAT-PKS", "mycosubtilin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001104/' target='_blank''>BGC0001104.1</a>", "PKS-like", "myxovirescin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001105/' target='_blank''>BGC0001105.1</a>", "transAT-PKS-like.NRPS.T3PKS", "onnamide A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001106/' target='_blank''>BGC0001106.1</a>", "NRPS.transAT-PKS", "oxalomycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001108/' target='_blank''>BGC0001108.1</a>", "NRPS.transAT-PKS", "pederin;pseudopederin;pederone", "Cytotoxic;Inhibitor;dermatotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001109/' target='_blank''>BGC0001109.1</a>", "NRPS.transAT-PKS", "pederin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001110/' target='_blank''>BGC0001110.1</a>", "PKS-like.transAT-PKS-like.NRPS.transAT-PKS", "psymberin;irciniastatin B", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001111/' target='_blank''>BGC0001111.1</a>", "NRPS.transAT-PKS", "rhizopodin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001112/' target='_blank''>BGC0001112.1</a>", "transAT-PKS-like.NRPS.transAT-PKS", "rhizoxin A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001113/' target='_blank''>BGC0001113.1</a>", "PKS-like.NRPS.transAT-PKS", "spliceostatin;FR901464", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001114/' target='_blank''>BGC0001114.1</a>", "PKS-like.transAT-PKS-like.NRPS.transAT-PKS", "thailanstatin A", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001115/' target='_blank''>BGC0001115.1</a>", "NRPS.T3PKS.PKS-like.transAT-PKS", "thiomarinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001116/' target='_blank''>BGC0001116.1</a>", "PKS-like.NRPS.transAT-PKS", "virginiamycin S1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001117/' target='_blank''>BGC0001117.1</a>", "NRPS", "himastatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001118/' target='_blank''>BGC0001118.1</a>", "T1PKS", "endocrocin", "inhibits neutrophil recruitment, immunosuppressive"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001119/' target='_blank''>BGC0001119.1</a>", "T1PKS.NRPS-like", "divergolide A;divergolide B;divergolide C;divergolide D", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001120/' target='_blank''>BGC0001120.1</a>", "NaN", "burkholderic acid", "Antibacterial;Cytotoxic;Siderophore;Virulence factor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001122/' target='_blank''>BGC0001122.1</a>", "T1PKS.NRPS", "dihydroisoflavipucine;isoflavipucine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001123/' target='_blank''>BGC0001123.1</a>", "NRPS", "aspirochlorine", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001124/' target='_blank''>BGC0001124.1</a>", "T1PKS", "pyranonigrin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001125/' target='_blank''>BGC0001125.1</a>", "T1PKS.NRPS", "puwainaphycin A;puwainaphycin B;puwainaphycin C;puwainaphycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001126/' target='_blank''>BGC0001126.1</a>", "other", "12-epi-hapalindole J isonitrile;ambiguine A isonitrile;ambiguine B isonitrile;ambiguine C isonitrile;ambiguine D isonitrile;ambiguine E isonitrile;ambiguine K isonitrile;ambiguine L isonitrile;ambiguine I isonitrile;ambiguine J isonitrile", "Antifungal;Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001127/' target='_blank''>BGC0001127.1</a>", "NRPS", "jagaricin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001128/' target='_blank''>BGC0001128.1</a>", "NRPS", "luminmide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001130/' target='_blank''>BGC0001130.1</a>", "T1PKS.PUFA.NRPS.hglE-KS", "fabclavine Ia", "Antibacterial;Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001131/' target='_blank''>BGC0001131.1</a>", "NRPS", "ambactin", "weakly bioactive against Trypanosoma brucei rhodesiense"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001132/' target='_blank''>BGC0001132.1</a>", "NRPS", "xenotetrapeptide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001133/' target='_blank''>BGC0001133.1</a>", "NRPS", "taxlllaid A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001134/' target='_blank''>BGC0001134.1</a>", "NaN", "photopyrone A;photopyrone B;photopyrone C;photopyrone D;photopyrone E;photopyrone F;photopyrone G;photopyrone H", "Signalling"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001135/' target='_blank''>BGC0001135.1</a>", "NRPS", "bicornutin A1;bicornutin A2", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001136/' target='_blank''>BGC0001136.1</a>", "T1PKS.NRPS", "desmethylbassianin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001137/' target='_blank''>BGC0001137.1</a>", "NaN", "marinacarboline A;marinacarboline B;marinacarboline C;marinacarboline D", "antimalarial  ;antimalarial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001138/' target='_blank''>BGC0001138.1</a>", "NaN", "a201a", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001140/' target='_blank''>BGC0001140.1</a>", "NaN", "platensimycin;platencin", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001141/' target='_blank''>BGC0001141.1</a>", "T1PKS", "4-epi-15-epi-brefeldin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001142/' target='_blank''>BGC0001142.1</a>", "NRPS", "tryptoquialanine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001143/' target='_blank''>BGC0001143.1</a>", "T1PKS", "azanigerone A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001144/' target='_blank''>BGC0001144.1</a>", "T1PKS.indole", "neosartoricin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001148/' target='_blank''>BGC0001148.1</a>", "bacteriocin.NRPS.fused.T3PKS", "pheganomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001149/' target='_blank''>BGC0001149.1</a>", "NRPS", "brabantamide A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001150/' target='_blank''>BGC0001150.1</a>", "NaN", "pamamycin-607", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001151/' target='_blank''>BGC0001151.1</a>", "blactam", "valclavam;(-)-2-(2-hydroxyethyl)clavam", "Antifungal;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001152/' target='_blank''>BGC0001152.1</a>", "NRPS", "fusaricidin B", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001153/' target='_blank''>BGC0001153.1</a>", "NRPS", "polymyxin B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001154/' target='_blank''>BGC0001154.1</a>", "aminocoumarin", "cacibiocin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001156/' target='_blank''>BGC0001156.1</a>", "NaN", "platencin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001159/' target='_blank''>BGC0001159.1</a>", "T1PKS", "marinopyrrole A;marinopyrrole E;marinopyrrole D;marinopyrrole C;marinopyrrole B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001160/' target='_blank''>BGC0001160.1</a>", "T1PKS.NRPS-like", "1-nonadecene;(14Z)-1,14-nonadecadiene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001161/' target='_blank''>BGC0001161.1</a>", "T1PKS.NRPS-like", "1-heptadecene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001162/' target='_blank''>BGC0001162.1</a>", "T1PKS.NRPS-like", "1-heptadecene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001163/' target='_blank''>BGC0001163.1</a>", "T1PKS.NRPS-like", "1-heptadecene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001164/' target='_blank''>BGC0001164.1</a>", "T1PKS.NRPS-like", "1-heptadecene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001165/' target='_blank''>BGC0001165.1</a>", "T1PKS.NRPS.PKS-like.T3PKS", "curacin A", "anti-tubulin"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001166/' target='_blank''>BGC0001166.1</a>", "NRPS", "HC-toxin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001168/' target='_blank''>BGC0001168.1</a>", "NRPS-like", "livipeptin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001169/' target='_blank''>BGC0001169.1</a>", "T1PKS", "piericidin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001172/' target='_blank''>BGC0001172.1</a>", "T1PKS", "chlorizidine A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001177/' target='_blank''>BGC0001177.1</a>", "T2PKS", "mensacaricin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001178/' target='_blank''>BGC0001178.1</a>", "NRPS.T3PKS", "UK-68,597", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001179/' target='_blank''>BGC0001179.1</a>", "T2PKS.PKS-like", "rishirilide B;rishirilide A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001182/' target='_blank''>BGC0001182.1</a>", "T1PKS.NRPS", "chaetoglobosins", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001183/' target='_blank''>BGC0001183.1</a>", "T1PKS.oligosaccharide.NRPS.T3PKS", "lobophorin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001184/' target='_blank''>BGC0001184.1</a>", "other", "bacilysin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001185/' target='_blank''>BGC0001185.1</a>", "NRPS", "bacillibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001186/' target='_blank''>BGC0001186.1</a>", "T3PKS.transAT-PKS-like.transAT-PKS", "misakinolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001187/' target='_blank''>BGC0001187.1</a>", "T1PKS.NRPS", "xenolozoyenone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001189/' target='_blank''>BGC0001189.1</a>", "NRPS", "taiwachelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001190/' target='_blank''>BGC0001190.1</a>", "T1PKS.NRPS-like", "fusaric acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001191/' target='_blank''>BGC0001191.1</a>", "blactam", "A-102395", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001192/' target='_blank''>BGC0001192.1</a>", "NRPS", "colistin A;colistin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001193/' target='_blank''>BGC0001193.1</a>", "NRPS", "thiolutin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001194/' target='_blank''>BGC0001194.1</a>", "T1PKS", "hitachimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001195/' target='_blank''>BGC0001195.1</a>", "T1PKS.NRPS", "nocardiopsin A;nocardiopsin B;nocardiopsin C;nocardiopsin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001196/' target='_blank''>BGC0001196.1</a>", "NRPS", "desotamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001197/' target='_blank''>BGC0001197.1</a>", "T2PKS", "frankiamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001198/' target='_blank''>BGC0001198.1</a>", "NaN", "(+)-O-methylkolavelool", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001199/' target='_blank''>BGC0001199.1</a>", "T1PKS", "akaeolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001200/' target='_blank''>BGC0001200.1</a>", "T1PKS", "lorneic acid A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001201/' target='_blank''>BGC0001201.1</a>", "terpene", "eremophilene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001202/' target='_blank''>BGC0001202.1</a>", "T1PKS.NRPS", "landepoxcin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001203/' target='_blank''>BGC0001203.1</a>", "T1PKS.NRPS", "clarexpoxcin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001204/' target='_blank''>BGC0001204.1</a>", "T1PKS", "versipelostatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001205/' target='_blank''>BGC0001205.1</a>", "T1PKS.indole", "communesin A;communesin B;communesin C;communesin D;communesin E;communesin G;communesin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001206/' target='_blank''>BGC0001206.1</a>", "NaN", "indolmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001207/' target='_blank''>BGC0001207.1</a>", "NRPS", "teixobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001211/' target='_blank''>BGC0001211.1</a>", "NRPS", "albachelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001212/' target='_blank''>BGC0001212.1</a>", "T1PKS.NRPS", "nannocystin a", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001213/' target='_blank''>BGC0001213.1</a>", "T1PKS.PKS-like.hglE-KS", "nataxazole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001214/' target='_blank''>BGC0001214.1</a>", "NRPS", "marformycin A;marformycin B;marformycin C;marformycin D;marformycin E;marformycin F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001215/' target='_blank''>BGC0001215.1</a>", "T1PKS.NRPS-like", "conglobatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001216/' target='_blank''>BGC0001216.1</a>", "T1PKS.NRPS", "splenocin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001217/' target='_blank''>BGC0001217.1</a>", "NaN", "PreQ0 Base", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001218/' target='_blank''>BGC0001218.1</a>", "T1PKS.NRPS", "fumosorinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001219/' target='_blank''>BGC0001219.1</a>", "NaN", "shanorellin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001220/' target='_blank''>BGC0001220.1</a>", "NRPS", "aculeacin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001221/' target='_blank''>BGC0001221.1</a>", "phenazine", "marinophenazine A;phenaziterpene A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001223/' target='_blank''>BGC0001223.1</a>", "indole", "hydroxysporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001224/' target='_blank''>BGC0001224.1</a>", "indole", "reductasporine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001225/' target='_blank''>BGC0001225.1</a>", "NRPS", "celesticetin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001227/' target='_blank''>BGC0001227.1</a>", "terpene", "isorenieratene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001228/' target='_blank''>BGC0001228.1</a>", "NRPS", "retimycin A", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001230/' target='_blank''>BGC0001230.1</a>", "T1PKS.NRPS", "salinamide A;salinamide B;salinamide C;salinamide D;salinamide E;salinamide F;desmethylsalinamide C;desmethylsalinamide E", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001231/' target='_blank''>BGC0001231.1</a>", "T1PKS.NRPS", "microsclerodermin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001233/' target='_blank''>BGC0001233.1</a>", "NRPS.T3PKS", "feglymycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001235/' target='_blank''>BGC0001235.1</a>", "T1PKS.NRPS", "antalid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001236/' target='_blank''>BGC0001236.1</a>", "T1PKS.NRPS", "thiotetroamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001237/' target='_blank''>BGC0001237.1</a>", "T1PKS.NRPS", "thiolactomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001238/' target='_blank''>BGC0001238.1</a>", "NaN", "biotin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001239/' target='_blank''>BGC0001239.1</a>", "NaN", "biotin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001240/' target='_blank''>BGC0001240.1</a>", "NRPS", "serinocyclin A;serinocyclin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001241/' target='_blank''>BGC0001241.1</a>", "indole", "ergotamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001242/' target='_blank''>BGC0001242.1</a>", "T1PKS", "oxyjavanicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001244/' target='_blank''>BGC0001244.1</a>", "T1PKS", "(-)-Mellein", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001245/' target='_blank''>BGC0001245.1</a>", "T1PKS", "lasiodiplodin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001246/' target='_blank''>BGC0001246.1</a>", "T1PKS", "trans-resorcylide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001248/' target='_blank''>BGC0001248.1</a>", "NaN", "clavaric acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001249/' target='_blank''>BGC0001249.1</a>", "NRPS", "dimethylcoprogen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001250/' target='_blank''>BGC0001250.1</a>", "NRPS", "epichloenin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001251/' target='_blank''>BGC0001251.1</a>", "NRPS", "epichloenin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001252/' target='_blank''>BGC0001252.1</a>", "T1PKS", "UNII-YC2Q1O94PT", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001254/' target='_blank''>BGC0001254.1</a>", "T1PKS", "ACT-Toxin II", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001255/' target='_blank''>BGC0001255.1</a>", "T1PKS.NRPS", "equisetin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001257/' target='_blank''>BGC0001257.1</a>", "T1PKS", "1,3,6,8-tetrahydroxynaphthalene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001258/' target='_blank''>BGC0001258.1</a>", "T1PKS", "1,3,6,8-tetrahydroxynaphthalene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001260/' target='_blank''>BGC0001260.1</a>", "indole.terpene", "terpendole E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001261/' target='_blank''>BGC0001261.1</a>", "NRPS", "AM-toxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001262/' target='_blank''>BGC0001262.1</a>", "NaN", "AK-toxin I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001264/' target='_blank''>BGC0001264.1</a>", "T1PKS", "betaenone A;betaenone B;betaenone C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001265/' target='_blank''>BGC0001265.1</a>", "T1PKS", "melanin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001266/' target='_blank''>BGC0001266.1</a>", "T1PKS", "grayanic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001267/' target='_blank''>BGC0001267.1</a>", "indole", "lysergic acid;elymoclavine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001268/' target='_blank''>BGC0001268.1</a>", "T1PKS.NRPS", "fusarin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001273/' target='_blank''>BGC0001273.1</a>", "T1PKS", "asperlactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001275/' target='_blank''>BGC0001275.1</a>", "T1PKS", "6-methylsalicyclic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001276/' target='_blank''>BGC0001276.1</a>", "T1PKS", "6-methylsalicyclic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001277/' target='_blank''>BGC0001277.1</a>", "terpene", "nivalenol;vomitoxin;3-acetyldeoxynivalenol;15-acetyldeoxynivalenol;neosolaniol;calonectrin;apotrichodiol;isotrichotriol;15-deacetylcalonectrin;T-2 toxin;3-acetyl T-2 toxin;trichodiene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001278/' target='_blank''>BGC0001278.1</a>", "terpene", "nivalenol;deoxynivalenol;3-acetyldeoxynivalenol;15-acetyldeoxynivalenol;neosolaniol;calonectrin;apotrichodiol;isotrichotriol;15-decalonectrin;T-2 toxin;3-acetyl T-2 toxin;trichodiene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001280/' target='_blank''>BGC0001280.1</a>", "T1PKS", "betaenone C;betaenone A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001281/' target='_blank''>BGC0001281.1</a>", "T1PKS", "ustilagic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001283/' target='_blank''>BGC0001283.1</a>", "T1PKS.PKS-like", "arsono-polyketide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001284/' target='_blank''>BGC0001284.1</a>", "T1PKS", "alternariol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001285/' target='_blank''>BGC0001285.1</a>", "PpyS-KS", "pseudopyronine A;pseudopyronine B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001286/' target='_blank''>BGC0001286.1</a>", "NaN", "itaconic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001287/' target='_blank''>BGC0001287.1</a>", "T1PKS.NRPS-like", "chaxamycin A;chaxamycin B;chaxamycin C;chaxamycin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001288/' target='_blank''>BGC0001288.1</a>", "T1PKS.PKS-like", "maklamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001290/' target='_blank''>BGC0001290.1</a>", "T1PKS.NRPS", "emericellamide A;emericellamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001292/' target='_blank''>BGC0001292.1</a>", "PKS-like.hglE-KS", "A33853", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001293/' target='_blank''>BGC0001293.1</a>", "T1PKS", "cyclizidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001294/' target='_blank''>BGC0001294.1</a>", "indole", "7-prenylisatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001295/' target='_blank''>BGC0001295.1</a>", "NaN", "cremeomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001296/' target='_blank''>BGC0001296.1</a>", "T1PKS", "streptazone E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001297/' target='_blank''>BGC0001297.1</a>", "ladderane.NRPS", "WS9326", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001298/' target='_blank''>BGC0001298.1</a>", "T1PKS", "4-Z-annimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001299/' target='_blank''>BGC0001299.1</a>", "transAT-PKS", "chlorotonil A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001300/' target='_blank''>BGC0001300.1</a>", "transAT-PKS", "anthracimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001301/' target='_blank''>BGC0001301.1</a>", "transAT-PKS", "anthracimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001302/' target='_blank''>BGC0001302.1</a>", "phenazine", "lomofungin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001303/' target='_blank''>BGC0001303.1</a>", "T1PKS", "lobosamide A;lobosamide B;lobosamide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001304/' target='_blank''>BGC0001304.1</a>", "T1PKS", "aflavarin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001305/' target='_blank''>BGC0001305.1</a>", "T1PKS", "fujikurin A;fujikurin B;fujikurin C;fujikurin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001306/' target='_blank''>BGC0001306.1</a>", "NaN", "asperipin 2a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001310/' target='_blank''>BGC0001310.1</a>", "T3PKS", "naringenin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001312/' target='_blank''>BGC0001312.1</a>", "NRPS", "viscosin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001313/' target='_blank''>BGC0001313.1</a>", "NaN", "arabidiol-baruol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001314/' target='_blank''>BGC0001314.1</a>", "NaN", "tirucalla", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001315/' target='_blank''>BGC0001315.1</a>", "NaN", "cucurbitacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001316/' target='_blank''>BGC0001316.1</a>", "NaN", "linamarin;lotaustralin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001317/' target='_blank''>BGC0001317.1</a>", "NaN", "lupeol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001318/' target='_blank''>BGC0001318.1</a>", "NaN", "linamarin;lotaustralin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001321/' target='_blank''>BGC0001321.1</a>", "terpene", "monoterpenes-diterpenes", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001322/' target='_blank''>BGC0001322.1</a>", "terpene", "lycosantalonol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001323/' target='_blank''>BGC0001323.1</a>", "terpene", "monoterpenes-diterpenes", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001324/' target='_blank''>BGC0001324.1</a>", "terpene", "monoterpenes-diterpenes", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001325/' target='_blank''>BGC0001325.1</a>", "NaN", "noscapine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001327/' target='_blank''>BGC0001327.1</a>", "T1PKS.NRPS", "rakicidin A;rakicidin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001328/' target='_blank''>BGC0001328.1</a>", "T1PKS.NRPS", "rakicidin A;rakicidin B", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001329/' target='_blank''>BGC0001329.1</a>", "T1PKS.NRPS", "rakicidin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001330/' target='_blank''>BGC0001330.1</a>", "T1PKS.NRPS.terpene", "BE-43547A1;BE-43547A2;BE-43547B1;BE-43547B2;BE-43547B3;BE-43547C1;BE-43547C2", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001331/' target='_blank''>BGC0001331.1</a>", "T1PKS.NRPS", "BE-43547A1;BE-43547A2;BE-43547B1;BE-43547B2;BE-43547B3;BE-43547C1;BE-43547C2", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001332/' target='_blank''>BGC0001332.1</a>", "T1PKS.NRPS", "microtermolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001333/' target='_blank''>BGC0001333.1</a>", "indole", "BE-54017", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001334/' target='_blank''>BGC0001334.1</a>", "indole", "caldoniamide A;cladoniamide B;cladoniamide C7;cladoniamide D;cladoniamide E;cladoniamide F;cladoniamide G", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001335/' target='_blank''>BGC0001335.1</a>", "indole", "borregomycin A;borregomycin B;borregomycin C;borregomycin D", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001336/' target='_blank''>BGC0001336.1</a>", "indole", "erdasporine A;erdasporine B;erdasporine C", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001337/' target='_blank''>BGC0001337.1</a>", "indole", "lazarimide A;lazarimide B;lazarimide C", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001338/' target='_blank''>BGC0001338.1</a>", "T1PKS", "citrinin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001339/' target='_blank''>BGC0001339.1</a>", "T1PKS.terpene", "squalestatin S1", "Antifungal;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001340/' target='_blank''>BGC0001340.1</a>", "T1PKS", "byssochlamic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001341/' target='_blank''>BGC0001341.1</a>", "NRPS", "valinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001342/' target='_blank''>BGC0001342.1</a>", "T1PKS.NRPS", "Cmc-thuggacin A;Cmc-thuggacin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001343/' target='_blank''>BGC0001343.1</a>", "ladderane", "aurachin A;aurachin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001344/' target='_blank''>BGC0001344.1</a>", "T1PKS.NRPS", "tubulysin A;tubulysin B;tubulysin C;tubulysin D;tubulysin E;tubulysin F;tubulysin G;tubulysin H;tubulysin I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001345/' target='_blank''>BGC0001345.1</a>", "NRPS", "myxochelin A;myxochelin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001346/' target='_blank''>BGC0001346.1</a>", "NRPS", "bananamide 1;bananamide 2;bananamide 3", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001348/' target='_blank''>BGC0001348.1</a>", "T1PKS", "JBIR-100", "Antibacterial;Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001349/' target='_blank''>BGC0001349.1</a>", "T1PKS", "heronamide A;heronamide B;heronamide C;heronamide D;heronamide E;heronamide F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001350/' target='_blank''>BGC0001350.1</a>", "T3PKS.transAT-PKS-like.PKS-like.transAT-PKS", "phormidolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001357/' target='_blank''>BGC0001357.1</a>", "T1PKS.PKS-like.T3PKS", "carbamidocyclophane A;carbamidocyclophane B;carbamidocyclophane C;carbamidocyclophane D;carbamidocyclophane E;carbamidocyclophane F;carbamidocyclophane H;carbamidocyclophane M;carbamidocyclophane N;carbamidocyclophane O;carbamidocyclophane P;carbamidocyclophane Q;carbamidocyclophane R;carbamidocyclophane S;carbamidocyclophane T;carbamidocyclophane U", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001358/' target='_blank''>BGC0001358.1</a>", "T1PKS.NRPS", "leucinostatin A;leucinostatin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001360/' target='_blank''>BGC0001360.1</a>", "T1PKS", "mycophenolic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001361/' target='_blank''>BGC0001361.1</a>", "terpene", "sodorifen", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001362/' target='_blank''>BGC0001362.1</a>", "tropodithietic-acid", "tropodithietic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001363/' target='_blank''>BGC0001363.1</a>", "T1PKS.NRPS", "ralsolamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001365/' target='_blank''>BGC0001365.1</a>", "indole.NRPS", "clapurines", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001366/' target='_blank''>BGC0001366.1</a>", "T2PKS", "BE-24566B;zunyimycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001367/' target='_blank''>BGC0001367.1</a>", "T1PKS.NRPS", "haliamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001368/' target='_blank''>BGC0001368.1</a>", "NRPS", "JBIR-126", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001369/' target='_blank''>BGC0001369.1</a>", "ladderane", "metatricycloene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001370/' target='_blank''>BGC0001370.1</a>", "NRPS", "lipopeptide 8D1-1;lipopeptide 8D1-2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001371/' target='_blank''>BGC0001371.1</a>", "betalactone.NRPS", "echinocandin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001372/' target='_blank''>BGC0001372.1</a>", "NRPS.indole", "penigequinolone A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001373/' target='_blank''>BGC0001373.1</a>", "T1PKS.terpene", "sordarin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001374/' target='_blank''>BGC0001374.1</a>", "NaN", "thienodolin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001375/' target='_blank''>BGC0001375.1</a>", "indole", "penitrem A;penitrem B;penitrem C;penitrem D;penitrem E;penitrem F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001376/' target='_blank''>BGC0001376.1</a>", "T2PKS", "WS79089A;hexaricin B;hexaricin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001377/' target='_blank''>BGC0001377.1</a>", "T1PKS", "uncialamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001378/' target='_blank''>BGC0001378.1</a>", "T1PKS", "tiancimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001379/' target='_blank''>BGC0001379.1</a>", "NRPS-like", "BD-12", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001380/' target='_blank''>BGC0001380.1</a>", "NaN", "salecan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001381/' target='_blank''>BGC0001381.1</a>", "T1PKS.NRPS-like", "brasilinolide A;brasilinolide B;brasilinolide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001383/' target='_blank''>BGC0001383.1</a>", "transAT-PKS", "macrolactin H;macrolactin B;macrolactin 1c;macrolactin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001384/' target='_blank''>BGC0001384.1</a>", "T2PKS.oligosaccharide", "saprolmycin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001386/' target='_blank''>BGC0001386.1</a>", "T2PKS", "JBIR-76;JBIR-77", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001387/' target='_blank''>BGC0001387.1</a>", "NaN", "nucleocidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001389/' target='_blank''>BGC0001389.1</a>", "NRPS", "cichopeptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001390/' target='_blank''>BGC0001390.1</a>", "T1PKS.NRPS-like", "LL-Z1272beta", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001393/' target='_blank''>BGC0001393.1</a>", "NRPS", "lugdunin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001394/' target='_blank''>BGC0001394.1</a>", "T1PKS.NRPS", "phenalamide A2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001395/' target='_blank''>BGC0001395.1</a>", "phosphoglycolipid", "teichomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001396/' target='_blank''>BGC0001396.1</a>", "T1PKS", "aldgamycin J;aldgamycin K;aldgamycin P;aldgamycin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001397/' target='_blank''>BGC0001397.1</a>", "T1PKS.NRPS", "lidamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001399/' target='_blank''>BGC0001399.1</a>", "NRPS", "fellutamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001400/' target='_blank''>BGC0001400.1</a>", "T1PKS", "citreoviridin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001402/' target='_blank''>BGC0001402.1</a>", "NRPS", "cyclochlorotine;hydroxy-cyclochlorotine;cyclotine;cyclochlorotine B;deoxy-Cyclochlorotine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001403/' target='_blank''>BGC0001403.1</a>", "T1PKS", "trypacidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001404/' target='_blank''>BGC0001404.1</a>", "T1PKS", "sorbicillin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001405/' target='_blank''>BGC0001405.1</a>", "T1PKS", "chaetoviridin E;11-epichaetomugilin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001406/' target='_blank''>BGC0001406.1</a>", "NRPS", "telomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001408/' target='_blank''>BGC0001408.1</a>", "siderophore", "xanthoferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001409/' target='_blank''>BGC0001409.1</a>", "T1PKS.T2PKS.PKS-like", "dutomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001410/' target='_blank''>BGC0001410.1</a>", "NaN", "polysaccharide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001411/' target='_blank''>BGC0001411.1</a>", "NaN", "polysaccharide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001412/' target='_blank''>BGC0001412.1</a>", "NaN", "polysaccharide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001413/' target='_blank''>BGC0001413.1</a>", "NRPS", "cystobactamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001414/' target='_blank''>BGC0001414.1</a>", "NRPS", "griselimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001415/' target='_blank''>BGC0001415.1</a>", "T1PKS.NRPS", "althiomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001416/' target='_blank''>BGC0001416.1</a>", "NRPS", "nunapeptin;nunamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001417/' target='_blank''>BGC0001417.1</a>", "T1PKS.NRPS", "myxochromide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001418/' target='_blank''>BGC0001418.1</a>", "T1PKS.NRPS", "myxochromide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001419/' target='_blank''>BGC0001419.1</a>", "T1PKS.NRPS", "myxochromide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001420/' target='_blank''>BGC0001420.1</a>", "T1PKS.NRPS", "myxochromide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001421/' target='_blank''>BGC0001421.1</a>", "T1PKS.NRPS", "myxochromide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001422/' target='_blank''>BGC0001422.1</a>", "T1PKS.NRPS", "myxochromide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001423/' target='_blank''>BGC0001423.1</a>", "T1PKS.NRPS", "myxochromide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001424/' target='_blank''>BGC0001424.1</a>", "T1PKS.NRPS", "myxochromide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001425/' target='_blank''>BGC0001425.1</a>", "T1PKS.NRPS", "myxochromide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001426/' target='_blank''>BGC0001426.1</a>", "T1PKS.NRPS", "myxochromide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001427/' target='_blank''>BGC0001427.1</a>", "T1PKS.NRPS", "myxochromide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001428/' target='_blank''>BGC0001428.1</a>", "T1PKS.NRPS", "myxochromide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001429/' target='_blank''>BGC0001429.1</a>", "T1PKS.NRPS", "myxochromide S1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001430/' target='_blank''>BGC0001430.1</a>", "T1PKS.NRPS", "myxochromide S", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001431/' target='_blank''>BGC0001431.1</a>", "T1PKS.NRPS", "myxochromide S", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001432/' target='_blank''>BGC0001432.1</a>", "T1PKS.NRPS", "myxochromide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001433/' target='_blank''>BGC0001433.1</a>", "T1PKS", "argimycin PI;argimycin PII;nigrifactin;argimycin PIV;argimycin PV;argimycin PVI;argimycin PIX", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001434/' target='_blank''>BGC0001434.1</a>", "NRPS", "nematophin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001435/' target='_blank''>BGC0001435.1</a>", "T1PKS.lassopeptide.NRPS", "ikarugamycin", "Antibacterial;Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001436/' target='_blank''>BGC0001436.1</a>", "T1PKS.NRPS-like", "cornexistin", "Herbicidal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001437/' target='_blank''>BGC0001437.1</a>", "hserlactone.NRPS", "obafluorin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001438/' target='_blank''>BGC0001438.1</a>", "T2PKS.oligosaccharide", "warkmycin CS1;warkmycin CS2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001439/' target='_blank''>BGC0001439.1</a>", "T2PKS.oligosaccharide.PKS-like", "antibiotic HKI 10311129;antibiotic A2121-1;cervimycin D;cervimycin C;cervimycin A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001440/' target='_blank''>BGC0001440.1</a>", "betalactone", "cystargolide A;cystargolide B", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001441/' target='_blank''>BGC0001441.1</a>", "betalactone", "belactosin A;belactosin C", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001442/' target='_blank''>BGC0001442.1</a>", "NRPS", "actinonin", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001443/' target='_blank''>BGC0001443.1</a>", "T1PKS.NRPS", "matlystatin A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001444/' target='_blank''>BGC0001444.1</a>", "PKS-like", "caboxamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001445/' target='_blank''>BGC0001445.1</a>", "T1PKS.NRPS", "leporin B", "Siderophore;antiinsectan"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001446/' target='_blank''>BGC0001446.1</a>", "T1PKS", "asparasone A", "Antiinsectan "], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001447/' target='_blank''>BGC0001447.1</a>", "T1PKS", "primycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001448/' target='_blank''>BGC0001448.1</a>", "NRPS", "malacidin A;malacidin B", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001449/' target='_blank''>BGC0001449.1</a>", "T1PKS.NRPS", "ucs1025a", "Antibacterial;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001451/' target='_blank''>BGC0001451.1</a>", "NRPS", "FR900359", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001452/' target='_blank''>BGC0001452.1</a>", "T1PKS.oligosaccharide", "sipanmycin", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001453/' target='_blank''>BGC0001453.1</a>", "siderophore", "desferrioxamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001454/' target='_blank''>BGC0001454.1</a>", "T3PKS", "germicidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001455/' target='_blank''>BGC0001455.1</a>", "T1PKS.NRPS", "antimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001456/' target='_blank''>BGC0001456.1</a>", "terpene", "isorenieratene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001457/' target='_blank''>BGC0001457.1</a>", "T1PKS.NRPS", "jomthonic acid A;jomthonic acid B;jomthonic acid C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001458/' target='_blank''>BGC0001458.1</a>", "butyrolactone", "salinipostin G", "Antimalarial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001459/' target='_blank''>BGC0001459.1</a>", "NRPS.T3PKS", "decaplanin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001460/' target='_blank''>BGC0001460.1</a>", "NRPS.T3PKS", "decaplanin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001461/' target='_blank''>BGC0001461.1</a>", "NRPS.T3PKS", "nogabecin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001462/' target='_blank''>BGC0001462.1</a>", "NRPS.T3PKS", "avoparcin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001463/' target='_blank''>BGC0001463.1</a>", "NaN", "2,3,4,5-tetrabromopyrrole", "Inhibitor;Signalling"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001464/' target='_blank''>BGC0001464.1</a>", "NaN", "tetrabromopyrrole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001465/' target='_blank''>BGC0001465.1</a>", "PBDE", "bromopyrroles/bromophenols", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001467/' target='_blank''>BGC0001467.1</a>", "T1PKS.NRPS", "hapalosin", "Cytotoxic;P-glycoprotein-mediated multiple drug resistance"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001468/' target='_blank''>BGC0001468.1</a>", "CDPS", "bicyclomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001469/' target='_blank''>BGC0001469.1</a>", "NRPS", "marthiapeptide A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001470/' target='_blank''>BGC0001470.1</a>", "transAT-PKS-like.PKS-like.transAT-PKS", "macrobrevin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001475/' target='_blank''>BGC0001475.1</a>", "terpene", "aspterric acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001476/' target='_blank''>BGC0001476.1</a>", "nucleoside", "pseudouridimycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001477/' target='_blank''>BGC0001477.1</a>", "T1PKS.NRPS", "lydicamycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001478/' target='_blank''>BGC0001478.1</a>", "siderophore", "desferrioxamine E", "Siderophore"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001479/' target='_blank''>BGC0001479.1</a>", "NRPS", "anabaenopeptin NZ857;nostamide A", "Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001480/' target='_blank''>BGC0001480.1</a>", "NRPS.butyrolactone", "tundrenone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001483/' target='_blank''>BGC0001483.1</a>", "indole", "5-isoprenylindole-3-carboxylate \u03b2-D-glycosyl ester", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001484/' target='_blank''>BGC0001484.1</a>", "NaN", "2'-chloropentostatin;2'-amino-2'-deoxyadenosine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001487/' target='_blank''>BGC0001487.1</a>", "butyrolactone", "3,7-dihydroxytropolone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001488/' target='_blank''>BGC0001488.1</a>", "NaN", "4-formylaminooxyvinylglycine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001489/' target='_blank''>BGC0001489.1</a>", "T1PKS", "6-hydroxymellein", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001491/' target='_blank''>BGC0001491.1</a>", "T1PKS.NRPS-like", "67-121C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001492/' target='_blank''>BGC0001492.1</a>", "T1PKS", "abyssomicin M;abyssomicin N;abyssomicin O;abyssomicin P;abyssomicin Q;abyssomicin R;abyssomicin S;abyssomicin T;abyssomicin U;abyssomicin V;abyssomicin W;abyssomicin X", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001495/' target='_blank''>BGC0001495.1</a>", "T1PKS", "actinoallolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001497/' target='_blank''>BGC0001497.1</a>", "NRPS", "actinonin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001498/' target='_blank''>BGC0001498.1</a>", "siderophore", "aerobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001499/' target='_blank''>BGC0001499.1</a>", "siderophore", "aerobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001500/' target='_blank''>BGC0001500.1</a>", "T2PKS", "allocyclinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001501/' target='_blank''>BGC0001501.1</a>", "other", "ambiguine P", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001502/' target='_blank''>BGC0001502.1</a>", "NRPS", "amonabactin P 750", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001503/' target='_blank''>BGC0001503.1</a>", "T1PKS.NRPS", "amycolamycin A;amycolamycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001504/' target='_blank''>BGC0001504.1</a>", "T1PKS", "amycomicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001508/' target='_blank''>BGC0001508.1</a>", "T1PKS", "andrastin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001509/' target='_blank''>BGC0001509.1</a>", "NRPS", "anikasin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001510/' target='_blank''>BGC0001510.1</a>", "NaN", "anisomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001511/' target='_blank''>BGC0001511.1</a>", "T1PKS.NRPS-like", "ansamitocin P-3", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001512/' target='_blank''>BGC0001512.1</a>", "T2PKS", "BE-24566B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001513/' target='_blank''>BGC0001513.1</a>", "T2PKS", "anthrabenzoxocinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001514/' target='_blank''>BGC0001514.1</a>", "NaN", "aristeromycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001515/' target='_blank''>BGC0001515.1</a>", "NRPS", "aspercryptins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001516/' target='_blank''>BGC0001516.1</a>", "NRPS-like", "aspergillic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001517/' target='_blank''>BGC0001517.1</a>", "NRPS", "asperphenamate", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001518/' target='_blank''>BGC0001518.1</a>", "NRPS", "astellolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001519/' target='_blank''>BGC0001519.1</a>", "T1PKS.NRPS", "aurantimycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001520/' target='_blank''>BGC0001520.1</a>", "T3PKS.transAT-PKS-like.PKS-like.transAT-PKS", "aurantinin B;aurantinin C;aurantinin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001521/' target='_blank''>BGC0001521.1</a>", "NaN", "auriculamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001522/' target='_blank''>BGC0001522.1</a>", "T1PKS.oligosaccharide", "auroramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001523/' target='_blank''>BGC0001523.1</a>", "T1PKS", "azalomycin F3a", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001524/' target='_blank''>BGC0001524.1</a>", "NRPS", "barnesin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001525/' target='_blank''>BGC0001525.1</a>", "resorcinol", "bartoloside 2;bartoloside 3;bartoloside 4", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001526/' target='_blank''>BGC0001526.1</a>", "resorcinol", "bartolosides E;bartolosides F;bartolosides G;bartolosides H;bartolosides I;bartolosides J;bartolosides K", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001527/' target='_blank''>BGC0001527.1</a>", "NRPS", "basidioferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001528/' target='_blank''>BGC0001528.1</a>", "NaN", "betaestacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001529/' target='_blank''>BGC0001529.1</a>", "NaN", "bezastatin derivates", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001530/' target='_blank''>BGC0001530.1</a>", "CDPS", "bicyclomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001531/' target='_blank''>BGC0001531.1</a>", "siderophore", "bisucaberin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001532/' target='_blank''>BGC0001532.1</a>", "NRPS", "bogorol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001533/' target='_blank''>BGC0001533.1</a>", "T1PKS", "borrelidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001534/' target='_blank''>BGC0001534.1</a>", "NaN", "branched-chain fatty acids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001535/' target='_blank''>BGC0001535.1</a>", "NaN", "branched-chain fatty acids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001536/' target='_blank''>BGC0001536.1</a>", "NRPS", "brevicidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001537/' target='_blank''>BGC0001537.1</a>", "T1PKS", "butyrolactol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001538/' target='_blank''>BGC0001538.1</a>", "PKS-like", "caboxamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001540/' target='_blank''>BGC0001540.1</a>", "NaN", "CC-1065", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001541/' target='_blank''>BGC0001541.1</a>", "T1PKS", "cercosporin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001542/' target='_blank''>BGC0001542.1</a>", "T1PKS", "cercosporin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001543/' target='_blank''>BGC0001543.1</a>", "NRPS-like.transAT-PKS", "chejuenolide A;chejuenolide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001544/' target='_blank''>BGC0001544.1</a>", "T1PKS.NRPS-like", "chlorflavonin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001545/' target='_blank''>BGC0001545.1</a>", "NRPS", "chrysogine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001547/' target='_blank''>BGC0001547.1</a>", "NaN", "citreohybridonol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001551/' target='_blank''>BGC0001551.1</a>", "NaN", "citrulassin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001553/' target='_blank''>BGC0001553.1</a>", "T1PKS.NRPS", "clifednamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001554/' target='_blank''>BGC0001554.1</a>", "NaN", "coenzyme F430", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001555/' target='_blank''>BGC0001555.1</a>", "siderophore", "colicin V", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001556/' target='_blank''>BGC0001556.1</a>", "T1PKS.NRPS", "combamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001557/' target='_blank''>BGC0001557.1</a>", "T1PKS.NRPS-like", "cornexistin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001558/' target='_blank''>BGC0001558.1</a>", "T2PKS.oligosaccharide.PKS-like", "cosmomycin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001559/' target='_blank''>BGC0001559.1</a>", "T1PKS.NRPS", "crocagin A;crocagin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001560/' target='_blank''>BGC0001560.1</a>", "T1PKS.NRPS", "cryptomaldamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001561/' target='_blank''>BGC0001561.1</a>", "NRPS", "curacomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001562/' target='_blank''>BGC0001562.1</a>", "betalactone.NRPS", "curacomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001563/' target='_blank''>BGC0001563.1</a>", "T1PKS.NRPS", "curvupallide-B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001564/' target='_blank''>BGC0001564.1</a>", "PKS-like.T3PKS.NRPS.transAT-PKS", "cusperin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001565/' target='_blank''>BGC0001565.1</a>", "T1PKS.NRPS", "cyclosporin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001566/' target='_blank''>BGC0001566.1</a>", "T1PKS.PKS-like.T3PKS", "cylindrocyclophane", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001567/' target='_blank''>BGC0001567.1</a>", "NRPS", "cysteoamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001568/' target='_blank''>BGC0001568.1</a>", "T2PKS.oligosaccharide.PKS-like", "cytorhodin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001569/' target='_blank''>BGC0001569.1</a>", "betalactone.NRPS", "dechlorocuracomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001570/' target='_blank''>BGC0001570.1</a>", "NRPS", "deimino-antipain", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001571/' target='_blank''>BGC0001571.1</a>", "NaN", "demethoxyviridin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001572/' target='_blank''>BGC0001572.1</a>", "siderophore", "desferrioxamine E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001573/' target='_blank''>BGC0001573.1</a>", "NRPS", "dihydrolysergic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001574/' target='_blank''>BGC0001574.1</a>", "NRPS", "diisonitrile antibiotic SF2768", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001575/' target='_blank''>BGC0001575.1</a>", "NRPS", "dipeptide aldehydes", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001578/' target='_blank''>BGC0001578.1</a>", "T1PKS", "duclauxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001580/' target='_blank''>BGC0001580.1</a>", "T1PKS.terpene", "ebelactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001582/' target='_blank''>BGC0001582.1</a>", "lanthipeptide.NRPS", "ecumicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001583/' target='_blank''>BGC0001583.1</a>", "T1PKS", "emodin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001584/' target='_blank''>BGC0001584.1</a>", "T1PKS.NRPS", "C-1027", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001585/' target='_blank''>BGC0001585.1</a>", "NRPS", "melinacidin IV", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001586/' target='_blank''>BGC0001586.1</a>", "NaN", "EPS273", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001587/' target='_blank''>BGC0001587.1</a>", "NaN", "ethylenediaminesuccinic acid hydroxyarginine (EDHA)", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001588/' target='_blank''>BGC0001588.1</a>", "NaN", "exopolysaccharides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001589/' target='_blank''>BGC0001589.1</a>", "NaN", "exopolysaccharides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001590/' target='_blank''>BGC0001590.1</a>", "T2PKS", "formicamycins A-M", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001591/' target='_blank''>BGC0001591.1</a>", "acyl_amino_acids", "fatty acid enol ester", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001592/' target='_blank''>BGC0001592.1</a>", "melanin", "ferroverdin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001593/' target='_blank''>BGC0001593.1</a>", "siderophore.NRPS", "ficellomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001594/' target='_blank''>BGC0001594.1</a>", "other", "fischerindole L", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001595/' target='_blank''>BGC0001595.1</a>", "other", "fischerindole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001596/' target='_blank''>BGC0001596.1</a>", "T2PKS", "fluostatins M-Q", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001597/' target='_blank''>BGC0001597.1</a>", "T1PKS", "fluvirucin B2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001598/' target='_blank''>BGC0001598.1</a>", "T1PKS.NRPS", "foxicins A-D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001599/' target='_blank''>BGC0001599.1</a>", "NRPS", "fragin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001600/' target='_blank''>BGC0001600.1</a>", "T1PKS.NRPS-like", "fusarielin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001603/' target='_blank''>BGC0001603.1</a>", "amglyccycl", "gentamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001604/' target='_blank''>BGC0001604.1</a>", "terpene", "gibberellin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001605/' target='_blank''>BGC0001605.1</a>", "NaN", "gibberellin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001606/' target='_blank''>BGC0001606.1</a>", "T1PKS", "gibepyrone-A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001607/' target='_blank''>BGC0001607.1</a>", "NaN", "gilvusmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001608/' target='_blank''>BGC0001608.1</a>", "NRPS", "glidopeptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001609/' target='_blank''>BGC0001609.1</a>", "NRPS", "gliovirin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001610/' target='_blank''>BGC0001610.1</a>", "NaN", "gougerotin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001611/' target='_blank''>BGC0001611.1</a>", "NRPS.transAT-PKS", "guangnanmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001612/' target='_blank''>BGC0001612.1</a>", "other", "ambiguine H isonitrile", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001614/' target='_blank''>BGC0001614.1</a>", "NRPS", "hassallidin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001615/' target='_blank''>BGC0001615.1</a>", "NRPS", "hexose-palythine-serine;hexose-shinorine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001616/' target='_blank''>BGC0001616.1</a>", "NaN", "himeic acid A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001617/' target='_blank''>BGC0001617.1</a>", "terpene", "hirsutene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001619/' target='_blank''>BGC0001619.1</a>", "T1PKS.oligosaccharide", "ibomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001620/' target='_blank''>BGC0001620.1</a>", "T1PKS.indole.NRPS", "ilamycins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001621/' target='_blank''>BGC0001621.1</a>", "NRPS", "imizoquin A;imizoquin B;imizoquin C;imizoquin D;TMC-2A;TMC-2B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001622/' target='_blank''>BGC0001622.1</a>", "T2PKS", "isatropolone A;isotropolone B;isotropolone C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001623/' target='_blank''>BGC0001623.1</a>", "ladderane.NRPS", "ishigamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001624/' target='_blank''>BGC0001624.1</a>", "indole", "iso-A82775C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001625/' target='_blank''>BGC0001625.1</a>", "T2PKS", "isofuranonaphthoquinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001626/' target='_blank''>BGC0001626.1</a>", "T1PKS.NRPS-like", "isoindolinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001627/' target='_blank''>BGC0001627.1</a>", "NRPS", "isonitrile lipopeptides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001628/' target='_blank''>BGC0001628.1</a>", "NRPS", "JBIR-78;JBIR-95", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001630/' target='_blank''>BGC0001630.1</a>", "T1PKS.NRPS", "kasumigamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001631/' target='_blank''>BGC0001631.1</a>", "T1PKS.NRPS", "kasumigamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001633/' target='_blank''>BGC0001633.1</a>", "fused", "ketomemicin B3;ketomemicin B4", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001635/' target='_blank''>BGC0001635.1</a>", "NRPS.T3PKS", "kistamicin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001636/' target='_blank''>BGC0001636.1</a>", "NRPS", "KK-1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001637/' target='_blank''>BGC0001637.1</a>", "NRPS", "kleboxymycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001638/' target='_blank''>BGC0001638.1</a>", "NaN", "klebsazolicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001639/' target='_blank''>BGC0001639.1</a>", "NaN", "klebsidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001641/' target='_blank''>BGC0001641.1</a>", "NRPS", "kolossin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001642/' target='_blank''>BGC0001642.1</a>", "terpene", "koraiol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001644/' target='_blank''>BGC0001644.1</a>", "transAT-PKS", "lacunalides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001646/' target='_blank''>BGC0001646.1</a>", "NRPS.transAT-PKS.terpene", "lagriamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001647/' target='_blank''>BGC0001647.1</a>", "T1PKS.NRPS-like", "lagunapyrone A;lagunapyrone B;lagunapyrone C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001648/' target='_blank''>BGC0001648.1</a>", "T1PKS", "lasalocid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001649/' target='_blank''>BGC0001649.1</a>", "T1PKS", "lavendiol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001650/' target='_blank''>BGC0001650.1</a>", "NRPS", "Le-pyrrolopyrazines", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001651/' target='_blank''>BGC0001651.1</a>", "NaN", "legionaminic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001652/' target='_blank''>BGC0001652.1</a>", "NRPS", "limazepine C;limazepine D;limazepine E;limazepine F;limazepine A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001653/' target='_blank''>BGC0001653.1</a>", "T1PKS", "linfuranone B;linfuranone C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001654/' target='_blank''>BGC0001654.1</a>", "NaN", "lipooligosaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001656/' target='_blank''>BGC0001656.1</a>", "NRPS-like.transAT-PKS-like.transAT-PKS", "luminaolide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001657/' target='_blank''>BGC0001657.1</a>", "NRPS", "lysocin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001658/' target='_blank''>BGC0001658.1</a>", "T1PKS", "macrotermycins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001659/' target='_blank''>BGC0001659.1</a>", "NaN", "mangicol A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001661/' target='_blank''>BGC0001661.1</a>", "T2PKS", "mayamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001662/' target='_blank''>BGC0001662.1</a>", "T1PKS", "mediomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001663/' target='_blank''>BGC0001663.1</a>", "T1PKS.T3PKS", "merocyclophane C;merocyclophane D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001664/' target='_blank''>BGC0001664.1</a>", "NaN", "merosterol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001665/' target='_blank''>BGC0001665.1</a>", "T1PKS.T3PKS", "methylated alkyl-resorcinol;methylated acyl-phloroglucinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001666/' target='_blank''>BGC0001666.1</a>", "T1PKS.NRPS-like", "microansamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001667/' target='_blank''>BGC0001667.1</a>", "T1PKS.NRPS", "microcystin-LR;microcystin-FR;microcystin-LA;microcystin-LAba;microcystin-LM;microcystin-LV;microcystin-LL", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001668/' target='_blank''>BGC0001668.1</a>", "NRPS-like", "EQ-4", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001669/' target='_blank''>BGC0001669.1</a>", "lipolanthine.furan.lanthipeptide", "microvionin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001670/' target='_blank''>BGC0001670.1</a>", "T1PKS", "monensin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001671/' target='_blank''>BGC0001671.1</a>", "hserlactone.NRPS", "monobactam", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001672/' target='_blank''>BGC0001672.1</a>", "NRPS", "monobactam", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001675/' target='_blank''>BGC0001675.1</a>", "T2PKS", "murayaquinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001677/' target='_blank''>BGC0001677.1</a>", "T1PKS", "mycophenolic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001678/' target='_blank''>BGC0001678.1</a>", "NaN", "mycosporine-like amino acids (MAAs)", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001679/' target='_blank''>BGC0001679.1</a>", "NRPS", "N-Acetyltryptophan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001681/' target='_blank''>BGC0001681.1</a>", "NaN", "N-acyl glycine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001682/' target='_blank''>BGC0001682.1</a>", "NaN", "N-acyl lysine/ornithine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001683/' target='_blank''>BGC0001683.1</a>", "NaN", "N-acyl serinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001684/' target='_blank''>BGC0001684.1</a>", "NaN", "N-acyloxyacyl glutamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001685/' target='_blank''>BGC0001685.1</a>", "NaN", "N-acyloxyacyl lysine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001686/' target='_blank''>BGC0001686.1</a>", "NRPS", "N-octanoyl-Met-Phe-H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001687/' target='_blank''>BGC0001687.1</a>", "acyl_amino_acids", "N-tetradecanoyl tyrosine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001688/' target='_blank''>BGC0001688.1</a>", "acyl_amino_acids", "N-tetradecanoyl tyrosine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001690/' target='_blank''>BGC0001690.1</a>", "T1PKS.NRPS-like", "natamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001692/' target='_blank''>BGC0001692.1</a>", "NRPS", "nematophin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001693/' target='_blank''>BGC0001693.1</a>", "T2PKS", "nenestatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001694/' target='_blank''>BGC0001694.1</a>", "T1PKS", "meoabyssomicin;abyssomicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001695/' target='_blank''>BGC0001695.1</a>", "T1PKS.NRPS", "neoantimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001697/' target='_blank''>BGC0001697.1</a>", "T1PKS", "neurosporin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001698/' target='_blank''>BGC0001698.1</a>", "NRPS", "nevaltophin A;nevaltophin B;nevaltophin C;nevaltophin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001699/' target='_blank''>BGC0001699.1</a>", "NRPS", "nidulanin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001700/' target='_blank''>BGC0001700.1</a>", "T1PKS", "niphimycins C-E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001702/' target='_blank''>BGC0001702.1</a>", "T1PKS.NRPS", "nocamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001703/' target='_blank''>BGC0001703.1</a>", "T1PKS.NRPS", "nocuolin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001704/' target='_blank''>BGC0001704.1</a>", "T1PKS.NRPS", "nocuolin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001705/' target='_blank''>BGC0001705.1</a>", "T1PKS.NRPS", "nodularin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001706/' target='_blank''>BGC0001706.1</a>", "indole.terpene", "nodulisporic acid F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001708/' target='_blank''>BGC0001708.1</a>", "T1PKS", "novofumigatonin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001709/' target='_blank''>BGC0001709.1</a>", "T1PKS", "nystatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001710/' target='_blank''>BGC0001710.1</a>", "hserlactone.NRPS", "obafluorin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001711/' target='_blank''>BGC0001711.1</a>", "T1PKS.NRPS", "occidiofungin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001712/' target='_blank''>BGC0001712.1</a>", "NRPS-like.indole", "ochrindole A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001713/' target='_blank''>BGC0001713.1</a>", "siderophore", "ochrobactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001715/' target='_blank''>BGC0001715.1</a>", "NRPS", "octapeptin C4", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001716/' target='_blank''>BGC0001716.1</a>", "NRPS", "odilorhabdins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001717/' target='_blank''>BGC0001717.1</a>", "indole.NRPS", "okaramine B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001718/' target='_blank''>BGC0001718.1</a>", "NRPS.indole", "okaramine D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001719/' target='_blank''>BGC0001719.1</a>", "T2PKS.PKS-like", "olimycin A;olimycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001720/' target='_blank''>BGC0001720.1</a>", "T1PKS", "oosporein", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001721/' target='_blank''>BGC0001721.1</a>", "NRPS", "ornibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001722/' target='_blank''>BGC0001722.1</a>", "T1PKS", "aspernidine A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001723/' target='_blank''>BGC0001723.1</a>", "T2PKS", "oviedomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001724/' target='_blank''>BGC0001724.1</a>", "T1PKS.NRPS", "oxaleimide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001725/' target='_blank''>BGC0001725.1</a>", "NaN", "oxetanocin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001726/' target='_blank''>BGC0001726.1</a>", "T1PKS.NRPS", "pactamides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001728/' target='_blank''>BGC0001728.1</a>", "NRPS.transAT-PKS", "paenilipoheptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001729/' target='_blank''>BGC0001729.1</a>", "T1PKS", "paraherquonin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001730/' target='_blank''>BGC0001730.1</a>", "T2PKS", "paramagnetoquinone 1;paramagnetoquinone 2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001731/' target='_blank''>BGC0001731.1</a>", "PKS-like", "paulomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001732/' target='_blank''>BGC0001732.1</a>", "PKS-like", "paulomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001736/' target='_blank''>BGC0001736.1</a>", "NaN", "pepteridine A;pepteridine B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001737/' target='_blank''>BGC0001737.1</a>", "T1PKS.NRPS", "phenalamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001738/' target='_blank''>BGC0001738.1</a>", "T1PKS.NRPS", "phomasetin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001739/' target='_blank''>BGC0001739.1</a>", "phosphonate", "phosphonoacetic Acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001740/' target='_blank''>BGC0001740.1</a>", "transAT-PKS-like.NRPS.transAT-PKS", "phthoxazolin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001741/' target='_blank''>BGC0001741.1</a>", "T1PKS.NRPS", "phyllostictine A;phyllostictine B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001742/' target='_blank''>BGC0001742.1</a>", "T1PKS", "piericidin A1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001746/' target='_blank''>BGC0001746.1</a>", "terpene", "pristinol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001747/' target='_blank''>BGC0001747.1</a>", "NaN", "pseudaminic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001748/' target='_blank''>BGC0001748.1</a>", "NRPS", "pseudospumigin A;pseudospumigin B;pseudospumigin C;pseudospumigin D;pseudospumigin E;pseudospumigin F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001749/' target='_blank''>BGC0001749.1</a>", "T1PKS", "epipyriculol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001750/' target='_blank''>BGC0001750.1</a>", "T1PKS.NRPS", "pyrronazol B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001751/' target='_blank''>BGC0001751.1</a>", "PKS-like.NRPS.transAT-PKS", "pyxipyrrolone A;pyxipyrrolone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001752/' target='_blank''>BGC0001752.1</a>", "NRPS", "qinichelins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001754/' target='_blank''>BGC0001754.1</a>", "T1PKS.NRPS", "ralsolamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001755/' target='_blank''>BGC0001755.1</a>", "T1PKS", "reedsmycins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001756/' target='_blank''>BGC0001756.1</a>", "terpene", "retigeranin;arathanatriene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001757/' target='_blank''>BGC0001757.1</a>", "NaN", "rhabduscin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001758/' target='_blank''>BGC0001758.1</a>", "NRPS", "rhizomide A;rhizomide B;rhizomide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001759/' target='_blank''>BGC0001759.1</a>", "T1PKS.NRPS-like", "rifamorpholine A;rifamorpholine B;rifamorpholine C;rifamorpholine D;rifamorpholine E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001760/' target='_blank''>BGC0001760.1</a>", "NRPS", "rimosamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001761/' target='_blank''>BGC0001761.1</a>", "T1PKS.T3PKS.PKS-like.transAT-PKS", "ripostatin A;ripostatin B;ripostatin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001762/' target='_blank''>BGC0001762.1</a>", "T2PKS", "rubrolone A;rubrolone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001763/' target='_blank''>BGC0001763.1</a>", "T1PKS.indole.NRPS", "rufomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001764/' target='_blank''>BGC0001764.1</a>", "NRPS", "s56-p1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001765/' target='_blank''>BGC0001765.1</a>", "NaN", "salecan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001766/' target='_blank''>BGC0001766.1</a>", "T1PKS.NRPS", "salinamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001767/' target='_blank''>BGC0001767.1</a>", "NRPS", "salinichelins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001768/' target='_blank''>BGC0001768.1</a>", "NRPS", "sansalvamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001769/' target='_blank''>BGC0001769.1</a>", "T2PKS.oligosaccharide", "saquayamycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001770/' target='_blank''>BGC0001770.1</a>", "T1PKS", "sceliphrolactam", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001771/' target='_blank''>BGC0001771.1</a>", "NRPS.butyrolactone", "scleric acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001772/' target='_blank''>BGC0001772.1</a>", "T1PKS.NRPS-like.transAT-PKS-like.transAT-PKS", "scytophycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001773/' target='_blank''>BGC0001773.1</a>", "T1PKS", "selvamicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001774/' target='_blank''>BGC0001774.1</a>", "NaN", "spicamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001775/' target='_blank''>BGC0001775.1</a>", "indole.terpene", "sespendole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001776/' target='_blank''>BGC0001776.1</a>", "indole.terpene", "shearinine D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001777/' target='_blank''>BGC0001777.1</a>", "indole.terpene", "shearinine D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001778/' target='_blank''>BGC0001778.1</a>", "ectoine", "showdomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001779/' target='_blank''>BGC0001779.1</a>", "NaN", "siamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001780/' target='_blank''>BGC0001780.1</a>", "NRPS.transAT-PKS", "siphonazole", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001782/' target='_blank''>BGC0001782.1</a>", "indole", "spiroindimicin A;spiroindimicin B;spiroindimicin C;spiroindimicin D;indimicin A;indimicin B;indimicin C;indimicin D;indimicin E;lynamicin A;lynamicin D;lynamicin F;lynamicin G", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001783/' target='_blank''>BGC0001783.1</a>", "NaN", "streptonigrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001784/' target='_blank''>BGC0001784.1</a>", "T1PKS", "streptoseomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001785/' target='_blank''>BGC0001785.1</a>", "T1PKS.NRPS-like", "streptovaricin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001790/' target='_blank''>BGC0001790.1</a>", "NRPS", "sulfazecin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001791/' target='_blank''>BGC0001791.1</a>", "NRPS", "sunshinamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001792/' target='_blank''>BGC0001792.1</a>", "NRPS", "surugamide A;surugamide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001793/' target='_blank''>BGC0001793.1</a>", "T1PKS.NRPS-like", "swainsonine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001794/' target='_blank''>BGC0001794.1</a>", "T1PKS.NRPS-like", "swainsonine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001795/' target='_blank''>BGC0001795.1</a>", "transAT-PKS-like.transAT-PKS", "swinholide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001796/' target='_blank''>BGC0001796.1</a>", "NRPS", "tauramamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001799/' target='_blank''>BGC0001799.1</a>", "NaN", "thebaine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001800/' target='_blank''>BGC0001800.1</a>", "T1PKS.bacteriocin.NRPS", "theonellamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001801/' target='_blank''>BGC0001801.1</a>", "NRPS", "thiazostatin;watasemycin A;watasemycin B;2-hydroxyphenylthiazoline enantiopyochelin;isopyochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001804/' target='_blank''>BGC0001804.1</a>", "T1PKS", "tiancimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001805/' target='_blank''>BGC0001805.1</a>", "NRPS", "tilivalline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001806/' target='_blank''>BGC0001806.1</a>", "NRPS", "tolaasin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001807/' target='_blank''>BGC0001807.1</a>", "T1PKS.NRPS.T3PKS", "totopotensamide A;totopotensamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001808/' target='_blank''>BGC0001808.1</a>", "nucleoside", "toyocamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001809/' target='_blank''>BGC0001809.1</a>", "NaN", "trans-aconitic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001810/' target='_blank''>BGC0001810.1</a>", "NaN", "trehangelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001811/' target='_blank''>BGC0001811.1</a>", "terpene", "trichodiene-11-one", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001812/' target='_blank''>BGC0001812.1</a>", "T1PKS", "tylactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001813/' target='_blank''>BGC0001813.1</a>", "NRPS.PKS-like", "tyrobetaine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001814/' target='_blank''>BGC0001814.1</a>", "betalactone.NRPS", "ulleungmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001815/' target='_blank''>BGC0001815.1</a>", "T1PKS", "uncialamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001816/' target='_blank''>BGC0001816.1</a>", "T1PKS.NRPS-like.NRPS", "valactamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001817/' target='_blank''>BGC0001817.1</a>", "NaN", "vancosamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001818/' target='_blank''>BGC0001818.1</a>", "NRPS", "vazabitide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001819/' target='_blank''>BGC0001819.1</a>", "T1PKS.NRPS-like.T3PKS", "venemycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001820/' target='_blank''>BGC0001820.1</a>", "NRPS", "verticillin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001822/' target='_blank''>BGC0001822.1</a>", "NRPS", "vioprolide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001823/' target='_blank''>BGC0001823.1</a>", "NRPS", "weishanmycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001824/' target='_blank''>BGC0001824.1</a>", "NRPS", "xefoampeptides A-G", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001825/' target='_blank''>BGC0001825.1</a>", "NRPS", "xenematide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001826/' target='_blank''>BGC0001826.1</a>", "NRPS", "xeneprotides A-C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001827/' target='_blank''>BGC0001827.1</a>", "T1PKS", "xenovulene A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001828/' target='_blank''>BGC0001828.1</a>", "T1PKS", "griseochelin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001829/' target='_blank''>BGC0001829.1</a>", "T1PKS.NRPS", "\u03b1,\u03b2-epoxyketone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001830/' target='_blank''>BGC0001830.1</a>", "T1PKS", "rosamicin;salinipyrone A;pacificanone A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001831/' target='_blank''>BGC0001831.1</a>", "T3PKS", "alkylpyrone-407;alkylpyrone-393", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001833/' target='_blank''>BGC0001833.1</a>", "NRPS", "icosalide A;icosalide B", "Antibacterial;Antifungal;Swarming/Biofilm Induction"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001835/' target='_blank''>BGC0001835.1</a>", "transAT-PKS-like.PKS-like.T3PKS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001836/' target='_blank''>BGC0001836.1</a>", "transAT-PKS-like.PKS-like.T3PKS", "tartrolon D;tartrolon F;tartrolon G", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001837/' target='_blank''>BGC0001837.1</a>", "T3PKS.transAT-PKS-like.PKS-like.transAT-PKS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001838/' target='_blank''>BGC0001838.1</a>", "NRPS", "WLIP", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001839/' target='_blank''>BGC0001839.1</a>", "terpene", "squalestatin S1", "Antifungal;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001840/' target='_blank''>BGC0001840.1</a>", "NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001841/' target='_blank''>BGC0001841.1</a>", "NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001842/' target='_blank''>BGC0001842.1</a>", "NRPS", "gacamide A", "Antibacterial;Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001843/' target='_blank''>BGC0001843.1</a>", "NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001844/' target='_blank''>BGC0001844.1</a>", "NRPS", "holrhizin", "Surfactant"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001846/' target='_blank''>BGC0001846.1</a>", "NRPS", "valinomycin;montanastatin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001847/' target='_blank''>BGC0001847.1</a>", "blactam", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001848/' target='_blank''>BGC0001848.1</a>", "T3PKS", "diazaquinomycin H;diazaquinomycin J", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001850/' target='_blank''>BGC0001850.1</a>", "NaN", "diazaquinomycin A;diazaquinomycin E;diazaquinomycin F;diazaquinomycin G", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001851/' target='_blank''>BGC0001851.1</a>", "T2PKS.oligosaccharide", "komodoquinone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001852/' target='_blank''>BGC0001852.1</a>", "T2PKS.oligosaccharide", "komodoquinone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001854/' target='_blank''>BGC0001854.1</a>", "T1PKS", "tricholignan A", "Iron reducing"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001856/' target='_blank''>BGC0001856.1</a>", "T1PKS.NRPS-like.PKS-like", "caniferolide A;caniferolide B;caniferolide C;caniferolide D", "Antifungal;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001857/' target='_blank''>BGC0001857.1</a>", "T1PKS.NRPS", "burnettramic acid A", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001858/' target='_blank''>BGC0001858.1</a>", "T1PKS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001859/' target='_blank''>BGC0001859.1</a>", "phosphonate", "fosfomycin", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001864/' target='_blank''>BGC0001864.1</a>", "NaN", "listeriocytocin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001865/' target='_blank''>BGC0001865.1</a>", "T1PKS", "elsinochrome C", "Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001866/' target='_blank''>BGC0001866.1</a>", "T1PKS", "viriditoxin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001868/' target='_blank''>BGC0001868.1</a>", "phenazine", "iodinin", "Antibacterial;Cytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001870/' target='_blank''>BGC0001870.1</a>", "siderophore", "putrebactin;avaroferrin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001871/' target='_blank''>BGC0001871.1</a>", "NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001872/' target='_blank''>BGC0001872.1</a>", "PUFA.hglE-KS", "fabclavine-polyamine", "Antibacterial"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001873/' target='_blank''>BGC0001873.1</a>", "NRPS", "pyrrolizixenamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001874/' target='_blank''>BGC0001874.1</a>", "T1PKS.indole.NRPS", "cyclopiazonic acid", "Cytotoxic;Inhibitor"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001876/' target='_blank''>BGC0001876.1</a>", "T1PKS.NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001877/' target='_blank''>BGC0001877.1</a>", "NRPS-like.oligosaccharide.butyrolactone.T1PKS.PKS-like", "cyphomycin", "Antifungal"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001878/' target='_blank''>BGC0001878.1</a>", "NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001881/' target='_blank''>BGC0001881.1</a>", "T1PKS.NRPS", "pyrichalasin H", "Cytotoxic;Signalling;Phytotoxic"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001882/' target='_blank''>BGC0001882.1</a>", "NaN", "chrysoxanthone A;chrysoxanthone B;chrysoxanthone C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001883/' target='_blank''>BGC0001883.1</a>", "NaN", "porphyra-334", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001884/' target='_blank''>BGC0001884.1</a>", "T1PKS.NRPS", "aranazole A;aranazole B;aranazole C;aranazole D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001885/' target='_blank''>BGC0001885.1</a>", "transAT-PKS-like.NRPS.transAT-PKS", "oxazolepoxidomycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001886/' target='_blank''>BGC0001886.1</a>", "T1PKS", "secalonic acids", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001887/' target='_blank''>BGC0001887.1</a>", "NaN", "huazacin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001888/' target='_blank''>BGC0001888.1</a>", "NaN", "mannosylerythritol lipid A;mannosylerythritol lipid B;mannosylerythritol lipid C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001890/' target='_blank''>BGC0001890.1</a>", "NRPS", "amphi-enterobactin 1;amphi-enterobactin 2;amphi-enterobactin 3;amphi-enterobactin 4", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001891/' target='_blank''>BGC0001891.1</a>", "NaN", "closthioamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001892/' target='_blank''>BGC0001892.1</a>", "T1PKS", "botcinic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001893/' target='_blank''>BGC0001893.1</a>", "NaN", "abscisic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001894/' target='_blank''>BGC0001894.1</a>", "NaN", "heteropolysaccharide (HePS)", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001895/' target='_blank''>BGC0001895.1</a>", "T2PKS", "huanglongmycin A;huanglongmycin B;huanglongmycin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001896/' target='_blank''>BGC0001896.1</a>", "NaN", "carbazomycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001897/' target='_blank''>BGC0001897.1</a>", "hserlactone", "cepacin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001898/' target='_blank''>BGC0001898.1</a>", "phosphonate", "thioplatensimycin;thioplatencin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001899/' target='_blank''>BGC0001899.1</a>", "T1PKS", "abscisic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001900/' target='_blank''>BGC0001900.1</a>", "NRPS-like", "fragin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001901/' target='_blank''>BGC0001901.1</a>", "T1PKS", "tricholignan A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001902/' target='_blank''>BGC0001902.1</a>", "T1PKS.NRPS", "bengamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001903/' target='_blank''>BGC0001903.1</a>", "terpene", "neocarazostatin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001904/' target='_blank''>BGC0001904.1</a>", "T2PKS", "fluostatin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001905/' target='_blank''>BGC0001905.1</a>", "T3PKS", "violapyrone B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001906/' target='_blank''>BGC0001906.1</a>", "T1PKS", "naphthalene", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001907/' target='_blank''>BGC0001907.1</a>", "T1PKS", "chromane", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001908/' target='_blank''>BGC0001908.1</a>", "T1PKS", "sceliphrolactam", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001909/' target='_blank''>BGC0001909.1</a>", "T1PKS", "strobilurin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001910/' target='_blank''>BGC0001910.1</a>", "terpene", "cyslabdan", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001911/' target='_blank''>BGC0001911.1</a>", "terpene", "raimonol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001912/' target='_blank''>BGC0001912.1</a>", "NRPS", "(2S,6R)-diamino-(5R,7)-dihydroxy-heptanoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001913/' target='_blank''>BGC0001913.1</a>", "T1PKS", "phomoidride", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001914/' target='_blank''>BGC0001914.1</a>", "NaN", "benzastatin J;7-hydroxyl benzastatin B;7-hydroxyl O-demethylbenzastatin A;JBIR-67;7-hydroxyl benzastatin F;7-hydroxyl O-demethylbenzastatin D;O-demethylvirantmycin;7-hydroxyl benzastatin D;virantmycin;benzastatin K;methylbenzastatin K", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001915/' target='_blank''>BGC0001915.1</a>", "NaN", "betaestacin I;betaestacin II", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001916/' target='_blank''>BGC0001916.1</a>", "T1PKS", "lavendiol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001917/' target='_blank''>BGC0001917.1</a>", "NaN", "5-alkyl-1,2,3,4-tetrahydroquinolines;streptoaminals", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001918/' target='_blank''>BGC0001918.1</a>", "T1PKS.NRPS", "JBIR-06", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001919/' target='_blank''>BGC0001919.1</a>", "T1PKS.NRPS", "neoantimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001922/' target='_blank''>BGC0001922.1</a>", "T2PKS", "isoindolinomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001923/' target='_blank''>BGC0001923.1</a>", "T1PKS.NRPS-like", "ascochlorin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001924/' target='_blank''>BGC0001924.1</a>", "NaN", "ascofuranone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001925/' target='_blank''>BGC0001925.1</a>", "NaN", "altemicidin;SB-203207;SB-203208", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001926/' target='_blank''>BGC0001926.1</a>", "T1PKS", "chrodrimanin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001927/' target='_blank''>BGC0001927.1</a>", "T1PKS.T3PKS", "A-94964", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001928/' target='_blank''>BGC0001928.1</a>", "NaN", "(2R,3S,4S)-5-fluoro-2,3,4-trihydroxypentanoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001931/' target='_blank''>BGC0001931.1</a>", "T1PKS.oligosaccharide", "carrimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001932/' target='_blank''>BGC0001932.1</a>", "T1PKS", "mediomiycin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001934/' target='_blank''>BGC0001934.1</a>", "T1PKS", "armeniaspirols", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001935/' target='_blank''>BGC0001935.1</a>", "butyrolactone", "3,7-dihydroxytropolone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001936/' target='_blank''>BGC0001936.1</a>", "indole.terpene", "nodulisporic acid F", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001937/' target='_blank''>BGC0001937.1</a>", "nucleoside", "tubercidin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001938/' target='_blank''>BGC0001938.1</a>", "T3PKS", "entotheonella", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001939/' target='_blank''>BGC0001939.1</a>", "T1PKS", "streptoseomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001940/' target='_blank''>BGC0001940.1</a>", "T2PKS", "pyxidicycline A;pyxidicycline B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001941/' target='_blank''>BGC0001941.1</a>", "T1PKS.NRPS", "fulvuthiacene A;fulvuthiacene B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001942/' target='_blank''>BGC0001942.1</a>", "NRPS", "malonomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001943/' target='_blank''>BGC0001943.1</a>", "NRPS", "vioprolides A;vioprolides B;vioprolides C;vioprolides D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001944/' target='_blank''>BGC0001944.1</a>", "T1PKS", "funisamine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001945/' target='_blank''>BGC0001945.1</a>", "NRPS", "chloromyxamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001946/' target='_blank''>BGC0001946.1</a>", "NRPS.transAT-PKS.terpene", "lagriamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001947/' target='_blank''>BGC0001947.1</a>", "NaN", "K53 capsular polysaccharide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001948/' target='_blank''>BGC0001948.1</a>", "CDPS", "naseseazine C;C3-aryl pyrroloindolines", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001949/' target='_blank''>BGC0001949.1</a>", "NaN", "domoic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001950/' target='_blank''>BGC0001950.1</a>", "T1PKS.NRPS", "puwainaphycin F;minutissamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001951/' target='_blank''>BGC0001951.1</a>", "T1PKS.NRPS", "puwainaphycin F;minutissamide A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001952/' target='_blank''>BGC0001952.1</a>", "T1PKS.NRPS", "minutissamide A;minutissamide C;minutissamide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001953/' target='_blank''>BGC0001953.1</a>", "T1PKS.NRPS", "puwainaphycin F;minutissamide A;minutissamide B;minutissamide C;minutissamide D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001954/' target='_blank''>BGC0001954.1</a>", "T1PKS", "wortmanamide A;wortmanamide B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001955/' target='_blank''>BGC0001955.1</a>", "NRPS.T3PKS", "keratinimicin A;keratinimicin B;keratinimicin C;keratinimicin D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001956/' target='_blank''>BGC0001956.1</a>", "T1PKS.NRPS-like", "miharamycin A;miharamycin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001957/' target='_blank''>BGC0001957.1</a>", "T1PKS.NRPS-like", "amipurimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001958/' target='_blank''>BGC0001958.1</a>", "T1PKS.NRPS-like", "amipurimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001959/' target='_blank''>BGC0001959.1</a>", "NaN", "taylorflavin A;taylorflavin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001960/' target='_blank''>BGC0001960.1</a>", "T2PKS", "hiroshidine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001961/' target='_blank''>BGC0001961.1</a>", "NRPS", "ashimides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001962/' target='_blank''>BGC0001962.1</a>", "T3PKS", "hierridin B;hierridin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001963/' target='_blank''>BGC0001963.1</a>", "T1PKS.NRPS-like.NRPS", "catenulisporolides", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001964/' target='_blank''>BGC0001964.1</a>", "T3PKS", "alkylpyrone-407;alkylpyrone-393", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001965/' target='_blank''>BGC0001965.1</a>", "NaN", "nybomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001966/' target='_blank''>BGC0001966.1</a>", "T1PKS.NRPS", "BII-rafflesfungin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001967/' target='_blank''>BGC0001967.1</a>", "ladderane.NRPS", "acyldepsipeptide 1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001968/' target='_blank''>BGC0001968.1</a>", "NRPS", "cadaside A;cadaside B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001969/' target='_blank''>BGC0001969.1</a>", "terpene", "asperterpenoid A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001970/' target='_blank''>BGC0001970.1</a>", "T1PKS.T3PKS.NRPS.PKS-like", "malyngamide C acetate", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001971/' target='_blank''>BGC0001971.1</a>", "T1PKS.T3PKS.NRPS.PKS-like", "malyngamide I", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001972/' target='_blank''>BGC0001972.1</a>", "NaN", "toxoflavin;fervenulin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001973/' target='_blank''>BGC0001973.1</a>", "NaN", "fervenulin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001974/' target='_blank''>BGC0001974.1</a>", "NaN", "kainic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001975/' target='_blank''>BGC0001975.1</a>", "arylpolyene.ladderane.NRPS.aminocoumarin", "atratumycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001976/' target='_blank''>BGC0001976.1</a>", "T1PKS", "eupenifeldin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001977/' target='_blank''>BGC0001977.1</a>", "T1PKS", "eupenifeldin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001978/' target='_blank''>BGC0001978.1</a>", "T1PKS.NRPS", "burnettramic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001979/' target='_blank''>BGC0001979.1</a>", "betalactone.T2PKS.oligosaccharide.PKS-like", "LL-D49194\u03b11 (LLD)", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001980/' target='_blank''>BGC0001980.1</a>", "NRPS", "lokisin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001982/' target='_blank''>BGC0001982.1</a>", "T1PKS.NRPS", "pyrichalasin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001983/' target='_blank''>BGC0001983.1</a>", "ladderane", "triacsins", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001984/' target='_blank''>BGC0001984.1</a>", "NRPS", "sarpeptin A;sarpeptin B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001985/' target='_blank''>BGC0001985.1</a>", "NaN", "pyrazomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001986/' target='_blank''>BGC0001986.1</a>", "CDPS", "purincyclamide", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001987/' target='_blank''>BGC0001987.1</a>", "NaN", "koreenceine A;koreenceine B;koreenceine C;koreenceine D", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001988/' target='_blank''>BGC0001988.1</a>", "T1PKS", "neosartorin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001989/' target='_blank''>BGC0001989.1</a>", "NaN", "pulcherrimin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001990/' target='_blank''>BGC0001990.1</a>", "NaN", "xanthocillin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001991/' target='_blank''>BGC0001991.1</a>", "NaN", "toblerol A;toblerol B;toblerol C;toblerol D;toblerol E;toblerol F;toblerol G;toblerol H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001992/' target='_blank''>BGC0001992.1</a>", "NaN", "thioguanine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001993/' target='_blank''>BGC0001993.1</a>", "NRPS.transAT-PKS", "paenilipoheptin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001994/' target='_blank''>BGC0001994.1</a>", "NaN", "\u03b2-ethynylserine", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001995/' target='_blank''>BGC0001995.1</a>", "terpene", "heptelidic acid", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001996/' target='_blank''>BGC0001996.1</a>", "NaN", "oryzine A;oryzine B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001997/' target='_blank''>BGC0001997.1</a>", "terpene", "capsidiol", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001998/' target='_blank''>BGC0001998.1</a>", "T1PKS", "aspernidgulene A1;aspernidgulene A2;aspernidgulene B1", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0001999/' target='_blank''>BGC0001999.1</a>", "NRPS", "gramibactin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002000/' target='_blank''>BGC0002000.1</a>", "T2PKS", "setomimycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002001/' target='_blank''>BGC0002001.1</a>", "T1PKS.NRPS", "crochelin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002002/' target='_blank''>BGC0002002.1</a>", "NRPS-like.phenazine", "1,6-phenazinedimethanol;fontizine A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002003/' target='_blank''>BGC0002003.1</a>", "NRPS", "glidopeptin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002005/' target='_blank''>BGC0002005.1</a>", "NaN", "RaxX", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002007/' target='_blank''>BGC0002007.1</a>", "terpene", "atolypene A;atolypene B", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002008/' target='_blank''>BGC0002008.1</a>", "arylpolyene", "aryl polyenes", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002009/' target='_blank''>BGC0002009.1</a>", "NaN", "kanglemycin A;kanglemycin V1;kanglemycin V2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002010/' target='_blank''>BGC0002010.1</a>", "T1PKS.PKS-like.phenazine", "streptophenazine B;streptophenazine C;streptophenazine F;streptophenazine G;streptophenazine H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002011/' target='_blank''>BGC0002011.1</a>", "T1PKS.NRPS-like", "ansacarbamitocin A", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002012/' target='_blank''>BGC0002012.1</a>", "T2PKS", "julichrome Q3-3;julichrome Q3-5", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002014/' target='_blank''>BGC0002014.1</a>", "arylpolyene.ladderane.NRPS", "pepticinnamin E", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002016/' target='_blank''>BGC0002016.1</a>", "T2PKS", "lugdunomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002018/' target='_blank''>BGC0002018.1</a>", "NaN", "azomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002019/' target='_blank''>BGC0002019.1</a>", "terpene", "tiancilactone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002020/' target='_blank''>BGC0002020.1</a>", "NaN", "photolose", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002021/' target='_blank''>BGC0002021.1</a>", "T2PKS.PKS-like", "fogacin A;fogacin B;fogacin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002022/' target='_blank''>BGC0002022.1</a>", "T1PKS", "armeniaspirol A;armeniaspirol B;armeniaspirol C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002024/' target='_blank''>BGC0002024.1</a>", "T1PKS.PKS-like", "nargenicin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002025/' target='_blank''>BGC0002025.1</a>", "T1PKS.NRPS", "thaxteramide C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002026/' target='_blank''>BGC0002026.1</a>", "T1PKS.NRPS", "thaxteramide A1;thaxteramide A2;thaxteramide B1;thaxteramide B2", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002028/' target='_blank''>BGC0002028.1</a>", "T2PKS", "frigocyclinone", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002029/' target='_blank''>BGC0002029.1</a>", "melanin", "bagremycin A;bagremycin B;bagremycin C;bagremycin E;bagremycin F;bagremycin G;ferroverdin A;ferroverdin B;ferroverdin C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002030/' target='_blank''>BGC0002030.1</a>", "T1PKS", "viriditoxin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002031/' target='_blank''>BGC0002031.1</a>", "NaN", "kitasetaline", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002032/' target='_blank''>BGC0002032.1</a>", "T1PKS", "pentamycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002033/' target='_blank''>BGC0002033.1</a>", "T1PKS.oligosaccharide", "spiramycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002034/' target='_blank''>BGC0002034.1</a>", "T3PKS", "perquinoline A;perquinoline B;perquinoline C", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002035/' target='_blank''>BGC0002035.1</a>", "T1PKS.NRPS", "ilicicolin H", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002036/' target='_blank''>BGC0002036.1</a>", "phosphonate", "dehydrofosmidomycin", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002055/' target='_blank''>BGC0002055.1</a>", "transAT-PKS-like.transAT-PKS.NRPS.T3PKS.PKS-like", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002056/' target='_blank''>BGC0002056.1</a>", "transAT-PKS-like.NRPS", "NaN", "NaN"], ["<a href='https://mibig.secondarymetabolites.org/repository/BGC0002057/' target='_blank''>BGC0002057.1</a>", "transAT-PKS-like.NRPS", "NaN", "NaN"]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all", "searchable": true}], "scrollX": true, "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": []};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#12b4b132-e3b9-4d9b-8c5a-99f0f3fd1c8c').DataTable(dt_args);
    });
</script>
</div>



## References
<font size="2">
{% for i in project().rule_used['bigscape']['references'] %}
- {{ i }} 
{% endfor %}
</font>
