# Roary
Summary of [Roary](https://github.com/sanger-pathogens/Roary) results from project: `[{{ project().name }}]` 

## Description
Rapid large-scale prokaryote pan genome analysis.

## Pangenome Statistics
|  |  |
|:-|:-|
| <img src="../roary/conserved_vs_total_genes.png"  width="400"> | <img src="../roary/gene_frequency.jpeg"  width="500" height="100%"> |
| <img src="../roary/new_unique_curve.jpeg"  width="500" height="100%"> | <img src="../roary/pan_core_curve.jpeg"  width="500" height="100%"> |

## Pangenome Distribution
<p align="center">
    <img src="../roary/pangenome_pie.jpeg"  width="70%" height="70%">
</p>




<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>Pangenome Category</th>
      <th>Description</th>
      <th>Counts</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>Core genes</td>
      <td>(99% &lt;= strains &lt;= 100%)</td>
      <td>1372</td>
    </tr>
    <tr>
      <th>1</th>
      <td>Soft core genes</td>
      <td>(95% &lt;= strains &lt; 99%)</td>
      <td>0</td>
    </tr>
    <tr>
      <th>2</th>
      <td>Shell genes</td>
      <td>(15% &lt;= strains &lt; 95%)</td>
      <td>1528</td>
    </tr>
    <tr>
      <th>3</th>
      <td>Cloud genes</td>
      <td>(0% &lt;= strains &lt; 15%)</td>
      <td>0</td>
    </tr>
    <tr>
      <th>4</th>
      <td>Total genes</td>
      <td>(0% &lt;= strains &lt;= 100%)</td>
      <td>2900</td>
    </tr>
  </tbody>
</table>
</div>



## Pangene Distribution across phylogenetic tree

<img src="../roary/phylo_presence_heatmap.jpeg"  width="100%" height="100%">

## Pangene Tables

### Core Genes


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="ea60f623-42e5-42f6-a30e-d20082cc3ff7" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">
      <th></th>
      <th>Gene</th>
      <th>Non-unique Gene name</th>
      <th>Annotation</th>
      <th>No. isolates</th>
      <th>No. sequences</th>
      <th>Avg sequences per isolate</th>
      <th>Genome Fragment</th>
      <th>Order within Fragment</th>
      <th>Accessory Fragment</th>
      <th>Accessory Order with Fragment</th>
      <th>QC</th>
      <th>Min group size nuc</th>
      <th>Max group size nuc</th>
      <th>Avg group size nuc</th>
      <th>locus_tag</th>
      <th>pangenome_class</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [[0, "glnH_2", "NaN", "ABC transporter glutamine-binding protein GlnH", 4, 4, 1, 1, 1285, NaN, NaN, "NaN", 839, 839, 839, "MAAAAKME_04670", "core"], [1, "glnM", "NaN", "putative glutamine ABC transporter permease protein GlnM", 4, 4, 1, 1, 1284, NaN, NaN, "NaN", 641, 641, 641, "MAAAAKME_04680", "core"], [2, "glnH_3", "NaN", "ABC transporter glutamine-binding protein GlnH", 4, 4, 1, 1, 1282, NaN, NaN, "NaN", 812, 845, 836, "MAAAAKME_04700", "core"], [3, "ppk", "NaN", "Polyphosphate kinase", 4, 4, 1, 1, 1280, NaN, NaN, "NaN", 2165, 2165, 2165, "MAAAAKME_04720", "core"], [4, "group_1005", "NaN", "hypothetical protein", 4, 4, 1, 1, 1275, NaN, NaN, "NaN", 497, 497, 497, "MAAAAKME_04770", "core"], [5, "rbsK", "NaN", "Ribokinase", 4, 4, 1, 1, 1274, NaN, NaN, "NaN", 920, 920, 920, "MAAAAKME_04780", "core"], [6, "group_1007", "NaN", "hypothetical protein", 4, 4, 1, 1, 1264, NaN, NaN, "NaN", 1343, 1346, 1343, "MAAAAKME_04860", "core"], [7, "group_1008", "NaN", "hypothetical protein", 4, 4, 1, 1, 1260, NaN, NaN, "NaN", 686, 686, 686, "MAAAAKME_04890", "core"], [8, "celB", "NaN", "PTS system cellobiose-specific EIIC component", 4, 4, 1, 1, 1258, NaN, NaN, "NaN", 1319, 1319, 1319, "MAAAAKME_04910", "core"], [9, "mnaA", "NaN", "UDP-N-acetylglucosamine 2-epimerase", 4, 4, 1, 1, 1248, NaN, NaN, "NaN", 1142, 1142, 1142, "MAAAAKME_05020", "core"], [10, "group_1011", "NaN", "hypothetical protein", 4, 4, 1, 1, 1247, NaN, NaN, "NaN", 479, 479, 479, "MAAAAKME_05030", "core"], [11, "group_1012", "NaN", "Flavodoxin", 4, 4, 1, 1, 1246, NaN, NaN, "NaN", 446, 446, 446, "MAAAAKME_05040", "core"], [12, "gtaB", "NaN", "UTP--glucose-1-phosphate uridylyltransferase", 4, 4, 1, 1, 1243, NaN, NaN, "NaN", 914, 914, 914, "MAAAAKME_05070", "core"], [13, "menH_2", "NaN", "2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase", 4, 4, 1, 1, 1241, NaN, NaN, "NaN", 968, 968, 968, "MAAAAKME_05090", "core"], [14, "recX", "NaN", "Regulatory protein RecX", 4, 4, 1, 1, 1239, NaN, NaN, "NaN", 815, 815, 815, "MAAAAKME_05110", "core"], [15, "group_1017", "NaN", "hypothetical protein", 4, 4, 1, 1, 1234, NaN, NaN, "NaN", 155, 188, 179, "MAAAAKME_05160", "core"], [16, "clpE", "NaN", "ATP-dependent Clp protease ATP-binding subunit ClpE", 4, 4, 1, 1, 1231, NaN, NaN, "NaN", 2195, 2195, 2195, "MAAAAKME_05220", "core"], [17, "ptsH", "NaN", "Phosphocarrier protein HPr", 4, 4, 1, 1, 1229, NaN, NaN, "NaN", 266, 266, 266, "MAAAAKME_05240", "core"], [18, "group_1020", "NaN", "hypothetical protein", 4, 4, 1, 1, 1217, NaN, NaN, "NaN", 644, 644, 644, "MAAAAKME_05300", "core"], [19, "group_1021", "NaN", "hypothetical protein", 4, 4, 1, 1, 1209, NaN, NaN, "NaN", 380, 380, 380, "MAAAAKME_05380", "core"], [20, "group_1022", "NaN", "hypothetical protein", 4, 4, 1, 1, 1208, NaN, NaN, "NaN", 1136, 1190, 1149, "MAAAAKME_05390", "core"], [21, "spoIIIE", "NaN", "DNA translocase SpoIIIE", 4, 4, 1, 1, 1205, NaN, NaN, "NaN", 2318, 2360, 2328, "MAAAAKME_05420", "core"], [22, "group_1024", "NaN", "hypothetical protein", 4, 4, 1, 1, 1203, NaN, NaN, "NaN", 1253, 1253, 1253, "MAAAAKME_05440", "core"], [23, "recA", "NaN", "Protein RecA", 4, 4, 1, 1, 1199, NaN, NaN, "NaN", 995, 1109, 1080, "MAAAAKME_05480", "core"], [24, "rny", "NaN", "Ribonuclease Y", 4, 4, 1, 1, 1198, NaN, NaN, "NaN", 1643, 1643, 1643, "MAAAAKME_05490", "core"], [25, "group_1027", "NaN", "hypothetical protein", 4, 4, 1, 1, 1183, NaN, NaN, "NaN", 542, 542, 542, "MAAAAKME_05640", "core"], [26, "group_1028", "NaN", "hypothetical protein", 4, 4, 1, 1, 1171, NaN, NaN, "NaN", 344, 902, 621, "MAAAAKME_05770", "core"], [27, "opuCA", "NaN", "Glycine betaine/carnitine/choline transport ATP-binding protein OpuCA", 4, 4, 1, 1, 1170, NaN, NaN, "NaN", 692, 764, 746, "MAAAAKME_05780", "core"], [28, "group_1030", "NaN", "hypothetical protein", 4, 4, 1, 1, 1163, NaN, NaN, "NaN", 569, 569, 569, "MAAAAKME_05860", "core"], [29, "ywpJ", "NaN", "Phosphatase YwpJ", 4, 4, 1, 1, 1162, NaN, NaN, "NaN", 884, 884, 884, "MAAAAKME_05870", "core"], [30, "ung", "NaN", "Uracil-DNA glycosylase", 4, 4, 1, 1, 1161, NaN, NaN, "NaN", 683, 683, 683, "MAAAAKME_05880", "core"], [31, "yfeW_1", "NaN", "hypothetical protein", 4, 4, 1, 1, 1147, NaN, NaN, "NaN", 338, 974, 497, "MAAAAKME_06020", "core"], [32, "copY", "NaN", "Transcriptional repressor CopY", 4, 4, 1, 1, 1146, NaN, NaN, "NaN", 443, 443, 443, "MAAAAKME_06030", "core"], [33, "group_1035", "NaN", "hypothetical protein", 4, 4, 1, 1, 1145, NaN, NaN, "NaN", 374, 380, 377, "MAAAAKME_06040", "core"], [34, "crcB_1", "NaN", "Putative fluoride ion transporter CrcB", 4, 4, 1, 1, 1143, NaN, NaN, "NaN", 386, 386, 386, "MAAAAKME_06060", "core"], [35, "crcB_2", "NaN", "Putative fluoride ion transporter CrcB", 4, 4, 1, 1, 1142, NaN, NaN, "NaN", 359, 359, 359, "MAAAAKME_06070", "core"], [36, "ycaM_2", "NaN", "Inner membrane transporter YcaM", 4, 4, 1, 1, 1130, NaN, NaN, "NaN", 1580, 1631, 1618, "MAAAAKME_06160", "core"], [37, "group_1039", "NaN", "hypothetical protein", 4, 4, 1, 1, 1125, NaN, NaN, "NaN", 881, 881, 881, "MAAAAKME_06190", "core"], [38, "group_1040", "NaN", "hypothetical protein", 4, 4, 1, 1, 1117, NaN, NaN, "NaN", 548, 620, 599, "MAAAAKME_06280", "core"], [39, "ackA", "NaN", "Acetate kinase", 4, 4, 1, 1, 1115, NaN, NaN, "NaN", 1187, 1187, 1187, "MAAAAKME_06300", "core"], [40, "group_1042", "NaN", "hypothetical protein", 4, 4, 1, 1, 1114, NaN, NaN, "NaN", 155, 155, 155, "MAAAAKME_06320", "core"], [41, "sasA_1", "NaN", "Adaptive-response sensory-kinase SasA", 4, 4, 1, 1, 1112, NaN, NaN, "NaN", 1565, 1565, 1565, "MAAAAKME_06340", "core"], [42, "yfeW", "NaN", "Putative D-alanyl-D-alanine carboxypeptidase", 4, 4, 1, 1, 1106, NaN, NaN, "NaN", 1004, 1004, 1004, "MAAAAKME_06420", "core"], [43, "atpH_1", "NaN", "ATP synthase subunit c", 4, 4, 1, 1, 1096, NaN, NaN, "NaN", 224, 224, 224, "MAAAAKME_06510", "core"], [44, "atpF", "NaN", "ATP synthase subunit b", 4, 4, 1, 1, 1095, NaN, NaN, "NaN", 506, 506, 506, "MAAAAKME_06520", "core"], [45, "group_1047", "NaN", "Putative membrane protein insertion efficiency factor", 4, 4, 1, 1, 1087, NaN, NaN, "NaN", 275, 275, 275, "MAAAAKME_06600", "core"], [46, "group_1048", "NaN", "hypothetical protein", 4, 4, 1, 1, 1083, NaN, NaN, "NaN", 284, 284, 284, "MAAAAKME_06640", "core"], [47, "rpsD", "NaN", "30S ribosomal protein S4", 4, 4, 1, 1, 1079, NaN, NaN, "NaN", 611, 611, 611, "MAAAAKME_06670", "core"], [48, "group_1050", "NaN", "hypothetical protein", 4, 4, 1, 1, 1066, NaN, NaN, "NaN", 122, 122, 122, "MAAAAKME_06790", "core"], [49, "ftsL_2", "NaN", "Cell division protein FtsL", 4, 4, 1, 1, 1062, NaN, NaN, "NaN", 356, 356, 356, "MAAAAKME_06830", "core"], [50, "pbpB", "NaN", "Penicillin-binding protein 2B", 4, 4, 1, 1, 1061, NaN, NaN, "NaN", 2162, 2162, 2162, "MAAAAKME_06840", "core"], [51, "sepF", "NaN", "Cell division protein SepF", 4, 4, 1, 1, 1054, NaN, NaN, "NaN", 416, 446, 438, "MAAAAKME_06910", "core"], [52, "group_1054", "NaN", "hypothetical protein", 4, 4, 1, 1, 1048, NaN, NaN, "NaN", 206, 218, 209, "MAAAAKME_06970", "core"], [53, "ftsW", "NaN", "putative peptidoglycan glycosyltransferase FtsW", 4, 4, 1, 1, 1034, NaN, NaN, "NaN", 1202, 1202, 1202, "MAAAAKME_07100", "core"], [54, "group_1056", "NaN", "hypothetical protein", 4, 4, 1, 1, 1029, NaN, NaN, "NaN", 746, 758, 749, "MAAAAKME_07150", "core"], [55, "group_1057", "NaN", "hypothetical protein", 4, 4, 1, 1, 1022, NaN, NaN, "NaN", 827, 827, 827, "MAAAAKME_07210", "core"], [56, "group_1058", "NaN", "hypothetical protein", 4, 4, 1, 1, 1016, NaN, NaN, "NaN", 140, 140, 140, "MAAAAKME_07280", "core"], [57, "oppA_5", "NaN", "Oligopeptide-binding protein OppA", 4, 4, 1, 1, 1013, NaN, NaN, "NaN", 1649, 1655, 1650, "MAAAAKME_07310", "core"], [58, "hgdH_1", "NaN", "(R)-2-hydroxyglutarate dehydrogenase", 4, 4, 1, 1, 1011, NaN, NaN, "NaN", 665, 992, 746, "MAAAAKME_07330", "core"], [59, "group_1061", "NaN", "hypothetical protein", 4, 4, 1, 1, 2264, NaN, NaN, "NaN", 374, 398, 392, "MAAAAKME_07530", "core"], [60, "lysN", "NaN", "2-aminoadipate transaminase", 4, 4, 1, 1, 2265, NaN, NaN, "NaN", 1205, 1253, 1241, "MAAAAKME_07540", "core"], [61, "group_1063", "NaN", "hypothetical protein", 4, 4, 1, 1, 2270, NaN, NaN, "NaN", 974, 1073, 1048, "MAAAAKME_07590", "core"], [62, "rnz", "NaN", "Ribonuclease Z", 4, 4, 1, 1, 2278, NaN, NaN, "NaN", 929, 929, 929, "MAAAAKME_07670", "core"], [63, "hcaB", "NaN", "3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase", 4, 4, 1, 1, 2279, NaN, NaN, "NaN", 689, 794, 767, "MAAAAKME_07680", "core"], [64, "group_1066", "NaN", "hypothetical protein", 4, 4, 1, 1, 2286, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 236, 254, 240, "MAAAAKME_07750", "core"], [65, "gmuR_2", "NaN", "HTH-type transcriptional regulator GmuR", 4, 4, 1, 1, 2287, NaN, NaN, "NaN", 326, 329, 326, "MAAAAKME_07760", "core"], [66, "group_1068", "NaN", "hypothetical protein", 4, 4, 1, 1, 2291, NaN, NaN, "NaN", 200, 200, 200, "MAAAAKME_07790", "core"], [67, "pyk", "NaN", "Pyruvate kinase", 4, 4, 1, 1, 2294, NaN, NaN, "NaN", 1769, 1769, 1769, "MAAAAKME_07820", "core"], [68, "fmnP", "NaN", "Riboflavin transporter FmnP", 4, 4, 1, 1, 2304, NaN, NaN, "NaN", 704, 704, 704, "MAAAAKME_07920", "core"], [69, "group_1072", "NaN", "hypothetical protein", 4, 4, 1, 1, 2305, NaN, NaN, "NaN", 395, 395, 395, "MAAAAKME_07930", "core"], [70, "hup_1", "NaN", "DNA-binding protein HU", 4, 4, 1, 1, 2309, NaN, NaN, "NaN", 242, 275, 266, "MAAAAKME_07970", "core"], [71, "group_1074", "NaN", "hypothetical protein", 4, 4, 1, 1, 2312, NaN, NaN, "NaN", 935, 935, 935, "MAAAAKME_08000", "core"], [72, "group_1076", "NaN", "hypothetical protein", 4, 4, 1, 1, 2319, NaN, NaN, "NaN", 401, 419, 405, "MAAAAKME_08050", "core"], [73, "ywaC", "NaN", "GTP pyrophosphokinase YwaC", 4, 4, 1, 1, 2340, NaN, NaN, "NaN", 608, 614, 612, "MAAAAKME_08180", "core"], [74, "sasA_2", "NaN", "Adaptive-response sensory-kinase SasA", 4, 4, 1, 1, 2342, NaN, NaN, "NaN", 1259, 1259, 1259, "MAAAAKME_08200", "core"], [75, "mvaA", "NaN", "3-hydroxy-3-methylglutaryl-coenzyme A reductase", 4, 4, 1, 1, 2344, NaN, NaN, "NaN", 1226, 1226, 1226, "MAAAAKME_08220", "core"], [76, "group_1082", "NaN", "hypothetical protein", 4, 4, 1, 1, 2346, NaN, NaN, "NaN", 1358, 1358, 1358, "MAAAAKME_08240", "core"], [77, "prmA", "NaN", "Ribosomal protein L11 methyltransferase", 4, 4, 1, 1, 2348, NaN, NaN, "NaN", 944, 944, 944, "MAAAAKME_08260", "core"], [78, "relA", "NaN", "GTP pyrophosphokinase", 4, 4, 1, 1, 2349, NaN, NaN, "NaN", 2216, 2264, 2250, "MAAAAKME_08270", "core"], [79, "group_1085", "NaN", "hypothetical protein", 4, 4, 1, 1, 2354, NaN, NaN, "NaN", 1775, 1775, 1775, "MAAAAKME_08370", "core"], [80, "group_1086", "NaN", "Sodium-lithium/proton antiporter", 4, 4, 1, 1, 2355, NaN, NaN, "NaN", 1073, 1073, 1073, "MAAAAKME_08380", "core"], [81, "baeC", "NaN", "Polyketide biosynthesis malonyl CoA-acyl carrier protein transacylase BaeC", 4, 4, 1, 1, 2358, NaN, NaN, "NaN", 944, 944, 944, "MAAAAKME_08410", "core"], [82, "fabF", "NaN", "3-oxoacyl-[acyl-carrier-protein] synthase 2", 4, 4, 1, 1, 2360, NaN, NaN, "NaN", 1220, 1220, 1220, "MAAAAKME_08430", "core"], [83, "accB", "NaN", "Biotin carboxyl carrier protein of acetyl-CoA carboxylase", 4, 4, 1, 1, 2361, NaN, NaN, "NaN", 482, 482, 482, "MAAAAKME_08440", "core"], [84, "group_1092", "NaN", "hypothetical protein", 4, 4, 1, 1, 2395, NaN, NaN, "NaN", 188, 242, 228, "MAAAAKME_08870", "core"], [85, "phoU", "NaN", "Phosphate-specific transport system accessory protein PhoU ", 4, 4, 1, 1, 2404, NaN, NaN, "NaN", 638, 638, 638, "MAAAAKME_08950", "core"], [86, "cbh", "NaN", "Choloylglycine hydrolase", 4, 4, 1, 1, 2408, NaN, NaN, "NaN", 146, 974, 353, "MAAAAKME_08990", "core"], [87, "group_1095", "NaN", "hypothetical protein", 4, 4, 1, 1, 2413, NaN, NaN, "NaN", 656, 656, 656, "MAAAAKME_09030", "core"], [88, "idi", "NaN", "Isopentenyl-diphosphate Delta-isomerase", 4, 4, 1, 1, 2416, NaN, NaN, "NaN", 551, 551, 551, "MAAAAKME_09050", "core"], [89, "ecfT_3", "NaN", "Energy-coupling factor transporter transmembrane protein EcfT", 4, 4, 1, 1, 2421, NaN, NaN, "NaN", 776, 776, 776, "MAAAAKME_09090", "core"], [90, "group_1098", "NaN", "hypothetical protein", 4, 4, 1, 1, 2422, NaN, NaN, "NaN", 614, 635, 629, "MAAAAKME_09100", "core"], [91, "group_1100", "NaN", "Fatty acid ABC transporter ATP-binding/permease protein", 4, 4, 1, 1, 2230, NaN, NaN, "NaN", 701, 998, 923, "MAAAAKME_09220", "core"], [92, "btuD_8", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 4, 4, 1, 1, 2229, NaN, NaN, "NaN", 293, 329, 320, "MAAAAKME_09230", "core"], [93, "plsY_2", "NaN", "Glycerol-3-phosphate acyltransferase", 4, 4, 1, 1, 2228, NaN, NaN, "NaN", 638, 641, 638, "MAAAAKME_09240", "core"], [94, "fni", "NaN", "Isopentenyl-diphosphate delta-isomerase", 4, 4, 1, 1, 2224, NaN, NaN, "NaN", 1025, 1025, 1025, "MAAAAKME_09280", "core"], [95, "thrB_1", "NaN", "Homoserine kinase", 4, 4, 1, 1, 2222, NaN, NaN, "NaN", 959, 959, 959, "MAAAAKME_09300", "core"], [96, "dnaD", "NaN", "DNA replication protein DnaD", 4, 4, 1, 1, 2215, NaN, NaN, "NaN", 614, 647, 638, "MAAAAKME_09370", "core"], [97, "ponA", "NaN", "Penicillin-binding protein 1A", 4, 4, 1, 1, 2208, NaN, NaN, "NaN", 2312, 2339, 2318, "MAAAAKME_09440", "core"], [98, "gpsB", "NaN", "Cell cycle protein GpsB", 4, 4, 1, 1, 2205, NaN, NaN, "NaN", 464, 464, 464, "MAAAAKME_09470", "core"], [99, "rlmL", "NaN", "Ribosomal RNA large subunit methyltransferase L", 4, 4, 1, 1, 2204, NaN, NaN, "NaN", 1124, 1124, 1124, "MAAAAKME_09480", "core"], [100, "group_1110", "NaN", "hypothetical protein", 4, 4, 1, 1, 2202, NaN, NaN, "NaN", 356, 356, 356, "MAAAAKME_09500", "core"], [101, "nfrA", "NaN", "NADPH-dependent oxidoreductase", 4, 4, 1, 1, 2184, NaN, NaN, "NaN", 518, 518, 518, "MAAAAKME_09680", "core"], [102, "xerS", "NaN", "Tyrosine recombinase XerS", 4, 4, 1, 1, 2181, NaN, NaN, "NaN", 1049, 1076, 1069, "MAAAAKME_09710", "core"], [103, "garK", "NaN", "Glycerate 2-kinase", 4, 4, 1, 1, 2180, NaN, NaN, "NaN", 1148, 1148, 1148, "MAAAAKME_09720", "core"], [104, "group_1114", "NaN", "hypothetical protein", 4, 4, 1, 1, 2179, NaN, NaN, "NaN", 1169, 1205, 1178, "MAAAAKME_09730", "core"], [105, "group_1126", "NaN", "Putative peptidyl-prolyl cis-trans isomerase", 4, 4, 1, 1, 2077, NaN, NaN, "NaN", 575, 587, 584, "MAAAAKME_10180", "core"], [106, "group_1133", "NaN", "Hydroxypyruvate reductase", 4, 4, 1, 1, 1850, NaN, NaN, "NaN", 890, 950, 935, "MAAAAKME_10490", "core"], [107, "group_1134", "NaN", "putative ABC transporter ATP-binding protein", 4, 4, 1, 1, 1853, NaN, NaN, "NaN", 1757, 1757, 1757, "MAAAAKME_10520", "core"], [108, "glpE_1", "NaN", "Thiosulfate sulfurtransferase GlpE", 4, 4, 1, 1, 1854, NaN, NaN, "NaN", 308, 308, 308, "MAAAAKME_10530", "core"], [109, "gph_2", "NaN", "Phosphoglycolate phosphatase", 4, 4, 1, 1, 1872, NaN, NaN, "NaN", 719, 719, 719, "MAAAAKME_10590", "core"], [110, "dinG_3", "NaN", "3'-5' exonuclease DinG", 4, 4, 1, 1, 1875, NaN, NaN, "NaN", 356, 785, 677, "MAAAAKME_10610", "core"], [111, "bar", "NaN", "Phosphinothricin N-acetyltransferase", 4, 4, 1, 1, 1881, NaN, NaN, "NaN", 572, 572, 572, "MAAAAKME_10640", "core"], [112, "ykfA", "NaN", "putative murein peptide carboxypeptidase", 4, 4, 1, 1, 1886, NaN, NaN, "NaN", 845, 845, 845, "MAAAAKME_10690", "core"], [113, "rsmF", "NaN", "Ribosomal RNA small subunit methyltransferase F", 4, 4, 1, 1, 1887, NaN, NaN, "NaN", 1424, 1424, 1424, "MAAAAKME_10700", "core"], [114, "group_1144", "NaN", "hypothetical protein", 4, 4, 1, 1, 1888, NaN, NaN, "NaN", 974, 974, 974, "MAAAAKME_10710", "core"], [115, "group_1145", "NaN", "hypothetical protein", 4, 4, 1, 1, 1889, NaN, NaN, "NaN", 740, 740, 740, "MAAAAKME_10720", "core"], [116, "pcp", "NaN", "Pyrrolidone-carboxylate peptidase", 4, 4, 1, 1, 1891, NaN, NaN, "NaN", 611, 611, 611, "MAAAAKME_10740", "core"], [117, "prsW", "NaN", "Protease PrsW", 4, 4, 1, 1, 1892, NaN, NaN, "NaN", 752, 752, 752, "MAAAAKME_10750", "core"], [118, "group_1148", "NaN", "hypothetical protein", 4, 4, 1, 1, 1895, NaN, NaN, "NaN", 1520, 1520, 1520, "MAAAAKME_10780", "core"], [119, "gbuA", "NaN", "Glycine betaine/carnitine transport ATP-binding protein GbuA", 4, 4, 1, 1, 1896, NaN, NaN, "NaN", 923, 923, 923, "MAAAAKME_10790", "core"], [120, "htpX_2", "NaN", "Protease HtpX ", 4, 4, 1, 1, 1900, NaN, NaN, "NaN", 911, 911, 911, "MAAAAKME_10820", "core"], [121, "lacS", "NaN", "Lactose permease", 4, 4, 1, 1, 1916, NaN, NaN, "NaN", 1883, 1883, 1883, "MAAAAKME_10960", "core"], [122, "xerC_1", "NaN", "Tyrosine recombinase XerC", 4, 4, 1, 1, 1695, NaN, NaN, "NaN", 836, 836, 836, "MAAAAKME_11040", "core"], [123, "group_1160", "NaN", "hypothetical protein", 4, 4, 1, 1, 1685, NaN, NaN, "NaN", 185, 191, 186, "MAAAAKME_11060", "core"], [124, "group_1161", "NaN", "hypothetical protein", 4, 4, 1, 1, 1680, NaN, NaN, "NaN", 440, 440, 440, "MAAAAKME_11100", "core"], [125, "group_1166", "NaN", "hypothetical protein", 4, 4, 1, 1, 2892, NaN, NaN, "NaN", 179, 467, 251, "MAAAAKME_11220", "core"], [126, "sigA_1", "NaN", "RNA polymerase sigma factor SigA", 4, 4, 1, 1, 1643, NaN, NaN, "NaN", 1136, 1136, 1136, "MAAAAKME_11270", "core"], [127, "group_1168", "NaN", "PhoH-like protein", 4, 4, 1, 1, 1634, NaN, NaN, "NaN", 947, 1064, 1005, "MAAAAKME_11360", "core"], [128, "group_1169", "NaN", "hypothetical protein", 4, 4, 1, 1, 1630, NaN, NaN, "NaN", 884, 884, 884, "MAAAAKME_11400", "core"], [129, "lysA", "NaN", "Diaminopimelate decarboxylase", 4, 4, 1, 1, 1623, NaN, NaN, "NaN", 1196, 1310, 1281, "MAAAAKME_11440", "core"], [130, "hcaR", "NaN", "Hca operon transcriptional activator HcaR", 4, 4, 1, 1, 1598, NaN, NaN, "NaN", 902, 902, 902, "MAAAAKME_11680", "core"], [131, "group_1176", "NaN", "DegV domain-containing protein", 4, 4, 1, 1, 1595, NaN, NaN, "NaN", 836, 836, 836, "MAAAAKME_11710", "core"], [132, "czcD", "NaN", "Cadmium, cobalt and zinc/H(+)-K(+) antiporter", 4, 4, 1, 1, 1582, NaN, NaN, "NaN", 887, 887, 887, "MAAAAKME_11840", "core"], [133, "bigR", "NaN", "Biofilm growth-associated repressor", 4, 4, 1, 1, 1581, NaN, NaN, "NaN", 302, 302, 302, "MAAAAKME_11850", "core"], [134, "ribF", "NaN", "Bifunctional riboflavin kinase/FMN adenylyltransferase", 4, 4, 1, 1, 1572, NaN, NaN, "NaN", 938, 941, 939, "MAAAAKME_11940", "core"], [135, "cysE", "NaN", "Serine acetyltransferase", 4, 4, 1, 1, 799, NaN, NaN, "NaN", 332, 557, 388, "MAAAAKME_12030", "core"], [136, "nusA", "NaN", "Transcription termination/antitermination protein NusA", 4, 4, 1, 1, 793, NaN, NaN, "NaN", 1151, 1220, 1202, "MAAAAKME_12090", "core"], [137, "group_1183", "NaN", "hypothetical protein", 4, 4, 1, 1, 788, NaN, NaN, "NaN", 761, 797, 788, "MAAAAKME_12140", "core"], [138, "frr", "NaN", "Ribosome-recycling factor", 4, 4, 1, 1, 786, NaN, NaN, "NaN", 557, 557, 557, "MAAAAKME_12160", "core"], [139, "plsC", "NaN", "1-acyl-sn-glycerol-3-phosphate acyltransferase", 4, 4, 1, 1, 781, NaN, NaN, "NaN", 614, 614, 614, "MAAAAKME_12210", "core"], [140, "nadX", "NaN", "L-aspartate dehydrogenase", 4, 4, 1, 1, 778, NaN, NaN, "NaN", 1148, 1148, 1148, "MAAAAKME_12240", "core"], [141, "group_1187", "NaN", "hypothetical protein", 4, 4, 1, 1, 777, NaN, NaN, "NaN", 434, 434, 434, "MAAAAKME_12250", "core"], [142, "group_1188", "NaN", "hypothetical protein", 4, 4, 1, 1, 773, NaN, NaN, "NaN", 236, 236, 236, "MAAAAKME_12290", "core"], [143, "glcU", "NaN", "putative glucose uptake protein GlcU", 4, 4, 1, 1, 771, NaN, NaN, "NaN", 848, 848, 848, "MAAAAKME_12310", "core"], [144, "rhlE", "NaN", "ATP-dependent RNA helicase RhlE", 4, 4, 1, 1, 767, NaN, NaN, "NaN", 2234, 2234, 2234, "MAAAAKME_12340", "core"], [145, "group_1191", "NaN", "hypothetical protein", 4, 4, 1, 1, 765, NaN, NaN, "NaN", 1898, 1898, 1898, "MAAAAKME_12360", "core"], [146, "group_1192", "NaN", "Cell wall protein", 4, 4, 1, 1, 764, NaN, NaN, "NaN", 1841, 1850, 1847, "MAAAAKME_12370", "core"], [147, "rplS", "NaN", "50S ribosomal protein L19", 4, 4, 1, 1, 763, NaN, NaN, "NaN", 347, 347, 347, "MAAAAKME_12380", "core"], [148, "rpsP", "NaN", "30S ribosomal protein S16", 4, 4, 1, 1, 757, NaN, NaN, "NaN", 272, 272, 272, "MAAAAKME_12450", "core"], [149, "group_1195", "NaN", "hypothetical protein", 4, 4, 1, 1, 755, NaN, NaN, "NaN", 341, 341, 341, "MAAAAKME_12470", "core"], [150, "ftsY", "NaN", "Signal recognition particle receptor FtsY", 4, 4, 1, 1, 750, NaN, NaN, "NaN", 1271, 1328, 1313, "MAAAAKME_12520", "core"], [151, "appA_1", "NaN", "Oligopeptide-binding protein AppA", 4, 4, 1, 1, 747, NaN, NaN, "NaN", 1778, 1778, 1778, "MAAAAKME_12550", "core"], [152, "plsX", "NaN", "Phosphate acyltransferase", 4, 4, 1, 1, 739, NaN, NaN, "NaN", 992, 992, 992, "MAAAAKME_12620", "core"], [153, "thiN", "NaN", "Thiamine pyrophosphokinase", 4, 4, 1, 1, 728, NaN, NaN, "NaN", 683, 683, 683, "MAAAAKME_12770", "core"], [154, "group_1202", "NaN", "hypothetical protein", 4, 4, 1, 1, 717, NaN, NaN, "NaN", 305, 305, 305, "MAAAAKME_12860", "core"], [155, "nusB", "NaN", "Transcription antitermination protein NusB", 4, 4, 1, 1, 707, NaN, NaN, "NaN", 368, 398, 390, "MAAAAKME_12960", "core"], [156, "metI", "NaN", "Cystathionine gamma-synthase/O-acetylhomoserine (thiol)-lyase", 4, 4, 1, 1, 700, NaN, NaN, "NaN", 527, 527, 527, "MAAAAKME_13030", "core"], [157, "purF", "NaN", "Amidophosphoribosyltransferase", 4, 4, 1, 1, 694, NaN, NaN, "NaN", 1478, 1478, 1478, "MAAAAKME_13090", "core"], [158, "purK", "NaN", "N5-carboxyaminoimidazole ribonucleotide synthase", 4, 4, 1, 1, 688, NaN, NaN, "NaN", 1124, 1124, 1124, "MAAAAKME_13150", "core"], [159, "add", "NaN", "Adenosine deaminase", 4, 4, 1, 1, 665, NaN, NaN, "NaN", 992, 992, 992, "MAAAAKME_13330", "core"], [160, "group_1208", "NaN", "hypothetical protein", 4, 4, 1, 1, 2673, NaN, NaN, "NaN", 371, 371, 371, "MAAAAKME_13370", "core"], [161, "yhhS", "NaN", "putative MFS-type transporter YhhS", 4, 4, 1, 1, 2674, NaN, NaN, "NaN", 1220, 1220, 1220, "MAAAAKME_13380", "core"], [162, "miaA", "NaN", "tRNA dimethylallyltransferase", 4, 4, 1, 1, 2677, NaN, NaN, "NaN", 890, 926, 914, "MAAAAKME_13420", "core"], [163, "gluP", "NaN", "Rhomboid protease GluP", 4, 4, 1, 1, 2680, NaN, NaN, "NaN", 671, 671, 671, "MAAAAKME_13450", "core"], [164, "penA", "NaN", "Penicillin-binding protein 2B", 4, 4, 1, 1, 2683, NaN, NaN, "NaN", 2114, 2114, 2114, "MAAAAKME_13490", "core"], [165, "greA_2", "NaN", "Transcription elongation factor GreA", 4, 4, 1, 1, 2689, NaN, NaN, "NaN", 488, 488, 488, "MAAAAKME_13510", "core"], [166, "yodB", "NaN", "HTH-type transcriptional regulator YodB", 4, 4, 1, 1, 2692, NaN, NaN, "NaN", 350, 350, 350, "MAAAAKME_13540", "core"], [167, "misCB", "NaN", "Membrane protein insertase MisCB", 4, 4, 1, 1, 2695, NaN, NaN, "NaN", 962, 962, 962, "MAAAAKME_13570", "core"], [168, "sasA_3", "NaN", "Adaptive-response sensory-kinase SasA", 4, 4, 1, 1, 2696, NaN, NaN, "NaN", 1592, 1592, 1592, "MAAAAKME_13580", "core"], [169, "group_1217", "NaN", "hypothetical protein", 4, 4, 1, 1, 2698, NaN, NaN, "NaN", 578, 578, 578, "MAAAAKME_13600", "core"], [170, "nadD", "NaN", "Nicotinate-nucleotide adenylyltransferase", 4, 4, 1, 1, 2702, NaN, NaN, "NaN", 638, 638, 638, "MAAAAKME_13640", "core"], [171, "dnaB", "NaN", "Replication initiation and membrane attachment protein", 4, 4, 1, 1, 2712, NaN, NaN, "NaN", 1334, 1334, 1334, "MAAAAKME_13740", "core"], [172, "mutM", "NaN", "Formamidopyrimidine-DNA glycosylase", 4, 4, 1, 1, 2715, NaN, NaN, "NaN", 821, 821, 821, "MAAAAKME_13770", "core"], [173, "hit", "NaN", "Protein hit", 4, 4, 1, 1, 2763, NaN, NaN, "NaN", 437, 437, 437, "MAAAAKME_13920", "core"], [174, "pyrDB_1", "NaN", "Dihydroorotate dehydrogenase B (NAD(+)), catalytic subunit", 4, 4, 1, 1, 2761, NaN, NaN, "NaN", 929, 929, 929, "MAAAAKME_13940", "core"], [175, "group_1226", "NaN", "hypothetical protein", 4, 4, 1, 1, 2741, NaN, NaN, "NaN", 1310, 1547, 1486, "MAAAAKME_14140", "core"], [176, "nnrD", "NaN", "ADP-dependent (S)-NAD(P)H-hydrate dehydratase", 4, 4, 1, 1, 2740, NaN, NaN, "NaN", 866, 866, 866, "MAAAAKME_14150", "core"], [177, "group_1228", "NaN", "hypothetical protein", 4, 4, 1, 1, 416, NaN, NaN, "NaN", 653, 659, 657, "MAAAAKME_14310", "core"], [178, "yumC", "NaN", "Ferredoxin--NADP reductase 2", 4, 4, 1, 1, 423, NaN, NaN, "NaN", 983, 983, 983, "MAAAAKME_14460", "core"], [179, "dedA", "NaN", "Protein DedA", 4, 4, 1, 1, 424, NaN, NaN, "NaN", 659, 659, 659, "MAAAAKME_14470", "core"], [180, "ccpA_1", "NaN", "Catabolite control protein A", 4, 4, 1, 1, 430, NaN, NaN, "NaN", 1001, 1001, 1001, "MAAAAKME_14530", "core"], [181, "group_1232", "NaN", "hypothetical protein", 4, 4, 1, 1, 435, NaN, NaN, "NaN", 419, 419, 419, "MAAAAKME_14580", "core"], [182, "cshB", "NaN", "DEAD-box ATP-dependent RNA helicase CshB", 4, 4, 1, 1, 445, NaN, NaN, "NaN", 1361, 1361, 1361, "MAAAAKME_14680", "core"], [183, "group_1234", "NaN", "hypothetical protein", 4, 4, 1, 1, 449, NaN, NaN, "NaN", 395, 404, 397, "MAAAAKME_14720", "core"], [184, "ruvA", "NaN", "Holliday junction ATP-dependent DNA helicase RuvA", 4, 4, 1, 1, 451, NaN, NaN, "NaN", 593, 593, 593, "MAAAAKME_14740", "core"], [185, "groS", "NaN", "10 kDa chaperonin", 4, 4, 1, 1, 455, NaN, NaN, "NaN", 284, 284, 284, "MAAAAKME_14780", "core"], [186, "rex", "NaN", "Redox-sensing transcriptional repressor Rex", 4, 4, 1, 1, 456, NaN, NaN, "NaN", 683, 686, 685, "MAAAAKME_14790", "core"], [187, "mshD_2", "NaN", "Mycothiol acetyltransferase", 4, 4, 1, 1, 459, NaN, NaN, "NaN", 530, 530, 530, "MAAAAKME_14820", "core"], [188, "yabA", "NaN", "Initiation-control protein YabA", 4, 4, 1, 1, 465, NaN, NaN, "NaN", 332, 332, 332, "MAAAAKME_14880", "core"], [189, "group_1240", "NaN", "hypothetical protein", 4, 4, 1, 1, 466, NaN, NaN, "NaN", 872, 872, 872, "MAAAAKME_14890", "core"], [190, "darA", "NaN", "Cyclic di-AMP receptor A", 4, 4, 1, 1, 467, NaN, NaN, "NaN", 326, 326, 326, "MAAAAKME_14900", "core"], [191, "group_1242", "NaN", "hypothetical protein", 4, 4, 1, 1, 469, NaN, NaN, "NaN", 236, 236, 236, "MAAAAKME_14920", "core"], [192, "ruvB_2", "NaN", "Holliday junction ATP-dependent DNA helicase RuvB", 4, 4, 1, 1, 472, NaN, NaN, "NaN", 1778, 1823, 1811, "MAAAAKME_14950", "core"], [193, "fmtA_2", "NaN", "Teichoic acid D-alanine hydrolase", 4, 4, 1, 1, 480, NaN, NaN, "NaN", 1127, 1127, 1127, "MAAAAKME_15030", "core"], [194, "group_1247", "NaN", "hypothetical protein", 4, 4, 1, 1, 494, NaN, NaN, "NaN", 401, 401, 401, "MAAAAKME_15150", "core"], [195, "amt", "NaN", "Ammonia channel", 4, 4, 1, 1, 495, NaN, NaN, "NaN", 1172, 1250, 1230, "MAAAAKME_15160", "core"], [196, "nusG", "NaN", "Transcription termination/antitermination protein NusG", 4, 4, 1, 1, 499, NaN, NaN, "NaN", 554, 554, 554, "MAAAAKME_15200", "core"], [197, "secE", "NaN", "Protein translocase subunit SecE", 4, 4, 1, 1, 500, NaN, NaN, "NaN", 170, 170, 170, "MAAAAKME_15210", "core"], [198, "group_1251", "NaN", "hypothetical protein", 4, 4, 1, 1, 507, NaN, NaN, "NaN", 215, 215, 215, "MAAAAKME_15290", "core"], [199, "cysL", "NaN", "HTH-type transcriptional regulator CysL", 4, 4, 1, 1, 514, NaN, NaN, "NaN", 875, 875, 875, "MAAAAKME_15350", "core"], [200, "group_1253", "NaN", "hypothetical protein", 4, 4, 1, 1, 515, NaN, NaN, "NaN", 1025, 1025, 1025, "MAAAAKME_15360", "core"], [201, "group_1254", "NaN", "hypothetical protein", 4, 4, 1, 1, 517, NaN, NaN, "NaN", 836, 836, 836, "MAAAAKME_15380", "core"], [202, "ytrA_1", "NaN", "HTH-type transcriptional repressor YtrA", 4, 4, 1, 1, 519, NaN, NaN, "NaN", 368, 368, 368, "MAAAAKME_15410", "core"], [203, "group_1256", "NaN", "hypothetical protein", 4, 4, 1, 1, 528, NaN, NaN, "NaN", 1067, 1067, 1067, "MAAAAKME_15480", "core"], [204, "pepQ_2", "NaN", "Xaa-Pro dipeptidase", 4, 4, 1, 1, 531, NaN, NaN, "NaN", 1034, 1121, 1099, "MAAAAKME_15500", "core"], [205, "group_1259", "NaN", "hypothetical protein", 4, 4, 1, 1, 535, NaN, NaN, "NaN", 293, 617, 536, "MAAAAKME_15540", "core"], [206, "group_1260", "NaN", "hypothetical protein", 4, 4, 1, 1, 536, NaN, NaN, "NaN", 182, 185, 182, "MAAAAKME_15550", "core"], [207, "group_1261", "NaN", "hypothetical protein", 4, 4, 1, 1, 537, NaN, NaN, "NaN", 503, 503, 503, "MAAAAKME_15560", "core"], [208, "group_1262", "NaN", "hypothetical protein", 4, 4, 1, 1, 545, NaN, NaN, "NaN", 1778, 1778, 1778, "MAAAAKME_15630", "core"], [209, "ytrA_2", "NaN", "HTH-type transcriptional repressor YtrA", 4, 4, 1, 1, 547, NaN, NaN, "NaN", 374, 374, 374, "MAAAAKME_15650", "core"], [210, "fabZ_2", "NaN", "3-hydroxyacyl-[acyl-carrier-protein] dehydratase FabZ", 4, 4, 1, 1, 560, NaN, NaN, "NaN", 461, 461, 461, "MAAAAKME_15850", "core"], [211, "group_1265", "NaN", "hypothetical protein", 4, 4, 1, 1, 562, NaN, NaN, "NaN", 185, 185, 185, "MAAAAKME_15870", "core"], [212, "group_1266", "NaN", "hypothetical protein", 4, 4, 1, 1, 567, NaN, NaN, "NaN", 518, 518, 518, "MAAAAKME_15920", "core"], [213, "murR", "NaN", "HTH-type transcriptional regulator MurR", 4, 4, 1, 1, 571, NaN, NaN, "NaN", 692, 755, 739, "MAAAAKME_15950", "core"], [214, "thrB_2", "NaN", "Homoserine kinase", 4, 4, 1, 1, 581, NaN, NaN, "NaN", 863, 863, 863, "MAAAAKME_16080", "core"], [215, "dppE_2", "NaN", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2617, NaN, NaN, "NaN", 959, 1628, 1217, "MAAAAKME_02390", "core"], [216, "thrC", "NaN", "Threonine synthase", 4, 4, 1, 1, 582, NaN, NaN, "NaN", 1478, 1478, 1478, "MAAAAKME_16090", "core"], [217, "group_1271", "NaN", "hypothetical protein", 4, 4, 1, 1, 583, NaN, NaN, "NaN", 530, 530, 530, "MAAAAKME_16130", "core"], [218, "group_1272", "NaN", "hypothetical protein", 4, 4, 1, 1, 585, NaN, NaN, "NaN", 182, 185, 182, "MAAAAKME_16150", "core"], [219, "bglF", "NaN", "hypothetical protein", 4, 4, 1, 1, 589, NaN, NaN, "NaN", 449, 1946, 824, "MAAAAKME_16190", "core"], [220, "pfkA2", "NaN", "ATP-dependent 6-phosphofructokinase 2", 4, 4, 1, 1, 590, NaN, NaN, "NaN", 1079, 1079, 1079, "MAAAAKME_16200", "core"], [221, "group_1279", "NaN", "hypothetical protein", 4, 4, 1, 1, 614, NaN, NaN, "NaN", 305, 305, 305, "MAAAAKME_16370", "core"], [222, "srmB", "NaN", "ATP-dependent RNA helicase SrmB", 4, 4, 1, 1, 615, NaN, NaN, "NaN", 3134, 3140, 3138, "MAAAAKME_16380", "core"], [223, "group_1281", "NaN", "Dipeptidyl-peptidase 6", 4, 4, 1, 1, 619, NaN, NaN, "NaN", 842, 842, 842, "MAAAAKME_16420", "core"], [224, "manZ", "NaN", "PTS system mannose-specific EIID component", 4, 4, 1, 1, 623, NaN, NaN, "NaN", 914, 914, 914, "MAAAAKME_16460", "core"], [225, "sorA", "NaN", "PTS system sorbose-specific EIIC component", 4, 4, 1, 1, 624, NaN, NaN, "NaN", 812, 812, 812, "MAAAAKME_16470", "core"], [226, "manX", "NaN", "PTS system mannose-specific EIIAB component", 4, 4, 1, 1, 625, NaN, NaN, "NaN", 1001, 1034, 1018, "MAAAAKME_16480", "core"], [227, "nhaC", "NaN", "Na(+)/H(+) antiporter NhaC", 4, 4, 1, 1, 296, NaN, NaN, "NaN", 1379, 1379, 1379, "MAAAAKME_16540", "core"], [228, "group_1286", "NaN", "hypothetical protein", 4, 4, 1, 1, 257, NaN, NaN, "NaN", 485, 500, 488, "MAAAAKME_16690", "core"], [229, "group_1287", "NaN", "hypothetical protein", 4, 4, 1, 1, 261, NaN, NaN, "NaN", 167, 167, 167, "MAAAAKME_16720", "core"], [230, "rnr", "NaN", "Ribonuclease R", 4, 4, 1, 1, 263, NaN, NaN, "NaN", 2318, 2369, 2356, "MAAAAKME_16780", "core"], [231, "group_1290", "NaN", "hypothetical protein", 4, 4, 1, 1, 277, NaN, NaN, "NaN", 179, 719, 314, "MAAAAKME_17140", "core"], [232, "rsiV", "NaN", "Anti-sigma-V factor RsiV", 4, 4, 1, 1, 245, NaN, NaN, "NaN", 866, 866, 866, "MAAAAKME_17250", "core"], [233, "group_1292", "NaN", "hypothetical protein", 4, 4, 1, 1, 241, NaN, NaN, "NaN", 593, 593, 593, "MAAAAKME_17290", "core"], [234, "group_1293", "NaN", "hypothetical protein", 4, 4, 1, 1, 239, NaN, NaN, "NaN", 860, 884, 866, "MAAAAKME_17310", "core"], [235, "group_1294", "NaN", "hypothetical protein", 4, 4, 1, 1, 234, NaN, NaN, "NaN", 1082, 1088, 1085, "MAAAAKME_17350", "core"], [236, "betI_2", "NaN", "HTH-type transcriptional regulator BetI", 4, 4, 1, 1, 230, NaN, NaN, "NaN", 572, 584, 581, "MAAAAKME_17370", "core"], [237, "group_1296", "NaN", "hypothetical protein", 4, 4, 1, 1, 228, NaN, NaN, "NaN", 914, 914, 914, "MAAAAKME_17390", "core"], [238, "corA", "NaN", "Cobalt/magnesium transport protein CorA", 4, 4, 1, 1, 227, NaN, NaN, "NaN", 917, 917, 917, "MAAAAKME_17400", "core"], [239, "group_1298", "NaN", "hypothetical protein", 4, 4, 1, 1, 224, NaN, NaN, "NaN", 587, 587, 587, "MAAAAKME_17430", "core"], [240, "group_1299", "NaN", "hypothetical protein", 4, 4, 1, 1, 222, NaN, NaN, "NaN", 845, 845, 845, "MAAAAKME_17450", "core"], [241, "dkgB", "NaN", "2,5-diketo-D-gluconic acid reductase B", 4, 4, 1, 1, 221, NaN, NaN, "NaN", 830, 830, 830, "MAAAAKME_17460", "core"], [242, "efp_2", "NaN", "Elongation factor P", 4, 4, 1, 1, 211, NaN, NaN, "NaN", 557, 557, 557, "MAAAAKME_17560", "core"], [243, "group_1302", "NaN", "hypothetical protein", 4, 4, 1, 1, 202, NaN, NaN, "NaN", 614, 662, 650, "MAAAAKME_17650", "core"], [244, "group_1303", "NaN", "hypothetical protein", 4, 4, 1, 1, 196, NaN, NaN, "NaN", 134, 134, 134, "MAAAAKME_17690", "core"], [245, "group_1304", "NaN", "hypothetical protein", 4, 4, 1, 1, 189, NaN, NaN, "NaN", 707, 707, 707, "MAAAAKME_17750", "core"], [246, "group_1306", "NaN", "hypothetical protein", 4, 4, 1, 1, 182, NaN, NaN, "NaN", 218, 911, 737, "MAAAAKME_17810", "core"], [247, "epsF", "NaN", "Putative glycosyltransferase EpsF", 4, 4, 1, 1, 41, NaN, NaN, "NaN", 1118, 1118, 1118, "MAAAAKME_17860", "core"], [248, "glfT1", "NaN", "Galactofuranosyltransferase GlfT1", 4, 4, 1, 1, 40, NaN, NaN, "NaN", 905, 905, 905, "MAAAAKME_17870", "core"], [249, "pglC", "NaN", "Undecaprenyl phosphate N,N'-diacetylbacillosamine 1-phosphate transferase", 4, 4, 1, 1, 385, NaN, NaN, "NaN", 650, 650, 650, "MAAAAKME_17930", "core"], [250, "tagU_3", "NaN", "Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU", 4, 4, 1, 1, 387, NaN, NaN, "NaN", 1124, 1184, 1169, "MAAAAKME_17950", "core"], [251, "msrB", "NaN", "Peptide methionine sulfoxide reductase MsrB", 4, 4, 1, 1, 360, NaN, NaN, "NaN", 425, 425, 425, "MAAAAKME_18110", "core"], [252, "wecA", "NaN", "UDP-N-acetylgalactosamine-undecaprenyl-phosphate N-acetylgalactosaminephosphotransferase", 4, 4, 1, 1, 1806, NaN, NaN, "NaN", 659, 668, 661, "MAAAAKME_18380", "core"], [253, "gmk_2", "NaN", "Guanylate kinase", 4, 4, 1, 1, 1790, NaN, NaN, "NaN", 542, 542, 542, "MAAAAKME_18520", "core"], [254, "group_1318", "NaN", "hypothetical protein", 4, 4, 1, 1, 1789, NaN, NaN, "NaN", 335, 338, 335, "MAAAAKME_18530", "core"], [255, "group_1319", "NaN", "hypothetical protein", 4, 4, 1, 1, 1787, NaN, NaN, "NaN", 626, 626, 626, "MAAAAKME_18550", "core"], [256, "group_132", "oppA_4", "hypothetical protein", 4, 4, 1, 1, 1108, NaN, NaN, "NaN", 491, 548, 505, "MAAAAKME_06380", "core"], [257, "yjjP", "NaN", "Inner membrane protein YjjP", 4, 4, 1, 1, 1783, NaN, NaN, "NaN", 773, 773, 773, "MAAAAKME_18580", "core"], [258, "ybjI_2", "NaN", "5-amino-6-(5-phospho-D-ribitylamino)uracil phosphatase YbjI", 4, 4, 1, 1, 1772, NaN, NaN, "NaN", 800, 800, 800, "MAAAAKME_18680", "core"], [259, "fruA", "NaN", "PTS system fructose-specific EIIABC component", 4, 4, 1, 1, 1771, NaN, NaN, "NaN", 1970, 1976, 1971, "MAAAAKME_18690", "core"], [260, "group_1323", "NaN", "hypothetical protein", 4, 4, 1, 1, 1760, NaN, NaN, "NaN", 263, 263, 263, "MAAAAKME_18800", "core"], [261, "group_1324", "NaN", "hypothetical protein", 4, 4, 1, 1, 1755, NaN, NaN, "NaN", 524, 524, 524, "MAAAAKME_18850", "core"], [262, "group_1326", "NaN", "putative ABC transporter permease", 4, 4, 1, 1, 1735, NaN, NaN, "NaN", 1058, 1058, 1058, "MAAAAKME_18980", "core"], [263, "group_1327", "NaN", "hypothetical protein", 4, 4, 1, 1, 1729, NaN, NaN, "NaN", 1190, 1211, 1195, "MAAAAKME_19040", "core"], [264, "lsrR", "NaN", "Transcriptional regulator LsrR", 4, 4, 1, 1, 2855, NaN, NaN, "NaN", 947, 947, 947, "MAAAAKME_19090", "core"], [265, "group_1329", "NaN", "hypothetical protein", 4, 4, 1, 1, 2848, NaN, NaN, "NaN", 908, 914, 912, "MAAAAKME_19150", "core"], [266, "group_1331", "NaN", "hypothetical protein", 4, 4, 1, 1, 2835, NaN, NaN, "NaN", 236, 245, 238, "MAAAAKME_19250", "core"], [267, "clpC_2", "NaN", "putative ATP-dependent Clp protease ATP-binding subunit", 4, 4, 1, 1, 2834, NaN, NaN, "NaN", 2090, 2090, 2090, "MAAAAKME_19260", "core"], [268, "yicL", "NaN", "putative inner membrane transporter YicL", 4, 4, 1, 1, 2824, NaN, NaN, "NaN", 911, 911, 911, "MAAAAKME_19400", "core"], [269, "group_1334", "NaN", "Putative glutamine amidotransferase", 4, 4, 1, 1, 2823, NaN, NaN, "NaN", 749, 749, 749, "MAAAAKME_19410", "core"], [270, "group_1335", "NaN", "hypothetical protein", 4, 4, 1, 1, 2821, NaN, NaN, "NaN", 875, 878, 877, "MAAAAKME_19430", "core"], [271, "group_1337", "NaN", "hypothetical protein", 4, 4, 1, 1, 136, NaN, NaN, "NaN", 389, 389, 389, "MAAAAKME_19690", "core"], [272, "group_1338", "NaN", "hypothetical protein", 4, 4, 1, 1, 139, NaN, NaN, "NaN", 1232, 1232, 1232, "MAAAAKME_19720", "core"], [273, "group_1339", "NaN", "hypothetical protein", 4, 4, 1, 1, 141, NaN, NaN, "NaN", 149, 149, 149, "MAAAAKME_19740", "core"], [274, "rapA_2", "NaN", "RNA polymerase-associated protein RapA", 4, 4, 1, 1, 762, NaN, NaN, "NaN", 494, 3557, 1654, "MAAAAKME_12390", "core"], [275, "group_1340", "NaN", "hypothetical protein", 4, 4, 1, 1, 142, NaN, NaN, "NaN", 302, 320, 306, "MAAAAKME_19750", "core"], [276, "group_1341", "NaN", "hypothetical protein", 4, 4, 1, 1, 161, NaN, NaN, "NaN", 1208, 1208, 1208, "MAAAAKME_19760", "core"], [277, "ykuL", "NaN", "CBS domain-containing protein YkuL", 4, 4, 1, 1, 164, NaN, NaN, "NaN", 497, 497, 497, "MAAAAKME_19790", "core"], [278, "napA", "NaN", "Na(+)/H(+) antiporter", 4, 4, 1, 1, 167, NaN, NaN, "NaN", 1160, 1271, 1187, "MAAAAKME_19810", "core"], [279, "group_1344", "NaN", "hypothetical protein", 4, 4, 1, 1, 168, NaN, NaN, "NaN", 656, 665, 662, "MAAAAKME_19820", "core"], [280, "group_1345", "NaN", "hypothetical protein", 4, 4, 1, 1, 169, NaN, NaN, "NaN", 272, 1100, 893, "MAAAAKME_19830", "core"], [281, "group_1346", "NaN", "hypothetical protein", 4, 4, 1, 1, 172, NaN, NaN, "NaN", 344, 410, 393, "MAAAAKME_19860", "core"], [282, "group_1347", "NaN", "hypothetical protein", 4, 4, 1, 1, 109, NaN, NaN, "NaN", 197, 239, 207, "MAAAAKME_20070", "core"], [283, "group_1348", "NaN", "hypothetical protein", 4, 4, 1, 1, 105, NaN, NaN, "NaN", 371, 371, 371, "MAAAAKME_20080", "core"], [284, "iolS", "NaN", "Aldo-keto reductase IolS", 4, 4, 1, 1, 104, NaN, NaN, "NaN", 842, 842, 842, "MAAAAKME_20090", "core"], [285, "group_1350", "NaN", "hypothetical protein", 4, 4, 1, 1, 102, NaN, NaN, "NaN", 104, 104, 104, "MAAAAKME_20110", "core"], [286, "fadG", "NaN", "hypothetical protein", 4, 4, 1, 1, 94, NaN, NaN, "NaN", 917, 1880, 1157, "MAAAAKME_20140", "core"], [287, "group_1352", "NaN", "Deoxyadenosine kinase", 4, 4, 1, 1, 76, NaN, NaN, "NaN", 662, 662, 662, "MAAAAKME_20160", "core"], [288, "rnpA", "NaN", "Ribonuclease P protein component", 4, 4, 1, 1, 55, NaN, NaN, "NaN", 365, 365, 365, "MAAAAKME_20370", "core"], [289, "rpmH", "NaN", "50S ribosomal protein L34", 4, 4, 1, 1, 54, NaN, NaN, "NaN", 140, 140, 140, "MAAAAKME_20380", "core"], [290, "group_1357", "NaN", "hypothetical protein", 4, 4, 1, 1, 2551, NaN, NaN, "NaN", 2996, 3032, 3014, "MAAAAKME_02100", "core"], [291, "group_1360", "NaN", "hypothetical protein", 4, 4, 1, 1, 1345, NaN, NaN, "NaN", 614, 620, 615, "MAAAAKME_02990", "core"], [292, "group_1369", "NaN", "hypothetical protein", 4, 4, 1, 1, 679, NaN, NaN, "NaN", 1802, 1811, 1808, "MAAAAKME_13200", "core"], [293, "mggB", "NaN", "Mannosylglucosyl-3-phosphoglycerate phosphatase", 4, 4, 1, 1, 428, NaN, NaN, "NaN", 1409, 1430, 1420, "MAAAAKME_14510", "core"], [294, "group_1376", "NaN", "hypothetical protein", 4, 4, 1, 1, 212, NaN, NaN, "NaN", 761, 797, 775, "MAAAAKME_17550", "core"], [295, "tagU_5", "NaN", "Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU", 4, 4, 1, 1, 1780, NaN, NaN, "NaN", 1139, 1142, 1139, "MAAAAKME_18610", "core"], [296, "yidA", "NaN", "Sugar phosphatase YidA", 4, 4, 1, 1, 2822, NaN, NaN, "NaN", 803, 809, 806, "MAAAAKME_19420", "core"], [297, "tmpC_1", "NaN", "Membrane lipoprotein TmpC", 4, 4, 1, 1, 170, NaN, NaN, "NaN", 1091, 1094, 1093, "MAAAAKME_19840", "core"], [298, "ybiR", "NaN", "Inner membrane protein YbiR", 4, 4, 1, 1, 2484, NaN, NaN, "NaN", 1142, 1157, 1147, "MAAAAKME_01440", "core"], [299, "cwlS", "NaN", "D-gamma-glutamyl-meso-diaminopimelic acid endopeptidase CwlS", 4, 4, 1, 1, 2488, NaN, NaN, "NaN", 1100, 1145, 1130, "MAAAAKME_01470", "core"], [300, "nudC_1", "NaN", "NADH pyrophosphatase", 4, 4, 1, 1, 1443, NaN, NaN, "NaN", 620, 623, 621, "MAAAAKME_03910", "core"], [301, "dnaJ", "NaN", "Chaperone protein DnaJ", 4, 4, 1, 1, 1576, NaN, NaN, "NaN", 1136, 1139, 1136, "MAAAAKME_11900", "core"], [302, "appA_2", "NaN", "Oligopeptide-binding protein AppA", 4, 4, 1, 1, 746, NaN, NaN, "NaN", 1766, 1772, 1769, "MAAAAKME_12560", "core"], [303, "prsA", "NaN", "Foldase protein PrsA", 4, 4, 1, 1, 2758, NaN, NaN, "NaN", 911, 935, 920, "MAAAAKME_13970", "core"], [304, "ppsA_1", "NaN", "Phosphoenolpyruvate synthase", 4, 4, 1, 1, 2733, NaN, NaN, "NaN", 380, 2414, 888, "MAAAAKME_14220", "core"], [305, "dxs_2", "NaN", "1-deoxy-D-xylulose-5-phosphate synthase", 4, 4, 1, 1, 502, NaN, NaN, "NaN", 251, 1751, 647, "MAAAAKME_15240", "core"], [306, "arcD1_3", "NaN", "hypothetical protein", 4, 4, 1, 1, 275, NaN, NaN, "NaN", 194, 1100, 499, "MAAAAKME_17100", "core"], [307, "insK", "NaN", "Putative transposase InsK for insertion sequence element IS150", 4, 4, 1, 1, 101, NaN, NaN, "NaN", 209, 527, 288, "MAAAAKME_20120", "core"], [308, "dppE_3", "NaN", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2615, NaN, NaN, "NaN", 212, 290, 231, "MAAAAKME_02410", "core"], [309, "rplU", "NaN", "50S ribosomal protein L21", 4, 4, 1, 1, 702, NaN, NaN, "NaN", 311, 311, 311, "MAAAAKME_13010", "core"], [310, "group_2016", "NaN", "hypothetical protein", 4, 4, 1, 1, 1388, NaN, NaN, "NaN", 155, 155, 155, "MAAAAKME_03450", "core"], [311, "argR", "NaN", "Arginine repressor", 4, 4, 1, 1, 2268, NaN, NaN, "NaN", 473, 473, 473, "MAAAAKME_07570", "core"], [312, "trpS2", "NaN", "Tryptophan--tRNA ligase 2", 4, 4, 1, 1, 1343, NaN, NaN, "NaN", 1025, 1025, 1025, "MAAAAKME_02970", "core"], [313, "rpmD", "NaN", "50S ribosomal protein L30", 4, 4, 1, 1, 1417, NaN, NaN, "NaN", 185, 185, 185, "MAAAAKME_03720", "core"], [314, "group_2020", "NaN", "hypothetical protein", 4, 4, 1, 1, 2542, NaN, NaN, "NaN", 236, 236, 236, "MAAAAKME_02010", "core"], [315, "rplV", "NaN", "50S ribosomal protein L22", 4, 4, 1, 1, 1405, NaN, NaN, "NaN", 353, 353, 353, "MAAAAKME_03600", "core"], [316, "group_2022", "NaN", "hypothetical protein", 4, 4, 1, 1, 1369, NaN, NaN, "NaN", 242, 242, 242, "MAAAAKME_03230", "core"], [317, "soj", "NaN", "Sporulation initiation inhibitor protein Soj", 4, 4, 1, 1, 1758, NaN, NaN, "NaN", 779, 779, 779, "MAAAAKME_18820", "core"], [318, "rplK", "NaN", "50S ribosomal protein L11", 4, 4, 1, 1, 498, NaN, NaN, "NaN", 425, 425, 425, "MAAAAKME_15190", "core"], [319, "group_2025", "NaN", "putative protein", 4, 4, 1, 1, 736, NaN, NaN, "NaN", 362, 362, 362, "MAAAAKME_12650", "core"], [320, "rpmG3", "NaN", "50S ribosomal protein L33 3", 4, 4, 1, 1, 501, NaN, NaN, "NaN", 149, 149, 149, "MAAAAKME_15220", "core"], [321, "rbfA", "NaN", "Ribosome-binding factor A", 4, 4, 1, 1, 797, NaN, NaN, "NaN", 362, 362, 362, "MAAAAKME_12050", "core"], [322, "rpsL", "NaN", "30S ribosomal protein S12", 4, 4, 1, 1, 1395, NaN, NaN, "NaN", 407, 407, 407, "MAAAAKME_03510", "core"], [323, "rpmI", "NaN", "50S ribosomal protein L35", 4, 4, 1, 1, 2705, NaN, NaN, "NaN", 200, 200, 200, "MAAAAKME_13670", "core"], [324, "rplC", "NaN", "50S ribosomal protein L3", 4, 4, 1, 1, 1400, NaN, NaN, "NaN", 629, 629, 629, "MAAAAKME_03550", "core"], [325, "ntd_1", "NaN", "Nucleoside deoxyribosyltransferase", 4, 4, 1, 1, 2518, NaN, NaN, "NaN", 473, 473, 473, "MAAAAKME_01770", "core"], [326, "group_2035", "NaN", "hypothetical protein", 4, 4, 1, 1, 1781, NaN, NaN, "NaN", 377, 377, 377, "MAAAAKME_18600", "core"], [327, "group_2036", "NaN", "hypothetical protein", 4, 4, 1, 1, 1212, NaN, NaN, "NaN", 188, 188, 188, "MAAAAKME_05350", "core"], [328, "rpmF", "NaN", "50S ribosomal protein L32", 4, 4, 1, 1, 2280, NaN, NaN, "NaN", 191, 191, 191, "MAAAAKME_07690", "core"], [329, "atpB", "NaN", "ATP synthase subunit a", 4, 4, 1, 1, 1097, NaN, NaN, "NaN", 719, 719, 719, "MAAAAKME_06500", "core"], [330, "rplO", "NaN", "50S ribosomal protein L15", 4, 4, 1, 1, 1418, NaN, NaN, "NaN", 440, 440, 440, "MAAAAKME_03730", "core"], [331, "rplT", "NaN", "50S ribosomal protein L20", 4, 4, 1, 1, 2704, NaN, NaN, "NaN", 356, 356, 356, "MAAAAKME_13660", "core"], [332, "secG", "NaN", "putative protein-export membrane protein SecG", 4, 4, 1, 1, 264, NaN, NaN, "NaN", 233, 233, 233, "MAAAAKME_16790", "core"], [333, "rpmC", "NaN", "50S ribosomal protein L29", 4, 4, 1, 1, 1408, NaN, NaN, "NaN", 197, 197, 197, "MAAAAKME_03630", "core"], [334, "group_2053", "NaN", "hypothetical protein", 4, 4, 1, 1, 441, NaN, NaN, "NaN", 323, 323, 323, "MAAAAKME_14640", "core"], [335, "group_2054", "NaN", "hypothetical protein", 4, 4, 1, 1, 794, NaN, NaN, "NaN", 278, 278, 278, "MAAAAKME_12080", "core"], [336, "rplQ", "NaN", "50S ribosomal protein L17", 4, 4, 1, 1, 1425, NaN, NaN, "NaN", 383, 383, 383, "MAAAAKME_03800", "core"], [337, "rpsU", "NaN", "30S ribosomal protein S21", 4, 4, 1, 1, 1633, NaN, NaN, "NaN", 176, 176, 176, "MAAAAKME_11370", "core"], [338, "rplR", "NaN", "50S ribosomal protein L18", 4, 4, 1, 1, 1415, NaN, NaN, "NaN", 359, 359, 359, "MAAAAKME_03700", "core"], [339, "rsfS", "NaN", "Ribosomal silencing factor RsfS", 4, 4, 1, 1, 2700, NaN, NaN, "NaN", 347, 347, 347, "MAAAAKME_13620", "core"], [340, "rpmGA", "NaN", "50S ribosomal protein L33 1", 4, 4, 1, 1, 2682, NaN, NaN, "NaN", 149, 149, 149, "MAAAAKME_13480", "core"], [341, "group_2063", "NaN", "hypothetical protein", 4, 4, 1, 1, 948, NaN, NaN, "NaN", 233, 233, 233, "MAAAAKME_00030", "core"], [342, "group_2064", "NaN", "hypothetical protein", 4, 4, 1, 1, 673, NaN, NaN, "NaN", 95, 95, 95, "MAAAAKME_13260", "core"], [343, "group_2065", "NaN", "hypothetical protein", 4, 4, 1, 1, 1206, NaN, NaN, "NaN", 395, 395, 395, "MAAAAKME_05410", "core"], [344, "infA", "NaN", "Translation initiation factor IF-1", 4, 4, 1, 1, 1421, NaN, NaN, "NaN", 221, 221, 221, "MAAAAKME_03760", "core"], [345, "yajL", "NaN", "Protein/nucleic acid deglycase 3", 4, 4, 1, 1, 566, NaN, NaN, "NaN", 581, 581, 581, "MAAAAKME_15910", "core"], [346, "rpsH", "NaN", "30S ribosomal protein S8", 4, 4, 1, 1, 1413, NaN, NaN, "NaN", 398, 398, 398, "MAAAAKME_03680", "core"], [347, "ywhB", "NaN", "2-hydroxymuconate tautomerase", 4, 4, 1, 1, 993, NaN, NaN, "NaN", 188, 188, 188, "MAAAAKME_00450", "core"], [348, "nudF", "NaN", "ADP-ribose pyrophosphatase", 4, 4, 1, 1, 1049, NaN, NaN, "NaN", 557, 557, 557, "MAAAAKME_06960", "core"], [349, "group_2071", "NaN", "hypothetical protein", 4, 4, 1, 1, 774, NaN, NaN, "NaN", 224, 224, 224, "MAAAAKME_12280", "core"], [350, "group_2072", "NaN", "hypothetical protein", 4, 4, 1, 1, 1357, NaN, NaN, "NaN", 398, 398, 398, "MAAAAKME_03110", "core"], [351, "cobC_2", "NaN", "Adenosylcobalamin/alpha-ribazole phosphatase", 4, 4, 1, 1, 201, NaN, NaN, "NaN", 653, 653, 653, "MAAAAKME_17660", "core"], [352, "rpmB", "NaN", "50S ribosomal protein L28", 4, 4, 1, 1, 735, NaN, NaN, "NaN", 185, 185, 185, "MAAAAKME_12660", "core"], [353, "gpmA_1", "NaN", "2,3-bisphosphoglycerate-dependent phosphoglycerate mutase", 4, 4, 1, 1, 2548, NaN, NaN, "NaN", 689, 689, 689, "MAAAAKME_02070", "core"], [354, "rpsO", "NaN", "30S ribosomal protein S15", 4, 4, 1, 1, 1025, NaN, NaN, "NaN", 269, 269, 269, "MAAAAKME_07190", "core"], [355, "polC_1", "NaN", "DNA polymerase III PolC-type", 4, 4, 1, 1, 1158, NaN, NaN, "NaN", 536, 536, 536, "MAAAAKME_05910", "core"], [356, "rplF", "NaN", "50S ribosomal protein L6", 4, 4, 1, 1, 1414, NaN, NaN, "NaN", 530, 530, 530, "MAAAAKME_03690", "core"], [357, "pgsA", "NaN", "CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase", 4, 4, 1, 1, 1200, NaN, NaN, "NaN", 563, 563, 563, "MAAAAKME_05470", "core"], [358, "luxS_1", "NaN", "S-ribosylhomocysteine lyase", 4, 4, 1, 1, 892, NaN, NaN, "NaN", 479, 479, 479, "MAAAAKME_00920", "core"], [359, "nrdR", "NaN", "Transcriptional repressor NrdR", 4, 4, 1, 1, 2713, NaN, NaN, "NaN", 467, 467, 467, "MAAAAKME_13750", "core"], [360, "group_2094", "NaN", "L-2-hydroxyisocaproate dehydrogenase", 4, 4, 1, 1, 904, NaN, NaN, "NaN", 908, 908, 908, "MAAAAKME_00810", "core"], [361, "mtnN", "NaN", "5'-methylthioadenosine/S-adenosylhomocysteine nucleosidase", 4, 4, 1, 1, 1047, NaN, NaN, "NaN", 698, 698, 698, "MAAAAKME_06980", "core"], [362, "expZ", "NaN", "hypothetical protein", 4, 4, 1, 1, 2410, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 230, 1505, 601, "MAAAAKME_09000", "core"], [363, "group_2102", "NaN", "D-aspartate ligase", 4, 4, 1, 1, 2530, NaN, NaN, "NaN", 1259, 1259, 1259, "MAAAAKME_01890", "core"], [364, "thrS", "NaN", "Threonine--tRNA ligase", 4, 4, 1, 1, 2710, NaN, NaN, "NaN", 1931, 1931, 1931, "MAAAAKME_13720", "core"], [365, "pepV", "NaN", "Beta-Ala-Xaa dipeptidase", 4, 4, 1, 1, 573, NaN, NaN, "NaN", 1412, 1412, 1412, "MAAAAKME_15960", "core"], [366, "fabG_1", "NaN", "3-oxoacyl-[acyl-carrier-protein] reductase FabG", 4, 4, 1, 1, 1202, NaN, NaN, "NaN", 728, 728, 728, "MAAAAKME_05450", "core"], [367, "lytG", "NaN", "Exo-glucosaminidase LytG", 4, 4, 1, 1, 1468, NaN, NaN, "NaN", 653, 653, 653, "MAAAAKME_04180", "core"], [368, "znuB", "NaN", "High-affinity zinc uptake system membrane protein ZnuB", 4, 4, 1, 1, 1774, NaN, NaN, "NaN", 797, 797, 797, "MAAAAKME_18660", "core"], [369, "mgsR", "NaN", "Regulatory protein MgsR", 4, 4, 1, 1, 701, NaN, NaN, "NaN", 356, 356, 356, "MAAAAKME_13020", "core"], [370, "rpsK", "NaN", "30S ribosomal protein S11", 4, 4, 1, 1, 1423, NaN, NaN, "NaN", 389, 389, 389, "MAAAAKME_03780", "core"], [371, "ftsL_1", "NaN", "Cell division protein FtsL", 4, 4, 1, 1, 1370, NaN, NaN, "NaN", 380, 380, 380, "MAAAAKME_03240", "core"], [372, "group_2111", "NaN", "hypothetical protein", 4, 4, 1, 1, 2401, NaN, NaN, "NaN", 908, 908, 908, "MAAAAKME_08920", "core"], [373, "metP", "NaN", "Methionine import system permease protein MetP", 4, 4, 1, 1, 1004, NaN, NaN, "NaN", 713, 713, 713, "MAAAAKME_07410", "core"], [374, "hpt", "NaN", "Hypoxanthine-guanine phosphoribosyltransferase", 4, 4, 1, 1, 1262, NaN, NaN, "NaN", 569, 572, 569, "MAAAAKME_04870", "core"], [375, "pta", "NaN", "Phosphate acetyltransferase", 4, 4, 1, 1, 1160, NaN, NaN, "NaN", 989, 989, 989, "MAAAAKME_05890", "core"], [376, "mreB", "NaN", "Cell shape-determining protein MreB", 4, 4, 1, 1, 1070, NaN, NaN, "NaN", 1004, 1004, 1004, "MAAAAKME_06760", "core"], [377, "pepT_2", "NaN", "Peptidase T", 4, 4, 1, 1, 1684, NaN, NaN, "NaN", 1238, 1238, 1238, "MAAAAKME_11070", "core"], [378, "oppD_1", "NaN", "Oligopeptide transport ATP-binding protein OppD", 4, 4, 1, 1, 2608, NaN, NaN, "NaN", 1043, 1043, 1043, "MAAAAKME_02470", "core"], [379, "accD", "NaN", "Acetyl-coenzyme A carboxylase carboxyl transferase subunit beta", 4, 4, 1, 1, 2364, NaN, NaN, "NaN", 848, 848, 848, "MAAAAKME_08470", "core"], [380, "tlyA", "NaN", "Hemolysin A", 4, 4, 1, 1, 712, NaN, NaN, "NaN", 815, 815, 815, "MAAAAKME_12910", "core"], [381, "cutD", "NaN", "Choline trimethylamine-lyase activating enzyme", 4, 4, 1, 1, 2532, NaN, NaN, "NaN", 722, 722, 722, "MAAAAKME_01910", "core"], [382, "guaA", "NaN", "GMP synthase [glutamine-hydrolyzing]", 4, 4, 1, 1, 2594, NaN, NaN, "NaN", 1553, 1553, 1553, "MAAAAKME_02600", "core"], [383, "lgt", "NaN", "Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase", 4, 4, 1, 1, 1188, NaN, NaN, "NaN", 833, 833, 833, "MAAAAKME_05590", "core"], [384, "lacC", "NaN", "Tagatose-6-phosphate kinase", 4, 4, 1, 1, 1770, NaN, NaN, "NaN", 914, 914, 914, "MAAAAKME_18700", "core"], [385, "prfC", "NaN", "Peptide chain release factor 3", 4, 4, 1, 1, 1235, NaN, NaN, "NaN", 1571, 1571, 1571, "MAAAAKME_05150", "core"], [386, "whiA", "NaN", "putative cell division protein WhiA", 4, 4, 1, 1, 1176, NaN, NaN, "NaN", 932, 932, 932, "MAAAAKME_05700", "core"], [387, "group_2126", "NaN", "DegV domain-containing protein", 4, 4, 1, 1, 1608, NaN, NaN, "NaN", 845, 845, 845, "MAAAAKME_11580", "core"], [388, "group_2127", "NaN", "hypothetical protein", 4, 4, 1, 1, 1071, NaN, NaN, "NaN", 614, 614, 614, "MAAAAKME_06750", "core"], [389, "hisS", "NaN", "Histidine--tRNA ligase", 4, 4, 1, 1, 2351, NaN, NaN, "NaN", 1286, 1286, 1286, "MAAAAKME_08290", "core"], [390, "metB", "NaN", "Cystathionine gamma-synthase", 4, 4, 1, 1, 800, NaN, NaN, "NaN", 1184, 1184, 1184, "MAAAAKME_12020", "core"], [982, "tdk", "NaN", "Thymidine kinase", 4, 4, 1, 1, 1102, NaN, NaN, "NaN", 602, 602, 602, "MAAAAKME_06450", "core"], [983, "rtpR", "NaN", "Adenosylcobalamin-dependent ribonucleoside-triphosphate reductase", 4, 4, 1, 1, 902, NaN, NaN, "NaN", 2219, 2219, 2219, "MAAAAKME_00830", "core"], [984, "addA", "NaN", "ATP-dependent helicase/nuclease subunit A", 4, 4, 1, 1, 2219, NaN, NaN, "NaN", 3683, 3683, 3683, "MAAAAKME_09330", "core"], [985, "ybiV", "NaN", "Sugar phosphatase YbiV", 4, 4, 1, 1, 2431, NaN, NaN, "NaN", 797, 803, 801, "MAAAAKME_09160", "core"], [986, "rluD", "NaN", "Ribosomal large subunit pseudouridine synthase D", 4, 4, 1, 1, 2198, NaN, NaN, "NaN", 911, 914, 913, "MAAAAKME_09530", "core"], [987, "udk_1", "NaN", "Uridine kinase", 4, 4, 1, 1, 1288, NaN, NaN, "NaN", 626, 626, 626, "MAAAAKME_04640", "core"], [988, "rnhB", "NaN", "Ribonuclease HII", 4, 4, 1, 1, 1611, NaN, NaN, "NaN", 770, 770, 770, "MAAAAKME_11550", "core"], [989, "atpG", "NaN", "ATP synthase gamma chain", 4, 4, 1, 1, 1092, NaN, NaN, "NaN", 962, 962, 962, "MAAAAKME_06550", "core"], [990, "aspA", "NaN", "Aspartate ammonia-lyase", 4, 4, 1, 1, 577, NaN, NaN, "NaN", 1367, 1367, 1367, "MAAAAKME_16000", "core"], [991, "yheI", "NaN", "putative multidrug resistance ABC transporter ATP-binding/permease protein YheI", 4, 4, 1, 1, 775, NaN, NaN, "NaN", 1760, 1760, 1760, "MAAAAKME_12270", "core"], [992, "group_2846", "NaN", "hypothetical protein", 4, 4, 1, 1, 1762, NaN, NaN, "NaN", 770, 770, 770, "MAAAAKME_18780", "core"], [993, "yycJ", "NaN", "Putative metallo-hydrolase YycJ", 4, 4, 1, 1, 859, NaN, NaN, "NaN", 797, 797, 797, "MAAAAKME_01210", "core"], [994, "group_2848", "NaN", "hypothetical protein", 4, 4, 1, 1, 2520, NaN, NaN, "NaN", 797, 797, 797, "MAAAAKME_01790", "core"], [995, "group_2849", "NaN", "hypothetical protein", 4, 4, 1, 1, 1120, NaN, NaN, "NaN", 323, 323, 323, "MAAAAKME_06250", "core"], [996, "purN", "NaN", "Phosphoribosylglycinamide formyltransferase", 4, 4, 1, 1, 696, NaN, NaN, "NaN", 581, 581, 581, "MAAAAKME_13070", "core"], [997, "yfmL", "NaN", "putative ATP-dependent RNA helicase YfmL", 4, 4, 1, 1, 1259, NaN, NaN, "NaN", 1244, 1262, 1248, "MAAAAKME_04900", "core"], [998, "group_2852", "NaN", "hypothetical protein", 4, 4, 1, 1, 622, NaN, NaN, "NaN", 356, 356, 356, "MAAAAKME_16450", "core"], [999, "coaD", "NaN", "Phosphopantetheine adenylyltransferase", 4, 4, 1, 1, 1031, NaN, NaN, "NaN", 494, 494, 494, "MAAAAKME_07130", "core"], [1000, "carB_2", "NaN", "Carbamoyl-phosphate synthase large chain", 4, 4, 1, 1, 2196, NaN, NaN, "NaN", 3191, 3191, 3191, "MAAAAKME_09550", "core"], [1001, "group_2855", "NaN", "hypothetical protein", 4, 4, 1, 1, 1213, NaN, NaN, "NaN", 893, 908, 896, "MAAAAKME_05340", "core"], [1002, "tsaB", "NaN", "tRNA threonylcarbamoyladenosine biosynthesis protein TsaB", 4, 4, 1, 1, 460, NaN, NaN, "NaN", 722, 722, 722, "MAAAAKME_14830", "core"], [1003, "mutS2_2", "NaN", "Endonuclease MutS2", 4, 4, 1, 1, 440, NaN, NaN, "NaN", 2360, 2360, 2360, "MAAAAKME_14630", "core"], [1004, "group_2858", "NaN", "hypothetical protein", 4, 4, 1, 1, 766, NaN, NaN, "NaN", 1322, 1322, 1322, "MAAAAKME_12350", "core"], [1005, "group_2859", "NaN", "hypothetical protein", 4, 4, 1, 1, 2300, NaN, NaN, "NaN", 353, 353, 353, "MAAAAKME_07880", "core"], [1006, "pepIP", "NaN", "Proline iminopeptidase", 4, 4, 1, 1, 226, NaN, NaN, "NaN", 884, 887, 885, "MAAAAKME_17410", "core"], [1007, "dnaI", "NaN", "Primosomal protein DnaI", 4, 4, 1, 1, 2711, NaN, NaN, "NaN", 923, 923, 923, "MAAAAKME_13730", "core"], [1008, "glmM", "NaN", "Phosphoglucosamine mutase", 4, 4, 1, 1, 1150, NaN, NaN, "NaN", 1352, 1352, 1352, "MAAAAKME_06000", "core"], [1009, "ltaS2", "NaN", "Lipoteichoic acid synthase 2", 4, 4, 1, 1, 1111, NaN, NaN, "NaN", 2222, 2222, 2222, "MAAAAKME_06350", "core"], [1010, "efp_1", "NaN", "Elongation factor P", 4, 4, 1, 1, 705, NaN, NaN, "NaN", 566, 569, 567, "MAAAAKME_12980", "core"], [1011, "group_2865", "NaN", "dITP/XTP pyrophosphatase", 4, 4, 1, 1, 437, NaN, NaN, "NaN", 620, 620, 620, "MAAAAKME_14600", "core"], [1012, "xerD_1", "NaN", "Tyrosine recombinase XerD", 4, 4, 1, 1, 2299, NaN, NaN, "NaN", 896, 896, 896, "MAAAAKME_07870", "core"], [1013, "lacZ", "NaN", "Beta-galactosidase", 4, 4, 1, 1, 1912, NaN, NaN, "NaN", 3023, 3026, 3025, "MAAAAKME_10950", "core"], [1014, "sapB", "NaN", "Protein SapB", 4, 4, 1, 1, 962, NaN, NaN, "NaN", 704, 704, 704, "MAAAAKME_00170", "core"], [1015, "recU", "NaN", "Holliday junction resolvase RecU", 4, 4, 1, 1, 2207, NaN, NaN, "NaN", 632, 632, 632, "MAAAAKME_09450", "core"], [1016, "group_2870", "NaN", "hypothetical protein", 4, 4, 1, 1, 2750, NaN, NaN, "NaN", 848, 848, 848, "MAAAAKME_14050", "core"], [1017, "serP1_1", "NaN", "Serine permease SerP1", 4, 4, 1, 1, 544, NaN, NaN, "NaN", 1388, 1388, 1388, "MAAAAKME_15620", "core"], [1018, "nfr2", "NaN", "NADH-dependent flavin reductase subunit 2", 4, 4, 1, 1, 1752, NaN, NaN, "NaN", 548, 548, 548, "MAAAAKME_18880", "core"], [1019, "group_2873", "NaN", "hypothetical protein", 4, 4, 1, 1, 1607, NaN, NaN, "NaN", 662, 662, 662, "MAAAAKME_11590", "core"], [1020, "group_2874", "NaN", "hypothetical protein", 4, 4, 1, 1, 2311, NaN, NaN, "NaN", 2855, 2855, 2855, "MAAAAKME_07990", "core"], [1021, "cmk", "NaN", "Cytidylate kinase", 4, 4, 1, 1, 2306, NaN, NaN, "NaN", 632, 632, 632, "MAAAAKME_07940", "core"], [1022, "mltF_2", "NaN", "Membrane-bound lytic murein transglycosylase F", 4, 4, 1, 1, 1589, NaN, NaN, "NaN", 1502, 1502, 1502, "MAAAAKME_11770", "core"], [1023, "tsaD", "NaN", "tRNA N6-adenosine threonylcarbamoyltransferase", 4, 4, 1, 1, 458, NaN, NaN, "NaN", 1040, 1040, 1040, "MAAAAKME_14810", "core"], [1024, "comEC", "NaN", "ComE operon protein 3", 4, 4, 1, 1, 1028, NaN, NaN, "NaN", 2258, 2258, 2258, "MAAAAKME_07160", "core"], [1025, "group_2879", "NaN", "hypothetical protein", 4, 4, 1, 1, 2765, NaN, NaN, "NaN", 1217, 1217, 1217, "MAAAAKME_13900", "core"], [1026, "guaC", "NaN", "GMP reductase", 4, 4, 1, 1, 2601, NaN, NaN, "NaN", 992, 992, 992, "MAAAAKME_02540", "core"], [1027, "tadA_2", "NaN", "tRNA-specific adenosine deaminase", 4, 4, 1, 1, 473, NaN, NaN, "NaN", 509, 509, 509, "MAAAAKME_14960", "core"], [1028, "group_2882", "NaN", "hypothetical protein", 4, 4, 1, 1, 2752, NaN, NaN, "NaN", 353, 353, 353, "MAAAAKME_14030", "core"], [1029, "rps1", "NaN", "30S ribosomal protein S1", 4, 4, 1, 1, 2307, NaN, NaN, "NaN", 1205, 1205, 1205, "MAAAAKME_07950", "core"], [1030, "ecfT_4", "NaN", "Energy-coupling factor transporter transmembrane protein EcfT", 4, 4, 1, 1, 540, NaN, NaN, "NaN", 827, 827, 827, "MAAAAKME_15580", "core"], [1031, "alr", "NaN", "Alanine racemase", 4, 4, 1, 1, 1365, NaN, NaN, "NaN", 1130, 1130, 1130, "MAAAAKME_03190", "core"], [1032, "group_2886", "NaN", "hypothetical protein", 4, 4, 1, 1, 425, NaN, NaN, "NaN", 605, 605, 605, "MAAAAKME_14480", "core"], [1033, "ffh", "NaN", "Signal recognition particle protein", 4, 4, 1, 1, 756, NaN, NaN, "NaN", 1403, 1430, 1423, "MAAAAKME_12460", "core"], [1034, "group_2888", "NaN", "hypothetical protein", 4, 4, 1, 1, 244, NaN, NaN, "NaN", 563, 563, 563, "MAAAAKME_17260", "core"], [1035, "group_2889", "NaN", "hypothetical protein", 4, 4, 1, 1, 1788, NaN, NaN, "NaN", 1538, 1562, 1544, "MAAAAKME_18540", "core"], [1036, "clsA", "NaN", "Major cardiolipin synthase ClsA", 4, 4, 1, 1, 2495, NaN, NaN, "NaN", 1463, 1463, 1463, "MAAAAKME_01540", "core"], [1037, "cycA", "NaN", "D-serine/D-alanine/glycine transporter", 4, 4, 1, 1, 620, NaN, NaN, "NaN", 1370, 1370, 1370, "MAAAAKME_16430", "core"], [1038, "yheH_2", "NaN", "putative multidrug resistance ABC transporter ATP-binding/permease protein YheH", 4, 4, 1, 1, 776, NaN, NaN, "NaN", 1796, 1796, 1796, "MAAAAKME_12260", "core"], [1039, "rapA_1", "NaN", "RNA polymerase-associated protein RapA", 4, 4, 1, 1, 2282, NaN, NaN, "NaN", 1901, 1916, 1912, "MAAAAKME_07710", "core"], [1040, "sbnD", "NaN", "Staphyloferrin B transporter", 4, 4, 1, 1, 1295, NaN, NaN, "NaN", 1199, 1199, 1199, "MAAAAKME_04570", "core"], [1041, "glnP_3", "NaN", "putative glutamine ABC transporter permease protein GlnP", 4, 4, 1, 1, 1283, NaN, NaN, "NaN", 668, 668, 668, "MAAAAKME_04690", "core"], [1042, "pepX", "NaN", "Xaa-Pro dipeptidyl-peptidase", 4, 4, 1, 1, 677, NaN, NaN, "NaN", 2378, 2378, 2378, "MAAAAKME_13240", "core"], [1043, "cynR_2", "NaN", "HTH-type transcriptional regulator CynR", 4, 4, 1, 1, 1588, NaN, NaN, "NaN", 854, 854, 854, "MAAAAKME_11780", "core"], [1044, "helD", "NaN", "DNA helicase IV", 4, 4, 1, 1, 203, NaN, NaN, "NaN", 2279, 2279, 2279, "MAAAAKME_17640", "core"], [1045, "group_2899", "NaN", "hypothetical protein", 4, 4, 1, 1, 285, NaN, NaN, "NaN", 1163, 1163, 1163, "MAAAAKME_16650", "core"], [1046, "smc_2", "NaN", "Chromosome partition protein Smc", 4, 4, 1, 1, 749, NaN, NaN, "NaN", 3560, 3560, 3560, "MAAAAKME_12530", "core"], [1047, "carB_1", "NaN", "Carbamoyl-phosphate synthase large chain", 4, 4, 1, 1, 1482, NaN, NaN, "NaN", 533, 1061, 700, "MAAAAKME_04300", "core"], [1048, "group_298", "NaN", "hypothetical protein", 4, 4, 1, 1, 1317, NaN, NaN, "NaN", 416, 2135, 954, "MAAAAKME_04400", "core"], [1049, "mtlD", "NaN", "hypothetical protein", 4, 4, 1, 1, 1307, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 107, 1145, 366, "MAAAAKME_04470", "core"], [1050, "ycaM_1", "NaN", "Inner membrane transporter YcaM", 4, 4, 1, 1, 1252, NaN, NaN, "NaN", 719, 1454, 1106, "MAAAAKME_05000", "core"], [1051, "dppA", "NaN", "D-aminopeptidase", 4, 4, 1, 1, 1182, NaN, NaN, "NaN", 236, 773, 505, "MAAAAKME_05650", "core"], [1052, "group_309", "NaN", "hypothetical protein", 4, 4, 1, 1, 1180, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 119, 200, 139, "MAAAAKME_05660", "core"], [1053, "group_310", "NaN", "Beta-peptidyl aminopeptidase BapA", 4, 4, 1, 1, 1179, NaN, NaN, "NaN", 479, 797, 590, "MAAAAKME_05670", "core"], [1054, "group_311", "NaN", "hypothetical protein", 4, 4, 1, 1, 1172, NaN, NaN, "NaN", 146, 980, 377, "MAAAAKME_05740", "core"], [1055, "group_314", "dppE_6", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 1107, NaN, NaN, "NaN", 314, 983, 694, "MAAAAKME_06390", "core"], [1056, "group_317", "NaN", "hypothetical protein", 4, 4, 1, 1, 1017, NaN, NaN, "NaN", 845, 1607, 1293, "MAAAAKME_07270", "core"], [1057, "argH_1", "NaN", "Argininosuccinate lyase", 4, 4, 1, 1, 2322, NaN, NaN, "NaN", 395, 1382, 951, "MAAAAKME_08060", "core"], [1058, "dppE_8", "NaN", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2394, NaN, NaN, "NaN", 251, 1613, 828, "MAAAAKME_08860", "core"], [1059, "group_325", "NaN", "hypothetical protein", 4, 4, 1, 1, 2081, NaN, NaN, "NaN", 89, 548, 427, "MAAAAKME_10160", "core"], [1060, "bglA_1", "NaN", "6-phospho-beta-glucosidase BglA", 4, 4, 1, 1, 2650, NaN, NaN, "NaN", 221, 1445, 545, "MAAAAKME_11250", "core"], [1061, "apu", "NaN", "hypothetical protein", 4, 4, 1, 1, 592, NaN, NaN, "NaN", 506, 1541, 916, "MAAAAKME_16220", "core"], [1062, "group_361", "NaN", "hypothetical protein", 4, 4, 1, 1, 1796, NaN, NaN, "NaN", 782, 782, 782, "MAAAAKME_18460", "core"], [1063, "group_364", "NaN", "hypothetical protein", 4, 4, 1, 1, 1791, NaN, NaN, "NaN", 485, 485, 485, "MAAAAKME_18510", "core"], [1064, "group_366", "NaN", "hypothetical protein", 4, 4, 1, 1, 1733, NaN, NaN, "NaN", 251, 1403, 636, "MAAAAKME_19010", "core"], [1065, "glpK", "NaN", "Glycerol kinase", 4, 4, 1, 1, 2837, NaN, NaN, "NaN", 731, 1508, 1133, "MAAAAKME_19220", "core"], [1066, "group_376", "NaN", "hypothetical protein", 4, 4, 1, 1, 958, NaN, NaN, "NaN", 635, 1253, 1050, "MAAAAKME_00130", "core"], [1067, "metE", "NaN", "hypothetical protein", 4, 4, 1, 1, 879, NaN, NaN, "NaN", 587, 1124, 920, "MAAAAKME_01020", "core"], [1068, "dexB", "NaN", "Glucan 1,6-alpha-glucosidase", 4, 4, 1, 1, 2513, NaN, NaN, "NaN", 308, 1622, 748, "MAAAAKME_01720", "core"], [1069, "iolU", "NaN", "scyllo-inositol 2-dehydrogenase (NADP(+)) IolU", 4, 4, 1, 1, 2546, NaN, NaN, "NaN", 371, 965, 615, "MAAAAKME_02050", "core"], [1070, "wecH", "NaN", "O-acetyltransferase WecH", 4, 4, 1, 1, 2552, NaN, NaN, "NaN", 308, 1061, 496, "MAAAAKME_02110", "core"], [1071, "cof_1", "NaN", "HMP-PP phosphatase", 4, 4, 1, 1, 2571, NaN, NaN, "NaN", 95, 836, 373, "MAAAAKME_02770", "core"], [1072, "group_394", "NaN", "hypothetical protein", 4, 4, 1, 1, 1257, NaN, NaN, "NaN", 773, 1073, 986, "MAAAAKME_04930", "core"], [1073, "group_396", "NaN", "hypothetical protein", 4, 4, 1, 1, 1173, NaN, NaN, "NaN", 248, 1496, 1019, "MAAAAKME_05730", "core"], [1074, "group_405", "NaN", "hypothetical protein", 4, 4, 1, 1, 2398, NaN, NaN, "NaN", 293, 758, 409, "MAAAAKME_08890", "core"], [1075, "group_407", "NaN", "hypothetical protein", 4, 4, 1, 1, 2429, NaN, NaN, "NaN", 332, 1028, 810, "MAAAAKME_09140", "core"], [1076, "pyrB_1", "NaN", "Aspartate carbamoyltransferase", 4, 4, 1, 1, 2183, NaN, NaN, "NaN", 353, 1010, 571, "MAAAAKME_09690", "core"], [1077, "pyrC", "NaN", "Dihydroorotase", 4, 4, 1, 1, 2182, NaN, NaN, "NaN", 140, 1283, 545, "MAAAAKME_09700", "core"], [1078, "group_415", "dppE_8", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2123, NaN, NaN, "NaN", 1025, 1622, 1389, "MAAAAKME_09860", "core"], [1079, "group_432", "NaN", "hypothetical protein", 4, 4, 1, 1, 1905, NaN, NaN, "NaN", 353, 500, 455, "MAAAAKME_10870", "core"], [1080, "dedA_1", "NaN", "hypothetical protein", 4, 4, 1, 1, 1906, NaN, NaN, "NaN", 101, 614, 357, "MAAAAKME_10890", "core"], [1081, "sigA_2", "NaN", "RNA polymerase sigma factor SigA", 4, 4, 1, 1, 1642, NaN, NaN, "NaN", 1118, 1118, 1118, "MAAAAKME_11280", "core"], [1082, "thi4_3", "NaN", "Thiamine thiazole synthase", 4, 4, 1, 1, 2771, NaN, NaN, "NaN", 224, 782, 500, "MAAAAKME_13840", "core"], [1083, "group_446", "NaN", "hypothetical protein", 4, 4, 1, 1, 506, NaN, NaN, "NaN", 488, 812, 717, "MAAAAKME_15280", "core"], [1084, "group_448", "NaN", "hypothetical protein", 4, 4, 1, 1, 526, NaN, NaN, "NaN", 194, 1181, 877, "MAAAAKME_15450", "core"], [1085, "simA", "NaN", "6-phospho-alpha-glucosidase 1", 4, 4, 1, 1, 260, NaN, NaN, "NaN", 191, 1334, 509, "MAAAAKME_16710", "core"], [1086, "group_459", "NaN", "hypothetical protein", 4, 4, 1, 1, 195, NaN, NaN, "NaN", 1124, 1979, 1486, "MAAAAKME_17700", "core"], [1087, "group_462", "NaN", "hypothetical protein", 4, 4, 1, 1, 395, NaN, NaN, "NaN", 266, 668, 386, "MAAAAKME_18020", "core"], [1088, "btuD_9", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 4, 4, 1, 1, 363, NaN, NaN, "NaN", 314, 593, 413, "MAAAAKME_18100", "core"], [1089, "rfbD", "NaN", "dTDP-4-dehydrorhamnose reductase", 4, 4, 1, 1, 358, NaN, NaN, "NaN", 140, 974, 765, "MAAAAKME_18130", "core"], [1090, "group_469", "NaN", "hypothetical protein", 4, 4, 1, 1, 1798, NaN, NaN, "NaN", 212, 713, 558, "MAAAAKME_18450", "core"], [1091, "group_471", "NaN", "hypothetical protein", 4, 4, 1, 1, 1775, NaN, NaN, "NaN", 251, 554, 383, "MAAAAKME_18650", "core"], [1092, "group_475", "NaN", "hypothetical protein", 4, 4, 1, 1, 979, NaN, NaN, "NaN", 245, 251, 248, "MAAAAKME_00320", "core"], [1093, "group_476", "NaN", "hypothetical protein", 4, 4, 1, 1, 986, NaN, NaN, "NaN", 527, 710, 656, "MAAAAKME_00390", "core"], [1094, "qorB_1", "NaN", "Quinone oxidoreductase 2", 4, 4, 1, 1, 990, NaN, NaN, "NaN", 227, 845, 381, "MAAAAKME_00430", "core"], [1095, "gtfA", "NaN", "Sucrose phosphorylase", 4, 4, 1, 1, 928, NaN, NaN, "NaN", 443, 1136, 887, "MAAAAKME_00610", "core"], [1096, "bioY2", "NaN", "Biotin transporter BioY2", 4, 4, 1, 1, 914, NaN, NaN, "NaN", 218, 551, 464, "MAAAAKME_00730", "core"], [1097, "caiA", "NaN", "hypothetical protein", 4, 4, 1, 1, 886, NaN, NaN, "NaN", 299, 1595, 623, "MAAAAKME_00950", "core"], [1098, "aroE", "NaN", "Shikimate dehydrogenase (NADP(+))", 4, 4, 1, 1, 870, NaN, NaN, "NaN", 560, 1898, 1499, "MAAAAKME_01110", "core"], [1099, "group_491", "NaN", "hypothetical protein", 4, 4, 1, 1, 862, NaN, NaN, "NaN", 443, 1574, 1277, "MAAAAKME_01190", "core"], [1100, "group_495", "NaN", "hypothetical protein", 4, 4, 1, 1, 2485, NaN, NaN, "NaN", 134, 134, 134, "MAAAAKME_01450", "core"], [1101, "group_496", "NaN", "hypothetical protein", 4, 4, 1, 1, 2508, NaN, NaN, "NaN", 275, 635, 545, "MAAAAKME_01660", "core"], [1102, "group_501", "oppA_2", "hypothetical protein", 4, 4, 1, 1, 2612, NaN, NaN, "NaN", 332, 653, 554, "MAAAAKME_02430", "core"], [1103, "purA", "NaN", "Adenylosuccinate synthetase", 4, 4, 1, 1, 2602, NaN, NaN, "NaN", 314, 1289, 1045, "MAAAAKME_02530", "core"], [1104, "slyA", "NaN", "Transcriptional regulator SlyA", 4, 4, 1, 1, 2573, NaN, NaN, "NaN", 446, 449, 448, "MAAAAKME_02750", "core"], [1105, "dppE_6", "NaN", "hypothetical protein", 4, 4, 1, 1, 1450, NaN, NaN, "NaN", 332, 1607, 680, "MAAAAKME_04010", "core"], [1106, "group_509", "NaN", "hypothetical protein", 4, 4, 1, 1, 1289, NaN, NaN, "NaN", 131, 131, 131, "MAAAAKME_04630", "core"], [1107, "group_510", "NaN", "hypothetical protein", 4, 4, 1, 1, 1279, NaN, NaN, "NaN", 1265, 1397, 1364, "MAAAAKME_04730", "core"], [1108, "group_514", "NaN", "hypothetical protein", 4, 4, 1, 1, 1220, NaN, NaN, "NaN", 644, 860, 806, "MAAAAKME_05290", "core"], [1109, "group_516", "NaN", "hypothetical protein", 4, 4, 1, 1, 1201, NaN, NaN, "NaN", 731, 1187, 1058, "MAAAAKME_05460", "core"], [1110, "comFA", "NaN", "ComF operon protein 1", 4, 4, 1, 1, 1195, NaN, NaN, "NaN", 1103, 1277, 1233, "MAAAAKME_05520", "core"], [1111, "mshD_1", "NaN", "hypothetical protein", 4, 4, 1, 1, 1165, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 218, 566, 305, "MAAAAKME_05840", "core"], [1112, "cdaR", "NaN", "CdaA regulatory protein CdaR", 4, 4, 1, 1, 1151, NaN, NaN, "NaN", 830, 950, 920, "MAAAAKME_05980", "core"], [1113, "group_524", "NaN", "hypothetical protein", 4, 4, 1, 1, 1140, NaN, NaN, "NaN", 689, 896, 792, "MAAAAKME_06090", "core"], [1114, "mreC", "NaN", "Cell shape-determining protein MreC", 4, 4, 1, 1, 1069, NaN, NaN, "NaN", 725, 851, 819, "MAAAAKME_06770", "core"], [1115, "ctpE", "NaN", "Calcium-transporting ATPase CtpE", 4, 4, 1, 1, 1007, NaN, NaN, "NaN", 1091, 2408, 2078, "MAAAAKME_07380", "core"], [1116, "proB", "NaN", "Glutamate 5-kinase 1", 4, 4, 1, 1, 2290, NaN, NaN, "NaN", 383, 1076, 634, "MAAAAKME_07770", "core"], [1117, "group_539", "NaN", "hypothetical protein", 4, 4, 1, 1, 2297, NaN, NaN, "NaN", 323, 551, 452, "MAAAAKME_07850", "core"], [1118, "pal", "NaN", "hypothetical protein", 4, 4, 1, 1, 2415, NaN, NaN, "NaN", 164, 1028, 651, "MAAAAKME_09040", "core"], [1119, "group_549", "NaN", "hypothetical protein", 4, 4, 1, 1, 2418, NaN, NaN, "NaN", 146, 977, 491, "MAAAAKME_09060", "core"], [1120, "group_551", "NaN", "hypothetical protein", 4, 4, 1, 1, 2426, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 488, 1538, 752, "MAAAAKME_09120", "core"], [1121, "yusO", "NaN", "putative HTH-type transcriptional regulator YusO", 4, 4, 1, 1, 2432, NaN, NaN, "NaN", 254, 482, 392, "MAAAAKME_09170", "core"], [1122, "group_555", "NaN", "putative ABC transporter ATP-binding protein", 4, 4, 1, 1, 2433, NaN, NaN, "NaN", 308, 686, 405, "MAAAAKME_09180", "core"], [1123, "group_557", "NaN", "hypothetical protein", 4, 4, 1, 1, 2212, NaN, NaN, "NaN", 350, 908, 512, "MAAAAKME_09400", "core"], [1124, "cpdA_2", "NaN", "3',5'-cyclic adenosine monophosphate phosphodiesterase CpdA", 4, 4, 1, 1, 2203, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 224, 1226, 848, "MAAAAKME_09490", "core"], [1125, "serC", "NaN", "Phosphoserine aminotransferase", 4, 4, 1, 1, 2187, NaN, NaN, "NaN", 620, 1082, 918, "MAAAAKME_09650", "core"], [1126, "group_571", "NaN", "hypothetical protein", 4, 4, 1, 1, 2102, NaN, NaN, "NaN", 266, 464, 380, "MAAAAKME_10040", "core"], [1127, "yjdJ", "NaN", "hypothetical protein", 4, 4, 1, 1, 1869, NaN, NaN, "NaN", 266, 266, 266, "MAAAAKME_10580", "core"], [1128, "group_582", "NaN", "putative HTH-type transcriptional regulator", 4, 4, 1, 1, 1874, NaN, NaN, "NaN", 440, 746, 599, "MAAAAKME_10600", "core"], [1129, "group_583", "NaN", "hypothetical protein", 4, 4, 1, 1, 1876, NaN, NaN, "NaN", 518, 668, 594, "MAAAAKME_10620", "core"], [1130, "group_584", "NaN", "hypothetical protein", 4, 4, 1, 1, 1883, NaN, NaN, "NaN", 227, 467, 302, "MAAAAKME_10660", "core"], [1131, "group_585", "NaN", "hypothetical protein", 4, 4, 1, 1, 1884, NaN, NaN, "NaN", 131, 416, 278, "MAAAAKME_10670", "core"], [1132, "tmcA", "NaN", "tRNA(Met) cytidine acetyltransferase TmcA", 4, 4, 1, 1, 1904, NaN, NaN, "NaN", 338, 503, 436, "MAAAAKME_10860", "core"], [1133, "glnH_4", "NaN", "ABC transporter glutamine-binding protein GlnH", 4, 4, 1, 1, 770, NaN, NaN, "NaN", 683, 896, 831, "MAAAAKME_12320", "core"], [1134, "group_595", "NaN", "hypothetical protein", 4, 4, 1, 1, 745, NaN, NaN, "NaN", 338, 911, 764, "MAAAAKME_12570", "core"], [1135, "msbA_1", "NaN", "Lipid A export ATP-binding/permease protein MsbA", 4, 4, 1, 1, 732, NaN, NaN, "NaN", 1259, 1571, 1493, "MAAAAKME_12730", "core"], [1136, "group_599", "NaN", "hypothetical protein", 4, 4, 1, 1, 715, NaN, NaN, "NaN", 194, 773, 349, "MAAAAKME_12880", "core"], [1137, "hsrA", "NaN", "putative transport protein HsrA", 4, 4, 1, 1, 675, NaN, NaN, "NaN", 590, 1382, 1174, "MAAAAKME_13250", "core"], [1138, "pepO_2", "NaN", "Neutral endopeptidase", 4, 4, 1, 1, 667, NaN, NaN, "NaN", 863, 1142, 1050, "MAAAAKME_13320", "core"], [1139, "folT_1", "NaN", "Folate transporter FolT", 4, 4, 1, 1, 461, NaN, NaN, "NaN", 530, 530, 530, "MAAAAKME_14840", "core"], [1140, "ywlF", "NaN", "Putative sugar phosphate isomerase YwlF", 4, 4, 1, 1, 483, NaN, NaN, "NaN", 149, 308, 195, "MAAAAKME_15050", "core"], [1141, "adhE_3", "NaN", "Aldehyde-alcohol dehydrogenase", 4, 4, 1, 1, 539, NaN, NaN, "NaN", 1037, 1394, 1304, "MAAAAKME_15570", "core"], [1142, "group_620", "NaN", "hypothetical protein", 4, 4, 1, 1, 557, NaN, NaN, "NaN", 287, 287, 287, "MAAAAKME_15820", "core"], [1143, "group_621", "NaN", "hypothetical protein", 4, 4, 1, 1, 559, NaN, NaN, "NaN", 746, 935, 887, "MAAAAKME_15840", "core"], [1144, "group_623", "NaN", "hypothetical protein", 4, 4, 1, 1, 569, NaN, NaN, "NaN", 209, 740, 341, "MAAAAKME_15940", "core"], [1145, "scrB", "NaN", "Sucrose-6-phosphate hydrolase", 4, 4, 1, 1, 588, NaN, NaN, "NaN", 377, 1457, 893, "MAAAAKME_16170", "core"], [1146, "cydD", "NaN", "ATP-binding/permease protein CydD", 4, 4, 1, 1, 290, NaN, NaN, "NaN", 494, 1214, 721, "MAAAAKME_16610", "core"], [1147, "crr", "NaN", "PTS system glucose-specific EIIA component", 4, 4, 1, 1, 282, NaN, NaN, "NaN", 248, 488, 428, "MAAAAKME_16680", "core"], [1148, "paiA", "NaN", "Spermidine/spermine N(1)-acetyltransferase", 4, 4, 1, 1, 225, NaN, NaN, "NaN", 482, 521, 497, "MAAAAKME_17420", "core"], [1149, "group_634", "NaN", "hypothetical protein", 4, 4, 1, 1, 1800, NaN, NaN, "NaN", 464, 779, 700, "MAAAAKME_18440", "core"], [1150, "lldD", "NaN", "L-lactate dehydrogenase", 4, 4, 1, 1, 1777, NaN, NaN, "NaN", 572, 1226, 746, "MAAAAKME_18640", "core"], [1151, "rutE", "NaN", "malonic semialdehyde reductase RutE", 4, 4, 1, 1, 2858, NaN, NaN, "NaN", 197, 629, 337, "MAAAAKME_19060", "core"], [1152, "group_639", "NaN", "hypothetical protein", 4, 4, 1, 1, 2856, NaN, NaN, "NaN", 716, 827, 781, "MAAAAKME_19080", "core"], [1153, "group_642", "NaN", "hypothetical protein", 4, 4, 1, 1, 2850, NaN, NaN, "NaN", 239, 311, 273, "MAAAAKME_19140", "core"], [1154, "ribE", "NaN", "hypothetical protein", 4, 4, 1, 1, 128, NaN, NaN, "NaN", 107, 614, 369, "MAAAAKME_19500", "core"], [1155, "group_656", "NaN", "hypothetical protein", 4, 4, 1, 1, 171, NaN, NaN, "NaN", 431, 563, 497, "MAAAAKME_19850", "core"], [1156, "group_659", "NaN", "hypothetical protein", 4, 4, 1, 1, 69, NaN, NaN, "NaN", 452, 590, 545, "MAAAAKME_20230", "core"], [1157, "group_673", "NaN", "hypothetical protein", 4, 4, 1, 1, 961, NaN, NaN, "NaN", 224, 224, 224, "MAAAAKME_00160", "core"], [1158, "fetA", "NaN", "putative iron export ATP-binding protein FetA", 4, 4, 1, 1, 977, NaN, NaN, "NaN", 356, 638, 567, "MAAAAKME_00300", "core"], [1159, "group_676", "NaN", "hypothetical protein", 4, 4, 1, 1, 980, NaN, NaN, "NaN", 1154, 2819, 1736, "MAAAAKME_00330", "core"], [1160, "pdxK", "NaN", "Pyridoxine/pyridoxal/pyridoxamine kinase", 4, 4, 1, 1, 983, NaN, NaN, "NaN", 833, 866, 841, "MAAAAKME_00360", "core"], [1161, "manA", "NaN", "Mannose-6-phosphate isomerase ManA", 4, 4, 1, 1, 937, NaN, NaN, "NaN", 962, 968, 966, "MAAAAKME_00540", "core"], [1162, "group_681", "NaN", "DegV domain-containing protein", 4, 4, 1, 1, 922, NaN, NaN, "NaN", 797, 833, 815, "MAAAAKME_00660", "core"], [1163, "group_683", "NaN", "hypothetical protein", 4, 4, 1, 1, 905, NaN, NaN, "NaN", 437, 539, 482, "MAAAAKME_00800", "core"], [1164, "group_685", "NaN", "hypothetical protein", 4, 4, 1, 1, 851, NaN, NaN, "NaN", 341, 341, 341, "MAAAAKME_01270", "core"], [1165, "cas9", "NaN", "CRISPR-associated endonuclease Cas9", 4, 4, 1, 1, 2487, NaN, NaN, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 335, 911, 767, "MAAAAKME_01460", "core"], [1166, "group_69", "NaN", "IS30 family transposase ISL7", 4, 4, 1, 1, 2721, NaN, NaN, "NaN", 299, 827, 557, "MAAAAKME_13830", "core"], [1167, "betI_1", "NaN", "HTH-type transcriptional regulator BetI", 4, 4, 1, 1, 2502, NaN, NaN, "NaN", 680, 680, 680, "MAAAAKME_01610", "core"], [1168, "group_691", "NaN", "hypothetical protein", 4, 4, 1, 1, 2511, NaN, NaN, "NaN", 794, 866, 848, "MAAAAKME_01700", "core"], [1169, "malF", "NaN", "Maltose/maltodextrin transport system permease protein MalF", 4, 4, 1, 1, 2514, NaN, NaN, "NaN", 572, 1358, 771, "MAAAAKME_01730", "core"], [1170, "malG", "NaN", "Maltose/maltodextrin transport system permease protein MalG", 4, 4, 1, 1, 2515, NaN, NaN, "NaN", 488, 857, 673, "MAAAAKME_01740", "core"], [1171, "dppE_1", "NaN", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2526, NaN, NaN, "NaN", 338, 1625, 1303, "MAAAAKME_01850", "core"], [1172, "sufT", "NaN", "Fe-S protein maturation auxiliary factor SufT", 4, 4, 1, 1, 2533, NaN, NaN, "NaN", 167, 557, 293, "MAAAAKME_01920", "core"], [1173, "group_699", "NaN", "hypothetical protein", 4, 4, 1, 1, 2534, NaN, NaN, "NaN", 236, 1316, 609, "MAAAAKME_01930", "core"], [1174, "group_700", "NaN", "hypothetical protein", 4, 4, 1, 1, 2543, NaN, NaN, "NaN", 1202, 1205, 1202, "MAAAAKME_02020", "core"], [1175, "oppA_2", "NaN", "Dipeptide-binding protein DppE", 4, 4, 1, 1, 2611, NaN, NaN, "NaN", 1592, 1649, 1633, "MAAAAKME_02440", "core"], [1176, "rhaS", "NaN", "HTH-type transcriptional activator RhaS", 4, 4, 1, 1, 2589, NaN, NaN, "NaN", 734, 842, 791, "MAAAAKME_02650", "core"], [1177, "lacG_2", "NaN", "6-phospho-beta-galactosidase", 4, 4, 1, 1, 2588, NaN, NaN, "NaN", 923, 1472, 1297, "MAAAAKME_02660", "core"], [1178, "deoD", "NaN", "Purine nucleoside phosphorylase DeoD-type", 4, 4, 1, 1, 2581, NaN, NaN, "NaN", 602, 764, 704, "MAAAAKME_02670", "core"], [1179, "group_708", "NaN", "hypothetical protein", 4, 4, 1, 1, 1330, NaN, NaN, "NaN", 857, 872, 860, "MAAAAKME_02840", "core"], [1180, "group_711", "NaN", "hypothetical protein", 4, 4, 1, 1, 1335, NaN, NaN, "NaN", 236, 287, 274, "MAAAAKME_02880", "core"], [1181, "dgcC", "NaN", "hypothetical protein", 4, 4, 1, 1, 1380, NaN, NaN, "NaN", 512, 755, 638, "MAAAAKME_03340", "core"], [1182, "group_716", "NaN", "hypothetical protein", 4, 4, 1, 1, 1381, NaN, NaN, "NaN", 107, 218, 162, "MAAAAKME_03350", "core"], [1183, "group_717", "NaN", "O-acetyl-L-homoserine sulfhydrylase", 4, 4, 1, 1, 1383, NaN, NaN, "NaN", 1172, 1292, 1202, "MAAAAKME_03370", "core"], [1184, "sotB", "NaN", "sugar efflux transporter", 4, 4, 1, 1, 1445, NaN, NaN, "NaN", 449, 485, 467, "MAAAAKME_03930", "core"], [1185, "group_722", "NaN", "hypothetical protein", 4, 4, 1, 1, 1464, NaN, NaN, "NaN", 263, 578, 413, "MAAAAKME_04130", "core"], [1186, "scdA", "NaN", "Iron-sulfur cluster repair protein ScdA", 4, 4, 1, 1, 1486, NaN, NaN, "NaN", 278, 278, 278, "MAAAAKME_04340", "core"], [1187, "group_724", "NaN", "hypothetical protein", 4, 4, 1, 1, 1319, NaN, NaN, "NaN", 662, 674, 665, "MAAAAKME_04370", "core"], [1188, "nudC_2", "NaN", "NADH pyrophosphatase", 4, 4, 1, 1, 1318, NaN, NaN, "NaN", 467, 506, 496, "MAAAAKME_04380", "core"], [1189, "group_726", "NaN", "hypothetical protein", 4, 4, 1, 1, 1313, NaN, NaN, "NaN", 299, 407, 354, "MAAAAKME_04430", "core"], [1190, "ybhL", "NaN", "Inner membrane protein YbhL", 4, 4, 1, 1, 1294, NaN, NaN, "NaN", 629, 713, 692, "MAAAAKME_04580", "core"], [1191, "group_729", "NaN", "hypothetical protein", 4, 4, 1, 1, 1278, NaN, NaN, "NaN", 323, 902, 469, "MAAAAKME_04750", "core"], [1192, "group_730", "NaN", "hypothetical protein", 4, 4, 1, 1, 1276, NaN, NaN, "NaN", 245, 245, 245, "MAAAAKME_04760", "core"], [1193, "steT", "NaN", "Serine/threonine exchanger SteT", 4, 4, 1, 1, 1261, NaN, NaN, "NaN", 1160, 1292, 1259, "MAAAAKME_04880", "core"], [1194, "group_732", "NaN", "hypothetical protein", 4, 4, 1, 1, 1253, NaN, NaN, "NaN", 221, 242, 231, "MAAAAKME_04970", "core"], [1195, "group_733", "NaN", "hypothetical protein", 4, 4, 1, 1, 1249, NaN, NaN, "NaN", 194, 224, 201, "MAAAAKME_05010", "core"], [1196, "group_734", "NaN", "hypothetical protein", 4, 4, 1, 1, 1236, NaN, NaN, "NaN", 857, 863, 861, "MAAAAKME_05140", "core"], [1197, "group_735", "NaN", "hypothetical protein", 4, 4, 1, 1, 1194, NaN, NaN, "NaN", 554, 686, 653, "MAAAAKME_05530", "core"], [1198, "group_736", "NaN", "hypothetical protein", 4, 4, 1, 1, 1141, NaN, NaN, "NaN", 590, 785, 723, "MAAAAKME_06080", "core"], [1199, "group_737", "NaN", "hypothetical protein", 4, 4, 1, 1, 1131, NaN, NaN, "NaN", 380, 656, 453, "MAAAAKME_06150", "core"], [1200, "group_738", "NaN", "hypothetical protein", 4, 4, 1, 1, 1126, NaN, NaN, "NaN", 815, 836, 820, "MAAAAKME_06180", "core"], [1201, "group_739", "NaN", "hypothetical protein", 4, 4, 1, 1, 1121, NaN, NaN, "NaN", 827, 998, 955, "MAAAAKME_06240", "core"], [1202, "group_741", "NaN", "hypothetical protein", 4, 4, 1, 1, 1119, NaN, NaN, "NaN", 437, 437, 437, "MAAAAKME_06260", "core"], [1203, "atpC", "NaN", "ATP synthase epsilon chain", 4, 4, 1, 1, 1090, NaN, NaN, "NaN", 440, 440, 440, "MAAAAKME_06570", "core"], [1204, "rnj2", "NaN", "Ribonuclease J 2", 4, 4, 1, 1, 1024, NaN, NaN, "NaN", 1712, 1844, 1810, "MAAAAKME_07200", "core"], [1205, "metQ_2", "NaN", "putative D-methionine-binding lipoprotein MetQ", 4, 4, 1, 1, 1006, NaN, NaN, "NaN", 821, 860, 850, "MAAAAKME_07390", "core"], [1206, "ghrB", "NaN", "Glyoxylate/hydroxypyruvate reductase B", 4, 4, 1, 1, 2271, NaN, NaN, "NaN", 662, 950, 878, "MAAAAKME_07600", "core"], [1207, "group_749", "NaN", "hypothetical protein", 4, 4, 1, 1, 2284, NaN, NaN, "NaN", 128, 191, 169, "MAAAAKME_07730", "core"], [1208, "group_751", "NaN", "hypothetical protein", 4, 4, 1, 1, 2316, NaN, NaN, "NaN", 2012, 2435, 2327, "MAAAAKME_08040", "core"], [1209, "group_753", "NaN", "hypothetical protein", 4, 4, 1, 1, 2353, NaN, NaN, "NaN", 515, 635, 601, "MAAAAKME_08310", "core"], [1210, "fabI", "NaN", "Enoyl-[acyl-carrier-protein] reductase [NADH] FabI", 4, 4, 1, 1, 2366, NaN, NaN, "NaN", 728, 764, 737, "MAAAAKME_08490", "core"], [1211, "dosP", "NaN", "Oxygen sensor protein DosP", 4, 4, 1, 1, 2397, NaN, NaN, "NaN", 218, 677, 476, "MAAAAKME_08880", "core"], [1212, "pstS1", "NaN", "Phosphate-binding protein PstS 1", 4, 4, 1, 1, 2400, NaN, NaN, "NaN", 842, 884, 873, "MAAAAKME_08910", "core"], [1213, "phoB", "NaN", "Phosphate regulon transcriptional regulatory protein PhoB", 4, 4, 1, 1, 2405, NaN, NaN, "NaN", 527, 677, 639, "MAAAAKME_08960", "core"], [1214, "group_760", "NaN", "hypothetical protein", 4, 4, 1, 1, 2412, NaN, NaN, "NaN", 113, 113, 113, "MAAAAKME_09020", "core"], [1215, "group_763", "NaN", "hypothetical protein", 4, 4, 1, 1, 2195, NaN, NaN, "NaN", 281, 281, 281, "MAAAAKME_09560", "core"], [1216, "group_766", "NaN", "hypothetical protein", 4, 4, 1, 1, 2191, NaN, NaN, "NaN", 1055, 1073, 1067, "MAAAAKME_09610", "core"], [1217, "group_767", "NaN", "hypothetical protein", 4, 4, 1, 1, 2185, NaN, NaN, "NaN", 218, 350, 312, "MAAAAKME_09670", "core"], [1218, "group_768", "NaN", "hypothetical protein", 4, 4, 1, 1, 2178, NaN, NaN, "NaN", 578, 578, 578, "MAAAAKME_09740", "core"], [1219, "group_771", "NaN", "putative protein", 4, 4, 1, 1, 2124, NaN, NaN, "NaN", 668, 701, 692, "MAAAAKME_09850", "core"], [1220, "group_779", "NaN", "hypothetical protein", 4, 4, 1, 1, 1851, NaN, NaN, "NaN", 371, 461, 438, "MAAAAKME_10500", "core"], [1221, "ydcF", "NaN", "Protein YdcF", 4, 4, 1, 1, 1877, NaN, NaN, "NaN", 773, 773, 773, "MAAAAKME_10630", "core"], [1222, "spsB", "NaN", "Signal peptidase IB", 4, 4, 1, 1, 1689, NaN, NaN, "NaN", 566, 569, 566, "MAAAAKME_11050", "core"], [1223, "group_788", "NaN", "hypothetical protein", 4, 4, 1, 1, 1679, NaN, NaN, "NaN", 809, 848, 827, "MAAAAKME_11110", "core"], [1224, "copB", "NaN", "Copper-exporting P-type ATPase B", 4, 4, 1, 1, 2654, NaN, NaN, "NaN", 2246, 2384, 2303, "MAAAAKME_11240", "core"], [1225, "group_790", "NaN", "hypothetical protein", 4, 4, 1, 1, 1631, NaN, NaN, "NaN", 215, 269, 242, "MAAAAKME_11390", "core"], [1226, "cca", "NaN", "CCA-adding enzyme", 4, 4, 1, 1, 1606, NaN, NaN, "NaN", 1055, 1190, 1156, "MAAAAKME_11600", "core"], [1227, "group_795", "NaN", "hypothetical protein", 4, 4, 1, 1, 1597, NaN, NaN, "NaN", 497, 824, 742, "MAAAAKME_11690", "core"], [1228, "grpE", "NaN", "Protein GrpE", 4, 4, 1, 1, 1574, NaN, NaN, "NaN", 587, 617, 609, "MAAAAKME_11920", "core"], [1229, "hrcA", "NaN", "Heat-inducible transcription repressor HrcA", 4, 4, 1, 1, 1573, NaN, NaN, "NaN", 1043, 1046, 1044, "MAAAAKME_11930", "core"], [1230, "yclM", "NaN", "Aspartokinase 3", 4, 4, 1, 1, 779, NaN, NaN, "NaN", 722, 1340, 1185, "MAAAAKME_12230", "core"], [1231, "group_80", "NaN", "hypothetical protein", 4, 4, 1, 1, 2720, NaN, NaN, "NaN", 134, 434, 260, "MAAAAKME_13820", "core"], [1232, "pepDA_2", "NaN", "Dipeptidase A", 4, 4, 1, 1, 754, NaN, NaN, "NaN", 182, 407, 350, "MAAAAKME_12480", "core"], [1233, "ypdF", "NaN", "Aminopeptidase YpdF", 4, 4, 1, 1, 704, NaN, NaN, "NaN", 860, 1106, 1044, "MAAAAKME_12990", "core"], [1234, "livF", "NaN", "High-affinity branched-chain amino acid transport ATP-binding protein LivF", 4, 4, 1, 1, 699, NaN, NaN, "NaN", 356, 416, 386, "MAAAAKME_13040", "core"], [1235, "group_806", "NaN", "hypothetical protein", 4, 4, 1, 1, 686, NaN, NaN, "NaN", 254, 254, 254, "MAAAAKME_13170", "core"], [1236, "group_809", "NaN", "hypothetical protein", 4, 4, 1, 1, 661, NaN, NaN, "NaN", 341, 470, 375, "MAAAAKME_13340", "core"], [1237, "group_810", "NaN", "hypothetical protein", 4, 4, 1, 1, 2686, NaN, NaN, "NaN", 2498, 2582, 2561, "MAAAAKME_13500", "core"], [1238, "tsnR", "NaN", "tRNA (guanosine(18)-2'-O)-methyltransferase", 4, 4, 1, 1, 2693, NaN, NaN, "NaN", 764, 782, 768, "MAAAAKME_13550", "core"], [1239, "acyP", "NaN", "Acylphosphatase", 4, 4, 1, 1, 2694, NaN, NaN, "NaN", 272, 272, 272, "MAAAAKME_13560", "core"], [1240, "group_813", "NaN", "hypothetical protein", 4, 4, 1, 1, 2717, NaN, NaN, "NaN", 245, 449, 357, "MAAAAKME_13790", "core"], [1241, "mdtD", "NaN", "Putative multidrug resistance protein MdtD", 4, 4, 1, 1, 2718, NaN, NaN, "NaN", 419, 683, 607, "MAAAAKME_13800", "core"], [1242, "group_815", "NaN", "hypothetical protein", 4, 4, 1, 1, 2719, NaN, NaN, "NaN", 233, 314, 293, "MAAAAKME_13810", "core"], [1243, "rhaR", "NaN", "HTH-type transcriptional activator RhaR", 4, 4, 1, 1, 2770, NaN, NaN, "NaN", 422, 788, 618, "MAAAAKME_13850", "core"], [1244, "aroA", "NaN", "3-phosphoshikimate 1-carboxyvinyltransferase", 4, 4, 1, 1, 2757, NaN, NaN, "NaN", 233, 671, 497, "MAAAAKME_13980", "core"], [1245, "aroK", "NaN", "Shikimate kinase", 4, 4, 1, 1, 2756, NaN, NaN, "NaN", 326, 368, 357, "MAAAAKME_13990", "core"], [1246, "yhaM", "NaN", "3'-5' exoribonuclease YhaM", 4, 4, 1, 1, 2755, NaN, NaN, "NaN", 803, 950, 902, "MAAAAKME_14000", "core"], [1247, "yciB", "NaN", "Putative L,D-transpeptidase YciB", 4, 4, 1, 1, 2748, NaN, NaN, "NaN", 512, 704, 608, "MAAAAKME_14070", "core"], [1248, "group_821", "NaN", "hypothetical protein", 4, 4, 1, 1, 2747, NaN, NaN, "NaN", 320, 347, 335, "MAAAAKME_14080", "core"], [1249, "group_822", "NaN", "hypothetical protein", 4, 4, 1, 1, 2742, NaN, NaN, "NaN", 191, 224, 207, "MAAAAKME_14130", "core"], [1250, "group_823", "NaN", "hypothetical protein", 4, 4, 1, 1, 2735, NaN, NaN, "NaN", 863, 1169, 1089, "MAAAAKME_14210", "core"], [1251, "group_824", "NaN", "hypothetical protein", 4, 4, 1, 1, 427, NaN, NaN, "NaN", 524, 560, 543, "MAAAAKME_14500", "core"], [1252, "group_827", "NaN", "hypothetical protein", 4, 4, 1, 1, 463, NaN, NaN, "NaN", 749, 749, 749, "MAAAAKME_14860", "core"], [1253, "group_828", "NaN", "hypothetical protein", 4, 4, 1, 1, 478, NaN, NaN, "NaN", 158, 185, 167, "MAAAAKME_15010", "core"], [1254, "sigI", "NaN", "RNA polymerase sigma factor SigI", 4, 4, 1, 1, 508, NaN, NaN, "NaN", 569, 638, 586, "MAAAAKME_15300", "core"], [1255, "group_833", "NaN", "hypothetical protein", 4, 4, 1, 1, 552, NaN, NaN, "NaN", 800, 875, 855, "MAAAAKME_15770", "core"], [1256, "dosP_2", "NaN", "putative signaling protein", 4, 4, 1, 1, 553, NaN, NaN, "NaN", 251, 377, 338, "MAAAAKME_15780", "core"], [1257, "yfcA", "NaN", "putative membrane transporter protein YfcA", 4, 4, 1, 1, 565, NaN, NaN, "NaN", 440, 740, 665, "MAAAAKME_15900", "core"], [1258, "group_836", "NaN", "hypothetical protein", 4, 4, 1, 1, 580, NaN, NaN, "NaN", 803, 890, 852, "MAAAAKME_16030", "core"], [1259, "ccpA_2", "NaN", "Catabolite control protein A", 4, 4, 1, 1, 586, NaN, NaN, "NaN", 746, 986, 836, "MAAAAKME_16160", "core"], [1260, "yhjX", "NaN", "putative MFS-type transporter YhjX", 4, 4, 1, 1, 609, NaN, NaN, "NaN", 1184, 1235, 1222, "MAAAAKME_16340", "core"], [1261, "group_842", "NaN", "hypothetical protein", 4, 4, 1, 1, 621, NaN, NaN, "NaN", 323, 350, 330, "MAAAAKME_16440", "core"], [1262, "elaA", "NaN", "Protein ElaA", 4, 4, 1, 1, 283, NaN, NaN, "NaN", 473, 521, 509, "MAAAAKME_16670", "core"], [1263, "aes", "NaN", "hypothetical protein", 4, 4, 1, 1, 240, NaN, NaN, "NaN", 803, 803, 803, "MAAAAKME_17300", "core"], [1264, "group_846", "NaN", "hypothetical protein", 4, 4, 1, 1, 229, NaN, NaN, "NaN", 245, 251, 246, "MAAAAKME_17380", "core"], [1265, "pepD_1", "NaN", "Dipeptidase", 4, 4, 1, 1, 223, NaN, NaN, "NaN", 266, 266, 266, "MAAAAKME_17440", "core"], [1266, "group_848", "NaN", "hypothetical protein", 4, 4, 1, 1, 220, NaN, NaN, "NaN", 392, 449, 434, "MAAAAKME_17470", "core"], [1267, "group_849", "NaN", "hypothetical protein", 4, 4, 1, 1, 215, NaN, NaN, "NaN", 461, 1067, 915, "MAAAAKME_17530", "core"], [1268, "group_851", "NaN", "hypothetical protein", 4, 4, 1, 1, 208, NaN, NaN, "NaN", 443, 443, 443, "MAAAAKME_17590", "core"], [1269, "group_852", "NaN", "hypothetical protein", 4, 4, 1, 1, 187, NaN, NaN, "NaN", 449, 449, 449, "MAAAAKME_17770", "core"], [1270, "group_853", "NaN", "hypothetical protein", 4, 4, 1, 1, 384, NaN, NaN, "NaN", 776, 776, 776, "MAAAAKME_17920", "core"], [1271, "group_854", "NaN", "hypothetical protein", 4, 4, 1, 1, 391, NaN, NaN, "NaN", 359, 368, 361, "MAAAAKME_18000", "core"], [1272, "group_855", "NaN", "hypothetical protein", 4, 4, 1, 1, 399, NaN, NaN, "NaN", 185, 185, 185, "MAAAAKME_18060", "core"], [1273, "ywqE", "NaN", "Tyrosine-protein phosphatase YwqE", 4, 4, 1, 1, 1805, NaN, NaN, "NaN", 776, 776, 776, "MAAAAKME_18390", "core"], [1274, "ywqD", "NaN", "Tyrosine-protein kinase YwqD", 4, 4, 1, 1, 1804, NaN, NaN, "NaN", 767, 776, 770, "MAAAAKME_18400", "core"], [1275, "group_860", "NaN", "hypothetical protein", 4, 4, 1, 1, 1803, NaN, NaN, "NaN", 839, 887, 866, "MAAAAKME_18410", "core"], [1276, "group_861", "NaN", "putative ABC transporter ATP-binding protein", 4, 4, 1, 1, 1763, NaN, NaN, "NaN", 1637, 1727, 1704, "MAAAAKME_18770", "core"], [1277, "apbE", "NaN", "FAD:protein FMN transferase", 4, 4, 1, 1, 1754, NaN, NaN, "NaN", 722, 959, 899, "MAAAAKME_18860", "core"], [1278, "group_864", "NaN", "hypothetical protein", 4, 4, 1, 1, 1734, NaN, NaN, "NaN", 503, 506, 503, "MAAAAKME_18990", "core"], [1279, "yaaA", "NaN", "Peroxide stress resistance protein YaaA", 4, 4, 1, 1, 1731, NaN, NaN, "NaN", 725, 737, 734, "MAAAAKME_19020", "core"], [1280, "iphP_2", "NaN", "Tyrosine-protein phosphatase", 4, 4, 1, 1, 2840, NaN, NaN, "NaN", 758, 758, 758, "MAAAAKME_19210", "core"], [1281, "chbC", "NaN", "PTS system N,N'-diacetylchitobiose-specific EIIC component", 4, 4, 1, 1, 2820, NaN, NaN, "NaN", 1310, 1316, 1311, "MAAAAKME_19440", "core"], [1282, "zosA", "NaN", "Zinc-transporting ATPase", 4, 4, 1, 1, 166, NaN, NaN, "NaN", 1670, 1814, 1778, "MAAAAKME_19800", "core"], [1283, "nagB", "NaN", "Glucosamine-6-phosphate deaminase", 4, 4, 1, 1, 103, NaN, NaN, "NaN", 704, 704, 704, "MAAAAKME_20100", "core"], [1284, "group_873", "NaN", "hypothetical protein", 4, 4, 1, 1, 81, NaN, NaN, "NaN", 254, 575, 334, "MAAAAKME_20150", "core"], [1285, "prtP", "NaN", "PII-type proteinase", 4, 4, 1, 1, 1903, NaN, NaN, "NaN", 5441, 5897, 5662, "MAAAAKME_10850", "core"], [1286, "tagU_4", "NaN", "Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU", 4, 4, 1, 1, 1802, NaN, NaN, "NaN", 1031, 1040, 1034, "MAAAAKME_18420", "core"], [1287, "recF", "NaN", "DNA replication and repair protein RecF", 4, 4, 1, 1, 949, NaN, NaN, "NaN", 1145, 1145, 1145, "MAAAAKME_00040", "core"], [1288, "rpsR", "NaN", "30S ribosomal protein S18", 4, 4, 1, 1, 954, NaN, NaN, "NaN", 236, 236, 236, "MAAAAKME_00090", "core"], [1289, "rplI", "NaN", "50S ribosomal protein L9", 4, 4, 1, 1, 956, NaN, NaN, "NaN", 455, 455, 455, "MAAAAKME_00110", "core"], [1290, "uvrB_1", "NaN", "UvrABC system protein B", 4, 4, 1, 1, 985, NaN, NaN, "NaN", 2765, 2765, 2765, "MAAAAKME_00380", "core"], [1291, "group_908", "NaN", "hypothetical protein", 4, 4, 1, 1, 987, NaN, NaN, "NaN", 479, 479, 479, "MAAAAKME_00410", "core"], [1292, "ywnA_1", "NaN", "Putative HTH-type transcriptional regulator YwnA", 4, 4, 1, 1, 988, NaN, NaN, "NaN", 428, 428, 428, "MAAAAKME_00420", "core"], [1293, "lacG_1", "NaN", "6-phospho-beta-galactosidase", 4, 4, 1, 1, 938, NaN, NaN, "NaN", 164, 197, 188, "MAAAAKME_00530", "core"], [1294, "gmuE", "NaN", "Putative fructokinase", 4, 4, 1, 1, 936, NaN, NaN, "NaN", 203, 875, 371, "MAAAAKME_00550", "core"], [1295, "group_913", "NaN", "hypothetical protein", 4, 4, 1, 1, 934, NaN, NaN, "NaN", 764, 764, 764, "MAAAAKME_00570", "core"], [1296, "larD", "NaN", "D/L-lactic acid transporter", 4, 4, 1, 1, 931, NaN, NaN, "NaN", 722, 722, 722, "MAAAAKME_00600", "core"], [1297, "csbB", "NaN", "Putative glycosyltransferase CsbB", 4, 4, 1, 1, 924, NaN, NaN, "NaN", 947, 947, 947, "MAAAAKME_00640", "core"], [1298, "group_916", "NaN", "hypothetical protein", 4, 4, 1, 1, 923, NaN, NaN, "NaN", 506, 521, 517, "MAAAAKME_00650", "core"], [1299, "group_918", "NaN", "hypothetical protein", 4, 4, 1, 1, 919, NaN, NaN, "NaN", 584, 584, 584, "MAAAAKME_00680", "core"], [1300, "group_919", "NaN", "hypothetical protein", 4, 4, 1, 1, 908, NaN, NaN, "NaN", 158, 173, 169, "MAAAAKME_00770", "core"], [1301, "group_920", "NaN", "hypothetical protein", 4, 4, 1, 1, 901, NaN, NaN, "NaN", 437, 815, 717, "MAAAAKME_00840", "core"], [1302, "ldhA", "NaN", "D-lactate dehydrogenase", 4, 4, 1, 1, 897, NaN, NaN, "NaN", 1001, 1001, 1001, "MAAAAKME_00880", "core"], [1303, "def1", "NaN", "Peptide deformylase 1", 4, 4, 1, 1, 895, NaN, NaN, "NaN", 431, 431, 431, "MAAAAKME_00900", "core"], [1304, "metQ_1", "NaN", "Methionine-binding lipoprotein MetQ", 4, 4, 1, 1, 893, NaN, NaN, "NaN", 665, 881, 827, "MAAAAKME_00910", "core"], [1305, "btuD_3", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 4, 4, 1, 1, 885, NaN, NaN, "NaN", 1478, 1577, 1552, "MAAAAKME_00960", "core"], [1306, "group_925", "NaN", "hypothetical protein", 4, 4, 1, 1, 881, NaN, NaN, "NaN", 701, 701, 701, "MAAAAKME_01000", "core"], [1307, "argP", "NaN", "HTH-type transcriptional regulator ArgP", 4, 4, 1, 1, 880, NaN, NaN, "NaN", 908, 923, 914, "MAAAAKME_01010", "core"], [1308, "ldh", "NaN", "L-lactate dehydrogenase", 4, 4, 1, 1, 876, NaN, NaN, "NaN", 923, 923, 923, "MAAAAKME_01060", "core"], [1309, "naiP", "NaN", "Putative niacin/nicotinamide transporter NaiP", 4, 4, 1, 1, 875, NaN, NaN, "NaN", 1226, 1226, 1226, "MAAAAKME_01070", "core"], [1310, "gltC_1", "NaN", "HTH-type transcriptional regulator GltC", 4, 4, 1, 1, 871, NaN, NaN, "NaN", 914, 920, 915, "MAAAAKME_01100", "core"], [1311, "group_930", "NaN", "hypothetical protein", 4, 4, 1, 1, 866, NaN, NaN, "NaN", 824, 824, 824, "MAAAAKME_01140", "core"], [1312, "group_931", "NaN", "hypothetical protein", 4, 4, 1, 1, 865, NaN, NaN, "NaN", 776, 776, 776, "MAAAAKME_01150", "core"], [1313, "walR", "NaN", "Transcriptional regulatory protein WalR", 4, 4, 1, 1, 864, NaN, NaN, "NaN", 728, 728, 728, "MAAAAKME_01170", "core"], [1314, "yycI", "NaN", "Two-component system WalR/WalK regulatory protein YycI", 4, 4, 1, 1, 861, NaN, NaN, "NaN", 800, 800, 800, "MAAAAKME_01200", "core"], [1315, "htrA", "NaN", "Serine protease Do-like HtrA", 4, 4, 1, 1, 858, NaN, NaN, "NaN", 1283, 1283, 1283, "MAAAAKME_01220", "core"], [1316, "ecfT_1", "NaN", "Energy-coupling factor transporter transmembrane protein EcfT", 4, 4, 1, 1, 2470, NaN, NaN, "NaN", 668, 668, 668, "MAAAAKME_01320", "core"], [1317, "bmr3_1", "NaN", "Multidrug resistance protein 3", 4, 4, 1, 1, 2472, NaN, NaN, "NaN", 1475, 1484, 1477, "MAAAAKME_01340", "core"], [1318, "group_938", "NaN", "hypothetical protein", 4, 4, 1, 1, 2492, NaN, NaN, "NaN", 371, 371, 371, "MAAAAKME_01510", "core"], [1319, "cobB", "NaN", "NAD-dependent protein deacetylase", 4, 4, 1, 1, 2493, NaN, NaN, "NaN", 698, 698, 698, "MAAAAKME_01520", "core"], [1320, "group_940", "NaN", "hypothetical protein", 4, 4, 1, 1, 2494, NaN, NaN, "NaN", 479, 479, 479, "MAAAAKME_01530", "core"], [1321, "ypuA", "NaN", "putative protein YpuA", 4, 4, 1, 1, 2498, NaN, NaN, "NaN", 956, 956, 956, "MAAAAKME_01570", "core"], [1322, "arnC_1", "NaN", "Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase", 4, 4, 1, 1, 2499, NaN, NaN, "NaN", 824, 836, 827, "MAAAAKME_01580", "core"], [1323, "prs_1", "NaN", "Ribose-phosphate pyrophosphokinase", 4, 4, 1, 1, 2501, NaN, NaN, "NaN", 1004, 1004, 1004, "MAAAAKME_01600", "core"], [1324, "fnr", "NaN", "Transcriptional activator protein Anr", 4, 4, 1, 1, 2504, NaN, NaN, "NaN", 650, 650, 650, "MAAAAKME_01630", "core"], [1325, "group_945", "NaN", "hypothetical protein", 4, 4, 1, 1, 2505, NaN, NaN, "NaN", 1307, 1331, 1325, "MAAAAKME_01640", "core"], [1326, "group_946", "NaN", "hypothetical protein", 4, 4, 1, 1, 2509, NaN, NaN, "NaN", 1073, 1109, 1100, "MAAAAKME_01680", "core"], [1327, "group_947", "NaN", "hypothetical protein", 4, 4, 1, 1, 2510, NaN, NaN, "NaN", 704, 794, 771, "MAAAAKME_01690", "core"], [1328, "group_948", "NaN", "hypothetical protein", 4, 4, 1, 1, 2516, NaN, NaN, "NaN", 3005, 3005, 3005, "MAAAAKME_01750", "core"], [1329, "group_949", "NaN", "hypothetical protein", 4, 4, 1, 1, 2519, NaN, NaN, "NaN", 479, 479, 479, "MAAAAKME_01780", "core"], [1330, "phnD", "NaN", "Phosphate-import protein PhnD", 4, 4, 1, 1, 2522, NaN, NaN, "NaN", 941, 941, 941, "MAAAAKME_01810", "core"], [1331, "metN_1", "NaN", "Methionine import ATP-binding protein MetN", 4, 4, 1, 1, 2523, NaN, NaN, "NaN", 770, 770, 770, "MAAAAKME_01820", "core"], [1332, "cpdA_1", "NaN", "3',5'-cyclic adenosine monophosphate phosphodiesterase CpdA", 4, 4, 1, 1, 2528, NaN, NaN, "NaN", 1400, 1400, 1400, "MAAAAKME_01870", "core"], [1333, "mdtH", "NaN", "Multidrug resistance protein MdtH", 4, 4, 1, 1, 2535, NaN, NaN, "NaN", 1220, 1220, 1220, "MAAAAKME_01940", "core"], [1334, "group_954", "NaN", "hypothetical protein", 4, 4, 1, 1, 2536, NaN, NaN, "NaN", 257, 338, 317, "MAAAAKME_01950", "core"], [1335, "kup", "NaN", "Low affinity potassium transport system protein kup", 4, 4, 1, 1, 2538, NaN, NaN, "NaN", 2021, 2030, 2027, "MAAAAKME_01970", "core"], [1336, "pepE_1", "NaN", "Aminopeptidase E", 4, 4, 1, 1, 2606, NaN, NaN, "NaN", 1313, 1313, 1313, "MAAAAKME_02490", "core"], [1337, "ibpA", "NaN", "Small heat shock protein IbpA", 4, 4, 1, 1, 2604, NaN, NaN, "NaN", 413, 425, 422, "MAAAAKME_02510", "core"], [1338, "dinB_1", "NaN", "DNA polymerase IV", 4, 4, 1, 1, 2599, NaN, NaN, "NaN", 1307, 1307, 1307, "MAAAAKME_02550", "core"], [1339, "btuD_6", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 4, 4, 1, 1, 2590, NaN, NaN, "NaN", 1601, 1700, 1625, "MAAAAKME_02640", "core"], [1340, "mmuM_2", "NaN", "Homocysteine S-methyltransferase", 4, 4, 1, 1, 2577, NaN, NaN, "NaN", 917, 932, 928, "MAAAAKME_02720", "core"], [1341, "mscL", "NaN", "Large-conductance mechanosensitive channel", 4, 4, 1, 1, 2569, NaN, NaN, "NaN", 476, 476, 476, "MAAAAKME_02790", "core"], [1342, "pncB", "NaN", "Nicotinate phosphoribosyltransferase", 4, 4, 1, 1, 2567, NaN, NaN, "NaN", 1433, 1523, 1500, "MAAAAKME_02800", "core"], [1343, "group_968", "NaN", "hypothetical protein", 4, 4, 1, 1, 1332, NaN, NaN, "NaN", 266, 266, 266, "MAAAAKME_02850", "core"], [1344, "mgtB", "NaN", "Magnesium-transporting ATPase, P-type 1", 4, 4, 1, 1, 1346, NaN, NaN, "NaN", 2690, 2690, 2690, "MAAAAKME_03000", "core"], [1345, "veg", "NaN", "Protein Veg", 4, 4, 1, 1, 1351, NaN, NaN, "NaN", 251, 251, 251, "MAAAAKME_03050", "core"], [1346, "group_971", "NaN", "hypothetical protein", 4, 4, 1, 1, 1354, NaN, NaN, "NaN", 698, 755, 740, "MAAAAKME_03080", "core"], [1347, "rpoE", "NaN", "DNA-directed RNA polymerase subunit delta", 4, 4, 1, 1, 1358, NaN, NaN, "NaN", 569, 569, 569, "MAAAAKME_03120", "core"], [1348, "rpmE2", "NaN", "50S ribosomal protein L31 type B", 4, 4, 1, 1, 1361, NaN, NaN, "NaN", 251, 251, 251, "MAAAAKME_03150", "core"], [1349, "acpS", "NaN", "Holo-[acyl-carrier-protein] synthase", 4, 4, 1, 1, 1364, NaN, NaN, "NaN", 413, 425, 416, "MAAAAKME_03180", "core"], [1350, "ftsH", "NaN", "ATP-dependent zinc metalloprotease FtsH", 4, 4, 1, 1, 1373, NaN, NaN, "NaN", 2114, 2213, 2188, "MAAAAKME_03270", "core"], [1351, "group_976", "NaN", "hypothetical protein", 4, 4, 1, 1, 1379, NaN, NaN, "NaN", 434, 434, 434, "MAAAAKME_03330", "core"], [1352, "group_977", "NaN", "hypothetical protein", 4, 4, 1, 1, 1387, NaN, NaN, "NaN", 188, 188, 188, "MAAAAKME_03440", "core"], [1353, "group_978", "NaN", "hypothetical protein", 4, 4, 1, 1, 1391, NaN, NaN, "NaN", 560, 560, 560, "MAAAAKME_03480", "core"], [1354, "rpsM", "NaN", "30S ribosomal protein S13", 4, 4, 1, 1, 1422, NaN, NaN, "NaN", 350, 350, 350, "MAAAAKME_03770", "core"], [1355, "group_983", "NaN", "hypothetical protein", 4, 4, 1, 1, 1452, NaN, NaN, "NaN", 1067, 1067, 1067, "MAAAAKME_04030", "core"], [1356, "rfbX", "NaN", "Putative O-antigen transporter", 4, 4, 1, 1, 1455, NaN, NaN, "NaN", 1424, 1427, 1426, "MAAAAKME_04060", "core"], [1357, "mshA", "NaN", "D-inositol 3-phosphate glycosyltransferase", 4, 4, 1, 1, 1457, NaN, NaN, "NaN", 1100, 1100, 1100, "MAAAAKME_04080", "core"], [1358, "group_986", "NaN", "hypothetical protein", 4, 4, 1, 1, 1471, NaN, NaN, "NaN", 1145, 1145, 1145, "MAAAAKME_04210", "core"], [1359, "group_987", "NaN", "hypothetical protein", 4, 4, 1, 1, 1476, NaN, NaN, "NaN", 713, 722, 719, "MAAAAKME_04260", "core"], [1360, "group_988", "NaN", "hypothetical protein", 4, 4, 1, 1, 1478, NaN, NaN, "NaN", 731, 857, 825, "MAAAAKME_04280", "core"], [1361, "copZ", "NaN", "Copper chaperone CopZ", 4, 4, 1, 1, 1485, NaN, NaN, "NaN", 227, 227, 227, "MAAAAKME_04330", "core"], [1362, "fixK", "NaN", "Nitrogen fixation regulation protein FixK", 4, 4, 1, 1, 1489, NaN, NaN, "NaN", 650, 650, 650, "MAAAAKME_04350", "core"], [1363, "brnQ", "NaN", "Branched-chain amino acid transport system 2 carrier protein", 4, 4, 1, 1, 1490, NaN, NaN, "NaN", 1340, 1340, 1340, "MAAAAKME_04360", "core"], [1364, "dapH_1", "NaN", "hypothetical protein", 4, 4, 1, 1, 1314, NaN, NaN, "NaN", 257, 422, 298, "MAAAAKME_04420", "core"], [1365, "lrpC", "NaN", "HTH-type transcriptional regulator LrpC", 4, 4, 1, 1, 1312, NaN, NaN, "NaN", 485, 485, 485, "MAAAAKME_04440", "core"], [1366, "glmS", "NaN", "Glutamine--fructose-6-phosphate aminotransferase [isomerizing]", 4, 4, 1, 1, 1311, NaN, NaN, "NaN", 1811, 1811, 1811, "MAAAAKME_04450", "core"], [1367, "mtlR", "NaN", "hypothetical protein", 4, 4, 1, 1, 1310, NaN, NaN, "NaN", 335, 2066, 767, "MAAAAKME_04460", "core"], [1368, "ppc", "NaN", "Phosphoenolpyruvate carboxylase", 4, 4, 1, 1, 1304, NaN, NaN, "NaN", 2729, 2729, 2729, "MAAAAKME_04500", "core"], [1369, "group_997", "NaN", "hypothetical protein", 4, 4, 1, 1, 1296, NaN, NaN, "NaN", 365, 365, 365, "MAAAAKME_04560", "core"], [1370, "ykoE", "NaN", "Putative HMP/thiamine permease protein YkoE", 4, 4, 1, 1, 1290, NaN, NaN, "NaN", 569, 569, 569, "MAAAAKME_04620", "core"], [1371, "glnQ_2", "NaN", "Glutamine transport ATP-binding protein GlnQ", 4, 4, 1, 1, 1286, NaN, NaN, "NaN", 740, 740, 740, "MAAAAKME_04660", "core"]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all"}], "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "fnInfoCallback": function (oSettings, iStart, iEnd, iMax, iTotal, sPre) { return sPre + ' (<a href="https://mwouts.github.io/itables/downsampling.html">downsampled</a> from 1,372x16 to 781x16 as maxBytes=100000)'; }};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#ea60f623-42e5-42f6-a30e-d20082cc3ff7').DataTable(dt_args);
    });
</script>
</div>



### Shell Genes


<style>
.itables table td { font-style: italic; font-size: .8em;}
.itables table th { font-style: oblique; font-size: .8em; }
</style>
<div class="itables">
<table id="5856d759-a8ba-4186-ba54-1b881c393432" class="display compact"style="table-layout:auto;width:auto;margin:auto;caption-side:bottom"><thead>
    <tr style="text-align: right;">
      <th></th>
      <th>Gene</th>
      <th>Non-unique Gene name</th>
      <th>Annotation</th>
      <th>No. isolates</th>
      <th>No. sequences</th>
      <th>Avg sequences per isolate</th>
      <th>Genome Fragment</th>
      <th>Order within Fragment</th>
      <th>Accessory Fragment</th>
      <th>Accessory Order with Fragment</th>
      <th>QC</th>
      <th>Min group size nuc</th>
      <th>Max group size nuc</th>
      <th>Avg group size nuc</th>
      <th>locus_tag</th>
      <th>pangenome_class</th>
    </tr>
  </thead><tbody><tr><td>Loading... (need <a href=https://mwouts.github.io/itables/troubleshooting.html>help</a>?)</td></tr></tbody></table>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<script type="module">
    // Import jquery and DataTable
    import 'https://code.jquery.com/jquery-3.6.0.min.js';
    import dt from 'https://cdn.datatables.net/1.12.1/js/jquery.dataTables.mjs';
    dt($);

    // Define the table data
    const data = [[1372, "group_1", "NaN", "hypothetical protein", 3, 3, 1, 1, 2628, 10.0, 12.0, "NaN", 308, 530, 417, "MAAAAKME_02290", "shell"], [1373, "group_1004", "NaN", "hypothetical protein", 3, 3, 1, 1, 1277, 175.0, 1.0, "NaN", 635, 635, 635, "KLCDKCDI_04740", "shell"], [1374, "group_1014", "NaN", "hypothetical protein", 3, 3, 1, 1, 1242, 121.0, 1.0, "NaN", 281, 281, 281, "MAAAAKME_05080", "shell"], [1375, "group_1070", "NaN", "hypothetical protein", 3, 3, 1, 1, 2295, 75.0, 2.0, "NaN", 194, 257, 236, "MAAAAKME_07830", "shell"], [1376, "cynR_1", "NaN", "HTH-type transcriptional regulator CynR", 3, 3, 1, 1, 2313, 45.0, 3.0, "NaN", 134, 149, 139, "MAAAAKME_08010", "shell"], [1377, "group_1077", "NaN", "hypothetical protein", 3, 3, 1, 1, 2325, 8.0, 11.0, "NaN", 107, 167, 127, "MAAAAKME_08080", "shell"], [1378, "group_1078", "NaN", "hypothetical protein", 3, 3, 1, 1, 2336, 8.0, 6.0, "NaN", 701, 701, 701, "MAAAAKME_08140", "shell"], [1379, "group_1090", "NaN", "hypothetical protein", 3, 3, 1, 1, 2369, 3.0, 23.0, "NaN", 242, 242, 242, "MAAAAKME_08530", "shell"], [1380, "group_1091", "NaN", "hypothetical protein", 3, 3, 1, 1, 2374, 3.0, 26.0, "NaN", 707, 785, 759, "MAAAAKME_08580", "shell"], [1381, "group_1099", "NaN", "hypothetical protein", 3, 3, 1, 1, 2423, 133.0, 1.0, "NaN", 107, 107, 107, "MAAAAKME_09110", "shell"], [1382, "group_1106", "NaN", "hypothetical protein", 3, 3, 1, 1, 2211, 159.0, 1.0, "NaN", 329, 479, 379, "MAAAAKME_09410", "shell"], [1383, "group_1115", "NaN", "hypothetical protein", 3, 3, 1, 1, 1954, 1.0, 55.0, "NaN", 308, 479, 365, "KLCDKCDI_09930", "shell"], [1384, "hsdR_1", "NaN", "Type-1 restriction enzyme R protein", 3, 3, 1, 1, 2173, 1.0, 50.0, "NaN", 956, 3020, 1644, "MAAAAKME_09770", "shell"], [1385, "group_112", "NaN", "IS110 family transposase ISL4", 3, 3, 1, 1, 2263, 19.0, 7.0, "NaN", 791, 1223, 1007, "MAAAAKME_07520", "shell"], [1386, "smc_1", "NaN", "Chromosome partition protein Smc", 3, 3, 1, 1, 2164, 1.0, 212.0, "NaN", 557, 3752, 2687, "KLCDKCDI_10350", "shell"], [1387, "yheH_1", "NaN", "putative multidrug resistance ABC transporter ATP-binding/permease protein YheH", 3, 3, 1, 1, 1843, 1.0, 79.0, "NaN", 305, 683, 431, "KLCDKCDI_10320", "shell"], [1388, "group_1132", "NaN", "hypothetical protein", 3, 3, 1, 1, 1845, 1.0, 78.0, "NaN", 800, 929, 886, "KLCDKCDI_10310", "shell"], [1389, "rnhA_3", "NaN", "Ribonuclease HI", 3, 3, 1, 1, 1857, 30.0, 4.0, "NaN", 284, 371, 342, "MAAAAKME_10560", "shell"], [1390, "qorB_2", "NaN", "Quinone oxidoreductase 2", 3, 3, 1, 1, 1899, 135.0, 1.0, "NaN", 554, 584, 574, "MAAAAKME_10810", "shell"], [1391, "group_1155", "NaN", "ISL3 family transposase ISL3", 3, 3, 1, 1, 1909, 22.0, 7.0, "NaN", 1178, 1199, 1192, "MAAAAKME_10920", "shell"], [1392, "secY2_1", "NaN", "Accessory Sec system protein translocase subunit SecY2", 3, 3, 1, 1, 1627, 66.0, 2.0, "NaN", 200, 200, 200, "MAAAAKME_11410", "shell"], [1393, "secY2_2", "NaN", "Accessory Sec system protein translocase subunit SecY2", 3, 3, 1, 1, 1626, 66.0, 3.0, "NaN", 248, 311, 290, "MAAAAKME_11420", "shell"], [1394, "group_1173", "NaN", "hypothetical protein", 3, 3, 1, 1, 1603, 26.0, 5.0, "NaN", 398, 398, 398, "MAAAAKME_11630", "shell"], [1395, "group_1174", "NaN", "hypothetical protein", 3, 3, 1, 1, 1601, 26.0, 1.0, "NaN", 278, 278, 278, "MAAAAKME_11650", "shell"], [1396, "group_1177", "NaN", "hypothetical protein", 3, 3, 1, 1, 1593, 77.0, 2.0, "NaN", 320, 536, 392, "MAAAAKME_11730", "shell"], [1397, "pepDA_3", "NaN", "Dipeptidase A", 3, 3, 1, 1, 753, 70.0, 1.0, "NaN", 473, 473, 473, "MAAAAKME_12490", "shell"], [1398, "group_1200", "NaN", "hypothetical protein", 3, 3, 1, 1, 731, 29.0, 7.0, "NaN", 485, 710, 631, "KLCDKCDI_13640", "shell"], [1399, "group_1223", "NaN", "hypothetical protein", 3, 3, 1, 1, 2746, 37.0, 3.0, "NaN", 392, 392, 392, "MAAAAKME_14090", "shell"], [1400, "group_1225", "NaN", "hypothetical protein", 3, 3, 1, 1, 2743, 37.0, 1.0, "NaN", 146, 257, 220, "MAAAAKME_14120", "shell"], [1401, "group_1246", "NaN", "hypothetical protein", 3, 3, 1, 1, 486, 21.0, 5.0, "NaN", 389, 485, 453, "MAAAAKME_15070", "shell"], [1402, "group_1258", "NaN", "hypothetical protein", 3, 3, 1, 1, 534, 51.0, 3.0, "NaN", 230, 407, 289, "MAAAAKME_15530", "shell"], [1403, "group_1268", "NaN", "hypothetical protein", 3, 3, 1, 1, 576, 9.0, 1.0, "NaN", 125, 230, 160, "MAAAAKME_15990", "shell"], [1404, "ycaM_3", "NaN", "Inner membrane transporter YcaM", 3, 3, 1, 1, 594, 11.0, 12.0, "NaN", 1244, 1451, 1382, "MAAAAKME_16240", "shell"], [1405, "group_1277", "NaN", "L-lactate transporter", 3, 3, 1, 1, 597, 11.0, 14.0, "NaN", 1214, 1235, 1226, "MAAAAKME_16260", "shell"], [1406, "dppE_4", "NaN", "Dipeptide-binding protein DppE", 3, 3, 1, 1, 2613, 160.0, 1.0, "NaN", 470, 677, 608, "MAAAAKME_02420", "shell"], [1407, "group_1288", "NaN", "hypothetical protein", 3, 3, 1, 1, 252, 31.0, 4.0, "NaN", 1094, 1235, 1188, "MAAAAKME_16740", "shell"], [1408, "group_1305", "NaN", "hypothetical protein", 3, 3, 1, 1, 186, 6.0, 14.0, "NaN", 239, 407, 295, "MAAAAKME_17780", "shell"], [1409, "group_1307", "NaN", "hypothetical protein", 3, 3, 1, 1, 43, 6.0, 6.0, "NaN", 803, 1208, 1073, "MAAAAKME_17840", "shell"], [1410, "ybaQ", "NaN", "putative HTH-type transcriptional regulator YbaQ", 3, 3, 1, 1, 359, 149.0, 1.0, "NaN", 236, 323, 294, "MAAAAKME_18120", "shell"], [1411, "dppE_16", "NaN", "Dipeptide-binding protein DppE", 3, 3, 1, 1, 489, 21.0, 2.0, "NaN", 500, 500, 500, "MAAAAKME_15100", "shell"], [1412, "group_1353", "NaN", "hypothetical protein", 3, 3, 1, 1, 68, 20.0, 3.0, "NaN", 536, 548, 544, "MAAAAKME_20240", "shell"], [1413, "group_1358", "NaN", "hypothetical protein", 3, 3, 1, 1, 2644, 2.0, 26.0, "NaN", 149, 149, 149, "MAAAAKME_02160", "shell"], [1414, "dapX_2", "NaN", "putative N-acetyl-LL-diaminopimelate aminotransferase", 3, 3, 1, 1, 2012, 1.0, 89.0, "NaN", 569, 1181, 977, "MAAAAKME_10170", "shell"], [1415, "Int-Tn", "NaN", "Transposase from transposon Tn916", 3, 3, 1, 1, 1571, 7.0, 14.0, "NaN", 365, 557, 493, "MAAAAKME_11950", "shell"], [1416, "group_137", "NaN", "hypothetical protein", 3, 3, 1, 1, 761, 47.0, 3.0, "NaN", 308, 458, 408, "MAAAAKME_12410", "shell"], [1417, "group_1374", "NaN", "Potassium channel", 3, 3, 1, 1, 584, 167.0, 1.0, "NaN", 593, 704, 631, "MAAAAKME_16140", "shell"], [1418, "group_1377", "NaN", "hypothetical protein", 3, 3, 1, 1, 199, 279.0, 1.0, "NaN", 239, 239, 239, "MAAAAKME_17680", "shell"], [1419, "group_1379", "NaN", "hypothetical protein", 3, 3, 1, 1, 396, 15.0, 14.0, "NaN", 317, 383, 359, "MAAAAKME_18030", "shell"], [1420, "group_138", "NaN", "hypothetical protein", 3, 3, 1, 1, 760, 47.0, 4.0, "NaN", 308, 476, 420, "MAAAAKME_12420", "shell"], [1421, "group_1383", "NaN", "hypothetical protein", 3, 3, 1, 1, 1739, 12.0, 4.0, "NaN", 644, 926, 832, "MAAAAKME_18960", "shell"], [1422, "group_141", "NaN", "hypothetical protein", 3, 3, 1, 1, 492, 69.0, 2.0, "NaN", 275, 854, 475, "MAAAAKME_15130", "shell"], [1423, "btuD_1", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 3, 3, 1, 1, 959, 58.0, 2.0, "NaN", 2105, 2105, 2105, "MAAAAKME_00140", "shell"], [1424, "group_1419", "NaN", "hypothetical protein", 3, 3, 1, 1, 960, 58.0, 1.0, "NaN", 389, 389, 389, "MAAAAKME_00150", "shell"], [1425, "group_142", "NaN", "IS200/IS605 family transposase ISEfa4", 3, 3, 1, 1, 493, 69.0, 1.0, "NaN", 410, 1028, 822, "MAAAAKME_15140", "shell"], [1426, "group_1427", "NaN", "hypothetical protein", 3, 3, 1, 1, 874, 65.0, 2.0, "NaN", 542, 542, 542, "MAAAAKME_01080", "shell"], [1427, "group_1429", "NaN", "hypothetical protein", 3, 3, 1, 1, 868, 60.0, 2.0, "NaN", 863, 863, 863, "MAAAAKME_01120", "shell"], [1428, "group_143", "NaN", "hypothetical protein", 3, 3, 1, 1, 1779, 301.0, 1.0, "NaN", 1298, 1298, 1298, "MAAAAKME_18620", "shell"], [1429, "group_1430", "NaN", "hypothetical protein", 3, 3, 1, 1, 867, 60.0, 3.0, "NaN", 602, 602, 602, "MAAAAKME_01130", "shell"], [1430, "btuD_5", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 3, 3, 1, 1, 2474, 18.0, 2.0, "NaN", 932, 932, 932, "MAAAAKME_01360", "shell"], [1431, "group_1432", "NaN", "hypothetical protein", 3, 3, 1, 1, 2475, 18.0, 3.0, "NaN", 746, 746, 746, "MAAAAKME_01370", "shell"], [1432, "group_1433", "NaN", "hypothetical protein", 3, 3, 1, 1, 2476, 18.0, 4.0, "NaN", 764, 764, 764, "MAAAAKME_01380", "shell"], [1433, "group_1437", "NaN", "hypothetical protein", 3, 3, 1, 1, 2625, 10.0, 10.0, "NaN", 365, 365, 365, "MAAAAKME_02310", "shell"], [1434, "group_1438", "NaN", "N-acetyldiaminopimelate deacetylase", 3, 3, 1, 1, 2623, 10.0, 8.0, "NaN", 1187, 1187, 1187, "MAAAAKME_02330", "shell"], [1435, "group_1440", "NaN", "hypothetical protein", 3, 3, 1, 1, 2598, 169.0, 1.0, "NaN", 374, 374, 374, "MAAAAKME_02560", "shell"], [1436, "group_1441", "NaN", "hypothetical protein", 3, 3, 1, 1, 2593, 44.0, 1.0, "NaN", 251, 251, 251, "MAAAAKME_02610", "shell"], [1437, "group_1442", "NaN", "hypothetical protein", 3, 3, 1, 1, 2592, 44.0, 2.0, "NaN", 371, 371, 371, "MAAAAKME_02620", "shell"], [1438, "group_1443", "NaN", "hypothetical protein", 3, 3, 1, 1, 2591, 44.0, 3.0, "NaN", 2252, 2252, 2252, "MAAAAKME_02630", "shell"], [1439, "group_1444", "NaN", "putative amino-acid ABC transporter-binding protein", 3, 3, 1, 1, 2585, 17.0, 6.0, "NaN", 812, 812, 812, "KLCDKCDI_02670", "shell"], [1440, "tcyC", "NaN", "L-cystine import ATP-binding protein TcyC", 3, 3, 1, 1, 2584, 17.0, 3.0, "NaN", 749, 749, 749, "KLCDKCDI_02680", "shell"], [1441, "tcyB", "NaN", "L-cystine transport system permease protein TcyB", 3, 3, 1, 1, 2583, 17.0, 2.0, "NaN", 743, 743, 743, "KLCDKCDI_02690", "shell"], [1442, "group_1447", "NaN", "hypothetical protein", 3, 3, 1, 1, 1337, 16.0, 2.0, "NaN", 620, 620, 620, "MAAAAKME_02900", "shell"], [1443, "group_1448", "NaN", "hypothetical protein", 3, 3, 1, 1, 1338, 16.0, 3.0, "NaN", 800, 800, 800, "MAAAAKME_02910", "shell"], [1444, "mntB", "NaN", "Manganese transport system ATP-binding protein MntB", 3, 3, 1, 1, 1339, 16.0, 4.0, "NaN", 710, 710, 710, "MAAAAKME_02920", "shell"], [1445, "group_1450", "NaN", "hypothetical protein", 3, 3, 1, 1, 1340, 16.0, 5.0, "NaN", 245, 245, 245, "MAAAAKME_02930", "shell"], [1446, "group_1451", "NaN", "hypothetical protein", 3, 3, 1, 1, 1461, 176.0, 1.0, "NaN", 326, 326, 326, "MAAAAKME_04120", "shell"], [1447, "natA", "NaN", "ABC transporter ATP-binding protein NatA", 3, 3, 1, 1, 1465, 166.0, 1.0, "NaN", 602, 602, 602, "MAAAAKME_04140", "shell"], [1448, "group_1453", "NaN", "hypothetical protein", 3, 3, 1, 1, 1315, 125.0, 1.0, "NaN", 275, 275, 275, "MAAAAKME_04410", "shell"], [1449, "group_1454", "NaN", "hypothetical protein", 3, 3, 1, 1, 1302, 137.0, 1.0, "NaN", 944, 944, 944, "MAAAAKME_04510", "shell"], [1450, "group_1457", "NaN", "hypothetical protein", 3, 3, 1, 1, 1266, 46.0, 1.0, "NaN", 299, 299, 299, "MAAAAKME_04850", "shell"], [1451, "group_1458", "NaN", "hypothetical protein", 3, 3, 1, 1, 1134, 28.0, 1.0, "NaN", 398, 398, 398, "MAAAAKME_06120", "shell"], [1452, "group_1459", "NaN", "hypothetical protein", 3, 3, 1, 1, 2296, 75.0, 1.0, "NaN", 113, 113, 113, "MAAAAKME_07840", "shell"], [1453, "group_1460", "NaN", "hypothetical protein", 3, 3, 1, 1, 2315, 45.0, 1.0, "NaN", 197, 197, 197, "MAAAAKME_08030", "shell"], [1454, "cas3", "NaN", "CRISPR-associated nuclease/helicase Cas3", 3, 3, 1, 1, 2332, 8.0, 12.0, "NaN", 2765, 2765, 2765, "MAAAAKME_08100", "shell"], [1455, "group_1462", "NaN", "hypothetical protein", 3, 3, 1, 1, 2333, 8.0, 9.0, "NaN", 1724, 1724, 1724, "MAAAAKME_08110", "shell"], [1456, "casC", "NaN", "CRISPR system Cascade subunit CasC", 3, 3, 1, 1, 2335, 8.0, 7.0, "NaN", 1076, 1076, 1076, "MAAAAKME_08130", "shell"], [1457, "cse3", "NaN", "CRISPR-associated endoribonuclease Cse3", 3, 3, 1, 1, 2337, 8.0, 5.0, "NaN", 623, 623, 623, "MAAAAKME_08150", "shell"], [1458, "ygbT", "NaN", "CRISPR-associated endonuclease Cas1", 3, 3, 1, 1, 2338, 8.0, 4.0, "NaN", 950, 950, 950, "MAAAAKME_08160", "shell"], [1459, "group_1467", "NaN", "hypothetical protein", 3, 3, 1, 1, 2370, 3.0, 24.0, "NaN", 164, 164, 164, "MAAAAKME_08540", "shell"], [1460, "yhfK", "NaN", "putative sugar epimerase YhfK", 3, 3, 1, 1, 2159, 1.0, 80.0, "NaN", 638, 638, 638, "KLCDKCDI_10330", "shell"], [1461, "group_1494", "NaN", "hypothetical protein", 3, 3, 1, 1, 1699, 2.0, 48.0, "NaN", 311, 311, 311, "MAAAAKME_11030", "shell"], [1462, "group_1507", "NaN", "hypothetical protein", 3, 3, 1, 1, 1602, 26.0, 2.0, "NaN", 191, 191, 191, "MAAAAKME_11640", "shell"], [1463, "dppE_11", "NaN", "Dipeptide-binding protein DppE", 3, 3, 1, 1, 716, 158.0, 1.0, "NaN", 224, 224, 224, "MAAAAKME_12870", "shell"], [1464, "group_1514", "NaN", "hypothetical protein", 3, 3, 1, 1, 485, 21.0, 6.0, "NaN", 122, 122, 122, "MAAAAKME_15060", "shell"], [1465, "group_1515", "NaN", "hypothetical protein", 3, 3, 1, 1, 532, 51.0, 1.0, "NaN", 410, 410, 410, "MAAAAKME_15510", "shell"], [1466, "group_1516", "NaN", "hypothetical protein", 3, 3, 1, 1, 548, 41.0, 4.0, "NaN", 161, 161, 161, "MAAAAKME_15660", "shell"], [1467, "odcI_2", "NaN", "Inducible ornithine decarboxylase", 3, 3, 1, 1, 593, 11.0, 11.0, "NaN", 2105, 2105, 2105, "MAAAAKME_16230", "shell"], [1468, "group_1522", "NaN", "hypothetical protein", 3, 3, 1, 1, 617, 78.0, 2.0, "NaN", 350, 350, 350, "MAAAAKME_16400", "shell"], [1469, "group_1523", "NaN", "hypothetical protein", 3, 3, 1, 1, 618, 78.0, 1.0, "NaN", 203, 203, 203, "MAAAAKME_16410", "shell"], [1470, "lolD", "NaN", "Lipoprotein-releasing system ATP-binding protein LolD", 3, 3, 1, 1, 255, 31.0, 3.0, "NaN", 680, 680, 680, "MAAAAKME_16730", "shell"], [1471, "group_1525", "NaN", "hypothetical protein", 3, 3, 1, 1, 253, 31.0, 2.0, "NaN", 476, 476, 476, "MAAAAKME_16750", "shell"], [1472, "group_1526", "NaN", "hypothetical protein", 3, 3, 1, 1, 254, 31.0, 1.0, "NaN", 368, 368, 368, "MAAAAKME_16760", "shell"], [1473, "smc_4", "NaN", "Chromosome partition protein Smc", 3, 3, 1, 1, 231, 122.0, 1.0, "NaN", 3182, 3182, 3182, "MAAAAKME_17360", "shell"], [1474, "group_1528", "NaN", "hypothetical protein", 3, 3, 1, 1, 218, 54.0, 4.0, "NaN", 185, 185, 185, "MAAAAKME_17500", "shell"], [1475, "murJ_2", "NaN", "lipid II flippase MurJ", 3, 3, 1, 1, 44, 6.0, 3.0, "NaN", 1433, 1433, 1433, "MAAAAKME_17820", "shell"], [1476, "group_1530", "NaN", "hypothetical protein", 3, 3, 1, 1, 42, 6.0, 5.0, "NaN", 758, 758, 758, "MAAAAKME_17850", "shell"], [1477, "btuD_10", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 3, 3, 1, 1, 2842, 49.0, 3.0, "NaN", 1580, 1580, 1580, "MAAAAKME_19190", "shell"], [1478, "carA_5", "NaN", "Carbamoyl-phosphate synthase small chain", 3, 3, 1, 1, 2812, 5.0, 8.0, "NaN", 1085, 1085, 1085, "MAAAAKME_19310", "shell"], [1479, "group_1544", "pyrC", "Dihydroorotase", 3, 3, 1, 1, 2813, 5.0, 9.0, "NaN", 1277, 1277, 1277, "MAAAAKME_19320", "shell"], [1480, "pyrB_3", "NaN", "Aspartate carbamoyltransferase", 3, 3, 1, 1, 2814, 5.0, 10.0, "NaN", 956, 956, 956, "MAAAAKME_19330", "shell"], [1481, "pyrR_2", "NaN", "Bifunctional protein pyrR", 3, 3, 1, 1, 2815, 5.0, 11.0, "NaN", 542, 542, 542, "MAAAAKME_19340", "shell"], [1482, "pyrDB_2", "NaN", "Dihydroorotate dehydrogenase B (NAD(+)), catalytic subunit", 3, 3, 1, 1, 2816, 5.0, 12.0, "NaN", 923, 923, 923, "MAAAAKME_19350", "shell"], [1483, "bin3", "NaN", "Putative transposon Tn552 DNA-invertase bin3", 3, 3, 1, 1, 2825, 5.0, 16.0, "NaN", 302, 302, 302, "MAAAAKME_19390", "shell"], [1484, "group_1550", "NaN", "hypothetical protein", 3, 3, 1, 1, 177, 32.0, 4.0, "NaN", 596, 596, 596, "KLCDKCDI_21260", "shell"], [1485, "group_1551", "NaN", "hypothetical protein", 3, 3, 1, 1, 95, 164.0, 1.0, "NaN", 575, 575, 575, "MAAAAKME_20130", "shell"], [1486, "btuD_4", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 3, 3, 1, 1, 884, 274.0, 2.0, "NaN", 1562, 1562, 1562, "MAAAAKME_00970", "shell"], [1487, "group_1567", "NaN", "hypothetical protein", 3, 3, 1, 1, 2334, 8.0, 8.0, "NaN", 608, 617, 611, "MAAAAKME_08120", "shell"], [1488, "group_1583", "NaN", "hypothetical protein", 3, 3, 1, 1, 1592, 77.0, 1.0, "NaN", 1328, 1355, 1345, "MAAAAKME_11740", "shell"], [1489, "group_1591", "NaN", "hypothetical protein", 3, 3, 1, 1, 2708, 278.0, 2.0, "NaN", 251, 251, 251, "MAAAAKME_13700", "shell"], [1490, "group_1592", "NaN", "hypothetical protein", 3, 3, 1, 1, 2709, 278.0, 1.0, "NaN", 620, 623, 622, "MAAAAKME_13710", "shell"], [1491, "ppsA_3", "NaN", "Phosphoenolpyruvate synthase", 3, 3, 1, 1, 2726, 36.0, 4.0, "NaN", 248, 845, 518, "MAAAAKME_14240", "shell"], [1492, "group_1609", "NaN", "hypothetical protein", 3, 3, 1, 1, 1743, 12.0, 12.0, "NaN", 497, 497, 497, "MAAAAKME_18930", "shell"], [1493, "group_1611", "NaN", "FMN-binding protein", 3, 3, 1, 1, 1740, 12.0, 5.0, "NaN", 392, 392, 392, "MAAAAKME_18950", "shell"], [1494, "ppsA_4", "NaN", "Phosphoenolpyruvate synthase", 3, 3, 1, 1, 2729, 36.0, 6.0, "NaN", 347, 683, 517, "MAAAAKME_14260", "shell"], [1495, "dxs_4", "NaN", "1-deoxy-D-xylulose-5-phosphate synthase", 3, 3, 1, 1, 504, 52.0, 3.0, "NaN", 404, 686, 545, "MAAAAKME_15260", "shell"], [1496, "group_17", "NaN", "hypothetical protein", 3, 3, 1, 1, 2435, 2.0, 24.0, "NaN", 368, 575, 449, "MAAAAKME_02130", "shell"], [1497, "oppA_4", "NaN", "hypothetical protein", 3, 3, 1, 1, 1442, 14.0, 14.0, "NaN", 146, 1493, 595, "MAAAAKME_03900", "shell"], [1498, "group_193", "NaN", "hypothetical protein", 3, 3, 1, 1, 194, 23.0, 1.0, "NaN", 167, 167, 167, "MAAAAKME_17710", "shell"], [1499, "group_198", "NaN", "hypothetical protein", 3, 3, 1, 1, 191, 23.0, 8.0, "NaN", 239, 1523, 809, "MAAAAKME_17730", "shell"], [1500, "group_20", "NaN", "IS4 family transposase ISL5", 3, 3, 1, 1, 669, 38.0, 4.0, "NaN", 185, 680, 372, "MAAAAKME_13300", "shell"], [1501, "group_21", "NaN", "IS4 family transposase ISL5", 3, 3, 1, 1, 2646, 2.0, 27.0, "NaN", 167, 197, 187, "MAAAAKME_02150", "shell"], [1502, "carB_3", "NaN", "Carbamoyl-phosphate synthase large chain", 3, 3, 1, 1, 2117, 1.0, 37.0, "NaN", 2474, 3200, 2785, "KLCDKCDI_10410", "shell"], [1503, "group_2148", "NaN", "hypothetical protein", 3, 3, 1, 1, 2088, 4.0, 10.0, "NaN", 176, 176, 176, "MAAAAKME_10130", "shell"], [1504, "group_2227", "NaN", "hypothetical protein", 3, 3, 1, 1, 2108, 1.0, 20.0, "NaN", 431, 431, 431, "MAAAAKME_09980", "shell"], [1505, "group_2241", "NaN", "hypothetical protein", 3, 3, 1, 1, 549, 41.0, 3.0, "NaN", 95, 95, 95, "MAAAAKME_15740", "shell"], [1506, "metA_1", "NaN", "Serine O-acetyltransferase", 3, 3, 1, 1, 891, 42.0, 5.0, "NaN", 782, 782, 782, "MAAAAKME_00930", "shell"], [1507, "group_2273", "NaN", "hypothetical protein", 3, 3, 1, 1, 2261, 19.0, 8.0, "NaN", 524, 524, 524, "MAAAAKME_07460", "shell"], [1508, "group_2278", "NaN", "hypothetical protein", 3, 3, 1, 1, 422, 73.0, 3.0, "NaN", 524, 524, 524, "MAAAAKME_14450", "shell"], [1509, "group_2279", "NaN", "hypothetical protein", 3, 3, 1, 1, 293, 3.0, 34.0, "NaN", 524, 524, 524, "MAAAAKME_16590", "shell"], [1510, "group_2280", "NaN", "hypothetical protein", 3, 3, 1, 1, 2817, 27.0, 2.0, "NaN", 524, 524, 524, "MAAAAKME_19490", "shell"], [1511, "group_2281", "NaN", "hypothetical protein", 3, 3, 1, 1, 132, 25.0, 4.0, "NaN", 524, 524, 524, "MAAAAKME_19660", "shell"], [1512, "asnS_2", "NaN", "Asparagine--tRNA ligase", 3, 3, 1, 1, 1908, 22.0, 6.0, "NaN", 1298, 1298, 1298, "MAAAAKME_10910", "shell"], [1513, "group_231", "pox5_1", "Pyruvate oxidase", 3, 3, 1, 1, 2737, 67.0, 2.0, "NaN", 248, 287, 264, "MAAAAKME_14190", "shell"], [1514, "group_2311", "NaN", "hypothetical protein", 3, 3, 1, 1, 2089, 4.0, 11.0, "NaN", 158, 158, 158, "MAAAAKME_10120", "shell"], [1515, "group_2344", "NaN", "hypothetical protein", 3, 3, 1, 1, 2093, 4.0, 23.0, "NaN", 146, 146, 146, "MAAAAKME_10100", "shell"], [1516, "group_235", "NaN", "hypothetical protein", 3, 3, 1, 1, 981, 68.0, 2.0, "NaN", 107, 122, 117, "MAAAAKME_00340", "shell"], [1517, "group_237", "NaN", "hypothetical protein", 3, 3, 1, 1, 982, 68.0, 1.0, "NaN", 245, 521, 342, "KLCDKCDI_00250", "shell"], [1518, "group_2429", "NaN", "IS110 family transposase ISL4", 3, 3, 1, 1, 2648, 2.0, 56.0, "NaN", 1223, 1223, 1223, "KLCDKCDI_09050", "shell"], [1519, "pdxB", "NaN", "Erythronate-4-phosphate dehydrogenase", 3, 3, 1, 1, 1924, 56.0, 2.0, "NaN", 491, 1175, 723, "MAAAAKME_09640", "shell"], [1520, "group_248", "NaN", "hypothetical protein", 3, 3, 1, 1, 2176, 1.0, 5.0, "NaN", 191, 416, 301, "MAAAAKME_09750", "shell"], [1521, "COQ5_1", "NaN", "2-methoxy-6-polyprenyl-1,4-benzoquinol methylase, mitochondrial", 3, 3, 1, 1, 2119, 1.0, 40.0, "NaN", 509, 509, 509, "MAAAAKME_09900", "shell"], [1522, "group_257", "NaN", "Putative acetyltransferase", 3, 3, 1, 1, 1701, 2.0, 44.0, "NaN", 311, 599, 407, "MAAAAKME_11010", "shell"], [1523, "group_264", "NaN", "hypothetical protein", 3, 3, 1, 1, 680, 24.0, 9.0, "NaN", 473, 1259, 774, "MAAAAKME_13190", "shell"], [1524, "group_27", "NaN", "hypothetical protein", 3, 3, 1, 1, 626, 7.0, 1.0, "NaN", 296, 1253, 722, "MAAAAKME_16490", "shell"], [1525, "murJ_3", "NaN", "lipid II flippase MurJ", 3, 3, 1, 1, 39, 74.0, 4.0, "NaN", 647, 1430, 908, "MAAAAKME_17880", "shell"], [1526, "group_284", "NaN", "hypothetical protein", 3, 3, 1, 1, 916, 50.0, 4.0, "NaN", 128, 128, 128, "MAAAAKME_00700", "shell"], [1527, "group_286", "NaN", "hypothetical protein", 3, 3, 1, 1, 915, 50.0, 3.0, "NaN", 473, 821, 633, "MAAAAKME_00710", "shell"], [1528, "group_289", "NaN", "hypothetical protein", 3, 3, 1, 1, 854, 35.0, 4.0, "NaN", 143, 380, 286, "MAAAAKME_01260", "shell"], [1529, "group_293", "NaN", "hypothetical protein", 3, 3, 1, 1, 2544, 81.0, 1.0, "NaN", 638, 1610, 1263, "MAAAAKME_02030", "shell"], [1530, "group_32", "NaN", "IS4 family transposase ISL5", 3, 3, 1, 1, 2653, 2.0, 20.0, "NaN", 197, 251, 215, "MAAAAKME_11230", "shell"], [1531, "oppA_7", "NaN", "Periplasmic oligopeptide-binding protein", 3, 3, 1, 1, 2393, 39.0, 2.0, "NaN", 557, 638, 610, "MAAAAKME_08850", "shell"], [1532, "group_337", "NaN", "hypothetical protein", 3, 3, 1, 1, 386, 48.0, 2.0, "NaN", 164, 782, 482, "MAAAAKME_17940", "shell"], [1533, "group_339", "NaN", "hypothetical protein", 3, 3, 1, 1, 374, 33.0, 6.0, "NaN", 170, 182, 178, "MAAAAKME_17960", "shell"], [1534, "group_34", "NaN", "IS4 family transposase ISL5", 3, 3, 1, 1, 2828, 5.0, 15.0, "NaN", 185, 794, 591, "MAAAAKME_19360", "shell"], [1535, "cpoB", "NaN", "hypothetical protein", 3, 3, 1, 1, 389, 33.0, 2.0, "NaN", 260, 803, 464, "MAAAAKME_17980", "shell"], [1536, "group_346", "NaN", "hypothetical protein", 3, 3, 1, 1, 365, 15.0, 9.0, "NaN", 257, 428, 314, "KLCDKCDI_19040", "shell"], [1537, "group_352", "NaN", "hypothetical protein", 3, 3, 1, 1, 347, 2.0, 74.0, "NaN", 380, 524, 457, "KLCDKCDI_19190", "shell"], [1538, "group_36", "NaN", "hypothetical protein", 3, 3, 1, 1, 1702, 2.0, 52.0, "NaN", 275, 308, 297, "MAAAAKME_11000", "shell"], [1539, "group_377", "NaN", "putative FAD-linked oxidoreductase", 3, 3, 1, 1, 896, 82.0, 3.0, "NaN", 209, 1397, 999, "MAAAAKME_00890", "shell"], [1540, "group_387", "NaN", "hypothetical protein", 3, 3, 1, 1, 2631, 155.0, 1.0, "NaN", 107, 617, 303, "MAAAAKME_02260", "shell"], [1541, "rocC_2", "NaN", "Amino-acid permease RocC", 3, 3, 1, 1, 2578, 84.0, 1.0, "NaN", 365, 1394, 904, "KLCDKCDI_02740", "shell"], [1542, "group_398", "NaN", "hypothetical protein", 3, 3, 1, 1, 1136, 28.0, 4.0, "NaN", 443, 1415, 845, "MAAAAKME_06110", "shell"], [1543, "group_400", "NaN", "hypothetical protein", 3, 3, 1, 1, 1124, 103.0, 1.0, "NaN", 332, 527, 460, "KLCDKCDI_06140", "shell"], [1544, "asnB_3", "NaN", "Asparagine synthetase [glutamine-hydrolyzing] 1", 3, 3, 1, 1, 2391, 39.0, 4.0, "NaN", 371, 1169, 659, "MAAAAKME_08680", "shell"], [1545, "asnB_2", "NaN", "Asparagine synthetase B [glutamine-hydrolyzing]", 3, 3, 1, 1, 2392, 39.0, 3.0, "NaN", 371, 1592, 1049, "MAAAAKME_08690", "shell"], [1546, "group_406", "NaN", "hypothetical protein", 3, 3, 1, 1, 2399, 148.0, 1.0, "NaN", 272, 278, 274, "MAAAAKME_08900", "shell"], [1547, "group_42", "NaN", "hypothetical protein", 3, 3, 1, 1, 660, 38.0, 5.0, "NaN", 461, 1223, 763, "MAAAAKME_13350", "shell"], [1548, "carA_2", "NaN", "Carbamoyl-phosphate synthase small chain", 3, 3, 1, 1, 2113, 1.0, 36.0, "NaN", 803, 1076, 985, "KLCDKCDI_10420", "shell"], [1549, "group_426", "NaN", "hypothetical protein", 3, 3, 1, 1, 2103, 1.0, 24.0, "NaN", 254, 860, 543, "MAAAAKME_10020", "shell"], [1550, "group_439", "NaN", "hypothetical protein", 3, 3, 1, 1, 681, 24.0, 8.0, "NaN", 557, 1214, 953, "MAAAAKME_13180", "shell"], [1551, "group_442", "NaN", "hypothetical protein", 3, 3, 1, 1, 2676, 91.0, 1.0, "NaN", 152, 1256, 794, "MAAAAKME_13410", "shell"], [1552, "serP1_2", "NaN", "Serine permease SerP1", 3, 3, 1, 1, 574, 9.0, 3.0, "NaN", 293, 974, 520, "MAAAAKME_15980", "shell"], [1553, "glvR", "NaN", "hypothetical protein", 3, 3, 1, 1, 258, 281.0, 1.0, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 176, 782, 378, "MAAAAKME_16700", "shell"], [1554, "bglK", "NaN", "Beta-glucoside kinase", 3, 3, 1, 1, 219, 54.0, 3.0, "NaN", 287, 689, 453, "MAAAAKME_17480", "shell"], [1555, "lagD", "NaN", "hypothetical protein", 3, 3, 1, 1, 966, 13.0, 8.0, "NaN", 347, 1178, 825, "MAAAAKME_00210", "shell"], [1556, "group_487", "NaN", "hypothetical protein", 3, 3, 1, 1, 872, 65.0, 3.0, "NaN", 494, 836, 722, "MAAAAKME_01090", "shell"], [1557, "group_493", "NaN", "hypothetical protein", 3, 3, 1, 1, 850, 34.0, 3.0, "NaN", 215, 368, 316, "MAAAAKME_01290", "shell"], [1558, "group_498", "NaN", "hypothetical protein", 3, 3, 1, 1, 2621, 10.0, 6.0, "NaN", 107, 1247, 867, "MAAAAKME_02350", "shell"], [1559, "group_5", "NaN", "hypothetical protein", 3, 3, 1, 1, 670, 38.0, 3.0, "NaN", 476, 1391, 781, "MAAAAKME_13290", "shell"], [1560, "cadA", "NaN", "Cadmium-transporting ATPase", 3, 3, 1, 1, 1484, 61.0, 4.0, "NaN", 662, 1886, 1478, "MAAAAKME_04320", "shell"], [1561, "group_512", "NaN", "hypothetical protein", 3, 3, 1, 1, 1267, 46.0, 3.0, "NaN", 272, 548, 426, "MAAAAKME_04840", "shell"], [1562, "group_525", "NaN", "hypothetical protein", 3, 3, 1, 1, 1139, 28.0, 5.0, "NaN", 422, 941, 768, "MAAAAKME_06100", "shell"], [1563, "obg", "NaN", "GTPase Obg", 3, 3, 1, 1, 2275, 43.0, 2.0, "NaN", 1085, 1322, 1220, "MAAAAKME_07640", "shell"], [1564, "oatA", "NaN", "O-acetyltransferase OatA", 3, 3, 1, 1, 2276, 43.0, 3.0, "NaN", 1613, 1943, 1833, "MAAAAKME_07650", "shell"], [1565, "group_55", "NaN", "IS30 family transposase ISL7", 3, 3, 1, 1, 912, 55.0, 3.0, "NaN", 395, 680, 565, "MAAAAKME_00740", "shell"], [1566, "group_556", "NaN", "putative ABC transporter ATP-binding protein", 3, 3, 1, 1, 2231, 64.0, 3.0, "NaN", 341, 341, 341, "MAAAAKME_09210", "shell"], [1567, "group_562", "NaN", "ISLre2 family transposase ISLke1", 3, 3, 1, 1, 633, 7.0, 17.0, "NaN", 209, 209, 209, "MAAAAKME_11990", "shell"], [1568, "fccA_1", "NaN", "Fumarate reductase flavoprotein subunit", 3, 3, 1, 1, 2090, 4.0, 12.0, "NaN", 173, 1469, 836, "MAAAAKME_10110", "shell"], [1569, "melR", "NaN", "HTH-type transcriptional repressor MelR", 3, 3, 1, 1, 1910, 22.0, 5.0, "NaN", 524, 998, 719, "MAAAAKME_10930", "shell"], [1570, "brpA", "NaN", "Biofilm regulatory protein A", 3, 3, 1, 1, 1586, 80.0, 2.0, "NaN", 449, 671, 523, "MAAAAKME_11800", "shell"], [1571, "tagU_2", "NaN", "Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU", 3, 3, 1, 1, 1585, 80.0, 1.0, "NaN", 293, 491, 425, "MAAAAKME_11810", "shell"], [1572, "group_600", "NaN", "hypothetical protein", 3, 3, 1, 1, 714, 112.0, 1.0, "NaN", 308, 308, 308, "MAAAAKME_12890", "shell"], [1573, "yqgN", "NaN", "hypothetical protein", 3, 3, 1, 1, 2681, 94.0, 2.0, "NaN", 221, 572, 451, "MAAAAKME_13460", "shell"], [1574, "group_607", "NaN", "hypothetical protein", 3, 3, 1, 1, 2745, 37.0, 4.0, "NaN", 410, 410, 410, "MAAAAKME_14100", "shell"], [1575, "group_608", "NaN", "hypothetical protein", 3, 3, 1, 1, 628, 7.0, 21.0, "NaN", 338, 410, 386, "MAAAAKME_16530", "shell"], [1576, "folT_2", "NaN", "Folate transporter FolT", 3, 3, 1, 1, 462, 173.0, 1.0, "NaN", 530, 530, 530, "MAAAAKME_14850", "shell"], [1577, "dppE_14", "NaN", "Dipeptide-binding protein DppE", 3, 3, 1, 1, 520, 104.0, 2.0, "NaN", 917, 1610, 1379, "KLCDKCDI_16310", "shell"], [1578, "group_627", "NaN", "hypothetical protein", 3, 3, 1, 1, 291, 3.0, 33.0, "NaN", 155, 155, 155, "MAAAAKME_16600", "shell"], [1579, "ade_1", "NaN", "Adenine deaminase", 3, 3, 1, 1, 278, 3.0, 8.0, "NaN", 248, 1088, 720, "MAAAAKME_17150", "shell"], [1580, "pepD_2", "NaN", "Dipeptidase", 3, 3, 1, 1, 2854, 97.0, 1.0, "NaN", 479, 1334, 1040, "KLCDKCDI_20360", "shell"], [1581, "group_643", "NaN", "hypothetical protein", 3, 3, 1, 1, 2849, 92.0, 1.0, "NaN", 161, 425, 271, "KLCDKCDI_20410", "shell"], [1582, "group_645", "NaN", "hypothetical protein", 3, 3, 1, 1, 2841, 49.0, 4.0, "NaN", 674, 2195, 1688, "MAAAAKME_19200", "shell"], [1583, "group_648", "NaN", "hypothetical protein", 3, 3, 1, 1, 2833, 5.0, 2.0, "NaN", 302, 677, 517, "MAAAAKME_19270", "shell"], [1584, "ribD", "NaN", "Riboflavin biosynthesis protein RibD", 3, 3, 1, 1, 129, 25.0, 8.0, "NaN", 323, 842, 523, "KLCDKCDI_20710", "shell"], [1585, "pknD", "NaN", "Serine/threonine-protein kinase PknD", 3, 3, 1, 1, 176, 32.0, 6.0, "NaN", 611, 1040, 897, "MAAAAKME_19880", "shell"], [1586, "group_660", "NaN", "hypothetical protein", 3, 3, 1, 1, 596, 11.0, 13.0, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 677, 701, 686, "MAAAAKME_16250", "shell"], [1587, "group_679", "NaN", "hypothetical protein", 3, 3, 1, 1, 925, 100.0, 1.0, "NaN", 956, 1979, 1638, "MAAAAKME_00620", "shell"], [1588, "gph_1", "NaN", "Phosphoglycolate phosphatase", 3, 3, 1, 1, 907, 114.0, 1.0, "NaN", 302, 335, 324, "MAAAAKME_00780", "shell"], [1589, "group_684", "NaN", "hypothetical protein", 3, 3, 1, 1, 878, 95.0, 1.0, "NaN", 194, 257, 236, "MAAAAKME_01040", "shell"], [1590, "group_687", "NaN", "hypothetical protein", 3, 3, 1, 1, 2480, 18.0, 1.0, "NaN", 245, 842, 642, "MAAAAKME_01410", "shell"], [1591, "agaA", "NaN", "N-acetylgalactosamine-6-phosphate deacetylase", 3, 3, 1, 1, 2517, 102.0, 1.0, "NaN", 344, 1151, 881, "MAAAAKME_01760", "shell"], [1592, "group_704", "NaN", "hypothetical protein", 3, 3, 1, 1, 2587, 17.0, 4.0, "NaN", 149, 242, 185, "KLCDKCDI_02650", "shell"], [1593, "group_706", "NaN", "hypothetical protein", 3, 3, 1, 1, 2576, 63.0, 2.0, "NaN", 95, 449, 331, "MAAAAKME_02730", "shell"], [1594, "group_71", "NaN", "IS30 family transposase ISL7", 3, 3, 1, 1, 2469, 34.0, 6.0, "NaN", 134, 227, 196, "MAAAAKME_01310", "shell"], [1595, "group_710", "NaN", "hypothetical protein", 3, 3, 1, 1, 1333, 79.0, 2.0, "NaN", 287, 776, 613, "MAAAAKME_02860", "shell"], [1596, "group_712", "NaN", "hypothetical protein", 3, 3, 1, 1, 1336, 16.0, 1.0, "NaN", 182, 251, 228, "MAAAAKME_02890", "shell"], [1597, "group_713", "NaN", "hypothetical protein", 3, 3, 1, 1, 1341, 16.0, 6.0, "NaN", 728, 1337, 933, "MAAAAKME_02940", "shell"], [1598, "group_720", "NaN", "hypothetical protein", 3, 3, 1, 1, 1439, 14.0, 1.0, "NaN", 200, 281, 254, "MAAAAKME_03870", "shell"], [1599, "group_727", "NaN", "hypothetical protein", 3, 3, 1, 1, 1298, 53.0, 2.0, "NaN", 209, 347, 276, "MAAAAKME_04550", "shell"], [1600, "group_748", "NaN", "hypothetical protein", 3, 3, 1, 1, 2283, 146.0, 1.0, "NaN", 191, 359, 257, "MAAAAKME_07720", "shell"], [1601, "gltC_2", "NaN", "HTH-type transcriptional regulator GltC", 3, 3, 1, 1, 2314, 45.0, 2.0, "NaN", 653, 653, 653, "MAAAAKME_08020", "shell"], [1602, "dinG_1", "NaN", "3'-5' exonuclease DinG", 3, 3, 1, 1, 2339, 8.0, 3.0, "NaN", 872, 872, 872, "MAAAAKME_08170", "shell"], [1603, "group_755", "NaN", "hypothetical protein", 3, 3, 1, 1, 2372, 3.0, 25.0, "NaN", 167, 329, 270, "MAAAAKME_08550", "shell"], [1604, "group_761", "NaN", "putative ABC transporter ATP-binding protein", 3, 3, 1, 1, 2233, 64.0, 2.0, "NaN", 269, 467, 335, "MAAAAKME_09200", "shell"], [1605, "degV", "NaN", "Protein DegV", 3, 3, 1, 1, 2192, 59.0, 1.0, "NaN", 494, 881, 752, "MAAAAKME_09590", "shell"], [1606, "group_769", "NaN", "hypothetical protein", 3, 3, 1, 1, 2174, 1.0, 51.0, "NaN", 380, 560, 466, "MAAAAKME_09760", "shell"], [1607, "group_778", "NaN", "hypothetical protein", 3, 3, 1, 1, 1846, 1.0, 77.0, "NaN", 347, 437, 407, "KLCDKCDI_10290", "shell"], [1608, "group_78", "NaN", "IS30 family transposase ISL7", 3, 3, 1, 1, 181, 6.0, 28.0, "NaN", 560, 956, 791, "MAAAAKME_19940", "shell"], [1609, "rnhA_2", "NaN", "Ribonuclease HI", 3, 3, 1, 1, 1855, 30.0, 2.0, "NaN", 323, 473, 397, "MAAAAKME_10540", "shell"], [1610, "group_781", "NaN", "hypothetical protein", 3, 3, 1, 1, 1856, 30.0, 3.0, "NaN", 662, 992, 867, "MAAAAKME_10550", "shell"], [1611, "group_783", "NaN", "hypothetical protein", 3, 3, 1, 1, 1885, 170.0, 1.0, "NaN", 104, 194, 164, "MAAAAKME_10680", "shell"], [1612, "patB", "NaN", "Cystathionine beta-lyase PatB", 3, 3, 1, 1, 1902, 72.0, 2.0, "NaN", 815, 1172, 1053, "MAAAAKME_10840", "shell"], [1613, "group_791", "NaN", "hypothetical protein", 3, 3, 1, 1, 1622, 71.0, 1.0, "NaN", 119, 119, 119, "MAAAAKME_11470", "shell"], [1614, "group_794", "NaN", "hypothetical protein", 3, 3, 1, 1, 1604, 26.0, 6.0, "NaN", 206, 494, 382, "MAAAAKME_11620", "shell"], [1615, "group_802", "NaN", "hypothetical protein", 3, 3, 1, 1, 730, 29.0, 6.0, "NaN", 242, 338, 274, "MAAAAKME_12760", "shell"], [1616, "topB", "NaN", "DNA topoisomerase 3", 3, 3, 1, 1, 678, 83.0, 2.0, "NaN", 1682, 2138, 1986, "MAAAAKME_13210", "shell"], [1617, "group_826", "NaN", "hypothetical protein", 3, 3, 1, 1, 434, 57.0, 3.0, "NaN", 221, 368, 319, "MAAAAKME_14570", "shell"], [1618, "dppE_10", "NaN", "Dipeptide-binding protein DppE", 3, 3, 1, 1, 488, 21.0, 3.0, "NaN", 998, 1166, 1104, "MAAAAKME_15090", "shell"], [1619, "albC", "NaN", "Putative ABC transporter ATP-binding protein AlbC", 3, 3, 1, 1, 518, 101.0, 1.0, "NaN", 392, 698, 596, "MAAAAKME_15400", "shell"], [1620, "group_840", "NaN", "hypothetical protein", 3, 3, 1, 1, 610, 40.0, 5.0, "NaN", 107, 296, 170, "MAAAAKME_16350", "shell"], [1621, "group_844", "NaN", "hypothetical protein", 3, 3, 1, 1, 279, 3.0, 15.0, "NaN", 143, 161, 155, "MAAAAKME_17160", "shell"], [1622, "rfbC", "NaN", "dTDP-4-dehydrorhamnose 3,5-epimerase", 3, 3, 1, 1, 357, 2.0, 78.0, "NaN", 374, 614, 532, "MAAAAKME_18140", "shell"], [1623, "rffG", "NaN", "dTDP-glucose 4,6-dehydratase 2", 3, 3, 1, 1, 349, 2.0, 75.0, "NaN", 986, 1037, 1007, "KLCDKCDI_19170", "shell"], [1624, "carB_9", "NaN", "Carbamoyl-phosphate synthase large chain", 3, 3, 1, 1, 2811, 5.0, 7.0, "NaN", 1874, 3188, 2750, "MAAAAKME_19300", "shell"], [1625, "group_874", "NaN", "hypothetical protein", 3, 3, 1, 1, 999, 19.0, 13.0, "NaN", 356, 500, 404, "MAAAAKME_00520", "shell"], [1626, "group_877", "gpmA_3", "hypothetical protein", 3, 3, 1, 1, 2165, 1.0, 213.0, "NaN", 95, 578, 271, "MAAAAKME_09840", "shell"], [1627, "group_878", "NaN", "hypothetical protein", 3, 3, 1, 1, 2086, 4.0, 8.0, "NaN", 128, 128, 128, "MAAAAKME_10140", "shell"], [1628, "glnQ_3", "NaN", "Glutamine transport ATP-binding protein GlnQ", 3, 3, 1, 1, 204, 277.0, 2.0, "NaN", 269, 632, 391, "MAAAAKME_17630", "shell"], [1629, "group_912", "NaN", "hypothetical protein", 3, 3, 1, 1, 935, 174.0, 1.0, "NaN", 602, 677, 652, "MAAAAKME_00560", "shell"], [1630, "group_917", "NaN", "hypothetical protein", 3, 3, 1, 1, 920, 142.0, 1.0, "NaN", 482, 545, 524, "MAAAAKME_00670", "shell"], [1631, "group_937", "NaN", "hypothetical protein", 3, 3, 1, 1, 2479, 18.0, 6.0, "NaN", 965, 1190, 1040, "MAAAAKME_01400", "shell"], [1632, "group_957", "NaN", "hypothetical protein", 3, 3, 1, 1, 2624, 10.0, 9.0, "NaN", 308, 461, 359, "MAAAAKME_02320", "shell"], [1633, "group_962", "NaN", "hypothetical protein", 3, 3, 1, 1, 2586, 17.0, 5.0, "NaN", 209, 215, 213, "KLCDKCDI_02660", "shell"], [1634, "group_963", "NaN", "hypothetical protein", 3, 3, 1, 1, 2582, 17.0, 1.0, "NaN", 113, 113, 113, "KLCDKCDI_02700", "shell"], [1635, "group_965", "NaN", "hypothetical protein", 3, 3, 1, 1, 2575, 63.0, 1.0, "NaN", 194, 203, 200, "MAAAAKME_02740", "shell"], [1636, "mngB", "NaN", "hypothetical protein", 3, 3, 1, 1, 1394, 76.0, 2.0, "NaN", 161, 272, 198, "MAAAAKME_03500", "shell"], [1637, "pbuE", "NaN", "Purine efflux pump PbuE", 3, 3, 1, 1, 1444, 141.0, 1.0, "NaN", 665, 680, 675, "MAAAAKME_03920", "shell"], [1638, "group_103", "NaN", "IS110 family transposase ISL4", 2, 2, 1, 1, 1915, 2.0, 47.0, "NaN", 476, 1223, 849, "NKALHJIK_11800", "shell"], [1639, "group_104", "NaN", "IS110 family transposase ISL4", 2, 2, 1, 1, 2, 7.0, 16.0, "NaN", 1223, 1223, 1223, "MAAAAKME_11980", "shell"], [1640, "group_1120", "cph2_1", "Phytochrome-like protein cph2", 2, 2, 1, 1, 2112, 1.0, 35.0, "NaN", 236, 308, 272, "KLCDKCDI_10430", "shell"], [1641, "lnrL", "NaN", "hypothetical protein", 2, 2, 1, 1, 1986, 1.0, 22.0, "NaN", 401, 914, 657, "KLCDKCDI_10500", "shell"], [1642, "ydaF", "NaN", "Putative ribosomal N-acetyltransferase YdaF", 2, 2, 1, 1, 2080, 4.0, 4.0, "NaN", 557, 557, 557, "KLCDKCDI_10610", "shell"], [1643, "group_1127", "NaN", "hypothetical protein", 2, 2, 1, 1, 2156, 1.0, 209.0, "NaN", 770, 1064, 917, "NKALHJIK_11170", "shell"], [1644, "group_1128", "NaN", "hypothetical protein", 2, 2, 1, 1, 2157, 1.0, 210.0, "NaN", 1520, 1520, 1520, "NKALHJIK_11180", "shell"], [1645, "group_1130", "NaN", "putative protein", 2, 2, 1, 1, 2160, 1.0, 81.0, "NaN", 512, 644, 578, "NKALHJIK_11220", "shell"], [1646, "group_1138", "NaN", "hypothetical protein", 2, 2, 1, 1, 1873, 130.0, 1.0, "NaN", 197, 197, 197, "NKALHJIK_11380", "shell"], [1647, "group_114", "NaN", "hypothetical protein", 2, 2, 1, 1, 2645, 2.0, 25.0, "NaN", 326, 848, 587, "MAAAAKME_02140", "shell"], [1648, "group_1141", "thi4_1", "Thiamine thiazole synthase", 2, 2, 1, 1, 1882, 177.0, 1.0, "NaN", 590, 602, 596, "MAAAAKME_10650", "shell"], [1649, "group_1152", "NaN", "hypothetical protein", 2, 2, 1, 1, 1901, 72.0, 1.0, "NaN", 263, 425, 344, "MAAAAKME_10830", "shell"], [1650, "hhaIM", "NaN", "Modification methylase HaeIII", 2, 2, 1, 1, 2860, 2.0, 94.0, "NaN", 1142, 1142, 1142, "NKALHJIK_19350", "shell"], [1651, "group_1163", "NaN", "hypothetical protein", 2, 2, 1, 1, 2864, 2.0, 98.0, "NaN", 368, 548, 458, "NKALHJIK_19390", "shell"], [1652, "group_1164", "NaN", "hypothetical protein", 2, 2, 1, 1, 2865, 2.0, 99.0, "NaN", 785, 785, 785, "NKALHJIK_19400", "shell"], [1653, "group_1165", "NaN", "hypothetical protein", 2, 2, 1, 1, 2871, 2.0, 147.0, "NaN", 596, 2513, 1554, "MAAAAKME_11210", "shell"], [1654, "nagZ", "NaN", "Beta-hexosaminidase", 2, 2, 1, 1, 410, 86.0, 3.0, "NaN", 155, 947, 551, "KLCDKCDI_15990", "shell"], [1655, "ygiS", "NaN", "putative deoxycholate-binding periplasmic protein YgiS", 2, 2, 1, 1, 2618, 85.0, 2.0, "NaN", 362, 362, 362, "MAAAAKME_02380", "shell"], [1656, "group_1276", "NaN", "L-lactate transporter", 2, 2, 1, 1, 599, 11.0, 4.0, "NaN", 1229, 1229, 1229, "MAAAAKME_16280", "shell"], [1657, "group_129", "dppE_3", "Oligopeptide-binding protein OppA", 2, 2, 1, 1, 2558, 93.0, 2.0, "NaN", 1628, 1628, 1628, "KLCDKCDI_02380", "shell"], [1658, "group_130", "oppA_1", "Oligopeptide-binding protein OppA", 2, 2, 1, 1, 2616, 302.0, 1.0, "NaN", 1448, 1628, 1538, "MAAAAKME_02400", "shell"], [1659, "murG_2", "NaN", "UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase", 2, 2, 1, 1, 1815, 2.0, 159.0, "NaN", 494, 503, 498, "MAAAAKME_18360", "shell"], [1660, "group_1316", "NaN", "hypothetical protein", 2, 2, 1, 1, 1799, 113.0, 1.0, "NaN", 758, 758, 758, "KLCDKCDI_19560", "shell"], [1661, "group_1325", "NaN", "hypothetical protein", 2, 2, 1, 1, 1738, 12.0, 3.0, "NaN", 1019, 1034, 1026, "KLCDKCDI_20190", "shell"], [1662, "group_1330", "NaN", "hypothetical protein", 2, 2, 1, 1, 2845, 110.0, 1.0, "NaN", 239, 239, 239, "MAAAAKME_19160", "shell"], [1663, "yflS_2", "NaN", "Putative malate transporter YflS", 2, 2, 1, 1, 122, 27.0, 4.0, "NaN", 191, 215, 203, "KLCDKCDI_20660", "shell"], [1664, "group_1354", "NaN", "hypothetical protein", 2, 2, 1, 1, 67, 20.0, 4.0, "NaN", 386, 668, 527, "MAAAAKME_20250", "shell"], [1665, "rocC_1", "NaN", "Amino-acid permease RocC", 2, 2, 1, 1, 2622, 10.0, 5.0, "NaN", 734, 1082, 908, "MAAAAKME_02340", "shell"], [1666, "group_136", "NaN", "hypothetical protein", 2, 2, 1, 1, 637, 47.0, 2.0, "NaN", 236, 1229, 732, "MAAAAKME_12400", "shell"], [1667, "kgtP_1", "NaN", "Alpha-ketoglutarate permease", 2, 2, 1, 1, 1300, 53.0, 4.0, "NaN", 593, 662, 627, "MAAAAKME_04530", "shell"], [1668, "prmC_2", "NaN", "Release factor glutamine methyltransferase", 2, 2, 1, 1, 1964, 1.0, 67.0, "NaN", 1598, 1598, 1598, "MAAAAKME_09780", "shell"], [1669, "xerC_2", "NaN", "Tyrosine recombinase XerC", 2, 2, 1, 1, 1961, 1.0, 69.0, "NaN", 917, 917, 917, "MAAAAKME_09800", "shell"], [1670, "gltC_3", "NaN", "HTH-type transcriptional regulator GltC", 2, 2, 1, 1, 1870, 1.0, 215.0, "NaN", 563, 890, 726, "MAAAAKME_09820", "shell"], [1671, "group_1366", "NaN", "hypothetical protein", 2, 2, 1, 1, 1666, 2.0, 141.0, "NaN", 332, 332, 332, "MAAAAKME_11150", "shell"], [1672, "group_1367", "NaN", "hypothetical protein", 2, 2, 1, 1, 1495, 71.0, 4.0, "NaN", 695, 734, 714, "MAAAAKME_11460", "shell"], [1673, "group_1370", "NaN", "hypothetical protein", 2, 2, 1, 1, 2744, 37.0, 2.0, "NaN", 485, 485, 485, "MAAAAKME_14110", "shell"], [1674, "group_1373", "NaN", "hypothetical protein", 2, 2, 1, 1, 431, 57.0, 1.0, "NaN", 245, 245, 245, "MAAAAKME_14550", "shell"], [1675, "group_1375", "NaN", "IS3 family transposase ISLhe6", 2, 2, 1, 1, 598, 11.0, 5.0, "NaN", 197, 254, 225, "MAAAAKME_16270", "shell"], [1676, "gtf3", "NaN", "Glucosyltransferase 3", 2, 2, 1, 1, 36, 6.0, 2.0, "NaN", 326, 1049, 687, "MAAAAKME_17830", "shell"], [1677, "group_1380", "NaN", "hypothetical protein", 2, 2, 1, 1, 397, 15.0, 11.0, "NaN", 842, 1178, 1010, "MAAAAKME_18040", "shell"], [1678, "group_1381", "NaN", "hypothetical protein", 2, 2, 1, 1, 331, 276.0, 3.0, "NaN", 116, 116, 116, "MAAAAKME_18070", "shell"], [1679, "group_1386", "NaN", "hypothetical protein", 2, 2, 1, 1, 180, 6.0, 29.0, "NaN", 437, 647, 542, "MAAAAKME_19930", "shell"], [1680, "group_1397", "xerD_2", "Tyrosine recombinase XerD", 2, 2, 1, 1, 2104, 1.0, 26.0, "NaN", 566, 641, 603, "KLCDKCDI_10480", "shell"], [1681, "yxdL_1", "NaN", "ABC transporter ATP-binding protein YxdL", 2, 2, 1, 1, 2099, 4.0, 21.0, "NaN", 752, 752, 752, "KLCDKCDI_10550", "shell"], [1682, "dapA", "NaN", "4-hydroxy-tetrahydrodipicolinate synthase", 2, 2, 1, 1, 2010, 1.0, 91.0, "NaN", 929, 929, 929, "KLCDKCDI_10660", "shell"], [1683, "dapF", "NaN", "Diaminopimelate epimerase", 2, 2, 1, 1, 2006, 1.0, 95.0, "NaN", 986, 986, 986, "KLCDKCDI_10700", "shell"], [1684, "group_1403", "NaN", "hypothetical protein", 2, 2, 1, 1, 1834, 186.0, 5.0, "NaN", 734, 734, 734, "KLCDKCDI_10850", "shell"], [1685, "group_1404", "NaN", "hypothetical protein", 2, 2, 1, 1, 1835, 186.0, 6.0, "NaN", 4436, 4445, 4440, "KLCDKCDI_10860", "shell"], [1686, "metA_2", "NaN", "Serine O-acetyltransferase", 2, 2, 1, 1, 672, 238.0, 1.0, "NaN", 782, 782, 782, "KLCDKCDI_14210", "shell"], [1687, "group_1409", "NaN", "hypothetical protein", 2, 2, 1, 1, 34, 6.0, 17.0, "NaN", 482, 1262, 872, "KLCDKCDI_18770", "shell"], [1688, "group_1410", "NaN", "hypothetical protein", 2, 2, 1, 1, 344, 2.0, 83.0, "NaN", 263, 287, 275, "KLCDKCDI_19260", "shell"], [1689, "group_1411", "NaN", "hypothetical protein", 2, 2, 1, 1, 1748, 12.0, 6.0, "NaN", 167, 461, 314, "KLCDKCDI_20110", "shell"], [1690, "group_1412", "NaN", "hypothetical protein", 2, 2, 1, 1, 1746, 12.0, 8.0, "NaN", 644, 644, 644, "KLCDKCDI_20130", "shell"], [1691, "group_1413", "NaN", "hypothetical protein", 2, 2, 1, 1, 1745, 12.0, 9.0, "NaN", 698, 698, 698, "KLCDKCDI_20140", "shell"], [1692, "group_1414", "NaN", "hypothetical protein", 2, 2, 1, 1, 1744, 12.0, 10.0, "NaN", 794, 794, 794, "KLCDKCDI_20150", "shell"], [1693, "group_1415", "NaN", "hypothetical protein", 2, 2, 1, 1, 125, 27.0, 5.0, "NaN", 701, 836, 768, "KLCDKCDI_20670", "shell"], [1694, "ribH", "NaN", "6,7-dimethyl-8-ribityllumazine synthase", 2, 2, 1, 1, 126, 27.0, 6.0, "NaN", 464, 464, 464, "KLCDKCDI_20680", "shell"], [1695, "ribBA", "NaN", "Riboflavin biosynthesis protein RibBA", 2, 2, 1, 1, 127, 27.0, 7.0, "NaN", 1052, 1178, 1115, "KLCDKCDI_20690", "shell"], [1696, "btuD_2", "NaN", "Vitamin B12 import ATP-binding protein BtuD", 2, 2, 1, 1, 964, 13.0, 5.0, "NaN", 929, 935, 932, "MAAAAKME_00200", "shell"], [1697, "agrA", "NaN", "Accessory gene regulator protein A", 2, 2, 1, 1, 967, 13.0, 9.0, "NaN", 782, 782, 782, "MAAAAKME_00220", "shell"], [1698, "group_1422", "NaN", "hypothetical protein", 2, 2, 1, 1, 970, 13.0, 12.0, "NaN", 167, 167, 167, "MAAAAKME_00250", "shell"], [1699, "bmrA", "NaN", "Multidrug resistance ABC transporter ATP-binding/permease protein BmrA", 2, 2, 1, 1, 971, 13.0, 13.0, "NaN", 1709, 1709, 1709, "MAAAAKME_00260", "shell"], [1700, "ramC", "NaN", "putative SapB synthase", 2, 2, 1, 1, 972, 13.0, 2.0, "NaN", 2501, 2501, 2501, "MAAAAKME_00270", "shell"], [1701, "group_1425", "NaN", "hypothetical protein", 2, 2, 1, 1, 973, 13.0, 1.0, "NaN", 161, 161, 161, "MAAAAKME_00280", "shell"], [1702, "group_1434", "NaN", "hypothetical protein", 2, 2, 1, 1, 2477, 18.0, 5.0, "NaN", 152, 152, 152, "MAAAAKME_01390", "shell"], [1703, "mmuM_1", "NaN", "Homocysteine S-methyltransferase", 2, 2, 1, 1, 2553, 10.0, 7.0, "NaN", 563, 563, 563, "NKALHJIK_02320", "shell"], [1704, "group_144", "NaN", "hypothetical protein", 2, 2, 1, 1, 1334, 79.0, 3.0, "NaN", 1298, 1298, 1298, "MAAAAKME_02870", "shell"], [1705, "group_1456", "NaN", "hypothetical protein", 2, 2, 1, 1, 1268, 46.0, 2.0, "NaN", 179, 179, 179, "NKALHJIK_04870", "shell"], [1706, "group_1469", "NaN", "hypothetical protein", 2, 2, 1, 1, 2172, 1.0, 49.0, "NaN", 491, 491, 491, "NKALHJIK_10300", "shell"], [1707, "group_1471", "NaN", "hypothetical protein", 2, 2, 1, 1, 2171, 1.0, 48.0, "NaN", 818, 818, 818, "NKALHJIK_10310", "shell"], [1708, "group_1473", "NaN", "N-acetyldiaminopimelate deacetylase", 2, 2, 1, 1, 2170, 1.0, 47.0, "NaN", 1265, 1265, 1265, "NKALHJIK_10320", "shell"], [1709, "group_1485", "NaN", "hypothetical protein", 2, 2, 1, 1, 1988, 4.0, 15.0, "NaN", 434, 434, 434, "KLCDKCDI_10530", "shell"], [1710, "group_1489", "NaN", "hypothetical protein", 2, 2, 1, 1, 2158, 1.0, 211.0, "NaN", 971, 971, 971, "NKALHJIK_11190", "shell"], [1711, "group_1491", "NaN", "hypothetical protein", 2, 2, 1, 1, 2161, 1.0, 82.0, "NaN", 371, 371, 371, "NKALHJIK_11210", "shell"], [1712, "group_1493", "NaN", "hypothetical protein", 2, 2, 1, 1, 1858, 30.0, 1.0, "NaN", 131, 131, 131, "MAAAAKME_10570", "shell"], [1713, "group_15", "NaN", "hypothetical protein", 2, 2, 1, 1, 2436, 2.0, 21.0, "NaN", 296, 308, 302, "MAAAAKME_02120", "shell"], [1714, "group_150", "NaN", "IS256 family transposase ISLdl2", 2, 2, 1, 1, 1940, 2.0, 70.0, "NaN", 1169, 1178, 1173, "KLCDKCDI_09800", "shell"], [1715, "group_1500", "NaN", "hypothetical protein", 2, 2, 1, 1, 2861, 2.0, 95.0, "NaN", 1187, 1187, 1187, "NKALHJIK_19360", "shell"], [1716, "group_1501", "NaN", "hypothetical protein", 2, 2, 1, 1, 2862, 2.0, 96.0, "NaN", 1850, 1850, 1850, "NKALHJIK_19370", "shell"], [1717, "group_1502", "NaN", "hypothetical protein", 2, 2, 1, 1, 2863, 2.0, 97.0, "NaN", 422, 422, 422, "NKALHJIK_19380", "shell"], [1718, "group_1506", "NaN", "hypothetical protein", 2, 2, 1, 1, 2656, 7.0, 6.0, "NaN", 203, 203, 203, "NKALHJIK_12180", "shell"], [1719, "metE_2", "NaN", "5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase", 2, 2, 1, 1, 631, 7.0, 19.0, "NaN", 2285, 2285, 2285, "NKALHJIK_12990", "shell"], [1720, "luxS_2", "NaN", "S-ribosylhomocysteine lyase", 2, 2, 1, 1, 632, 7.0, 18.0, "NaN", 473, 473, 473, "NKALHJIK_13000", "shell"], [1721, "group_151", "NaN", "IS256 family transposase ISLdl2", 2, 2, 1, 1, 2868, 2.0, 150.0, "NaN", 302, 701, 501, "KLCDKCDI_19330", "shell"], [1722, "group_1510", "NaN", "hypothetical protein", 2, 2, 1, 1, 752, 70.0, 3.0, "NaN", 161, 161, 161, "MAAAAKME_12500", "shell"], [1723, "group_1511", "NaN", "hypothetical protein", 2, 2, 1, 1, 729, 29.0, 5.0, "NaN", 137, 137, 137, "KLCDKCDI_13660", "shell"], [1724, "rpiB", "NaN", "Ribose-5-phosphate isomerase B", 2, 2, 1, 1, 484, 21.0, 1.0, "NaN", 143, 143, 143, "NKALHJIK_16000", "shell"], [1725, "group_1517", "NaN", "hypothetical protein", 2, 2, 1, 1, 327, 98.0, 2.0, "NaN", 140, 140, 140, "NKALHJIK_16780", "shell"], [1726, "murG_3", "NaN", "UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase", 2, 2, 1, 1, 1807, 2.0, 153.0, "NaN", 464, 464, 464, "MAAAAKME_18370", "shell"], [1727, "group_1548", "NaN", "hypothetical protein", 2, 2, 1, 1, 2826, 5.0, 17.0, "NaN", 230, 230, 230, "MAAAAKME_19380", "shell"], [1728, "lmrA", "NaN", "Multidrug resistance ABC transporter ATP-binding and permease protein", 2, 2, 1, 1, 53, 129.0, 1.0, "NaN", 269, 269, 269, "KLCDKCDI_21610", "shell"], [1729, "group_1553", "NaN", "hypothetical protein", 2, 2, 1, 1, 66, 20.0, 5.0, "NaN", 710, 710, 710, "MAAAAKME_20260", "shell"], [1730, "group_1554", "NaN", "hypothetical protein", 2, 2, 1, 1, 64, 20.0, 7.0, "NaN", 509, 509, 509, "MAAAAKME_20280", "shell"], [1731, "group_1555", "NaN", "hypothetical protein", 2, 2, 1, 1, 63, 20.0, 8.0, "NaN", 782, 782, 782, "MAAAAKME_20290", "shell"], [1732, "group_1556", "NaN", "hypothetical protein", 2, 2, 1, 1, 62, 20.0, 2.0, "NaN", 668, 668, 668, "MAAAAKME_20300", "shell"], [1733, "group_1557", "NaN", "hypothetical protein", 2, 2, 1, 1, 61, 20.0, 1.0, "NaN", 413, 413, 413, "MAAAAKME_20310", "shell"], [1734, "group_1562", "NaN", "hypothetical protein", 2, 2, 1, 1, 834, 50.0, 2.0, "NaN", 284, 284, 284, "MAAAAKME_00720", "shell"], [1735, "group_1565", "NaN", "hypothetical protein", 2, 2, 1, 1, 2619, 85.0, 3.0, "NaN", 248, 248, 248, "MAAAAKME_02370", "shell"], [1736, "kgtP_2", "NaN", "Alpha-ketoglutarate permease", 2, 2, 1, 1, 1299, 53.0, 3.0, "NaN", 326, 326, 326, "MAAAAKME_04540", "shell"], [1737, "arsC", "NaN", "Arsenate reductase", 2, 2, 1, 1, 2098, 4.0, 16.0, "NaN", 398, 398, 398, "MAAAAKME_10060", "shell"], [1738, "ppsA_2", "NaN", "Phosphoenolpyruvate synthase", 2, 2, 1, 1, 2727, 36.0, 2.0, "NaN", 404, 404, 404, "MAAAAKME_14230", "shell"], [1739, "group_1594", "NaN", "hypothetical protein", 2, 2, 1, 1, 487, 21.0, 4.0, "NaN", 233, 233, 233, "MAAAAKME_15080", "shell"], [1740, "group_1595", "NaN", "hypothetical protein", 2, 2, 1, 1, 533, 51.0, 2.0, "NaN", 401, 401, 401, "MAAAAKME_15520", "shell"], [1741, "group_1596", "NaN", "hypothetical protein", 2, 2, 1, 1, 356, 2.0, 84.0, "NaN", 875, 875, 875, "MAAAAKME_18150", "shell"], [1742, "group_1610", "NaN", "hypothetical protein", 2, 2, 1, 1, 1741, 12.0, 13.0, "NaN", 290, 290, 290, "MAAAAKME_18940", "shell"], [1743, "proX", "NaN", "Prolyl-tRNA editing protein ProX", 2, 2, 1, 1, 70, 312.0, 1.0, "NaN", 467, 476, 471, "MAAAAKME_20220", "shell"], [1744, "bcrA", "NaN", "Bacitracin transport ATP-binding protein BcrA", 2, 2, 1, 1, 65, 20.0, 6.0, "NaN", 617, 629, 623, "MAAAAKME_20270", "shell"], [1745, "dxs_3", "NaN", "1-deoxy-D-xylulose-5-phosphate synthase", 2, 2, 1, 1, 503, 52.0, 2.0, "NaN", 533, 533, 533, "MAAAAKME_15250", "shell"], [1746, "dxs_1", "NaN", "1-deoxy-D-xylulose-5-phosphate synthase", 2, 2, 1, 1, 406, 290.0, 1.0, "NaN", 320, 320, 320, "MAAAAKME_15230", "shell"], [1747, "group_169", "dxs_5", "1-deoxy-D-xylulose-5-phosphate synthase", 2, 2, 1, 1, 505, 52.0, 4.0, "NaN", 299, 686, 492, "NKALHJIK_16220", "shell"], [1748, "group_170", "arcD1_2", "hypothetical protein", 2, 2, 1, 1, 273, 273.0, 5.0, "NaN", 509, 863, 686, "MAAAAKME_17120", "shell"], [1749, "arcD1_2", "NaN", "Arginine/ornithine antiporter ArcD1", 2, 2, 1, 1, 269, 273.0, 4.0, "NaN", 395, 587, 491, "MAAAAKME_17110", "shell"], [1750, "yxdM_1", "NaN", "ABC transporter permease protein YxdM", 2, 2, 1, 1, 2097, 4.0, 22.0, "NaN", 1874, 1874, 1874, "KLCDKCDI_10560", "shell"], [1751, "dapB", "NaN", "4-hydroxy-tetrahydrodipicolinate reductase", 2, 2, 1, 1, 2011, 1.0, 90.0, "NaN", 779, 779, 779, "KLCDKCDI_10650", "shell"], [1752, "group_1734", "NaN", "N-acetyldiaminopimelate deacetylase", 2, 2, 1, 1, 2009, 1.0, 92.0, "NaN", 1154, 1154, 1154, "KLCDKCDI_10670", "shell"], [1753, "dapH_2", "NaN", "2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase", 2, 2, 1, 1, 2008, 1.0, 93.0, "NaN", 713, 713, 713, "KLCDKCDI_10680", "shell"], [1754, "yclM_1", "NaN", "Aspartokinase 3", 2, 2, 1, 1, 2007, 1.0, 94.0, "NaN", 1373, 1373, 1373, "KLCDKCDI_10690", "shell"], [1755, "group_177", "NaN", "hypothetical protein", 2, 2, 1, 1, 346, 2.0, 73.0, "NaN", 437, 1286, 861, "KLCDKCDI_09780", "shell"], [1756, "group_18", "NaN", "hypothetical protein", 2, 2, 1, 1, 1570, 7.0, 15.0, "NaN", 296, 680, 488, "MAAAAKME_11960", "shell"], [1757, "oppA_1", "NaN", "Oligopeptide-binding protein OppA", 2, 2, 1, 1, 1438, 14.0, 4.0, "NaN", 746, 944, 845, "NKALHJIK_03880", "shell"], [1758, "group_191", "oppA_4", "Oligopeptide-binding protein OppA", 2, 2, 1, 1, 1441, 14.0, 13.0, "NaN", 422, 1373, 897, "MAAAAKME_03890", "shell"], [1759, "group_1916", "bcrA", "Bacitracin transport ATP-binding protein BcrA", 2, 2, 1, 1, 1747, 12.0, 7.0, "NaN", 662, 662, 662, "KLCDKCDI_20120", "shell"], [1760, "cspL", "NaN", "Cold shock protein 2", 2, 2, 1, 1, 2829, 5.0, 14.0, "NaN", 197, 197, 197, "KLCDKCDI_20540", "shell"], [1761, "group_195", "NaN", "hypothetical protein", 2, 2, 1, 1, 192, 23.0, 9.0, "NaN", 239, 626, 432, "MAAAAKME_17720", "shell"], [1762, "group_201", "NaN", "hypothetical protein", 2, 2, 1, 1, 2777, 2.0, 170.0, "NaN", 452, 1343, 897, "MAAAAKME_18270", "shell"], [2510, "group_2133", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 656, 38.0, 1.0, "NaN", 1223, 1223, 1223, "MAAAAKME_13360", "shell"], [2511, "group_2134", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 297, 7.0, 23.0, "NaN", 1223, 1223, 1223, "PHLFEKDO_16870", "shell"], [2512, "group_2135", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 1826, 22.0, 9.0, "NaN", 1223, 1223, 1223, "NKALHJIK_11750", "shell"], [2513, "group_2136", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 24, 6.0, 10.0, "NaN", 1223, 1223, 1223, "NKALHJIK_18120", "shell"], [2514, "group_2137", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 370, 108.0, 1.0, "NaN", 1223, 1223, 1223, "PHLFEKDO_18310", "shell"], [2515, "group_2139", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 35, 6.0, 13.0, "NaN", 1223, 1223, 1223, "MAAAAKME_17790", "shell"], [2516, "carB_6", "NaN", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2050, 1.0, 187.0, "NaN", 2681, 2681, 2681, "PHLFEKDO_10450", "shell"], [2517, "group_2140", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 353, 2.0, 79.0, "NaN", 1223, 1223, 1223, "MAAAAKME_18170", "shell"], [2518, "group_2142", "NaN", "hypothetical protein", 1, 1, 1, 1, 2032, 1.0, 153.0, "NaN", 308, 308, 308, "MAAAAKME_10280", "shell"], [2519, "group_2143", "NaN", "hypothetical protein", 1, 1, 1, 1, 2064, 1.0, 173.0, "NaN", 308, 308, 308, "PHLFEKDO_10310", "shell"], [2520, "carB_4", "NaN", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 1977, 1.0, 11.0, "NaN", 566, 566, 566, "PHLFEKDO_09910", "shell"], [2521, "group_2150", "NaN", "hypothetical protein", 1, 1, 1, 1, 2002, 1.0, 99.0, "NaN", 176, 176, 176, "NKALHJIK_10830", "shell"], [2522, "group_216", "carB_5", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2051, 1.0, 186.0, "NaN", 566, 566, 566, "PHLFEKDO_10440", "shell"], [2523, "group_2164", "NaN", "hypothetical protein", 1, 1, 1, 1, 1931, 2.0, 13.0, "NaN", 182, 182, 182, "KLCDKCDI_09740", "shell"], [2524, "group_2165", "NaN", "hypothetical protein", 1, 1, 1, 1, 1833, 186.0, 4.0, "NaN", 182, 182, 182, "KLCDKCDI_10840", "shell"], [2525, "group_2166", "NaN", "hypothetical protein", 1, 1, 1, 1, 1693, 2.0, 32.0, "NaN", 182, 182, 182, "KLCDKCDI_11240", "shell"], [2526, "group_2167", "NaN", "hypothetical protein", 1, 1, 1, 1, 2873, 2.0, 123.0, "NaN", 182, 182, 182, "KLCDKCDI_11430", "shell"], [2527, "group_2168", "NaN", "hypothetical protein", 1, 1, 1, 1, 646, 24.0, 3.0, "NaN", 182, 182, 182, "KLCDKCDI_14100", "shell"], [2528, "carB_7", "NaN", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2137, 1.0, 122.0, "NaN", 2474, 2474, 2474, "NKALHJIK_11060", "shell"], [2529, "group_2172", "NaN", "hypothetical protein", 1, 1, 1, 1, 2378, 3.0, 2.0, "NaN", 92, 92, 92, "PHLFEKDO_08510", "shell"], [2530, "group_2173", "NaN", "hypothetical protein", 1, 1, 1, 1, 292, 3.0, 1.0, "NaN", 92, 92, 92, "PHLFEKDO_16950", "shell"], [2531, "group_2174", "NaN", "hypothetical protein", 1, 1, 1, 1, 2262, 19.0, 5.0, "NaN", 92, 92, 92, "MAAAAKME_07470", "shell"], [2532, "group_2176", "NaN", "hypothetical protein", 1, 1, 1, 1, 246, 3.0, 7.0, "NaN", 92, 92, 92, "PHLFEKDO_17570", "shell"], [2533, "group_219", "carB_6", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2018, 1.0, 139.0, "NaN", 1313, 1313, 1313, "MAAAAKME_10420", "shell"], [2534, "group_22", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2647, 2.0, 23.0, "NaN", 665, 665, 665, "KLCDKCDI_09040", "shell"], [2535, "group_220", "carB_2", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2114, 1.0, 14.0, "NaN", 1145, 1145, 1145, "MAAAAKME_09920", "shell"], [2536, "group_221", "carB_7", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2017, 1.0, 138.0, "NaN", 1145, 1145, 1145, "MAAAAKME_10430", "shell"], [2537, "group_222", "carB_4", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 1978, 1.0, 31.0, "NaN", 260, 260, 260, "MAAAAKME_09940", "shell"], [2538, "group_2228", "NaN", "hypothetical protein", 1, 1, 1, 1, 2130, 1.0, 115.0, "NaN", 431, 431, 431, "NKALHJIK_10990", "shell"], [2539, "group_2229", "NaN", "hypothetical protein", 1, 1, 1, 1, 2023, 1.0, 144.0, "NaN", 431, 431, 431, "MAAAAKME_10370", "shell"], [2540, "group_223", "carB_5", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2019, 1.0, 140.0, "NaN", 260, 260, 260, "MAAAAKME_10410", "shell"], [2541, "group_2230", "NaN", "hypothetical protein", 1, 1, 1, 1, 2056, 1.0, 181.0, "NaN", 431, 431, 431, "PHLFEKDO_10390", "shell"], [2542, "group_2239", "NaN", "hypothetical protein", 1, 1, 1, 1, 996, 19.0, 14.0, "NaN", 95, 95, 95, "NKALHJIK_00420", "shell"], [2543, "group_224", "carB_6", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2136, 1.0, 121.0, "NaN", 140, 140, 140, "NKALHJIK_11050", "shell"], [2544, "group_2242", "NaN", "hypothetical protein", 1, 1, 1, 1, 294, 3.0, 35.0, "NaN", 95, 95, 95, "MAAAAKME_16570", "shell"], [2545, "group_2243", "NaN", "hypothetical protein", 1, 1, 1, 1, 418, 73.0, 2.0, "NaN", 95, 95, 95, "NKALHJIK_15380", "shell"], [2546, "group_2245", "NaN", "hypothetical protein", 1, 1, 1, 1, 131, 25.0, 9.0, "NaN", 95, 95, 95, "PHLFEKDO_19860", "shell"], [2547, "ogt_2", "NaN", "Methylated-DNA--protein-cysteine methyltransferase", 1, 1, 1, 1, 1677, 2.0, 87.0, "NaN", 533, 533, 533, "PHLFEKDO_11450", "shell"], [2548, "xerD_3", "NaN", "Tyrosine recombinase XerD", 1, 1, 1, 1, 2058, 1.0, 179.0, "NaN", 566, 566, 566, "PHLFEKDO_10370", "shell"], [2549, "group_2261", "xerD_3", "Tyrosine recombinase XerD", 1, 1, 1, 1, 2025, 1.0, 146.0, "NaN", 566, 566, 566, "MAAAAKME_10350", "shell"], [2550, "group_2266", "NaN", "hypothetical protein", 1, 1, 1, 1, 1929, 2.0, 15.0, "NaN", 233, 233, 233, "KLCDKCDI_09760", "shell"], [2551, "group_2267", "NaN", "hypothetical protein", 1, 1, 1, 1, 1879, 186.0, 2.0, "NaN", 233, 233, 233, "KLCDKCDI_10820", "shell"], [2552, "group_2268", "NaN", "hypothetical protein", 1, 1, 1, 1, 1691, 2.0, 34.0, "NaN", 233, 233, 233, "KLCDKCDI_11220", "shell"], [2553, "group_2269", "NaN", "hypothetical protein", 1, 1, 1, 1, 1663, 2.0, 121.0, "NaN", 233, 233, 233, "KLCDKCDI_11410", "shell"], [2554, "group_227", "NaN", "hypothetical protein", 1, 1, 1, 1, 1676, 2.0, 88.0, "NaN", 107, 107, 107, "PHLFEKDO_11460", "shell"], [2555, "group_2270", "NaN", "hypothetical protein", 1, 1, 1, 1, 683, 24.0, 5.0, "NaN", 233, 233, 233, "KLCDKCDI_14080", "shell"], [2556, "group_2276", "NaN", "hypothetical protein", 1, 1, 1, 1, 995, 19.0, 1.0, "NaN", 524, 524, 524, "NKALHJIK_00410", "shell"], [2557, "group_228", "NaN", "hypothetical protein", 1, 1, 1, 1, 1667, 2.0, 118.0, "NaN", 302, 302, 302, "NKALHJIK_11960", "shell"], [2558, "group_2287", "NaN", "hypothetical protein", 1, 1, 1, 1, 2329, 8.0, 15.0, "NaN", 347, 347, 347, "KLCDKCDI_08030", "shell"], [2559, "group_2288", "NaN", "hypothetical protein", 1, 1, 1, 1, 1930, 2.0, 14.0, "NaN", 347, 347, 347, "KLCDKCDI_09750", "shell"], [2560, "group_2289", "NaN", "hypothetical protein", 1, 1, 1, 1, 1878, 186.0, 3.0, "NaN", 347, 347, 347, "KLCDKCDI_10830", "shell"], [2561, "group_229", "NaN", "hypothetical protein", 1, 1, 1, 1, 1669, 2.0, 117.0, "NaN", 137, 137, 137, "MAAAAKME_11130", "shell"], [2562, "group_2290", "NaN", "hypothetical protein", 1, 1, 1, 1, 1692, 2.0, 33.0, "NaN", 347, 347, 347, "KLCDKCDI_11230", "shell"], [2563, "group_2291", "NaN", "hypothetical protein", 1, 1, 1, 1, 1662, 2.0, 122.0, "NaN", 347, 347, 347, "KLCDKCDI_11420", "shell"], [2564, "group_2292", "NaN", "hypothetical protein", 1, 1, 1, 1, 682, 24.0, 4.0, "NaN", 347, 347, 347, "KLCDKCDI_14090", "shell"], [2565, "group_2293", "NaN", "hypothetical protein", 1, 1, 1, 1, 2775, 2.0, 172.0, "NaN", 347, 347, 347, "KLCDKCDI_14880", "shell"], [2566, "group_2295", "NaN", "hypothetical protein", 1, 1, 1, 1, 2387, 3.0, 29.0, "NaN", 92, 92, 92, "KLCDKCDI_08490", "shell"], [2567, "group_2296", "NaN", "hypothetical protein", 1, 1, 1, 1, 419, 233.0, 1.0, "NaN", 92, 92, 92, "KLCDKCDI_15420", "shell"], [2568, "group_2297", "NaN", "hypothetical protein", 1, 1, 1, 1, 289, 199.0, 1.0, "NaN", 92, 92, 92, "KLCDKCDI_17540", "shell"], [2569, "group_2298", "NaN", "hypothetical protein", 1, 1, 1, 1, 8, 3.0, 9.0, "NaN", 92, 92, 92, "KLCDKCDI_18170", "shell"], [2570, "group_2299", "NaN", "hypothetical protein", 1, 1, 1, 1, 2819, 27.0, 3.0, "NaN", 92, 92, 92, "KLCDKCDI_20640", "shell"], [2571, "group_23", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2434, 2.0, 22.0, "NaN", 554, 554, 554, "NKALHJIK_02130", "shell"], [2572, "group_2300", "NaN", "hypothetical protein", 1, 1, 1, 1, 119, 25.0, 6.0, "NaN", 92, 92, 92, "KLCDKCDI_20830", "shell"], [2573, "group_2312", "NaN", "hypothetical protein", 1, 1, 1, 1, 2001, 1.0, 100.0, "NaN", 158, 158, 158, "NKALHJIK_10840", "shell"], [2574, "group_233", "pox5_2", "Pyruvate oxidase", 1, 1, 1, 1, 2734, 67.0, 1.0, "NaN", 788, 788, 788, "MAAAAKME_14200", "shell"], [2575, "group_2340", "NaN", "IS66 family transposase ISSwo2", 1, 1, 1, 1, 1928, 2.0, 16.0, "NaN", 1343, 1343, 1343, "KLCDKCDI_09770", "shell"], [2576, "group_2341", "NaN", "IS66 family transposase ISSwo2", 1, 1, 1, 1, 1880, 186.0, 1.0, "NaN", 1343, 1343, 1343, "KLCDKCDI_10810", "shell"], [2577, "group_2342", "NaN", "IS66 family transposase ISSwo2", 1, 1, 1, 1, 1690, 2.0, 35.0, "NaN", 1343, 1343, 1343, "KLCDKCDI_11210", "shell"], [2578, "group_2343", "NaN", "IS66 family transposase ISSwo2", 1, 1, 1, 1, 684, 24.0, 6.0, "NaN", 1343, 1343, 1343, "KLCDKCDI_14070", "shell"], [2579, "group_2345", "NaN", "hypothetical protein", 1, 1, 1, 1, 2067, 1.0, 170.0, "NaN", 146, 146, 146, "PHLFEKDO_10280", "shell"], [2580, "group_2346", "NaN", "hypothetical protein", 1, 1, 1, 1, 1996, 1.0, 105.0, "NaN", 146, 146, 146, "NKALHJIK_10890", "shell"], [2581, "group_2347", "NaN", "hypothetical protein", 1, 1, 1, 1, 2035, 1.0, 156.0, "NaN", 146, 146, 146, "MAAAAKME_10250", "shell"], [2582, "group_2355", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2042, 1.0, 195.0, "NaN", 311, 311, 311, "PHLFEKDO_10530", "shell"], [2583, "group_236", "NaN", "hypothetical protein", 1, 1, 1, 1, 941, 68.0, 3.0, "NaN", 254, 254, 254, "MAAAAKME_00350", "shell"], [2584, "group_2365", "NaN", "hypothetical protein", 1, 1, 1, 1, 1462, 226.0, 1.0, "NaN", 1391, 1391, 1391, "KLCDKCDI_04080", "shell"], [2585, "group_2366", "NaN", "hypothetical protein", 1, 1, 1, 1, 1923, 56.0, 1.0, "NaN", 1391, 1391, 1391, "KLCDKCDI_09610", "shell"], [2586, "group_2367", "NaN", "hypothetical protein", 1, 1, 1, 1, 1839, 1.0, 85.0, "NaN", 1391, 1391, 1391, "KLCDKCDI_10740", "shell"], [2587, "group_2368", "NaN", "hypothetical protein", 1, 1, 1, 1, 295, 245.0, 1.0, "NaN", 1391, 1391, 1391, "KLCDKCDI_17460", "shell"], [2588, "group_2369", "NaN", "hypothetical protein", 1, 1, 1, 1, 2798, 2.0, 115.0, "NaN", 1385, 1385, 1385, "KLCDKCDI_19350", "shell"], [2589, "mco_1", "NaN", "Multicopper oxidase mco", 1, 1, 1, 1, 811, 282.0, 1.0, "NaN", 332, 332, 332, "MAAAAKME_05180", "shell"], [2590, "group_24", "NaN", "hypothetical protein", 1, 1, 1, 1, 1223, 188.0, 3.0, "NaN", 1391, 1391, 1391, "KLCDKCDI_05230", "shell"], [2591, "group_240", "NaN", "hypothetical protein", 1, 1, 1, 1, 812, 282.0, 2.0, "NaN", 248, 248, 248, "MAAAAKME_05170", "shell"], [2592, "group_2400", "NaN", "hypothetical protein", 1, 1, 1, 1, 1973, 1.0, 7.0, "NaN", 104, 104, 104, "MAAAAKME_09870", "shell"], [2593, "group_2428", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 2561, 237.0, 1.0, "NaN", 1223, 1223, 1223, "KLCDKCDI_02530", "shell"], [2594, "group_243", "NaN", "hypothetical protein", 1, 1, 1, 1, 2260, 19.0, 4.0, "NaN", 656, 656, 656, "MAAAAKME_07440", "shell"], [2595, "group_2435", "thi4_2", "Thiamine thiazole synthase", 1, 1, 1, 1, 1998, 1.0, 103.0, "NaN", 485, 485, 485, "NKALHJIK_10870", "shell"], [2596, "thi4_2", "NaN", "Thiamine thiazole synthase", 1, 1, 1, 1, 2069, 1.0, 168.0, "NaN", 485, 485, 485, "PHLFEKDO_10260", "shell"], [2597, "group_249", "NaN", "hypothetical protein", 1, 1, 1, 1, 2155, 1.0, 208.0, "NaN", 416, 416, 416, "PHLFEKDO_10660", "shell"], [2598, "group_2493", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 91, 183.0, 1.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_01070", "shell"], [2599, "group_2494", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2465, 189.0, 2.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_01320", "shell"], [2600, "group_2495", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2560, 244.0, 1.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_02420", "shell"], [2601, "group_2496", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1397, 267.0, 1.0, "NaN", 1034, 1034, 1034, "KLCDKCDI_03440", "shell"], [2602, "group_2497", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1644, 181.0, 4.0, "NaN", 1034, 1034, 1034, "KLCDKCDI_11490", "shell"], [2603, "group_2498", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 666, 193.0, 2.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_14260", "shell"], [2604, "group_2499", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 654, 187.0, 2.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_14330", "shell"], [2605, "group_25", "NaN", "hypothetical protein", 1, 1, 1, 1, 159, 180.0, 12.0, "NaN", 1256, 1256, 1256, "KLCDKCDI_21110", "shell"], [2606, "group_251", "NaN", "hypothetical protein", 1, 1, 1, 1, 2154, 1.0, 207.0, "NaN", 170, 170, 170, "PHLFEKDO_10650", "shell"], [2607, "group_2516", "COQ5_2", "2-methoxy-6-polyprenyl-1,4-benzoquinol methylase, mitochondrial", 1, 1, 1, 1, 2048, 1.0, 189.0, "NaN", 509, 509, 509, "PHLFEKDO_10470", "shell"], [2608, "group_2517", "COQ5_2", "2-methoxy-6-polyprenyl-1,4-benzoquinol methylase, mitochondrial", 1, 1, 1, 1, 2015, 1.0, 136.0, "NaN", 509, 509, 509, "MAAAAKME_10450", "shell"], [2609, "COQ5_2", "NaN", "2-methoxy-6-polyprenyl-1,4-benzoquinol methylase, mitochondrial", 1, 1, 1, 1, 2139, 1.0, 124.0, "NaN", 509, 509, 509, "NKALHJIK_11080", "shell"], [2610, "group_252", "NaN", "hypothetical protein", 1, 1, 1, 1, 1951, 1.0, 4.0, "NaN", 317, 317, 317, "KLCDKCDI_09900", "shell"], [2611, "group_253", "NaN", "hypothetical protein", 1, 1, 1, 1, 1953, 1.0, 54.0, "NaN", 170, 170, 170, "KLCDKCDI_09920", "shell"], [2612, "group_255", "metAA_2", "Homoserine O-acetyltransferase", 1, 1, 1, 1, 1831, 96.0, 1.0, "NaN", 128, 128, 128, "PHLFEKDO_11070", "shell"], [2613, "group_258", "NaN", "Putative acetyltransferase", 1, 1, 1, 1, 1655, 2.0, 37.0, "NaN", 335, 335, 335, "KLCDKCDI_11190", "shell"], [2614, "maa", "NaN", "Maltose O-acetyltransferase", 1, 1, 1, 1, 1654, 2.0, 36.0, "NaN", 236, 236, 236, "KLCDKCDI_11200", "shell"], [2615, "group_26", "NaN", "IS4 family transposase ISDpr2", 1, 1, 1, 1, 1697, 2.0, 50.0, "NaN", 686, 686, 686, "PHLFEKDO_11330", "shell"], [2616, "group_261", "NaN", "hypothetical protein", 1, 1, 1, 1, 1700, 2.0, 31.0, "NaN", 227, 227, 227, "NKALHJIK_11840", "shell"], [2617, "group_2617", "NaN", "hypothetical protein", 1, 1, 1, 1, 2131, 1.0, 116.0, "NaN", 1289, 1289, 1289, "NKALHJIK_11000", "shell"], [2618, "group_2618", "NaN", "hypothetical protein", 1, 1, 1, 1, 2022, 1.0, 143.0, "NaN", 1286, 1286, 1286, "MAAAAKME_10380", "shell"], [2619, "group_262", "NaN", "hypothetical protein", 1, 1, 1, 1, 647, 24.0, 1.0, "NaN", 380, 380, 380, "KLCDKCDI_14120", "shell"], [2620, "group_2643", "NaN", "putative ABC transporter ATP-binding protein", 1, 1, 1, 1, 2138, 1.0, 123.0, "NaN", 224, 224, 224, "NKALHJIK_11070", "shell"], [2621, "group_2644", "NaN", "putative ABC transporter ATP-binding protein", 1, 1, 1, 1, 2049, 1.0, 188.0, "NaN", 224, 224, 224, "PHLFEKDO_10460", "shell"], [2622, "group_265", "NaN", "hypothetical protein", 1, 1, 1, 1, 649, 24.0, 10.0, "NaN", 770, 770, 770, "PHLFEKDO_13590", "shell"], [2623, "group_267", "NaN", "hypothetical protein", 1, 1, 1, 1, 600, 11.0, 2.0, "NaN", 407, 407, 407, "MAAAAKME_16310", "shell"], [2624, "group_2686", "NaN", "putative protein", 1, 1, 1, 1, 824, 250.0, 1.0, "NaN", 659, 659, 659, "KLCDKCDI_07300", "shell"], [2625, "group_2688", "NaN", "putative protein", 1, 1, 1, 1, 400, 15.0, 7.0, "NaN", 659, 659, 659, "KLCDKCDI_19060", "shell"], [2626, "artJ_2", "NaN", "putative ABC transporter arginine-binding protein ArtJ", 1, 1, 1, 1, 16, 138.0, 1.0, "NaN", 239, 239, 239, "PHLFEKDO_17960", "shell"], [2627, "rfbX_2", "NaN", "Putative O-antigen transporter", 1, 1, 1, 1, 382, 74.0, 2.0, "NaN", 503, 503, 503, "MAAAAKME_17900", "shell"], [2628, "group_274", "NaN", "hypothetical protein", 1, 1, 1, 1, 38, 74.0, 3.0, "NaN", 182, 182, 182, "MAAAAKME_17890", "shell"], [2629, "group_275", "NaN", "hypothetical protein", 1, 1, 1, 1, 381, 74.0, 1.0, "NaN", 596, 596, 596, "PHLFEKDO_18180", "shell"], [2630, "rfbX_3", "NaN", "Putative O-antigen transporter", 1, 1, 1, 1, 1811, 2.0, 163.0, "NaN", 1430, 1430, 1430, "MAAAAKME_18320", "shell"], [2631, "glf_2", "NaN", "UDP-galactopyranose mutase", 1, 1, 1, 1, 1812, 2.0, 162.0, "NaN", 1115, 1115, 1115, "MAAAAKME_18330", "shell"], [2632, "group_277", "NaN", "hypothetical protein", 1, 1, 1, 1, 2795, 2.0, 112.0, "NaN", 860, 860, 860, "KLCDKCDI_19380", "shell"], [2633, "group_278", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 918, 215.0, 1.0, "NaN", 1550, 1550, 1550, "KLCDKCDI_00610", "shell"], [2634, "group_279", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 4, 199.0, 3.0, "NaN", 1550, 1550, 1550, "KLCDKCDI_17480", "shell"], [2635, "group_28", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 1913, 2.0, 45.0, "NaN", 185, 185, 185, "PHLFEKDO_11280", "shell"], [2636, "group_280", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 806, 196.0, 1.0, "NaN", 1550, 1550, 1550, "KLCDKCDI_04520", "shell"], [2637, "group_281", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 1725, 208.0, 1.0, "NaN", 1550, 1550, 1550, "KLCDKCDI_20090", "shell"], [2638, "group_2822", "NaN", "hypothetical protein", 1, 1, 1, 1, 2507, 221.0, 1.0, "NaN", 668, 668, 668, "KLCDKCDI_01620", "shell"], [2639, "group_2823", "NaN", "hypothetical protein", 1, 1, 1, 1, 1615, 209.0, 2.0, "NaN", 668, 668, 668, "KLCDKCDI_11890", "shell"], [2640, "group_2824", "NaN", "hypothetical protein", 1, 1, 1, 1, 1500, 26.0, 4.0, "NaN", 668, 668, 668, "KLCDKCDI_12000", "shell"], [2641, "group_2825", "NaN", "hypothetical protein", 1, 1, 1, 1, 1785, 201.0, 2.0, "NaN", 668, 668, 668, "KLCDKCDI_19670", "shell"], [2642, "group_283", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 403, 15.0, 5.0, "NaN", 1550, 1550, 1550, "KLCDKCDI_16470", "shell"], [2643, "group_285", "NaN", "hypothetical protein", 1, 1, 1, 1, 833, 50.0, 1.0, "NaN", 707, 707, 707, "NKALHJIK_00630", "shell"], [2644, "group_288", "NaN", "hypothetical protein", 1, 1, 1, 1, 855, 35.0, 2.0, "NaN", 335, 335, 335, "MAAAAKME_01250", "shell"], [2645, "group_290", "NaN", "hypothetical protein", 1, 1, 1, 1, 848, 35.0, 3.0, "NaN", 380, 380, 380, "NKALHJIK_01230", "shell"], [2646, "group_292", "NaN", "hypothetical protein", 1, 1, 1, 1, 845, 35.0, 8.0, "NaN", 380, 380, 380, "KLCDKCDI_01240", "shell"], [2647, "group_295", "NaN", "hypothetical protein", 1, 1, 1, 1, 2438, 81.0, 2.0, "NaN", 1124, 1124, 1124, "PHLFEKDO_01990", "shell"], [2648, "group_3", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2629, 10.0, 13.0, "NaN", 782, 782, 782, "KLCDKCDI_02300", "shell"], [2649, "group_30", "NaN", "IS4 family transposase ISLho3", 1, 1, 1, 1, 2787, 2.0, 151.0, "NaN", 797, 797, 797, "KLCDKCDI_19320", "shell"], [2650, "group_303", "mtlD", "Mannitol-1-phosphate 5-dehydrogenase", 1, 1, 1, 1, 1303, 111.0, 1.0, "NaN", 431, 431, 431, "PHLFEKDO_04490", "shell"], [2651, "group_305", "ycaM_2", "Inner membrane transporter YcaM", 1, 1, 1, 1, 1251, 285.0, 2.0, "NaN", 386, 386, 386, "MAAAAKME_04990", "shell"], [2652, "group_306", "ycaM_1", "Inner membrane transporter YcaM", 1, 1, 1, 1, 1250, 285.0, 1.0, "NaN", 362, 362, 362, "MAAAAKME_04980", "shell"], [2653, "group_31", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2894, 7.0, 8.0, "NaN", 713, 713, 713, "KLCDKCDI_13000", "shell"], [2654, "group_312", "NaN", "hypothetical protein", 1, 1, 1, 1, 816, 283.0, 1.0, "NaN", 407, 407, 407, "MAAAAKME_05750", "shell"], [2655, "group_313", "NaN", "hypothetical protein", 1, 1, 1, 1, 817, 283.0, 2.0, "NaN", 125, 125, 125, "MAAAAKME_05760", "shell"], [2656, "group_316", "NaN", "hypothetical protein", 1, 1, 1, 1, 820, 99.0, 1.0, "NaN", 140, 140, 140, "PHLFEKDO_06350", "shell"], [2657, "argH_2", "NaN", "Argininosuccinate lyase", 1, 1, 1, 1, 2253, 334.0, 1.0, "NaN", 866, 866, 866, "NKALHJIK_08020", "shell"], [2658, "group_321", "argH_2", "Argininosuccinate lyase", 1, 1, 1, 1, 2321, 117.0, 1.0, "NaN", 203, 203, 203, "PHLFEKDO_07980", "shell"], [2659, "group_322", "oppA_4", "Periplasmic oligopeptide-binding protein", 1, 1, 1, 1, 2390, 39.0, 5.0, "NaN", 638, 638, 638, "NKALHJIK_09350", "shell"], [2660, "group_326", "NaN", "hypothetical protein", 1, 1, 1, 1, 1991, 1.0, 161.0, "NaN", 89, 89, 89, "PHLFEKDO_10190", "shell"], [2661, "group_327", "NaN", "hypothetical protein", 1, 1, 1, 1, 2078, 126.0, 1.0, "NaN", 224, 224, 224, "PHLFEKDO_10170", "shell"], [2662, "group_328", "NaN", "hypothetical protein", 1, 1, 1, 1, 2005, 1.0, 96.0, "NaN", 326, 326, 326, "NKALHJIK_10800", "shell"], [2663, "group_329", "NaN", "hypothetical protein", 1, 1, 1, 1, 2076, 1.0, 158.0, "NaN", 536, 536, 536, "MAAAAKME_10190", "shell"], [2664, "group_33", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2655, 7.0, 5.0, "NaN", 413, 413, 413, "NKALHJIK_12170", "shell"], [2665, "group_330", "bglA_1", "6-phospho-beta-glucosidase BglA", 1, 1, 1, 1, 2649, 2.0, 28.0, "NaN", 269, 269, 269, "NKALHJIK_12220", "shell"], [2666, "group_334", "apu", "Amylopullulanase", 1, 1, 1, 1, 304, 11.0, 10.0, "NaN", 569, 569, 569, "PHLFEKDO_16570", "shell"], [2667, "group_335", "apu", "Amylopullulanase", 1, 1, 1, 1, 305, 190.0, 3.0, "NaN", 404, 404, 404, "KLCDKCDI_17230", "shell"], [2668, "group_338", "NaN", "hypothetical protein", 1, 1, 1, 1, 375, 48.0, 1.0, "NaN", 383, 383, 383, "NKALHJIK_18280", "shell"], [2669, "group_340", "NaN", "hypothetical protein", 1, 1, 1, 1, 372, 33.0, 5.0, "NaN", 635, 635, 635, "PHLFEKDO_18260", "shell"], [2670, "endA", "NaN", "DNA-entry nuclease", 1, 1, 1, 1, 371, 33.0, 7.0, "NaN", 428, 428, 428, "NKALHJIK_18310", "shell"], [2671, "group_345", "cpoB", "Cell division coordinator CpoB", 1, 1, 1, 1, 390, 33.0, 1.0, "NaN", 434, 434, 434, "MAAAAKME_17990", "shell"], [2672, "group_347", "NaN", "ISL3 family transposase ISLdl1", 1, 1, 1, 1, 146, 180.0, 4.0, "NaN", 1367, 1367, 1367, "KLCDKCDI_20980", "shell"], [2673, "group_348", "NaN", "ISL3 family transposase ISLdl1", 1, 1, 1, 1, 114, 32.0, 8.0, "NaN", 467, 467, 467, "NKALHJIK_20200", "shell"], [2674, "group_349", "NaN", "ISL3 family transposase ISLdl1", 1, 1, 1, 1, 2467, 34.0, 7.0, "NaN", 1367, 1367, 1367, "NKALHJIK_01280", "shell"], [2675, "group_35", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 2827, 5.0, 1.0, "NaN", 356, 356, 356, "MAAAAKME_19370", "shell"], [2676, "group_350", "NaN", "ISL3 family transposase ISLdl1", 1, 1, 1, 1, 1613, 325.0, 1.0, "NaN", 1367, 1367, 1367, "NKALHJIK_12520", "shell"], [2677, "group_351", "NaN", "hypothetical protein", 1, 1, 1, 1, 115, 32.0, 7.0, "NaN", 899, 899, 899, "NKALHJIK_20210", "shell"], [2678, "group_353", "NaN", "hypothetical protein", 1, 1, 1, 1, 343, 2.0, 82.0, "NaN", 560, 560, 560, "KLCDKCDI_19250", "shell"], [2679, "glpF", "NaN", "Glycerol uptake facilitator protein", 1, 1, 1, 1, 337, 2.0, 6.0, "NaN", 704, 704, 704, "KLCDKCDI_19200", "shell"], [2680, "aqpZ", "NaN", "Aquaporin Z", 1, 1, 1, 1, 345, 2.0, 7.0, "NaN", 1013, 1013, 1013, "NKALHJIK_18510", "shell"], [2681, "group_356", "NaN", "hypothetical protein", 1, 1, 1, 1, 1818, 2.0, 156.0, "NaN", 560, 560, 560, "PHLFEKDO_18590", "shell"], [2682, "group_358", "NaN", "IS982 family transposase ISLh1", 1, 1, 1, 1, 2722, 212.0, 1.0, "NaN", 467, 467, 467, "KLCDKCDI_15190", "shell"], [2683, "group_359", "NaN", "hypothetical protein", 1, 1, 1, 1, 2481, 189.0, 5.0, "NaN", 170, 170, 170, "KLCDKCDI_01350", "shell"], [2684, "group_360", "NaN", "hypothetical protein", 1, 1, 1, 1, 1629, 66.0, 1.0, "NaN", 206, 206, 206, "NKALHJIK_12390", "shell"], [2685, "group_367", "NaN", "putative FAD-linked oxidoreductase", 1, 1, 1, 1, 1732, 331.0, 1.0, "NaN", 302, 302, 302, "NKALHJIK_19300", "shell"], [2686, "group_371", "NaN", "hypothetical protein", 1, 1, 1, 1, 31, 6.0, 25.0, "NaN", 674, 674, 674, "MAAAAKME_19960", "shell"], [2687, "group_372", "NaN", "hypothetical protein", 1, 1, 1, 1, 30, 6.0, 24.0, "NaN", 332, 332, 332, "MAAAAKME_19970", "shell"], [2688, "group_375", "NaN", "hypothetical protein", 1, 1, 1, 1, 944, 58.0, 3.0, "NaN", 536, 536, 536, "NKALHJIK_00140", "shell"], [2689, "group_379", "NaN", "hypothetical protein", 1, 1, 1, 1, 836, 82.0, 1.0, "NaN", 299, 299, 299, "NKALHJIK_00840", "shell"], [2690, "metE_1", "NaN", "5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase", 1, 1, 1, 1, 842, 341.0, 1.0, "NaN", 536, 536, 536, "NKALHJIK_00990", "shell"], [2691, "group_383", "NaN", "hypothetical protein", 1, 1, 1, 1, 2512, 289.0, 1.0, "NaN", 257, 257, 257, "MAAAAKME_01710", "shell"], [2692, "iolG", "NaN", "Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase", 1, 1, 1, 1, 2437, 344.0, 1.0, "NaN", 218, 218, 218, "NKALHJIK_02040", "shell"], [2693, "rocC_3", "NaN", "Amino-acid permease RocC", 1, 1, 1, 1, 2562, 84.0, 3.0, "NaN", 953, 953, 953, "MAAAAKME_02710", "shell"], [2694, "cof", "NaN", "HMP-PP phosphatase", 1, 1, 1, 1, 2568, 115.0, 1.0, "NaN", 566, 566, 566, "PHLFEKDO_02800", "shell"], [2695, "group_395", "NaN", "hypothetical protein", 1, 1, 1, 1, 809, 343.0, 1.0, "NaN", 245, 245, 245, "NKALHJIK_04980", "shell"], [2696, "group_397", "NaN", "hypothetical protein", 1, 1, 1, 1, 1174, 293.0, 1.0, "NaN", 260, 260, 260, "MAAAAKME_05720", "shell"], [2697, "group_4", "NaN", "hypothetical protein", 1, 1, 1, 1, 664, 193.0, 1.0, "NaN", 1034, 1034, 1034, "KLCDKCDI_14290", "shell"], [2698, "group_40", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 1708, 2.0, 65.0, "NaN", 329, 329, 329, "NKALHJIK_18550", "shell"], [2699, "group_402", "asnB_2", "Asparagine synthetase B [glutamine-hydrolyzing]", 1, 1, 1, 1, 2236, 39.0, 1.0, "NaN", 1169, 1169, 1169, "NKALHJIK_09180", "shell"], [2700, "group_408", "NaN", "hypothetical protein", 1, 1, 1, 1, 2428, 171.0, 1.0, "NaN", 215, 215, 215, "PHLFEKDO_09060", "shell"], [2701, "dgcQ", "NaN", "putative diguanylate cyclase DgcQ", 1, 1, 1, 1, 2427, 253.0, 1.0, "NaN", 302, 302, 302, "KLCDKCDI_08980", "shell"], [2702, "group_41", "NaN", "hypothetical protein", 1, 1, 1, 1, 1968, 1.0, 214.0, "NaN", 272, 272, 272, "MAAAAKME_09830", "shell"], [2703, "pyrB_2", "NaN", "Aspartate carbamoyltransferase", 1, 1, 1, 1, 1927, 123.0, 1.0, "NaN", 182, 182, 182, "PHLFEKDO_09620", "shell"], [2704, "group_412", "pyrB_2", "Aspartate carbamoyltransferase", 1, 1, 1, 1, 1925, 329.0, 1.0, "NaN", 158, 158, 158, "NKALHJIK_10200", "shell"], [2705, "pyrC_2", "NaN", "Dihydroorotase", 1, 1, 1, 1, 1926, 136.0, 1.0, "NaN", 719, 719, 719, "PHLFEKDO_09640", "shell"], [2706, "dppE_12", "NaN", "Dipeptide-binding protein DppE", 1, 1, 1, 1, 2141, 1.0, 126.0, "NaN", 1025, 1025, 1025, "NKALHJIK_11100", "shell"], [2707, "group_417", "dppE_10", "Dipeptide-binding protein DppE", 1, 1, 1, 1, 2122, 319.0, 1.0, "NaN", 380, 380, 380, "NKALHJIK_10390", "shell"], [2708, "dppE_13", "NaN", "Dipeptide-binding protein DppE", 1, 1, 1, 1, 2142, 1.0, 127.0, "NaN", 380, 380, 380, "NKALHJIK_11110", "shell"], [2709, "group_419", "dppE_10", "Dipeptide-binding protein DppE", 1, 1, 1, 1, 2046, 1.0, 191.0, "NaN", 1292, 1292, 1292, "PHLFEKDO_10490", "shell"], [2710, "group_421", "carA_5", "Carbamoyl-phosphate synthase small chain", 1, 1, 1, 1, 2135, 1.0, 120.0, "NaN", 803, 803, 803, "NKALHJIK_11040", "shell"], [2711, "group_423", "carA_4", "Carbamoyl-phosphate synthase small chain", 1, 1, 1, 1, 2134, 1.0, 119.0, "NaN", 176, 176, 176, "NKALHJIK_11030", "shell"], [2712, "group_424", "carA_3", "Carbamoyl-phosphate synthase small chain", 1, 1, 1, 1, 2052, 1.0, 185.0, "NaN", 1076, 1076, 1076, "PHLFEKDO_10430", "shell"], [2713, "carA_3", "NaN", "Carbamoyl-phosphate synthase small chain", 1, 1, 1, 1, 2020, 1.0, 141.0, "NaN", 1076, 1076, 1076, "MAAAAKME_10400", "shell"], [2714, "group_427", "NaN", "hypothetical protein", 1, 1, 1, 1, 2027, 1.0, 148.0, "NaN", 254, 254, 254, "MAAAAKME_10330", "shell"], [2715, "group_429", "NaN", "hypothetical protein", 1, 1, 1, 1, 2028, 1.0, 149.0, "NaN", 302, 302, 302, "MAAAAKME_10320", "shell"], [2716, "group_43", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 657, 38.0, 2.0, "NaN", 932, 932, 932, "NKALHJIK_14330", "shell"], [2717, "group_430", "NaN", "hypothetical protein", 1, 1, 1, 1, 2060, 1.0, 177.0, "NaN", 539, 539, 539, "PHLFEKDO_10350", "shell"], [2718, "group_431", "NaN", "hypothetical protein", 1, 1, 1, 1, 2126, 1.0, 111.0, "NaN", 515, 515, 515, "NKALHJIK_10950", "shell"], [2719, "group_433", "NaN", "hypothetical protein", 1, 1, 1, 1, 1829, 313.0, 1.0, "NaN", 212, 212, 212, "MAAAAKME_10880", "shell"], [2720, "group_435", "NaN", "hypothetical protein", 1, 1, 1, 1, 1828, 324.0, 1.0, "NaN", 278, 278, 278, "NKALHJIK_11700", "shell"], [2721, "group_437", "sigA_2", "RNA polymerase sigma factor SigA", 1, 1, 1, 1, 1493, 320.0, 1.0, "NaN", 1121, 1121, 1121, "NKALHJIK_12250", "shell"], [2722, "group_438", "sigA_2", "RNA polymerase sigma factor SigA", 1, 1, 1, 1, 1494, 259.0, 1.0, "NaN", 1121, 1121, 1121, "KLCDKCDI_11610", "shell"], [2723, "group_44", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 1696, 2.0, 51.0, "NaN", 302, 302, 302, "PHLFEKDO_11320", "shell"], [2724, "group_443", "NaN", "hypothetical protein", 1, 1, 1, 1, 2668, 91.0, 3.0, "NaN", 428, 428, 428, "NKALHJIK_14370", "shell"], [2725, "group_444", "NaN", "hypothetical protein", 1, 1, 1, 1, 2772, 2.0, 168.0, "NaN", 638, 638, 638, "KLCDKCDI_14920", "shell"], [2726, "group_447", "NaN", "hypothetical protein", 1, 1, 1, 1, 405, 52.0, 1.0, "NaN", 275, 275, 275, "MAAAAKME_15270", "shell"], [2727, "group_449", "NaN", "hypothetical protein", 1, 1, 1, 1, 524, 300.0, 1.0, "NaN", 185, 185, 185, "MAAAAKME_15460", "shell"], [2728, "group_45", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1969, 1.0, 10.0, "NaN", 416, 416, 416, "PHLFEKDO_09830", "shell"], [2729, "group_450", "NaN", "hypothetical protein", 1, 1, 1, 1, 525, 178.0, 1.0, "NaN", 248, 248, 248, "PHLFEKDO_15800", "shell"], [2730, "group_457", "NaN", "hypothetical protein", 1, 1, 1, 1, 10, 54.0, 1.0, "NaN", 227, 227, 227, "NKALHJIK_17770", "shell"], [2731, "nagK_2", "NaN", "N-acetyl-D-glucosamine kinase", 1, 1, 1, 1, 11, 54.0, 2.0, "NaN", 365, 365, 365, "MAAAAKME_17490", "shell"], [2732, "group_46", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2043, 1.0, 194.0, "NaN", 416, 416, 416, "PHLFEKDO_10520", "shell"], [2733, "group_460", "NaN", "hypothetical protein", 1, 1, 1, 1, 18, 23.0, 4.0, "NaN", 491, 491, 491, "KLCDKCDI_18650", "shell"], [2734, "group_461", "NaN", "hypothetical protein", 1, 1, 1, 1, 17, 23.0, 5.0, "NaN", 266, 266, 266, "KLCDKCDI_18660", "shell"], [2735, "group_463", "NaN", "hypothetical protein", 1, 1, 1, 1, 369, 332.0, 1.0, "NaN", 320, 320, 320, "NKALHJIK_18350", "shell"], [2736, "group_465", "NaN", "hypothetical protein", 1, 1, 1, 1, 362, 276.0, 2.0, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 311, 311, 311, "MAAAAKME_18090", "shell"], [2737, "rfbA", "NaN", "Glucose-1-phosphate thymidylyltransferase 1", 1, 1, 1, 1, 350, 2.0, 1.0, "NaN", 884, 884, 884, "KLCDKCDI_19160", "shell"], [2738, "group_468", "rmlA", "Glucose-1-phosphate thymidylyltransferase", 1, 1, 1, 1, 348, 2.0, 76.0, "NaN", 107, 107, 107, "PHLFEKDO_18450", "shell"], [2739, "group_47", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 366, 15.0, 1.0, "NaN", 182, 182, 182, "PHLFEKDO_18360", "shell"], [2740, "group_470", "NaN", "hypothetical protein", 1, 1, 1, 1, 1795, 143.0, 1.0, "NaN", 440, 440, 440, "PHLFEKDO_18730", "shell"], [2741, "group_472", "NaN", "hypothetical protein", 1, 1, 1, 1, 1720, 335.0, 1.0, "NaN", 110, 110, 110, "NKALHJIK_18900", "shell"], [2742, "group_474", "btuD_3", "Vitamin B12 import ATP-binding protein BtuD", 1, 1, 1, 1, 965, 13.0, 3.0, "NaN", 1226, 1226, 1226, "PHLFEKDO_00220", "shell"], [2743, "group_478", "NaN", "hypothetical protein", 1, 1, 1, 1, 991, 322.0, 1.0, "NaN", 332, 332, 332, "NKALHJIK_00370", "shell"], [2744, "group_479", "NaN", "hypothetical protein", 1, 1, 1, 1, 992, 124.0, 1.0, "NaN", 332, 332, 332, "PHLFEKDO_00450", "shell"], [2745, "group_48", "NaN", "hypothetical protein", 1, 1, 1, 1, 1821, 2.0, 29.0, "NaN", 656, 656, 656, "PHLFEKDO_18560", "shell"], [2746, "group_480", "qorB_2", "Quinone oxidoreductase 2", 1, 1, 1, 1, 989, 303.0, 1.0, "NaN", 389, 389, 389, "MAAAAKME_00440", "shell"], [2747, "group_481", "NaN", "Sucrose phosphorylase", 1, 1, 1, 1, 927, 216.0, 1.0, "NaN", 863, 863, 863, "KLCDKCDI_00520", "shell"], [2748, "group_484", "NaN", "hypothetical protein", 1, 1, 1, 1, 913, 55.0, 4.0, "NaN", 191, 191, 191, "NKALHJIK_00660", "shell"], [2749, "group_486", "NaN", "hypothetical protein", 1, 1, 1, 1, 888, 222.0, 1.0, "NaN", 305, 305, 305, "KLCDKCDI_00810", "shell"], [2750, "group_489", "urdA", "Urocanate reductase", 1, 1, 1, 1, 85, 183.0, 5.0, "NaN", 1883, 1883, 1883, "KLCDKCDI_01010", "shell"], [2751, "group_49", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1820, 2.0, 154.0, "NaN", 392, 392, 392, "PHLFEKDO_18570", "shell"], [2752, "group_492", "NaN", "hypothetical protein", 1, 1, 1, 1, 860, 152.0, 1.0, "NaN", 935, 935, 935, "PHLFEKDO_01160", "shell"], [2753, "group_497", "NaN", "hypothetical protein", 1, 1, 1, 1, 2459, 305.0, 1.0, "NaN", 146, 146, 146, "MAAAAKME_01670", "shell"], [2754, "group_499", "NaN", "hypothetical protein", 1, 1, 1, 1, 2554, 10.0, 4.0, "NaN", 701, 701, 701, "PHLFEKDO_02280", "shell"], [2755, "group_50", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 367, 15.0, 12.0, "NaN", 227, 227, 227, "PHLFEKDO_18350", "shell"], [2756, "group_500", "NaN", "hypothetical protein", 1, 1, 1, 1, 2555, 10.0, 3.0, "NaN", 326, 326, 326, "PHLFEKDO_02290", "shell"], [2757, "purA_2", "NaN", "Adenylosuccinate synthetase", 1, 1, 1, 1, 2600, 147.0, 1.0, "NaN", 839, 839, 839, "PHLFEKDO_02480", "shell"], [2758, "group_511", "NaN", "hypothetical protein", 1, 1, 1, 1, 808, 297.0, 1.0, "NaN", 137, 137, 137, "MAAAAKME_04740", "shell"], [2759, "group_513", "NaN", "hypothetical protein", 1, 1, 1, 1, 1265, 46.0, 4.0, "NaN", 263, 263, 263, "NKALHJIK_04890", "shell"], [2760, "group_515", "NaN", "hypothetical protein", 1, 1, 1, 1, 1218, 296.0, 1.0, "NaN", 197, 197, 197, "MAAAAKME_05280", "shell"], [2761, "group_517", "NaN", "hypothetical protein", 1, 1, 1, 1, 814, 326.0, 1.0, "NaN", 467, 467, 467, "NKALHJIK_05460", "shell"], [2762, "comFA_2", "NaN", "ComF operon protein 1", 1, 1, 1, 1, 815, 168.0, 1.0, "NaN", 176, 176, 176, "PHLFEKDO_05480", "shell"], [2763, "group_52", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1970, 1.0, 9.0, "NaN", 353, 353, 353, "PHLFEKDO_09840", "shell"], [2764, "group_523", "NaN", "hypothetical protein", 1, 1, 1, 1, 1149, 295.0, 1.0, "NaN", 173, 173, 173, "MAAAAKME_05990", "shell"], [2765, "pdeC", "NaN", "putative cyclic di-GMP phosphodiesterase PdeC", 1, 1, 1, 1, 1138, 28.0, 6.0, "NaN", 200, 200, 200, "PHLFEKDO_06030", "shell"], [2766, "group_527", "NaN", "hypothetical protein", 1, 1, 1, 1, 1137, 28.0, 3.0, "NaN", 206, 206, 206, "PHLFEKDO_06040", "shell"], [2767, "group_529", "NaN", "hypothetical protein", 1, 1, 1, 1, 1068, 345.0, 1.0, "NaN", 128, 128, 128, "NKALHJIK_06760", "shell"], [2768, "group_53", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2044, 1.0, 193.0, "NaN", 353, 353, 353, "PHLFEKDO_10510", "shell"], [2769, "ctpE_2", "NaN", "Calcium-transporting ATPase CtpE", 1, 1, 1, 1, 825, 284.0, 2.0, "NaN", 938, 938, 938, "MAAAAKME_07370", "shell"], [2770, "ctpE_1", "NaN", "Calcium-transporting ATPase CtpE", 1, 1, 1, 1, 1008, 284.0, 1.0, "NaN", 281, 281, 281, "MAAAAKME_07360", "shell"], [2771, "proC", "NaN", "Pyrroline-5-carboxylate reductase", 1, 1, 1, 1, 2256, 210.0, 2.0, "NaN", 773, 773, 773, "KLCDKCDI_07680", "shell"], [2772, "group_54", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 943, 13.0, 7.0, "NaN", 779, 779, 779, "NKALHJIK_00210", "shell"], [2773, "group_541", "adhE_2", "Aldehyde-alcohol dehydrogenase", 1, 1, 1, 1, 2376, 3.0, 19.0, "NaN", 920, 920, 920, "NKALHJIK_08500", "shell"], [2774, "group_542", "NaN", "hypothetical protein", 1, 1, 1, 1, 2377, 3.0, 5.0, "NaN", 227, 227, 227, "NKALHJIK_08510", "shell"], [2775, "group_544", "NaN", "hypothetical protein", 1, 1, 1, 1, 2381, 3.0, 4.0, "NaN", 227, 227, 227, "PHLFEKDO_08470", "shell"], [2776, "group_546", "NaN", "hypothetical protein", 1, 1, 1, 1, 2383, 3.0, 31.0, "NaN", 227, 227, 227, "MAAAAKME_08610", "shell"], [2777, "group_552", "NaN", "putative signaling protein", 1, 1, 1, 1, 2425, 145.0, 1.0, "NaN", 1109, 1109, 1109, "PHLFEKDO_09040", "shell"], [2778, "group_553", "NaN", "putative signaling protein", 1, 1, 1, 1, 2424, 294.0, 1.0, "NaN", 1109, 1109, 1109, "MAAAAKME_09130", "shell"], [2779, "group_559", "cpdA_2", "3',5'-cyclic adenosine monophosphate phosphodiesterase CpdA", 1, 1, 1, 1, 2201, 106.0, 1.0, "NaN", 761, 761, 761, "PHLFEKDO_09410", "shell"], [2780, "group_56", "NaN", "hypothetical protein", 1, 1, 1, 1, 911, 55.0, 2.0, "NaN", 134, 134, 134, "PHLFEKDO_00720", "shell"], [2781, "serC_2", "NaN", "Phosphoserine aminotransferase", 1, 1, 1, 1, 1922, 162.0, 1.0, "NaN", 401, 401, 401, "PHLFEKDO_09570", "shell"], [2782, "group_565", "NaN", "ISLre2 family transposase ISLde1", 1, 1, 1, 1, 1966, 1.0, 45.0, "NaN", 1415, 1415, 1415, "PHLFEKDO_09780", "shell"], [2783, "group_566", "NaN", "ISLre2 family transposase ISLde1", 1, 1, 1, 1, 2038, 1.0, 199.0, "NaN", 1415, 1415, 1415, "PHLFEKDO_10570", "shell"], [2784, "group_567", "NaN", "hypothetical protein", 1, 1, 1, 1, 1983, 1.0, 29.0, "NaN", 692, 692, 692, "KLCDKCDI_10450", "shell"], [2785, "group_568", "NaN", "hypothetical protein", 1, 1, 1, 1, 2111, 1.0, 30.0, "NaN", 326, 326, 326, "KLCDKCDI_10440", "shell"], [2786, "group_57", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 889, 42.0, 1.0, "NaN", 443, 443, 443, "PHLFEKDO_00930", "shell"], [2787, "group_570", "NaN", "hypothetical protein", 1, 1, 1, 1, 2055, 1.0, 182.0, "NaN", 1289, 1289, 1289, "PHLFEKDO_10400", "shell"], [2788, "group_572", "NaN", "hypothetical protein", 1, 1, 1, 1, 2125, 1.0, 110.0, "NaN", 464, 464, 464, "NKALHJIK_10940", "shell"], [2789, "group_573", "NaN", "hypothetical protein", 1, 1, 1, 1, 2061, 1.0, 176.0, "NaN", 266, 266, 266, "PHLFEKDO_10340", "shell"], [2790, "group_574", "NaN", "hypothetical protein", 1, 1, 1, 1, 2029, 1.0, 150.0, "NaN", 326, 326, 326, "MAAAAKME_10310", "shell"], [2791, "group_576", "NaN", "hypothetical protein", 1, 1, 1, 1, 2070, 1.0, 167.0, "Hypothetical protein with no hits to refseq/uniprot/clusters/cdd/tigrfams/pfam overlapping another protein with hits", 173, 173, 173, "PHLFEKDO_10250", "shell"], [2792, "group_577", "fccA_1", "Fumarate reductase flavoprotein subunit", 1, 1, 1, 1, 1990, 4.0, 2.0, "NaN", 842, 842, 842, "PHLFEKDO_10110", "shell"], [2793, "group_578", "fccA_2", "Fumarate reductase flavoprotein subunit", 1, 1, 1, 1, 2071, 1.0, 166.0, "NaN", 842, 842, 842, "PHLFEKDO_10240", "shell"], [2794, "fccA_2", "NaN", "Fumarate reductase flavoprotein subunit", 1, 1, 1, 1, 1999, 1.0, 102.0, "NaN", 866, 866, 866, "NKALHJIK_10860", "shell"], [2795, "group_580", "fccA_2", "Fumarate reductase flavoprotein subunit", 1, 1, 1, 1, 2036, 1.0, 157.0, "NaN", 1469, 1469, 1469, "MAAAAKME_10240", "shell"], [2796, "group_588", "NaN", "hypothetical protein", 1, 1, 1, 1, 1911, 22.0, 4.0, "NaN", 299, 299, 299, "MAAAAKME_10940", "shell"], [2797, "group_590", "NaN", "hypothetical protein", 1, 1, 1, 1, 1824, 22.0, 2.0, "NaN", 299, 299, 299, "NKALHJIK_11770", "shell"], [2798, "group_594", "NaN", "hypothetical protein", 1, 1, 1, 1, 768, 330.0, 1.0, "NaN", 206, 206, 206, "NKALHJIK_13350", "shell"], [2799, "group_596", "NaN", "hypothetical protein", 1, 1, 1, 1, 743, 119.0, 1.0, "NaN", 590, 590, 590, "PHLFEKDO_13020", "shell"], [2800, "group_598", "NaN", "hypothetical protein", 1, 1, 1, 1, 643, 29.0, 3.0, "NaN", 278, 278, 278, "MAAAAKME_12740", "shell"], [2801, "group_6", "NaN", "IS4 family transposase ISL5", 1, 1, 1, 1, 663, 193.0, 4.0, "NaN", 329, 329, 329, "KLCDKCDI_14280", "shell"], [2802, "group_60", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 13, 318.0, 2.0, "NaN", 302, 302, 302, "NKALHJIK_17810", "shell"], [2803, "group_602", "NaN", "hypothetical protein", 1, 1, 1, 1, 674, 246.0, 1.0, "NaN", 143, 143, 143, "KLCDKCDI_14180", "shell"], [2804, "group_606", "NaN", "hypothetical protein", 1, 1, 1, 1, 1323, 317.0, 1.0, "NaN", 410, 410, 410, "NKALHJIK_03940", "shell"], [2805, "group_610", "NaN", "hypothetical protein", 1, 1, 1, 1, 6, 3.0, 13.0, "NaN", 92, 92, 92, "MAAAAKME_17220", "shell"], [2806, "group_611", "NaN", "hypothetical protein", 1, 1, 1, 1, 997, 19.0, 11.0, "NaN", 95, 95, 95, "KLCDKCDI_00360", "shell"], [2807, "group_612", "NaN", "hypothetical protein", 1, 1, 1, 1, 551, 239.0, 1.0, "NaN", 95, 95, 95, "KLCDKCDI_16610", "shell"], [2808, "group_619", "adhE_3", "Aldehyde-alcohol dehydrogenase", 1, 1, 1, 1, 538, 340.0, 1.0, "NaN", 191, 191, 191, "NKALHJIK_16500", "shell"], [2809, "group_62", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 14, 318.0, 1.0, "NaN", 392, 392, 392, "NKALHJIK_17820", "shell"], [2810, "group_622", "NaN", "hypothetical protein", 1, 1, 1, 1, 326, 98.0, 1.0, "NaN", 248, 248, 248, "NKALHJIK_16790", "shell"], [2811, "group_63", "NaN", "hypothetical protein", 1, 1, 1, 1, 942, 13.0, 6.0, "NaN", 194, 194, 194, "NKALHJIK_00200", "shell"], [2812, "group_630", "NaN", "hypothetical protein", 1, 1, 1, 1, 256, 131.0, 1.0, "NaN", 245, 245, 245, "PHLFEKDO_17070", "shell"], [2813, "group_635", "NaN", "hypothetical protein", 1, 1, 1, 1, 1797, 339.0, 1.0, "NaN", 293, 293, 293, "NKALHJIK_18700", "shell"], [2814, "group_638", "NaN", "hypothetical protein", 1, 1, 1, 1, 2802, 315.0, 1.0, "NaN", 134, 134, 134, "MAAAAKME_19050", "shell"], [2815, "group_644", "NaN", "hypothetical protein", 1, 1, 1, 1, 2847, 92.0, 2.0, "NaN", 140, 140, 140, "NKALHJIK_19500", "shell"], [2816, "group_646", "NaN", "hypothetical protein", 1, 1, 1, 1, 2838, 49.0, 2.0, "NaN", 428, 428, 428, "PHLFEKDO_19450", "shell"], [2817, "group_647", "NaN", "hypothetical protein", 1, 1, 1, 1, 2839, 49.0, 1.0, "NaN", 749, 749, 749, "PHLFEKDO_19460", "shell"], [2818, "dosC", "NaN", "Diguanylate cyclase DosC", 1, 1, 1, 1, 2809, 5.0, 5.0, "NaN", 407, 407, 407, "PHLFEKDO_19530", "shell"], [2819, "group_65", "NaN", "hypothetical protein", 1, 1, 1, 1, 835, 42.0, 2.0, "NaN", 428, 428, 428, "NKALHJIK_00800", "shell"], [2820, "group_653", "ribD", "Riboflavin biosynthesis protein RibD", 1, 1, 1, 1, 121, 25.0, 1.0, "NaN", 482, 482, 482, "MAAAAKME_19510", "shell"], [2821, "group_661", "NaN", "IS30 family transposase ISLjo1", 1, 1, 1, 1, 303, 11.0, 9.0, "NaN", 1025, 1025, 1025, "PHLFEKDO_16630", "shell"], [2822, "group_664", "NaN", "hypothetical protein", 1, 1, 1, 1, 1221, 188.0, 5.0, "NaN", 182, 182, 182, "KLCDKCDI_05250", "shell"], [2823, "group_665", "NaN", "hypothetical protein", 1, 1, 1, 1, 2328, 8.0, 16.0, "NaN", 182, 182, 182, "KLCDKCDI_08020", "shell"], [2824, "group_666", "NaN", "hypothetical protein", 1, 1, 1, 1, 2457, 220.0, 1.0, "NaN", 1109, 1109, 1109, "KLCDKCDI_01680", "shell"], [2825, "group_667", "NaN", "hypothetical protein", 1, 1, 1, 1, 2177, 1.0, 2.0, "NaN", 1412, 1412, 1412, "KLCDKCDI_09870", "shell"], [2826, "group_668", "NaN", "hypothetical protein", 1, 1, 1, 1, 1919, 59.0, 4.0, "NaN", 941, 941, 941, "KLCDKCDI_09560", "shell"], [2827, "group_669", "NaN", "hypothetical protein", 1, 1, 1, 1, 1920, 59.0, 5.0, "NaN", 452, 452, 452, "KLCDKCDI_09570", "shell"], [2828, "group_67", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 414, 89.0, 3.0, "NaN", 356, 356, 356, "PHLFEKDO_14650", "shell"], [2829, "group_671", "recD", "RecBCD enzyme subunit RecD", 1, 1, 1, 1, 2888, 2.0, 124.0, "NaN", 2129, 2129, 2129, "NKALHJIK_12150", "shell"], [2830, "group_672", "NaN", "hypothetical protein", 1, 1, 1, 1, 2872, 2.0, 125.0, "NaN", 1331, 1331, 1331, "NKALHJIK_12140", "shell"], [2831, "fetA_2", "NaN", "putative iron export ATP-binding protein FetA", 1, 1, 1, 1, 976, 139.0, 1.0, "NaN", 260, 260, 260, "PHLFEKDO_00320", "shell"], [2832, "group_68", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1716, 90.0, 3.0, "NaN", 458, 458, 458, "MAAAAKME_18480", "shell"], [2833, "group_680", "NaN", "hypothetical protein", 1, 1, 1, 1, 829, 100.0, 2.0, "NaN", 947, 947, 947, "MAAAAKME_00630", "shell"], [2834, "group_686", "NaN", "hypothetical protein", 1, 1, 1, 1, 2478, 18.0, 7.0, "NaN", 362, 362, 362, "NKALHJIK_01370", "shell"], [2835, "group_689", "cas9", "CRISPR-associated endonuclease Cas9", 1, 1, 1, 1, 2486, 150.0, 1.0, "NaN", 638, 638, 638, "PHLFEKDO_01420", "shell"], [2836, "group_696", "dppE_1", "Dipeptide-binding protein DppE", 1, 1, 1, 1, 2447, 272.0, 1.0, "NaN", 1022, 1022, 1022, "KLCDKCDI_01910", "shell"], [2837, "group_70", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1794, 90.0, 1.0, "NaN", 269, 269, 269, "MAAAAKME_18470", "shell"], [2838, "group_707", "NaN", "hypothetical protein", 1, 1, 1, 1, 2574, 63.0, 3.0, "NaN", 308, 308, 308, "PHLFEKDO_02750", "shell"], [2839, "group_714", "NaN", "hypothetical protein", 1, 1, 1, 1, 1327, 16.0, 7.0, "NaN", 569, 569, 569, "NKALHJIK_02960", "shell"], [2840, "group_72", "NaN", "hypothetical protein", 1, 1, 1, 1, 849, 34.0, 4.0, "NaN", 356, 356, 356, "PHLFEKDO_01250", "shell"], [2841, "group_73", "NaN", "hypothetical protein", 1, 1, 1, 1, 846, 34.0, 5.0, "NaN", 356, 356, 356, "NKALHJIK_01260", "shell"], [2842, "group_740", "NaN", "hypothetical protein", 1, 1, 1, 1, 819, 299.0, 1.0, "NaN", 167, 167, 167, "MAAAAKME_06230", "shell"], [2843, "group_744", "NaN", "hypothetical protein", 1, 1, 1, 1, 1023, 337.0, 1.0, "NaN", 191, 191, 191, "NKALHJIK_07200", "shell"], [2844, "group_747", "NaN", "2-ketogluconate reductase", 1, 1, 1, 1, 2258, 134.0, 1.0, "NaN", 284, 284, 284, "PHLFEKDO_07530", "shell"], [2845, "group_75", "NaN", "hypothetical protein", 1, 1, 1, 1, 2730, 89.0, 1.0, "NaN", 134, 134, 134, "MAAAAKME_14290", "shell"], [2846, "group_759", "srrA_2", "Transcriptional regulatory protein SrrA", 1, 1, 1, 1, 2235, 314.0, 1.0, "NaN", 146, 146, 146, "MAAAAKME_08970", "shell"], [2847, "group_76", "NaN", "hypothetical protein", 1, 1, 1, 1, 2468, 34.0, 2.0, "NaN", 356, 356, 356, "MAAAAKME_01300", "shell"], [2848, "group_762", "NaN", "hypothetical protein", 1, 1, 1, 1, 2232, 64.0, 1.0, "NaN", 122, 122, 122, "MAAAAKME_09190", "shell"], [2849, "group_77", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 482, 254.0, 1.0, "NaN", 1049, 1049, 1049, "KLCDKCDI_16040", "shell"], [2850, "group_770", "NaN", "hypothetical protein", 1, 1, 1, 1, 2152, 1.0, 205.0, "NaN", 380, 380, 380, "PHLFEKDO_10630", "shell"], [2851, "group_772", "NaN", "putative protein", 1, 1, 1, 1, 2143, 1.0, 128.0, "NaN", 701, 701, 701, "NKALHJIK_11120", "shell"], [2852, "group_773", "NaN", "putative protein", 1, 1, 1, 1, 2045, 1.0, 192.0, "NaN", 668, 668, 668, "PHLFEKDO_10500", "shell"], [2853, "group_775", "NaN", "hypothetical protein", 1, 1, 1, 1, 2068, 1.0, 169.0, "NaN", 437, 437, 437, "PHLFEKDO_10270", "shell"], [2854, "group_776", "NaN", "hypothetical protein", 1, 1, 1, 1, 2084, 4.0, 5.0, "NaN", 251, 251, 251, "KLCDKCDI_10580", "shell"], [2855, "group_777", "NaN", "hypothetical protein", 1, 1, 1, 1, 1997, 1.0, 104.0, "NaN", 659, 659, 659, "NKALHJIK_10880", "shell"], [2856, "group_785", "NaN", "hypothetical protein", 1, 1, 1, 1, 1830, 72.0, 3.0, "NaN", 380, 380, 380, "NKALHJIK_11650", "shell"], [2857, "spsB_1", "NaN", "Signal peptidase IB", 1, 1, 1, 1, 1688, 194.0, 2.0, "NaN", 566, 566, 566, "KLCDKCDI_11290", "shell"], [2858, "group_79", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2254, 211.0, 1.0, "NaN", 872, 872, 872, "KLCDKCDI_07910", "shell"], [2859, "cca_2", "NaN", "CCA-adding enzyme", 1, 1, 1, 1, 1499, 333.0, 1.0, "NaN", 119, 119, 119, "NKALHJIK_12600", "shell"], [2860, "group_796", "NaN", "hypothetical protein", 1, 1, 1, 1, 1568, 179.0, 1.0, "NaN", 356, 356, 356, "KLCDKCDI_12730", "shell"], [2861, "group_8", "NaN", "hypothetical protein", 1, 1, 1, 1, 379, 48.0, 4.0, "NaN", 242, 242, 242, "KLCDKCDI_18910", "shell"], [2862, "yclM_3", "NaN", "Aspartokinase 3", 1, 1, 1, 1, 635, 269.0, 1.0, "NaN", 125, 125, 125, "KLCDKCDI_13250", "shell"], [2863, "group_804", "ypdF", "Aminopeptidase YpdF", 1, 1, 1, 1, 645, 328.0, 1.0, "NaN", 299, 299, 299, "NKALHJIK_13940", "shell"], [2864, "group_81", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2665, 2.0, 173.0, "NaN", 323, 323, 323, "KLCDKCDI_14850", "shell"], [2865, "group_82", "NaN", "hypothetical protein", 1, 1, 1, 1, 2255, 211.0, 2.0, "NaN", 104, 104, 104, "KLCDKCDI_07920", "shell"], [2866, "group_850", "NaN", "hypothetical protein", 1, 1, 1, 1, 214, 268.0, 1.0, "NaN", 338, 338, 338, "KLCDKCDI_18440", "shell"], [2867, "group_86", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 413, 342.0, 1.0, "NaN", 1034, 1034, 1034, "NKALHJIK_15270", "shell"], [2868, "group_863", "NaN", "hypothetical protein", 1, 1, 1, 1, 1724, 157.0, 1.0, "NaN", 251, 251, 251, "PHLFEKDO_19120", "shell"], [2869, "carB_8", "NaN", "Carbamoyl-phosphate synthase large chain", 1, 1, 1, 1, 2831, 5.0, 3.0, "NaN", 1040, 1040, 1040, "MAAAAKME_19290", "shell"], [2870, "group_87", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1827, 22.0, 8.0, "NaN", 1049, 1049, 1049, "NKALHJIK_11740", "shell"], [2871, "group_871", "NaN", "hypothetical protein", 1, 1, 1, 1, 165, 236.0, 1.0, "NaN", 92, 92, 92, "KLCDKCDI_21150", "shell"], [2872, "group_879", "NaN", "hypothetical protein", 1, 1, 1, 1, 2003, 1.0, 98.0, "NaN", 128, 128, 128, "NKALHJIK_10820", "shell"], [2873, "group_880", "NaN", "hypothetical protein", 1, 1, 1, 1, 2074, 1.0, 160.0, "NaN", 128, 128, 128, "MAAAAKME_10210", "shell"], [2874, "group_884", "NaN", "hypothetical protein", 1, 1, 1, 1, 329, 276.0, 1.0, "NaN", 206, 206, 206, "NKALHJIK_18440", "shell"], [2875, "group_885", "yttA", "putative membrane protein YttA", 1, 1, 1, 1, 352, 2.0, 80.0, "NaN", 389, 389, 389, "MAAAAKME_18160", "shell"], [2876, "group_888", "NaN", "putative protein", 1, 1, 1, 1, 921, 215.0, 2.0, "NaN", 659, 659, 659, "KLCDKCDI_00600", "shell"], [2877, "group_889", "NaN", "putative protein", 1, 1, 1, 1, 3, 199.0, 2.0, "NaN", 659, 659, 659, "KLCDKCDI_17490", "shell"], [2878, "group_89", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 1974, 1.0, 8.0, "NaN", 512, 512, 512, "MAAAAKME_09880", "shell"], [2879, "group_890", "NaN", "putative protein", 1, 1, 1, 1, 1726, 208.0, 2.0, "NaN", 659, 659, 659, "KLCDKCDI_20080", "shell"], [2880, "group_891", "NaN", "hypothetical protein", 1, 1, 1, 1, 805, 196.0, 2.0, "NaN", 659, 659, 659, "KLCDKCDI_04530", "shell"], [2881, "group_892", "NaN", "hypothetical protein", 1, 1, 1, 1, 2460, 221.0, 2.0, "NaN", 1553, 1553, 1553, "KLCDKCDI_01630", "shell"], [2882, "group_893", "NaN", "hypothetical protein", 1, 1, 1, 1, 1670, 214.0, 1.0, "NaN", 1553, 1553, 1553, "KLCDKCDI_11370", "shell"], [2883, "group_894", "NaN", "hypothetical protein", 1, 1, 1, 1, 1614, 209.0, 1.0, "NaN", 1553, 1553, 1553, "KLCDKCDI_11900", "shell"], [2884, "group_895", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 1498, 26.0, 3.0, "NaN", 1706, 1706, 1706, "KLCDKCDI_11990", "shell"], [2885, "group_896", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 1718, 201.0, 3.0, "NaN", 1706, 1706, 1706, "KLCDKCDI_19680", "shell"], [2886, "group_897", "NaN", "IS607 family transposase ISLhe9", 1, 1, 1, 1, 306, 241.0, 1.0, "NaN", 707, 707, 707, "KLCDKCDI_17040", "shell"], [2887, "group_898", "NaN", "hypothetical protein", 1, 1, 1, 1, 804, 258.0, 1.0, "NaN", 1328, 1328, 1328, "KLCDKCDI_04410", "shell"], [2888, "group_899", "NaN", "hypothetical protein", 1, 1, 1, 1, 2806, 197.0, 2.0, "NaN", 830, 830, 830, "KLCDKCDI_20440", "shell"], [2889, "group_9", "NaN", "hypothetical protein", 1, 1, 1, 1, 378, 48.0, 5.0, "NaN", 212, 212, 212, "KLCDKCDI_18920", "shell"], [2890, "group_90", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 2564, 62.0, 4.0, "NaN", 707, 707, 707, "MAAAAKME_02810", "shell"], [2891, "group_900", "NaN", "hypothetical protein", 1, 1, 1, 1, 2846, 197.0, 3.0, "NaN", 443, 443, 443, "KLCDKCDI_20430", "shell"], [2892, "group_91", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 233, 307.0, 1.0, "NaN", 857, 857, 857, "MAAAAKME_17340", "shell"], [2893, "group_92", "NaN", "IS30 family transposase ISL7", 1, 1, 1, 1, 734, 275.0, 1.0, "NaN", 1034, 1034, 1034, "MAAAAKME_12670", "shell"], [2894, "group_93", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 1683, 321.0, 1.0, "NaN", 1223, 1223, 1223, "NKALHJIK_11890", "shell"], [2895, "group_94", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 160, 180.0, 11.0, "NaN", 1223, 1223, 1223, "KLCDKCDI_21120", "shell"], [2896, "ruvA_1", "NaN", "Holliday junction ATP-dependent DNA helicase RuvA", 1, 1, 1, 1, 1219, 247.0, 1.0, "NaN", 1031, 1031, 1031, "KLCDKCDI_05270", "shell"], [2897, "group_97", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 1225, 188.0, 1.0, "NaN", 521, 521, 521, "KLCDKCDI_05210", "shell"], [2898, "group_98", "NaN", "IS110 family transposase ISL4", 1, 1, 1, 1, 658, 38.0, 6.0, "NaN", 779, 779, 779, "PHLFEKDO_13750", "shell"], [2899, "group_99", "NaN", "hypothetical protein", 1, 1, 1, 1, 2652, 2.0, 19.0, "NaN", 617, 617, 617, "PHLFEKDO_11690", "shell"]];

    // Define the dt_args
    let dt_args = {"columnDefs": [{"className": "dt-center", "targets": "_all"}], "lengthMenu": [5, 10, 20, 50, 100, 200, 500], "order": [], "fnInfoCallback": function (oSettings, iStart, iEnd, iMax, iTotal, sPre) { return sPre + ' (<a href="https://mwouts.github.io/itables/downsampling.html">downsampled</a> from 1,528x16 to 781x16 as maxBytes=100000)'; }};
    dt_args["data"] = data;

    $(document).ready(function () {

        $('#5856d759-a8ba-4186-ba54-1b881c393432').DataTable(dt_args);
    });
</script>
</div>



## References

<font size="2">

{% for i in project().rule_used['roary']['references'] %}
- *{{ i }}*
{% endfor %}

</font>
