# SeqFu2
Summary of [Seqfu](https://github.com/telatin/seqfu2) results from project: `[{{ project().name }}]` 

## Description
[Seqfu2](https://github.com/telatin/seqfu2) provides a sequence statistic overview of the genomes in the dataset.

## Genome Statistics Overview





<div id="altair-viz-a6e8a0624f4c4e7fbf15bd4f5adeb82e"></div>
<script type="text/javascript">
  var VEGA_DEBUG = (typeof VEGA_DEBUG == "undefined") ? {} : VEGA_DEBUG;
  (function(spec, embedOpt){
    let outputDiv = document.currentScript.previousElementSibling;
    if (outputDiv.id !== "altair-viz-a6e8a0624f4c4e7fbf15bd4f5adeb82e") {
      outputDiv = document.getElementById("altair-viz-a6e8a0624f4c4e7fbf15bd4f5adeb82e");
    }
    const paths = {
      "vega": "https://cdn.jsdelivr.net/npm//vega@5?noext",
      "vega-lib": "https://cdn.jsdelivr.net/npm//vega-lib?noext",
      "vega-lite": "https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext",
      "vega-embed": "https://cdn.jsdelivr.net/npm//vega-embed@6?noext",
    };

    function maybeLoadScript(lib, version) {
      var key = `${lib.replace("-", "")}_version`;
      return (VEGA_DEBUG[key] == version) ?
        Promise.resolve(paths[lib]) :
        new Promise(function(resolve, reject) {
          var s = document.createElement('script');
          document.getElementsByTagName("head")[0].appendChild(s);
          s.async = true;
          s.onload = () => {
            VEGA_DEBUG[key] = version;
            return resolve(paths[lib]);
          };
          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);
          s.src = paths[lib];
        });
    }

    function showError(err) {
      outputDiv.innerHTML = `<div class="error" style="color:red;">${err}</div>`;
      throw err;
    }

    function displayChart(vegaEmbed) {
      vegaEmbed(outputDiv, spec, embedOpt)
        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));
    }

    if(typeof define === "function" && define.amd) {
      requirejs.config({paths});
      require(["vega-embed"], displayChart, err => showError(`Error loading script: ${err.message}`));
    } else {
      maybeLoadScript("vega", "5")
        .then(() => maybeLoadScript("vega-lite", "4.17.0"))
        .then(() => maybeLoadScript("vega-embed", "6"))
        .catch(showError)
        .then(() => displayChart(vegaEmbed));
    }
  })({"config": {"view": {"continuousWidth": 400, "continuousHeight": 300}, "title": {"anchor": "middle", "fontSize": 20, "offset": 10, "orient": "top"}}, "repeat": {"column": ["Count", "Total", "N50"], "row": ["Count", "Total", "N50"]}, "spec": {"data": {"name": "data-b37b83752afe14654d7b4c17f774db6f"}, "mark": "circle", "encoding": {"color": {"field": "Total", "type": "quantitative"}, "tooltip": [{"field": "genome_id", "type": "nominal"}, {"field": "Count", "type": "quantitative"}, {"field": "Total", "type": "quantitative"}, {"field": "gc", "type": "quantitative"}, {"field": "N50", "type": "quantitative"}, {"field": "N75", "type": "quantitative"}, {"field": "N90", "type": "quantitative"}, {"field": "AuN", "type": "quantitative"}, {"field": "Min", "type": "quantitative"}, {"field": "Max", "type": "quantitative"}], "x": {"field": {"repeat": "column"}, "scale": {"zero": false}, "type": "quantitative"}, "y": {"field": {"repeat": "row"}, "scale": {"zero": false}, "type": "quantitative"}}, "height": 150, "selection": {"selector001": {"type": "interval", "bind": "scales", "encodings": ["x", "y"]}}, "width": 150}, "title": "Genome QC Statistics", "$schema": "https://vega.github.io/schema/vega-lite/v4.17.0.json", "datasets": {"data-b37b83752afe14654d7b4c17f774db6f": [{"genome_id": "GCA_000056065.1", "Min": 1864998, "N25": 1864998, "N50": 1864998, "AuN": 1864998.0, "gc": 0.4971903455124349, "Max": 1864998, "N75": 1864998, "Count": 1, "Total": 1864998, "N90": 1864998, "Avg": 1864998.0, "gtdb_release": "R207", "Domain": "d__Bacteria", "Phylum": "p__Firmicutes", "Class": "c__Bacilli", "Order": "o__Lactobacillales", "Family": "f__Lactobacillaceae", "Genus": "g__Lactobacillus", "Species": "delbrueckii", "Organism": "s__Lactobacillus delbrueckii", "accession": "GCA_000056065.1", "name": "GCF_000056065.1", "trna_aa_count": 20.0, "contig_count": 1.0, "n50_contigs": 1864998.0, "longest_contig": 1864998.0, "scaffold_count": 1.0, "n50_scaffolds": 1864998.0, "longest_scaffold": 1864998.0, "genome_size": 1864998.0, "gc_percentage": 49.71903455124348, "ambiguous_bases": 0.0, "checkm_completeness": 98.38, "checkm_contamination": 0.0, "checkm_strain_heterogeneity": 0.0, "lsu_5s_count": 9, "ssu_count": 9, "lsu_23s_count": 9, "protein_count": 1916, "coding_density": 84.01837428243891, "ncbi_genbank_assembly_accession": "GCA_000056065.1", "ncbi_strain_identifiers": "ATCC 11842", "ncbi_assembly_level": "Complete Genome", "ncbi_assembly_name": "ASM5606v1", "ncbi_assembly_type": "na", "ncbi_bioproject": "PRJNA224116", "ncbi_biosample": "SAMEA3138258", "ncbi_country": null, "ncbi_date": "2006-05-26", "ncbi_genome_category": null, "ncbi_genome_representation": "full", "ncbi_isolate": null, "ncbi_isolation_source": null, "ncbi_lat_lon": null, "ncbi_molecule_count": 1, "ncbi_cds_count": 1820, "ncbi_refseq_category": "na", "ncbi_seq_rel_date": "2006/05/26", "ncbi_spanned_gaps": 0, "ncbi_species_taxid": 1584, "ncbi_ssu_count": 9, "ncbi_submitter": "Genoscope", "ncbi_taxid": 390333, "ncbi_total_gap_length": 0, "ncbi_translation_table": 11, "ncbi_trna_count": 95, "ncbi_unspanned_gaps": 0, "ncbi_version_status": "latest", "ncbi_wgs_master": null, "gtdbTypeDesignation": "type strain of subspecies", "gtdbTypeDesignationSources": "LPSN", "lpsnTypeDesignation": "type strain of subspecies", "dsmzTypeDesignation": "type strain of subspecies", "lpsnPriorityYear": 1919.0, "gtdbTypeSpeciesOfGenus": false, "ncbi_taxonomy": "d__Bacteria;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii", "ncbi_taxonomy_unfiltered": "d__Bacteria;x__Terrabacteria group;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii;sb__Lactobacillus delbrueckii subsp. bulgaricus;x__Lactobacillus delbrueckii subsp. bulgaricus ATCC 11842 = JCM 1002", "gtdb_representative": false, "gtdb_genome_representative": "RS_GCF_001433875.1", "ncbi_type_material_designation": "assembly from type material", "gtdbDomain": "d__Bacteria", "gtdbPhylum": "p__Firmicutes", "gtdbClass": "c__Bacilli", "gtdbOrder": "o__Lactobacillales", "gtdbFamily": "f__Lactobacillaceae", "gtdbGenus": "g__Lactobacillus", "gtdbSpecies": "s__Lactobacillus delbrueckii", "gtdbTypeDesignation.1": "type strain of subspecies", "subunit_summary": "5S/16S/23S", "speciesRepName": "GCA_001433875.1", "speciesClusterCount": 103, "lpsnUrl": "https://lpsn.dsmz.de/species/lactobacillus-delbrueckii", "link_ncbi_taxonomy": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>", "link_ncbi_taxonomy_unfiltered": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1783272\">x__Terrabacteria group</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1585\">sb__Lactobacillus delbrueckii subsp. bulgaricus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=390333\">x__Lactobacillus delbrueckii subsp. bulgaricus ATCC 11842 = JCM 1002</a>", "0": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "2": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "3": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "4": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "5": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "6": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "0.1": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1.1": "{'taxon': 'x__Terrabacteria group', 'taxonId': '1783272'}", "2.1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "3.1": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "4.1": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "5.1": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "6.1": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "7": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "8": "{'taxon': 'sb__Lactobacillus delbrueckii subsp. bulgaricus', 'taxonId': '1585'}", "9": "{'taxon': 'x__Lactobacillus delbrueckii subsp. bulgaricus ATCC 11842 = JCM 1002', 'taxonId': '390333'}"}, {"genome_id": "GCA_000182835.1", "Min": 6223, "N25": 2125753, "N50": 2125753, "AuN": 2119566.328484936, "gc": 0.4954342825622802, "Max": 2125753, "N75": 2125753, "Count": 2, "Total": 2131976, "N90": 2125753, "Avg": 1065988.0, "gtdb_release": "R207", "Domain": "d__Bacteria", "Phylum": "p__Firmicutes", "Class": "c__Bacilli", "Order": "o__Lactobacillales", "Family": "f__Lactobacillaceae", "Genus": "g__Lactobacillus", "Species": "delbrueckii", "Organism": "s__Lactobacillus delbrueckii", "accession": "GCA_000182835.1", "name": "GCF_000182835.1", "trna_aa_count": 20.0, "contig_count": 2.0, "n50_contigs": 2125753.0, "longest_contig": 2125753.0, "scaffold_count": 2.0, "n50_scaffolds": 2125753.0, "longest_scaffold": 2125753.0, "genome_size": 2131976.0, "gc_percentage": 49.543428256228026, "ambiguous_bases": 0.0, "checkm_completeness": 99.03, "checkm_contamination": 0.0, "checkm_strain_heterogeneity": 0.0, "lsu_5s_count": 9, "ssu_count": 9, "lsu_23s_count": 9, "protein_count": 2049, "coding_density": 85.07450365294919, "ncbi_genbank_assembly_accession": "GCA_000182835.1", "ncbi_strain_identifiers": "ND02", "ncbi_assembly_level": "Complete Genome", "ncbi_assembly_name": "ASM18283v1", "ncbi_assembly_type": "na", "ncbi_bioproject": "PRJNA224116", "ncbi_biosample": "SAMN02603937", "ncbi_country": null, "ncbi_date": "2010-11-19", "ncbi_genome_category": null, "ncbi_genome_representation": "full", "ncbi_isolate": null, "ncbi_isolation_source": null, "ncbi_lat_lon": null, "ncbi_molecule_count": 2, "ncbi_cds_count": 2014, "ncbi_refseq_category": "na", "ncbi_seq_rel_date": "2010/11/19", "ncbi_spanned_gaps": 0, "ncbi_species_taxid": 1584, "ncbi_ssu_count": 9, "ncbi_submitter": "The Key Laboratory of Dairy Biotechnology and Bioengineering, Education Ministry of P. R. China, Department of Food Science and Engineering, Inner Mongolia Agricultural University, China", "ncbi_taxid": 767455, "ncbi_total_gap_length": 0, "ncbi_translation_table": 11, "ncbi_trna_count": 98, "ncbi_unspanned_gaps": 0, "ncbi_version_status": "latest", "ncbi_wgs_master": null, "gtdbTypeDesignation": "not type material", "gtdbTypeDesignationSources": null, "lpsnTypeDesignation": "not type material", "dsmzTypeDesignation": "not type material", "lpsnPriorityYear": null, "gtdbTypeSpeciesOfGenus": false, "ncbi_taxonomy": "d__Bacteria;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii", "ncbi_taxonomy_unfiltered": "d__Bacteria;x__Terrabacteria group;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii;sb__Lactobacillus delbrueckii subsp. bulgaricus;x__Lactobacillus delbrueckii subsp. bulgaricus ND02", "gtdb_representative": false, "gtdb_genome_representative": "RS_GCF_001433875.1", "ncbi_type_material_designation": null, "gtdbDomain": "d__Bacteria", "gtdbPhylum": "p__Firmicutes", "gtdbClass": "c__Bacilli", "gtdbOrder": "o__Lactobacillales", "gtdbFamily": "f__Lactobacillaceae", "gtdbGenus": "g__Lactobacillus", "gtdbSpecies": "s__Lactobacillus delbrueckii", "gtdbTypeDesignation.1": "not type material", "subunit_summary": "5S/16S/23S", "speciesRepName": "GCA_001433875.1", "speciesClusterCount": 103, "lpsnUrl": "https://lpsn.dsmz.de/species/lactobacillus-delbrueckii", "link_ncbi_taxonomy": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>", "link_ncbi_taxonomy_unfiltered": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1783272\">x__Terrabacteria group</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1585\">sb__Lactobacillus delbrueckii subsp. bulgaricus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=767455\">x__Lactobacillus delbrueckii subsp. bulgaricus ND02</a>", "0": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "2": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "3": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "4": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "5": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "6": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "0.1": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1.1": "{'taxon': 'x__Terrabacteria group', 'taxonId': '1783272'}", "2.1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "3.1": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "4.1": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "5.1": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "6.1": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "7": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "8": "{'taxon': 'sb__Lactobacillus delbrueckii subsp. bulgaricus', 'taxonId': '1585'}", "9": "{'taxon': 'x__Lactobacillus delbrueckii subsp. bulgaricus ND02', 'taxonId': '767455'}"}, {"genome_id": "GCA_000191165.1", "Min": 1872918, "N25": 1872918, "N50": 1872918, "AuN": 1872918.0, "gc": 0.4968012481058968, "Max": 1872918, "N75": 1872918, "Count": 1, "Total": 1872918, "N90": 1872918, "Avg": 1872918.0, "gtdb_release": "R207", "Domain": "d__Bacteria", "Phylum": "p__Firmicutes", "Class": "c__Bacilli", "Order": "o__Lactobacillales", "Family": "f__Lactobacillaceae", "Genus": "g__Lactobacillus", "Species": "delbrueckii", "Organism": "s__Lactobacillus delbrueckii", "accession": "GCA_000191165.1", "name": "GCF_000191165.1", "trna_aa_count": 20.0, "contig_count": 1.0, "n50_contigs": 1872918.0, "longest_contig": 1872918.0, "scaffold_count": 1.0, "n50_scaffolds": 1872918.0, "longest_scaffold": 1872918.0, "genome_size": 1872918.0, "gc_percentage": 49.68012481058968, "ambiguous_bases": 0.0, "checkm_completeness": 99.03, "checkm_contamination": 0.65, "checkm_strain_heterogeneity": 33.33, "lsu_5s_count": 9, "ssu_count": 9, "lsu_23s_count": 9, "protein_count": 1935, "coding_density": 84.26556848724825, "ncbi_genbank_assembly_accession": "GCA_000191165.1", "ncbi_strain_identifiers": "2038", "ncbi_assembly_level": "Complete Genome", "ncbi_assembly_name": "ASM19116v1", "ncbi_assembly_type": "na", "ncbi_bioproject": "PRJNA224116", "ncbi_biosample": "SAMN02603124", "ncbi_country": null, "ncbi_date": "2011-03-03", "ncbi_genome_category": null, "ncbi_genome_representation": "full", "ncbi_isolate": null, "ncbi_isolation_source": null, "ncbi_lat_lon": null, "ncbi_molecule_count": 1, "ncbi_cds_count": 1838, "ncbi_refseq_category": "na", "ncbi_seq_rel_date": "2011/03/03", "ncbi_spanned_gaps": 0, "ncbi_species_taxid": 1584, "ncbi_ssu_count": 9, "ncbi_submitter": "Chinese National HGC", "ncbi_taxid": 353496, "ncbi_total_gap_length": 0, "ncbi_translation_table": 11, "ncbi_trna_count": 89, "ncbi_unspanned_gaps": 0, "ncbi_version_status": "latest", "ncbi_wgs_master": null, "gtdbTypeDesignation": "not type material", "gtdbTypeDesignationSources": null, "lpsnTypeDesignation": "not type material", "dsmzTypeDesignation": "not type material", "lpsnPriorityYear": null, "gtdbTypeSpeciesOfGenus": false, "ncbi_taxonomy": "d__Bacteria;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii", "ncbi_taxonomy_unfiltered": "d__Bacteria;x__Terrabacteria group;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii;sb__Lactobacillus delbrueckii subsp. bulgaricus;x__Lactobacillus delbrueckii subsp. bulgaricus 2038", "gtdb_representative": false, "gtdb_genome_representative": "RS_GCF_001433875.1", "ncbi_type_material_designation": null, "gtdbDomain": "d__Bacteria", "gtdbPhylum": "p__Firmicutes", "gtdbClass": "c__Bacilli", "gtdbOrder": "o__Lactobacillales", "gtdbFamily": "f__Lactobacillaceae", "gtdbGenus": "g__Lactobacillus", "gtdbSpecies": "s__Lactobacillus delbrueckii", "gtdbTypeDesignation.1": "not type material", "subunit_summary": "5S/16S/23S", "speciesRepName": "GCA_001433875.1", "speciesClusterCount": 103, "lpsnUrl": "https://lpsn.dsmz.de/species/lactobacillus-delbrueckii", "link_ncbi_taxonomy": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>", "link_ncbi_taxonomy_unfiltered": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1783272\">x__Terrabacteria group</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1585\">sb__Lactobacillus delbrueckii subsp. bulgaricus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=353496\">x__Lactobacillus delbrueckii subsp. bulgaricus 2038</a>", "0": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "2": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "3": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "4": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "5": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "6": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "0.1": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1.1": "{'taxon': 'x__Terrabacteria group', 'taxonId': '1783272'}", "2.1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "3.1": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "4.1": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "5.1": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "6.1": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "7": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "8": "{'taxon': 'sb__Lactobacillus delbrueckii subsp. bulgaricus', 'taxonId': '1585'}", "9": "{'taxon': 'x__Lactobacillus delbrueckii subsp. bulgaricus 2038', 'taxonId': '353496'}"}, {"genome_id": "GCA_000014405.1", "Min": 1856951, "N25": 1856951, "N50": 1856951, "AuN": 1856951.0, "gc": 0.4968634067350188, "Max": 1856951, "N75": 1856951, "Count": 1, "Total": 1856951, "N90": 1856951, "Avg": 1856951.0, "gtdb_release": "R207", "Domain": "d__Bacteria", "Phylum": "p__Firmicutes", "Class": "c__Bacilli", "Order": "o__Lactobacillales", "Family": "f__Lactobacillaceae", "Genus": "g__Lactobacillus", "Species": "delbrueckii", "Organism": "s__Lactobacillus delbrueckii", "accession": "GCA_000014405.1", "name": "GCF_000014405.1", "trna_aa_count": 20.0, "contig_count": 1.0, "n50_contigs": 1856951.0, "longest_contig": 1856951.0, "scaffold_count": 1.0, "n50_scaffolds": 1856951.0, "longest_scaffold": 1856951.0, "genome_size": 1856951.0, "gc_percentage": 49.68634067350188, "ambiguous_bases": 0.0, "checkm_completeness": 99.35, "checkm_contamination": 0.0, "checkm_strain_heterogeneity": 0.0, "lsu_5s_count": 9, "ssu_count": 9, "lsu_23s_count": 9, "protein_count": 1920, "coding_density": 83.8721646397778, "ncbi_genbank_assembly_accession": "GCA_000014405.1", "ncbi_strain_identifiers": "ATCC BAA-365", "ncbi_assembly_level": "Complete Genome", "ncbi_assembly_name": "ASM1440v1", "ncbi_assembly_type": "na", "ncbi_bioproject": "PRJNA224116", "ncbi_biosample": "SAMN02598530", "ncbi_country": null, "ncbi_date": "2006-10-13", "ncbi_genome_category": null, "ncbi_genome_representation": "full", "ncbi_isolate": null, "ncbi_isolation_source": null, "ncbi_lat_lon": null, "ncbi_molecule_count": 1, "ncbi_cds_count": 1839, "ncbi_refseq_category": "na", "ncbi_seq_rel_date": "2006/10/13", "ncbi_spanned_gaps": 0, "ncbi_species_taxid": 1584, "ncbi_ssu_count": 9, "ncbi_submitter": "US DOE Joint Genome Institute (JGI), The Lactic Acid Bacteria Genome Consortium and Fidelity Systems Inc.", "ncbi_taxid": 321956, "ncbi_total_gap_length": 0, "ncbi_translation_table": 11, "ncbi_trna_count": 98, "ncbi_unspanned_gaps": 0, "ncbi_version_status": "latest", "ncbi_wgs_master": null, "gtdbTypeDesignation": "not type material", "gtdbTypeDesignationSources": null, "lpsnTypeDesignation": "not type material", "dsmzTypeDesignation": "not type material", "lpsnPriorityYear": null, "gtdbTypeSpeciesOfGenus": false, "ncbi_taxonomy": "d__Bacteria;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii", "ncbi_taxonomy_unfiltered": "d__Bacteria;x__Terrabacteria group;p__Firmicutes;c__Bacilli;o__Lactobacillales;f__Lactobacillaceae;g__Lactobacillus;s__Lactobacillus delbrueckii;sb__Lactobacillus delbrueckii subsp. bulgaricus;x__Lactobacillus delbrueckii subsp. bulgaricus ATCC BAA-365", "gtdb_representative": false, "gtdb_genome_representative": "RS_GCF_001433875.1", "ncbi_type_material_designation": null, "gtdbDomain": "d__Bacteria", "gtdbPhylum": "p__Firmicutes", "gtdbClass": "c__Bacilli", "gtdbOrder": "o__Lactobacillales", "gtdbFamily": "f__Lactobacillaceae", "gtdbGenus": "g__Lactobacillus", "gtdbSpecies": "s__Lactobacillus delbrueckii", "gtdbTypeDesignation.1": "not type material", "subunit_summary": "5S/16S/23S", "speciesRepName": "GCA_001433875.1", "speciesClusterCount": 103, "lpsnUrl": "https://lpsn.dsmz.de/species/lactobacillus-delbrueckii", "link_ncbi_taxonomy": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>", "link_ncbi_taxonomy_unfiltered": "<a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=2\">d__Bacteria</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1783272\">x__Terrabacteria group</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1239\">p__Firmicutes</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=91061\">c__Bacilli</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=186826\">o__Lactobacillales</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=33958\">f__Lactobacillaceae</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1578\">g__Lactobacillus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1584\">s__Lactobacillus delbrueckii</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=1585\">sb__Lactobacillus delbrueckii subsp. bulgaricus</a>; <a target=\"_blank\" href=\"https://www.ncbi.nlm.nih.gov/Taxonomy/Browser/wwwtax.cgi?id=321956\">x__Lactobacillus delbrueckii subsp. bulgaricus ATCC BAA-365</a>", "0": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "2": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "3": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "4": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "5": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "6": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "0.1": "{'taxon': 'd__Bacteria', 'taxonId': '2'}", "1.1": "{'taxon': 'x__Terrabacteria group', 'taxonId': '1783272'}", "2.1": "{'taxon': 'p__Firmicutes', 'taxonId': '1239'}", "3.1": "{'taxon': 'c__Bacilli', 'taxonId': '91061'}", "4.1": "{'taxon': 'o__Lactobacillales', 'taxonId': '186826'}", "5.1": "{'taxon': 'f__Lactobacillaceae', 'taxonId': '33958'}", "6.1": "{'taxon': 'g__Lactobacillus', 'taxonId': '1578'}", "7": "{'taxon': 's__Lactobacillus delbrueckii', 'taxonId': '1584'}", "8": "{'taxon': 'sb__Lactobacillus delbrueckii subsp. bulgaricus', 'taxonId': '1585'}", "9": "{'taxon': 'x__Lactobacillus delbrueckii subsp. bulgaricus ATCC BAA-365', 'taxonId': '321956'}"}]}}, {"mode": "vega-lite"});
</script>



[Download Table]({{ project().file_server() }}/tables/df_seqfu_stats.csv){:target="_blank" .md-button}

## References
<font size="2">
{% for i in project().rule_used['seqfu']['references'] %}
- *{{ i }}*
{% endfor %}
</font>
